//
// File: Cego.cc
// This code was produced by the dragon parser generator
//
#include "Cego.h"
#include "Exception.h"
#include "StackT.h"

Cego::ScannerStateEntry::ScannerStateEntry()
{
}

Cego::ScannerStateEntry::ScannerStateEntry(int state, ScannerStateType type)
{
   _state = state;
   _type = type;
}

Cego::ScannerStateEntry& Cego::ScannerStateEntry::operator = (const Cego::ScannerStateEntry& s)
{
   _state = s._state;
   _type = s._type;
   return(*this);
}

bool Cego::ScannerStateEntry::operator == (const Cego::ScannerStateEntry& s)
{
   if ( _state == s._state )
      return true;
   return false;
}

Cego::ScannerStateType Cego::ScannerStateEntry::getType()
{
   return _type;
}
int Cego::ScannerStateEntry::getState()
{
   return _state;
}


Cego::ScannerTransEntry::ScannerTransEntry()
{
}

Cego::ScannerTransEntry::ScannerTransEntry(int state, char c)
{
   _state = state;
   _c = c;
}

Cego::ScannerTransEntry::ScannerTransEntry(int state, char c, int fstate)
{
   _state = state;
   _c = c;
   _fstate = fstate;
}

Cego::ScannerTransEntry& Cego::ScannerTransEntry::operator = (const Cego::ScannerTransEntry& s)
{
   _state = s._state;
   _c = s._c;
   _fstate = s._fstate;
   return(*this);
}

bool Cego::ScannerTransEntry::operator == (const Cego::ScannerTransEntry& s)
{
   if ( _state == s._state && _c == s._c)
      return true;
   return false;
}

int Cego::ScannerTransEntry::getFState()
{
   return _fstate;
}


Cego::Scanner::Scanner()
{
}


Cego::Scanner::Scanner(Token t)
{
   _token = t;
}

Cego::Token Cego::Scanner::getToken()
{
   return _token;
}

void Cego::Scanner::addState(ScannerStateEntry s)
{
   _stateList.Insert(s);
}

void Cego::Scanner::addTransition(ScannerTransEntry t)
{
   _transList.Insert(t);
}

bool Cego::Scanner::checkPattern(const Chain& p)
{
   unsigned long state = 0;
   ScannerStateEntry* pS = _stateList.First();
   while (pS)
   {
      if (pS->getType() == START || pS->getType() == ANY)
      {
         state = pS->getState();
         pS = 0;
      }
      else
      {
         pS = _stateList.Next();
      }
   }
   unsigned long i = 0;
   ScannerTransEntry* pT = 
   _transList.Find(ScannerTransEntry(state, p[i]));
   while (pT)
   {
      ScannerStateEntry* pS = _stateList.Find(ScannerStateEntry(pT->getFState())); 
      if (pS)
      {
         if ( ( i == p.length()-2 ) && ( pS->getType() == FINAL || pS->getType() == ANY))
         {
            return true;
         }
         else
         {
            state = pT->getFState();
         }
      }
      else
      {
         return false;
      }
      i++;
      pT = _transList.Find(ScannerTransEntry(state, p[i]));
   }
   return false;
}
Cego::StackEntry::StackEntry()
{
   _symbol = NONE;
}

Cego::StackEntry::StackEntry(Symbol symbol, int num, int state, Chain tval)
{
   _symbol=symbol;
   _num=num;
   _state=state;
   _tval=tval;
}

Cego::StackEntry& Cego::StackEntry::operator = (const Cego::StackEntry& se)
{
   _symbol=se._symbol;
   _num=se._num;
   _state=se._state;
   _tval=se._tval;
   return(*this);
}

int Cego::StackEntry::getState()
{
   return _state;
}
Cego::Symbol Cego::StackEntry::getSymbol()
{
   return _symbol;
}
Chain& Cego::StackEntry::getTval()
{
   return _tval;
}

Cego::ActionEntry::ActionEntry()
{
   _action=NULLACTION;
}

Cego::ActionEntry::ActionEntry(Action action , int num)
{
   _action=action;
   _num=num;
}

bool Cego::ActionEntry::operator == (const Cego::ActionEntry& ae)
{
   if (_action == ae._action && _num == ae._num)
      return true;
   return false;
}

Cego::ActionEntry& Cego::ActionEntry::operator = (const Cego::ActionEntry& ae)
{
   _action=ae._action;
   _num=ae._num;
   return(*this);
}

Cego::Action Cego::ActionEntry::getAction()
{
   return _action;
}

int Cego::ActionEntry::getNum()
{
   return _num;
}

Cego::ProdEntry::ProdEntry()
{
}

Cego::ProdEntry::ProdEntry(int id)
{
   _id = id;
}

Cego::ProdEntry::ProdEntry(int id, Production prod, int numSymbol)
{
   _id = id;
   _prod = prod;
   _numSymbol = numSymbol;
}

bool Cego::ProdEntry::operator == (const Cego::ProdEntry& pe)
{
   if (_id == pe._id)
      return true;
   return false;
}

Cego::ProdEntry& Cego::ProdEntry::operator = (const Cego::ProdEntry& pe)
{
   _id = pe._id;
   _prod = pe._prod;
   _numSymbol = pe._numSymbol;
   return(*this);
}


int Cego::ProdEntry::getId()
{
   return _id;
}

Cego::Production Cego::ProdEntry::getProd()
{
   return _prod;
}

int Cego::ProdEntry::getNumSymbol()
{
   return _numSymbol;
}
void Cego::loadScanner()
{
   Scanner s0(ADD);
   s0.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s0.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s0.addState(ScannerStateEntry(2 ,START));
   s0.addState(ScannerStateEntry(3 ,FINAL));
   s0.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s0.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s0.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s0);

   Scanner s1(AND);
   s1.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s1.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s1.addState(ScannerStateEntry(2 ,START));
   s1.addState(ScannerStateEntry(3 ,FINAL));
   s1.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s1.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s1.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s1);

   Scanner s2(ALL);
   s2.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s2.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s2.addState(ScannerStateEntry(2 ,START));
   s2.addState(ScannerStateEntry(3 ,FINAL));
   s2.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s2.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s2.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s2);

   Scanner s3(ALTER);
   s3.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(2 ,START));
   s3.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(5 ,FINAL));
   s3.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s3.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s3.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s3.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s3.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s3);

   Scanner s4(APPEND);
   s4.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(2 ,START));
   s4.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(6 ,FINAL));
   s4.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s4.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s4.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s4.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s4.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s4.addTransition(ScannerTransEntry(5 ,'d' ,6));
   _scannerList.Insert(s4);

   Scanner s5(AS);
   s5.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s5.addState(ScannerStateEntry(1 ,FINAL));
   s5.addState(ScannerStateEntry(2 ,START));
   s5.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s5.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s5);

   Scanner s6(ASC);
   s6.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s6.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s6.addState(ScannerStateEntry(2 ,START));
   s6.addState(ScannerStateEntry(3 ,FINAL));
   s6.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s6.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s6.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s6);

   Scanner s7(AUTHORIZE);
   s7.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(2 ,START));
   s7.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(9 ,FINAL));
   s7.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s7.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s7.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s7.addTransition(ScannerTransEntry(3 ,'h' ,4));
   s7.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s7.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s7.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s7.addTransition(ScannerTransEntry(7 ,'z' ,8));
   s7.addTransition(ScannerTransEntry(8 ,'e' ,9));
   _scannerList.Insert(s7);

   Scanner s8(AUTOCOMMIT);
   s8.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(2 ,START));
   s8.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(10 ,FINAL));
   s8.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s8.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s8.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s8.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s8.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s8.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s8.addTransition(ScannerTransEntry(6 ,'m' ,7));
   s8.addTransition(ScannerTransEntry(7 ,'m' ,8));
   s8.addTransition(ScannerTransEntry(8 ,'i' ,9));
   s8.addTransition(ScannerTransEntry(9 ,'t' ,10));
   _scannerList.Insert(s8);

   Scanner s9(AVG);
   s9.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(2 ,START));
   s9.addState(ScannerStateEntry(3 ,FINAL));
   s9.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s9.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s9.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s9);

   Scanner s10(BEGIN);
   s10.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(2 ,START));
   s10.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(5 ,FINAL));
   s10.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s10.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s10.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s10.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s10.addTransition(ScannerTransEntry(4 ,'n' ,5));
   _scannerList.Insert(s10);

   Scanner s11(BETWEEN);
   s11.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(2 ,START));
   s11.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(7 ,FINAL));
   s11.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s11.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s11.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s11.addTransition(ScannerTransEntry(3 ,'w' ,4));
   s11.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s11.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s11.addTransition(ScannerTransEntry(6 ,'n' ,7));
   _scannerList.Insert(s11);

   Scanner s12(BIGINT);
   s12.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(2 ,START));
   s12.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(6 ,FINAL));
   s12.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s12.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s12.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s12.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s12.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s12.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s12);

   Scanner s13(BITAND);
   s13.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(2 ,START));
   s13.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(6 ,FINAL));
   s13.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s13.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s13.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s13.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s13.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s13.addTransition(ScannerTransEntry(5 ,'d' ,6));
   _scannerList.Insert(s13);

   Scanner s14(BITOR);
   s14.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(2 ,START));
   s14.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(5 ,FINAL));
   s14.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s14.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s14.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s14.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s14.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s14);

   Scanner s15(BITXOR);
   s15.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(2 ,START));
   s15.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(6 ,FINAL));
   s15.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s15.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s15.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s15.addTransition(ScannerTransEntry(3 ,'x' ,4));
   s15.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s15.addTransition(ScannerTransEntry(5 ,'r' ,6));
   _scannerList.Insert(s15);

   Scanner s16(BLOB);
   s16.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(2 ,START));
   s16.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(4 ,FINAL));
   s16.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s16.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s16.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s16.addTransition(ScannerTransEntry(3 ,'b' ,4));
   _scannerList.Insert(s16);

   Scanner s17(BOOL);
   s17.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(2 ,START));
   s17.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(4 ,FINAL));
   s17.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s17.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s17.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s17.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s17);

   Scanner s18(BY);
   s18.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(1 ,FINAL));
   s18.addState(ScannerStateEntry(2 ,START));
   s18.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s18.addTransition(ScannerTransEntry(2 ,'b' ,0));
   _scannerList.Insert(s18);

   Scanner s19(CALL);
   s19.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(2 ,START));
   s19.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(4 ,FINAL));
   s19.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s19.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s19.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s19.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s19);

   Scanner s20(CASE);
   s20.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(2 ,START));
   s20.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(4 ,FINAL));
   s20.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s20.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s20.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s20.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s20);

   Scanner s21(CHECK);
   s21.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(2 ,START));
   s21.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(5 ,FINAL));
   s21.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s21.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s21.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s21.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s21.addTransition(ScannerTransEntry(4 ,'k' ,5));
   _scannerList.Insert(s21);

   Scanner s22(CLOSE);
   s22.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(2 ,START));
   s22.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(5 ,FINAL));
   s22.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s22.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s22.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s22.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s22.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s22);

   Scanner s23(COMMIT);
   s23.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(2 ,START));
   s23.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(6 ,FINAL));
   s23.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s23.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s23.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s23.addTransition(ScannerTransEntry(3 ,'m' ,4));
   s23.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s23.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s23);

   Scanner s24(COLUMN);
   s24.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(2 ,START));
   s24.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(6 ,FINAL));
   s24.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s24.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s24.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s24.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s24.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s24.addTransition(ScannerTransEntry(5 ,'n' ,6));
   _scannerList.Insert(s24);

   Scanner s25(CONSTRAINT);
   s25.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(2 ,START));
   s25.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(10 ,FINAL));
   s25.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s25.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s25.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s25.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s25.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s25.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s25.addTransition(ScannerTransEntry(6 ,'a' ,7));
   s25.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s25.addTransition(ScannerTransEntry(8 ,'n' ,9));
   s25.addTransition(ScannerTransEntry(9 ,'t' ,10));
   _scannerList.Insert(s25);

   Scanner s26(COUNT);
   s26.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(2 ,START));
   s26.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(5 ,FINAL));
   s26.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s26.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s26.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s26.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s26.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s26);

   Scanner s27(COUNTER);
   s27.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(2 ,START));
   s27.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(7 ,FINAL));
   s27.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s27.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s27.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s27.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s27.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s27.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s27.addTransition(ScannerTransEntry(6 ,'r' ,7));
   _scannerList.Insert(s27);

   Scanner s28(CREATE);
   s28.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(2 ,START));
   s28.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(6 ,FINAL));
   s28.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s28.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s28.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s28.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s28.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s28.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s28);

   Scanner s29(CURSOR);
   s29.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(2 ,START));
   s29.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(6 ,FINAL));
   s29.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s29.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s29.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s29.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s29.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s29.addTransition(ScannerTransEntry(5 ,'r' ,6));
   _scannerList.Insert(s29);

   Scanner s30(DATE);
   s30.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(2 ,START));
   s30.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(4 ,FINAL));
   s30.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s30.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s30.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s30.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s30);

   Scanner s31(DATE2STR);
   s31.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(2 ,START));
   s31.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(8 ,FINAL));
   s31.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s31.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s31.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s31.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s31.addTransition(ScannerTransEntry(4 ,'2' ,5));
   s31.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s31.addTransition(ScannerTransEntry(6 ,'t' ,7));
   s31.addTransition(ScannerTransEntry(7 ,'r' ,8));
   _scannerList.Insert(s31);

   Scanner s32(DATE2INT);
   s32.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(2 ,START));
   s32.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(8 ,FINAL));
   s32.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s32.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s32.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s32.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s32.addTransition(ScannerTransEntry(4 ,'2' ,5));
   s32.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s32.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s32.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s32);

   Scanner s33(DATETIME);
   s33.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(2 ,START));
   s33.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(8 ,FINAL));
   s33.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s33.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s33.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s33.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s33.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s33.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s33.addTransition(ScannerTransEntry(6 ,'m' ,7));
   s33.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s33);

   Scanner s34(DECIMAL);
   s34.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(2 ,START));
   s34.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(7 ,FINAL));
   s34.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s34.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s34.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s34.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s34.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s34.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s34.addTransition(ScannerTransEntry(6 ,'l' ,7));
   _scannerList.Insert(s34);

   Scanner s35(DEFAULT);
   s35.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(2 ,START));
   s35.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(7 ,FINAL));
   s35.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s35.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s35.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s35.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s35.addTransition(ScannerTransEntry(4 ,'u' ,5));
   s35.addTransition(ScannerTransEntry(5 ,'l' ,6));
   s35.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s35);

   Scanner s36(DELETETOK);
   s36.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(2 ,START));
   s36.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(6 ,FINAL));
   s36.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s36.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s36.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s36.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s36.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s36.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s36);

   Scanner s37(DESC);
   s37.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(2 ,START));
   s37.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(4 ,FINAL));
   s37.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s37.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s37.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s37.addTransition(ScannerTransEntry(3 ,'c' ,4));
   _scannerList.Insert(s37);

   Scanner s38(DISTINCT);
   s38.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(2 ,START));
   s38.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(8 ,FINAL));
   s38.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s38.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s38.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s38.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s38.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s38.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s38.addTransition(ScannerTransEntry(6 ,'c' ,7));
   s38.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s38);

   Scanner s39(DIV);
   s39.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(2 ,START));
   s39.addState(ScannerStateEntry(3 ,FINAL));
   s39.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s39.addTransition(ScannerTransEntry(1 ,'v' ,3));
   s39.addTransition(ScannerTransEntry(2 ,'d' ,0));
   _scannerList.Insert(s39);

   Scanner s40(DOUBLE);
   s40.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(2 ,START));
   s40.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(6 ,FINAL));
   s40.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s40.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s40.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s40.addTransition(ScannerTransEntry(3 ,'b' ,4));
   s40.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s40.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s40);

   Scanner s41(DROP);
   s41.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(2 ,START));
   s41.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(4 ,FINAL));
   s41.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s41.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s41.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s41.addTransition(ScannerTransEntry(3 ,'p' ,4));
   _scannerList.Insert(s41);

   Scanner s42(ELSE);
   s42.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(2 ,START));
   s42.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(4 ,FINAL));
   s42.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s42.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s42.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s42.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s42);

   Scanner s43(ELSIF);
   s43.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(2 ,START));
   s43.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(5 ,FINAL));
   s43.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s43.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s43.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s43.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s43.addTransition(ScannerTransEntry(4 ,'f' ,5));
   _scannerList.Insert(s43);

   Scanner s44(END_TOKEN);
   s44.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(2 ,START));
   s44.addState(ScannerStateEntry(3 ,FINAL));
   s44.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s44.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s44.addTransition(ScannerTransEntry(2 ,'e' ,0));
   _scannerList.Insert(s44);

   Scanner s45(EXCEPTION);
   s45.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(2 ,START));
   s45.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(9 ,FINAL));
   s45.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s45.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s45.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s45.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s45.addTransition(ScannerTransEntry(4 ,'p' ,5));
   s45.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s45.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s45.addTransition(ScannerTransEntry(7 ,'o' ,8));
   s45.addTransition(ScannerTransEntry(8 ,'n' ,9));
   _scannerList.Insert(s45);

   Scanner s46(EXISTS);
   s46.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(2 ,START));
   s46.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(6 ,FINAL));
   s46.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s46.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s46.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s46.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s46.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s46.addTransition(ScannerTransEntry(5 ,'s' ,6));
   _scannerList.Insert(s46);

   Scanner s47(FALSEVAL);
   s47.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(2 ,START));
   s47.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(5 ,FINAL));
   s47.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s47.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s47.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s47.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s47.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s47);

   Scanner s48(FETCH);
   s48.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(2 ,START));
   s48.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(5 ,FINAL));
   s48.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s48.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s48.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s48.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s48.addTransition(ScannerTransEntry(4 ,'h' ,5));
   _scannerList.Insert(s48);

   Scanner s49(FIXED);
   s49.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(2 ,START));
   s49.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(5 ,FINAL));
   s49.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s49.addTransition(ScannerTransEntry(1 ,'x' ,3));
   s49.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s49.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s49.addTransition(ScannerTransEntry(4 ,'d' ,5));
   _scannerList.Insert(s49);

   Scanner s50(FLOAT);
   s50.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(2 ,START));
   s50.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(5 ,FINAL));
   s50.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s50.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s50.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s50.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s50.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s50);

   Scanner s51(FOR);
   s51.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(2 ,START));
   s51.addState(ScannerStateEntry(3 ,FINAL));
   s51.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s51.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s51.addTransition(ScannerTransEntry(2 ,'f' ,0));
   _scannerList.Insert(s51);

   Scanner s52(FOREIGN);
   s52.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(2 ,START));
   s52.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(7 ,FINAL));
   s52.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s52.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s52.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s52.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s52.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s52.addTransition(ScannerTransEntry(5 ,'g' ,6));
   s52.addTransition(ScannerTransEntry(6 ,'n' ,7));
   _scannerList.Insert(s52);

   Scanner s53(FROM);
   s53.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(2 ,START));
   s53.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(4 ,FINAL));
   s53.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s53.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s53.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s53.addTransition(ScannerTransEntry(3 ,'m' ,4));
   _scannerList.Insert(s53);

   Scanner s54(GETPOS);
   s54.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(2 ,START));
   s54.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(6 ,FINAL));
   s54.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s54.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s54.addTransition(ScannerTransEntry(2 ,'g' ,0));
   s54.addTransition(ScannerTransEntry(3 ,'p' ,4));
   s54.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s54.addTransition(ScannerTransEntry(5 ,'s' ,6));
   _scannerList.Insert(s54);

   Scanner s55(GROUP);
   s55.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(2 ,START));
   s55.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(5 ,FINAL));
   s55.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s55.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s55.addTransition(ScannerTransEntry(2 ,'g' ,0));
   s55.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s55.addTransition(ScannerTransEntry(4 ,'p' ,5));
   _scannerList.Insert(s55);

   Scanner s56(HAVING);
   s56.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(2 ,START));
   s56.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(6 ,FINAL));
   s56.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s56.addTransition(ScannerTransEntry(1 ,'v' ,3));
   s56.addTransition(ScannerTransEntry(2 ,'h' ,0));
   s56.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s56.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s56.addTransition(ScannerTransEntry(5 ,'g' ,6));
   _scannerList.Insert(s56);

   Scanner s57(IDENTIFIED);
   s57.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(2 ,START));
   s57.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(10 ,FINAL));
   s57.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s57.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s57.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s57.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s57.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s57.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s57.addTransition(ScannerTransEntry(6 ,'f' ,7));
   s57.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s57.addTransition(ScannerTransEntry(8 ,'e' ,9));
   s57.addTransition(ScannerTransEntry(9 ,'d' ,10));
   _scannerList.Insert(s57);

   Scanner s58(IF);
   s58.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(1 ,FINAL));
   s58.addState(ScannerStateEntry(2 ,START));
   s58.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s58.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s58);

   Scanner s59(INTOK);
   s59.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(1 ,FINAL));
   s59.addState(ScannerStateEntry(2 ,START));
   s59.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s59.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s59);

   Scanner s60(INDEX);
   s60.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(2 ,START));
   s60.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(5 ,FINAL));
   s60.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s60.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s60.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s60.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s60.addTransition(ScannerTransEntry(4 ,'x' ,5));
   _scannerList.Insert(s60);

   Scanner s61(INNER);
   s61.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(2 ,START));
   s61.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(5 ,FINAL));
   s61.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s61.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s61.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s61.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s61.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s61);

   Scanner s62(INT);
   s62.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(2 ,START));
   s62.addState(ScannerStateEntry(3 ,FINAL));
   s62.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s62.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s62.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s62);

   Scanner s63(INTO);
   s63.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(2 ,START));
   s63.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(4 ,FINAL));
   s63.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s63.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s63.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s63.addTransition(ScannerTransEntry(3 ,'o' ,4));
   _scannerList.Insert(s63);

   Scanner s64(INT2DATE);
   s64.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(2 ,START));
   s64.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(8 ,FINAL));
   s64.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s64.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s64.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s64.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s64.addTransition(ScannerTransEntry(4 ,'d' ,5));
   s64.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s64.addTransition(ScannerTransEntry(6 ,'t' ,7));
   s64.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s64);

   Scanner s65(INSERT);
   s65.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(2 ,START));
   s65.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(6 ,FINAL));
   s65.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s65.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s65.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s65.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s65.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s65.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s65);

   Scanner s66(IS);
   s66.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(1 ,FINAL));
   s66.addState(ScannerStateEntry(2 ,START));
   s66.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s66.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s66);

   Scanner s67(ISOLATION);
   s67.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(2 ,START));
   s67.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(9 ,FINAL));
   s67.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s67.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s67.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s67.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s67.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s67.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s67.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s67.addTransition(ScannerTransEntry(7 ,'o' ,8));
   s67.addTransition(ScannerTransEntry(8 ,'n' ,9));
   _scannerList.Insert(s67);

   Scanner s68(JDBC);
   s68.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(2 ,START));
   s68.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(4 ,FINAL));
   s68.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s68.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s68.addTransition(ScannerTransEntry(2 ,'j' ,0));
   s68.addTransition(ScannerTransEntry(3 ,'c' ,4));
   _scannerList.Insert(s68);

   Scanner s69(JOIN);
   s69.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(2 ,START));
   s69.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(4 ,FINAL));
   s69.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s69.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s69.addTransition(ScannerTransEntry(2 ,'j' ,0));
   s69.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s69);

   Scanner s70(KEY);
   s70.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s70.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s70.addState(ScannerStateEntry(2 ,START));
   s70.addState(ScannerStateEntry(3 ,FINAL));
   s70.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s70.addTransition(ScannerTransEntry(1 ,'y' ,3));
   s70.addTransition(ScannerTransEntry(2 ,'k' ,0));
   _scannerList.Insert(s70);

   Scanner s71(LEFT);
   s71.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(2 ,START));
   s71.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(4 ,FINAL));
   s71.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s71.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s71.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s71.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s71);

   Scanner s72(LENGTH);
   s72.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(2 ,START));
   s72.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(6 ,FINAL));
   s72.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s72.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s72.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s72.addTransition(ScannerTransEntry(3 ,'g' ,4));
   s72.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s72.addTransition(ScannerTransEntry(5 ,'h' ,6));
   _scannerList.Insert(s72);

   Scanner s73(LIKE);
   s73.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(2 ,START));
   s73.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(4 ,FINAL));
   s73.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s73.addTransition(ScannerTransEntry(1 ,'k' ,3));
   s73.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s73.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s73);

   Scanner s74(LIST);
   s74.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(2 ,START));
   s74.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(4 ,FINAL));
   s74.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s74.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s74.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s74.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s74);

   Scanner s75(LOAD);
   s75.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(2 ,START));
   s75.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(4 ,FINAL));
   s75.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s75.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s75.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s75.addTransition(ScannerTransEntry(3 ,'d' ,4));
   _scannerList.Insert(s75);

   Scanner s76(LOCKS);
   s76.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(2 ,START));
   s76.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(5 ,FINAL));
   s76.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s76.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s76.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s76.addTransition(ScannerTransEntry(3 ,'k' ,4));
   s76.addTransition(ScannerTransEntry(4 ,'s' ,5));
   _scannerList.Insert(s76);

   Scanner s77(LONG);
   s77.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(2 ,START));
   s77.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(4 ,FINAL));
   s77.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s77.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s77.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s77.addTransition(ScannerTransEntry(3 ,'g' ,4));
   _scannerList.Insert(s77);

   Scanner s78(LOWER);
   s78.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(2 ,START));
   s78.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(5 ,FINAL));
   s78.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s78.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s78.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s78.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s78.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s78);

   Scanner s79(LTRIM);
   s79.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(2 ,START));
   s79.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(5 ,FINAL));
   s79.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s79.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s79.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s79.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s79.addTransition(ScannerTransEntry(4 ,'m' ,5));
   _scannerList.Insert(s79);

   Scanner s80(MIN);
   s80.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(2 ,START));
   s80.addState(ScannerStateEntry(3 ,FINAL));
   s80.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s80.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s80.addTransition(ScannerTransEntry(2 ,'m' ,0));
   _scannerList.Insert(s80);

   Scanner s81(MAX);
   s81.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(2 ,START));
   s81.addState(ScannerStateEntry(3 ,FINAL));
   s81.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s81.addTransition(ScannerTransEntry(1 ,'x' ,3));
   s81.addTransition(ScannerTransEntry(2 ,'m' ,0));
   _scannerList.Insert(s81);

   Scanner s82(MOD);
   s82.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(2 ,START));
   s82.addState(ScannerStateEntry(3 ,FINAL));
   s82.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s82.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s82.addTransition(ScannerTransEntry(2 ,'m' ,0));
   _scannerList.Insert(s82);

   Scanner s83(MODIFY);
   s83.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(2 ,START));
   s83.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(6 ,FINAL));
   s83.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s83.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s83.addTransition(ScannerTransEntry(2 ,'m' ,0));
   s83.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s83.addTransition(ScannerTransEntry(4 ,'f' ,5));
   s83.addTransition(ScannerTransEntry(5 ,'y' ,6));
   _scannerList.Insert(s83);

   Scanner s84(NEXTCOUNT);
   s84.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(2 ,START));
   s84.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(9 ,FINAL));
   s84.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s84.addTransition(ScannerTransEntry(1 ,'x' ,3));
   s84.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s84.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s84.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s84.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s84.addTransition(ScannerTransEntry(6 ,'u' ,7));
   s84.addTransition(ScannerTransEntry(7 ,'n' ,8));
   s84.addTransition(ScannerTransEntry(8 ,'t' ,9));
   _scannerList.Insert(s84);

   Scanner s85(NOOP);
   s85.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(2 ,START));
   s85.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(4 ,FINAL));
   s85.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s85.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s85.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s85.addTransition(ScannerTransEntry(3 ,'p' ,4));
   _scannerList.Insert(s85);

   Scanner s86(NOT);
   s86.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(2 ,START));
   s86.addState(ScannerStateEntry(3 ,FINAL));
   s86.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s86.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s86.addTransition(ScannerTransEntry(2 ,'n' ,0));
   _scannerList.Insert(s86);

   Scanner s87(NULLTOKEN);
   s87.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(2 ,START));
   s87.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(4 ,FINAL));
   s87.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s87.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s87.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s87.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s87);

   Scanner s88(OFF);
   s88.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s88.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s88.addState(ScannerStateEntry(2 ,START));
   s88.addState(ScannerStateEntry(3 ,FINAL));
   s88.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s88.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s88.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s88);

   Scanner s89(ON);
   s89.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s89.addState(ScannerStateEntry(1 ,FINAL));
   s89.addState(ScannerStateEntry(2 ,START));
   s89.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s89.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s89);

   Scanner s90(OUTTOK);
   s90.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s90.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s90.addState(ScannerStateEntry(2 ,START));
   s90.addState(ScannerStateEntry(3 ,FINAL));
   s90.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s90.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s90.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s90);

   Scanner s91(OUTER);
   s91.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(2 ,START));
   s91.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(5 ,FINAL));
   s91.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s91.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s91.addTransition(ScannerTransEntry(2 ,'o' ,0));
   s91.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s91.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s91);

   Scanner s92(OR);
   s92.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(1 ,FINAL));
   s92.addState(ScannerStateEntry(2 ,START));
   s92.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s92.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s92);

   Scanner s93(ORDER);
   s93.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(2 ,START));
   s93.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(5 ,FINAL));
   s93.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s93.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s93.addTransition(ScannerTransEntry(2 ,'o' ,0));
   s93.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s93.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s93);

   Scanner s94(PLAN);
   s94.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s94.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s94.addState(ScannerStateEntry(2 ,START));
   s94.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s94.addState(ScannerStateEntry(4 ,FINAL));
   s94.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s94.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s94.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s94.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s94);

   Scanner s95(POOL);
   s95.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(2 ,START));
   s95.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(4 ,FINAL));
   s95.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s95.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s95.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s95.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s95);

   Scanner s96(POWER);
   s96.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(2 ,START));
   s96.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(5 ,FINAL));
   s96.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s96.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s96.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s96.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s96.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s96);

   Scanner s97(PRIMARY);
   s97.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(2 ,START));
   s97.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(7 ,FINAL));
   s97.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s97.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s97.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s97.addTransition(ScannerTransEntry(3 ,'m' ,4));
   s97.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s97.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s97.addTransition(ScannerTransEntry(6 ,'y' ,7));
   _scannerList.Insert(s97);

   Scanner s98(PRINT);
   s98.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(2 ,START));
   s98.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(5 ,FINAL));
   s98.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s98.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s98.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s98.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s98.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s98);

   Scanner s99(PROCEDURE);
   s99.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(2 ,START));
   s99.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(9 ,FINAL));
   s99.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s99.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s99.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s99.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s99.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s99.addTransition(ScannerTransEntry(5 ,'d' ,6));
   s99.addTransition(ScannerTransEntry(6 ,'u' ,7));
   s99.addTransition(ScannerTransEntry(7 ,'r' ,8));
   s99.addTransition(ScannerTransEntry(8 ,'e' ,9));
   _scannerList.Insert(s99);

   Scanner s100(QUIT);
   s100.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(2 ,START));
   s100.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(4 ,FINAL));
   s100.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s100.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s100.addTransition(ScannerTransEntry(2 ,'q' ,0));
   s100.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s100);

   Scanner s101(RANDSTR);
   s101.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(2 ,START));
   s101.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(7 ,FINAL));
   s101.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s101.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s101.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s101.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s101.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s101.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s101.addTransition(ScannerTransEntry(6 ,'r' ,7));
   _scannerList.Insert(s101);

   Scanner s102(RANDINT);
   s102.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(2 ,START));
   s102.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(7 ,FINAL));
   s102.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s102.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s102.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s102.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s102.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s102.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s102.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s102);

   Scanner s103(RBSEG);
   s103.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(2 ,START));
   s103.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(5 ,FINAL));
   s103.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s103.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s103.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s103.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s103.addTransition(ScannerTransEntry(4 ,'g' ,5));
   _scannerList.Insert(s103);

   Scanner s104(REFERENCES);
   s104.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(2 ,START));
   s104.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(10 ,FINAL));
   s104.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s104.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s104.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s104.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s104.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s104.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s104.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s104.addTransition(ScannerTransEntry(7 ,'c' ,8));
   s104.addTransition(ScannerTransEntry(8 ,'e' ,9));
   s104.addTransition(ScannerTransEntry(9 ,'s' ,10));
   _scannerList.Insert(s104);

   Scanner s105(RENAME);
   s105.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(2 ,START));
   s105.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(6 ,FINAL));
   s105.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s105.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s105.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s105.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s105.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s105.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s105);

   Scanner s106(REORGANIZE);
   s106.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(2 ,START));
   s106.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(10 ,FINAL));
   s106.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s106.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s106.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s106.addTransition(ScannerTransEntry(4 ,'g' ,5));
   s106.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s106.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s106.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s106.addTransition(ScannerTransEntry(8 ,'z' ,9));
   s106.addTransition(ScannerTransEntry(9 ,'e' ,10));
   _scannerList.Insert(s106);

   Scanner s107(RETURNTOKEN);
   s107.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(2 ,START));
   s107.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(6 ,FINAL));
   s107.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s107.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s107.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s107.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s107.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s107.addTransition(ScannerTransEntry(5 ,'n' ,6));
   _scannerList.Insert(s107);

   Scanner s108(REMOVE);
   s108.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(2 ,START));
   s108.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(6 ,FINAL));
   s108.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s108.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s108.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s108.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s108.addTransition(ScannerTransEntry(4 ,'v' ,5));
   s108.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s108);

   Scanner s109(REPLACE);
   s109.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(2 ,START));
   s109.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(7 ,FINAL));
   s109.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s109.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s109.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s109.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s109.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s109.addTransition(ScannerTransEntry(5 ,'c' ,6));
   s109.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s109);

   Scanner s110(RIGHT);
   s110.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(2 ,START));
   s110.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(5 ,FINAL));
   s110.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s110.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s110.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s110.addTransition(ScannerTransEntry(3 ,'h' ,4));
   s110.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s110);

   Scanner s111(ROLLBACK);
   s111.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(2 ,START));
   s111.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(8 ,FINAL));
   s111.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s111.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s111.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s111.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s111.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s111.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s111.addTransition(ScannerTransEntry(6 ,'c' ,7));
   s111.addTransition(ScannerTransEntry(7 ,'k' ,8));
   _scannerList.Insert(s111);

   Scanner s112(ROUND);
   s112.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(2 ,START));
   s112.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(5 ,FINAL));
   s112.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s112.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s112.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s112.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s112.addTransition(ScannerTransEntry(4 ,'d' ,5));
   _scannerList.Insert(s112);

   Scanner s113(ROWLIMIT);
   s113.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(2 ,START));
   s113.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(8 ,FINAL));
   s113.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s113.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s113.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s113.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s113.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s113.addTransition(ScannerTransEntry(5 ,'m' ,6));
   s113.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s113.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s113);

   Scanner s114(RTRIM);
   s114.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(2 ,START));
   s114.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(5 ,FINAL));
   s114.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s114.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s114.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s114.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s114.addTransition(ScannerTransEntry(4 ,'m' ,5));
   _scannerList.Insert(s114);

   Scanner s115(SELECT);
   s115.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(2 ,START));
   s115.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(6 ,FINAL));
   s115.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s115.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s115.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s115.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s115.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s115.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s115);

   Scanner s116(SET);
   s116.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(2 ,START));
   s116.addState(ScannerStateEntry(3 ,FINAL));
   s116.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s116.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s116.addTransition(ScannerTransEntry(2 ,'s' ,0));
   _scannerList.Insert(s116);

   Scanner s117(SHOW);
   s117.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(2 ,START));
   s117.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(4 ,FINAL));
   s117.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s117.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s117.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s117.addTransition(ScannerTransEntry(3 ,'w' ,4));
   _scannerList.Insert(s117);

   Scanner s118(SMALLINT);
   s118.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(2 ,START));
   s118.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(8 ,FINAL));
   s118.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s118.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s118.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s118.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s118.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s118.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s118.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s118.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s118);

   Scanner s119(START_TOKEN);
   s119.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(2 ,START));
   s119.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(5 ,FINAL));
   s119.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s119.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s119.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s119.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s119.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s119);

   Scanner s120(STRING);
   s120.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(2 ,START));
   s120.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(6 ,FINAL));
   s120.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s120.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s120.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s120.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s120.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s120.addTransition(ScannerTransEntry(5 ,'g' ,6));
   _scannerList.Insert(s120);

   Scanner s121(SUBSTR);
   s121.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(2 ,START));
   s121.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(6 ,FINAL));
   s121.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s121.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s121.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s121.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s121.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s121.addTransition(ScannerTransEntry(5 ,'r' ,6));
   _scannerList.Insert(s121);

   Scanner s122(SUM);
   s122.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(2 ,START));
   s122.addState(ScannerStateEntry(3 ,FINAL));
   s122.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s122.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s122.addTransition(ScannerTransEntry(2 ,'s' ,0));
   _scannerList.Insert(s122);

   Scanner s123(SYNC);
   s123.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(2 ,START));
   s123.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(4 ,FINAL));
   s123.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s123.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s123.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s123.addTransition(ScannerTransEntry(3 ,'c' ,4));
   _scannerList.Insert(s123);

   Scanner s124(SYSDATE);
   s124.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(2 ,START));
   s124.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(7 ,FINAL));
   s124.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s124.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s124.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s124.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s124.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s124.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s124.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s124);

   Scanner s125(SYSTEMSPACE);
   s125.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(2 ,START));
   s125.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(10 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(11 ,FINAL));
   s125.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s125.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s125.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s125.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s125.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s125.addTransition(ScannerTransEntry(5 ,'m' ,6));
   s125.addTransition(ScannerTransEntry(6 ,'s' ,7));
   s125.addTransition(ScannerTransEntry(7 ,'p' ,8));
   s125.addTransition(ScannerTransEntry(8 ,'a' ,9));
   s125.addTransition(ScannerTransEntry(9 ,'c' ,10));
   s125.addTransition(ScannerTransEntry(10 ,'e' ,11));
   _scannerList.Insert(s125);

   Scanner s126(SYSOBJ);
   s126.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(2 ,START));
   s126.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(6 ,FINAL));
   s126.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s126.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s126.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s126.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s126.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s126.addTransition(ScannerTransEntry(5 ,'j' ,6));
   _scannerList.Insert(s126);

   Scanner s127(TABLEINFO);
   s127.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(2 ,START));
   s127.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(9 ,FINAL));
   s127.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s127.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s127.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s127.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s127.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s127.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s127.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s127.addTransition(ScannerTransEntry(7 ,'f' ,8));
   s127.addTransition(ScannerTransEntry(8 ,'o' ,9));
   _scannerList.Insert(s127);

   Scanner s128(TABLE);
   s128.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(2 ,START));
   s128.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(5 ,FINAL));
   s128.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s128.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s128.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s128.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s128.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s128);

   Scanner s129(TABLESET);
   s129.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(2 ,START));
   s129.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(8 ,FINAL));
   s129.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s129.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s129.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s129.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s129.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s129.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s129.addTransition(ScannerTransEntry(6 ,'e' ,7));
   s129.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s129);

   Scanner s130(THEN);
   s130.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(2 ,START));
   s130.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(4 ,FINAL));
   s130.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s130.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s130.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s130.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s130);

   Scanner s131(TINYINT);
   s131.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(2 ,START));
   s131.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(7 ,FINAL));
   s131.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s131.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s131.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s131.addTransition(ScannerTransEntry(3 ,'y' ,4));
   s131.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s131.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s131.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s131);

   Scanner s132(TMPOBJ);
   s132.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(2 ,START));
   s132.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(6 ,FINAL));
   s132.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s132.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s132.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s132.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s132.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s132.addTransition(ScannerTransEntry(5 ,'j' ,6));
   _scannerList.Insert(s132);

   Scanner s133(TRANSACTION);
   s133.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(2 ,START));
   s133.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(10 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(11 ,FINAL));
   s133.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s133.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s133.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s133.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s133.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s133.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s133.addTransition(ScannerTransEntry(6 ,'c' ,7));
   s133.addTransition(ScannerTransEntry(7 ,'t' ,8));
   s133.addTransition(ScannerTransEntry(8 ,'i' ,9));
   s133.addTransition(ScannerTransEntry(9 ,'o' ,10));
   s133.addTransition(ScannerTransEntry(10 ,'n' ,11));
   _scannerList.Insert(s133);

   Scanner s134(STR2INT);
   s134.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(2 ,START));
   s134.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(7 ,FINAL));
   s134.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s134.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s134.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s134.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s134.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s134.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s134.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s134);

   Scanner s135(STR2LONG);
   s135.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(2 ,START));
   s135.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(8 ,FINAL));
   s135.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s135.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s135.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s135.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s135.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s135.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s135.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s135.addTransition(ScannerTransEntry(7 ,'g' ,8));
   _scannerList.Insert(s135);

   Scanner s136(TO);
   s136.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(1 ,FINAL));
   s136.addState(ScannerStateEntry(2 ,START));
   s136.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s136.addTransition(ScannerTransEntry(2 ,'t' ,0));
   _scannerList.Insert(s136);

   Scanner s137(TRIM);
   s137.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(2 ,START));
   s137.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(4 ,FINAL));
   s137.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s137.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s137.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s137.addTransition(ScannerTransEntry(3 ,'m' ,4));
   _scannerList.Insert(s137);

   Scanner s138(TRUEVAL);
   s138.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(2 ,START));
   s138.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(4 ,FINAL));
   s138.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s138.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s138.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s138.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s138);

   Scanner s139(TRUNC);
   s139.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(2 ,START));
   s139.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(5 ,FINAL));
   s139.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s139.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s139.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s139.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s139.addTransition(ScannerTransEntry(4 ,'c' ,5));
   _scannerList.Insert(s139);

   Scanner s140(UNION);
   s140.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(2 ,START));
   s140.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(5 ,FINAL));
   s140.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s140.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s140.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s140.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s140.addTransition(ScannerTransEntry(4 ,'n' ,5));
   _scannerList.Insert(s140);

   Scanner s141(UNIQUE);
   s141.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(2 ,START));
   s141.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(6 ,FINAL));
   s141.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s141.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s141.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s141.addTransition(ScannerTransEntry(3 ,'q' ,4));
   s141.addTransition(ScannerTransEntry(4 ,'u' ,5));
   s141.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s141);

   Scanner s142(UPDATE);
   s142.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(2 ,START));
   s142.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(6 ,FINAL));
   s142.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s142.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s142.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s142.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s142.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s142.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s142);

   Scanner s143(UPPER);
   s143.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(2 ,START));
   s143.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(5 ,FINAL));
   s143.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s143.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s143.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s143.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s143.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s143);

   Scanner s144(VAR);
   s144.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(2 ,START));
   s144.addState(ScannerStateEntry(3 ,FINAL));
   s144.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s144.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s144.addTransition(ScannerTransEntry(2 ,'v' ,0));
   _scannerList.Insert(s144);

   Scanner s145(VALUES);
   s145.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(2 ,START));
   s145.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(6 ,FINAL));
   s145.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s145.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s145.addTransition(ScannerTransEntry(2 ,'v' ,0));
   s145.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s145.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s145.addTransition(ScannerTransEntry(5 ,'s' ,6));
   _scannerList.Insert(s145);

   Scanner s146(VIEW);
   s146.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(2 ,START));
   s146.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(4 ,FINAL));
   s146.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s146.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s146.addTransition(ScannerTransEntry(2 ,'v' ,0));
   s146.addTransition(ScannerTransEntry(3 ,'w' ,4));
   _scannerList.Insert(s146);

   Scanner s147(WHEN);
   s147.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(2 ,START));
   s147.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(4 ,FINAL));
   s147.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s147.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s147.addTransition(ScannerTransEntry(2 ,'w' ,0));
   s147.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s147);

   Scanner s148(WHERE);
   s148.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(2 ,START));
   s148.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(5 ,FINAL));
   s148.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s148.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s148.addTransition(ScannerTransEntry(2 ,'w' ,0));
   s148.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s148.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s148);

   Scanner s149(WHILE);
   s149.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(2 ,START));
   s149.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(5 ,FINAL));
   s149.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s149.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s149.addTransition(ScannerTransEntry(2 ,'w' ,0));
   s149.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s149.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s149);

   Scanner s150(CONCAT);
   s150.addState(ScannerStateEntry(0 ,START));
   s150.addState(ScannerStateEntry(1 ,FINAL));
   s150.addTransition(ScannerTransEntry(0 ,'|' ,1));
   _scannerList.Insert(s150);

   Scanner s151(EQU);
   s151.addState(ScannerStateEntry(0 ,START));
   s151.addState(ScannerStateEntry(1 ,FINAL));
   s151.addTransition(ScannerTransEntry(0 ,'=' ,1));
   _scannerList.Insert(s151);

   Scanner s152(KSEP);
   s152.addState(ScannerStateEntry(0 ,START));
   s152.addState(ScannerStateEntry(1 ,FINAL));
   s152.addTransition(ScannerTransEntry(0 ,',' ,1));
   _scannerList.Insert(s152);

   Scanner s153(LB);
   s153.addState(ScannerStateEntry(0 ,START));
   s153.addState(ScannerStateEntry(1 ,FINAL));
   s153.addTransition(ScannerTransEntry(0 ,'(' ,1));
   _scannerList.Insert(s153);

   Scanner s154(LT);
   s154.addState(ScannerStateEntry(0 ,START));
   s154.addState(ScannerStateEntry(1 ,FINAL));
   s154.addTransition(ScannerTransEntry(0 ,'<' ,1));
   _scannerList.Insert(s154);

   Scanner s155(MT);
   s155.addState(ScannerStateEntry(0 ,START));
   s155.addState(ScannerStateEntry(1 ,FINAL));
   s155.addTransition(ScannerTransEntry(0 ,'>' ,1));
   _scannerList.Insert(s155);

   Scanner s156(NEGATION);
   s156.addState(ScannerStateEntry(0 ,START));
   s156.addState(ScannerStateEntry(1 ,FINAL));
   s156.addTransition(ScannerTransEntry(0 ,'!' ,1));
   _scannerList.Insert(s156);

   Scanner s157(RB);
   s157.addState(ScannerStateEntry(0 ,START));
   s157.addState(ScannerStateEntry(1 ,FINAL));
   s157.addTransition(ScannerTransEntry(0 ,')' ,1));
   _scannerList.Insert(s157);

   Scanner s158(LAB);
   s158.addState(ScannerStateEntry(0 ,START));
   s158.addState(ScannerStateEntry(1 ,FINAL));
   s158.addTransition(ScannerTransEntry(0 ,'[' ,1));
   _scannerList.Insert(s158);

   Scanner s159(RAB);
   s159.addState(ScannerStateEntry(0 ,START));
   s159.addState(ScannerStateEntry(1 ,FINAL));
   s159.addTransition(ScannerTransEntry(0 ,']' ,1));
   _scannerList.Insert(s159);

   Scanner s160(SEMICOLON);
   s160.addState(ScannerStateEntry(0 ,START));
   s160.addState(ScannerStateEntry(1 ,FINAL));
   s160.addTransition(ScannerTransEntry(0 ,';' ,1));
   _scannerList.Insert(s160);

   Scanner s161(STAR);
   s161.addState(ScannerStateEntry(0 ,START));
   s161.addState(ScannerStateEntry(1 ,FINAL));
   s161.addTransition(ScannerTransEntry(0 ,'*' ,1));
   _scannerList.Insert(s161);

   Scanner s162(DIVISION);
   s162.addState(ScannerStateEntry(0 ,START));
   s162.addState(ScannerStateEntry(1 ,FINAL));
   s162.addTransition(ScannerTransEntry(0 ,'/' ,1));
   _scannerList.Insert(s162);

   Scanner s163(MINUS);
   s163.addState(ScannerStateEntry(0 ,START));
   s163.addState(ScannerStateEntry(1 ,FINAL));
   s163.addTransition(ScannerTransEntry(0 ,'-' ,1));
   _scannerList.Insert(s163);

   Scanner s164(PLUS);
   s164.addState(ScannerStateEntry(0 ,START));
   s164.addState(ScannerStateEntry(1 ,FINAL));
   s164.addTransition(ScannerTransEntry(0 ,'+' ,1));
   _scannerList.Insert(s164);

   Scanner s165(INTVAL);
   s165.addState(ScannerStateEntry(0 ,START));
   s165.addState(ScannerStateEntry(1 ,FINAL));
   s165.addState(ScannerStateEntry(2 ,FINAL));
   s165.addTransition(ScannerTransEntry(0 ,'1' ,1));
   s165.addTransition(ScannerTransEntry(0 ,'2' ,1));
   s165.addTransition(ScannerTransEntry(0 ,'3' ,1));
   s165.addTransition(ScannerTransEntry(0 ,'4' ,1));
   s165.addTransition(ScannerTransEntry(0 ,'5' ,1));
   s165.addTransition(ScannerTransEntry(0 ,'6' ,1));
   s165.addTransition(ScannerTransEntry(0 ,'7' ,1));
   s165.addTransition(ScannerTransEntry(0 ,'8' ,1));
   s165.addTransition(ScannerTransEntry(0 ,'9' ,1));
   s165.addTransition(ScannerTransEntry(0 ,'0' ,2));
   s165.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s165.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s165.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s165.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s165.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s165.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s165.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s165.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s165.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s165.addTransition(ScannerTransEntry(1 ,'9' ,1));
   _scannerList.Insert(s165);

   Scanner s166(FLOATVAL);
   s166.addState(ScannerStateEntry(0 ,START));
   s166.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s166.addState(ScannerStateEntry(2 ,INTERMEDIATE));
   s166.addState(ScannerStateEntry(3 ,FINAL));
   s166.addTransition(ScannerTransEntry(0 ,'1' ,1));
   s166.addTransition(ScannerTransEntry(0 ,'2' ,1));
   s166.addTransition(ScannerTransEntry(0 ,'3' ,1));
   s166.addTransition(ScannerTransEntry(0 ,'4' ,1));
   s166.addTransition(ScannerTransEntry(0 ,'5' ,1));
   s166.addTransition(ScannerTransEntry(0 ,'6' ,1));
   s166.addTransition(ScannerTransEntry(0 ,'7' ,1));
   s166.addTransition(ScannerTransEntry(0 ,'8' ,1));
   s166.addTransition(ScannerTransEntry(0 ,'9' ,1));
   s166.addTransition(ScannerTransEntry(0 ,'0' ,2));
   s166.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s166.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s166.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s166.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s166.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s166.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s166.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s166.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s166.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s166.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s166.addTransition(ScannerTransEntry(1 ,'.' ,3));
   s166.addTransition(ScannerTransEntry(2 ,'.' ,3));
   s166.addTransition(ScannerTransEntry(3 ,'0' ,3));
   s166.addTransition(ScannerTransEntry(3 ,'1' ,3));
   s166.addTransition(ScannerTransEntry(3 ,'2' ,3));
   s166.addTransition(ScannerTransEntry(3 ,'3' ,3));
   s166.addTransition(ScannerTransEntry(3 ,'4' ,3));
   s166.addTransition(ScannerTransEntry(3 ,'5' ,3));
   s166.addTransition(ScannerTransEntry(3 ,'6' ,3));
   s166.addTransition(ScannerTransEntry(3 ,'7' ,3));
   s166.addTransition(ScannerTransEntry(3 ,'8' ,3));
   s166.addTransition(ScannerTransEntry(3 ,'9' ,3));
   _scannerList.Insert(s166);

   Scanner s167(IDENTIFIER);
   s167.addState(ScannerStateEntry(0 ,START));
   s167.addState(ScannerStateEntry(1 ,FINAL));
   s167.addTransition(ScannerTransEntry(0 ,'$' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'z' ,1));
   _scannerList.Insert(s167);

   Scanner s168(VARREF);
   s168.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s168.addState(ScannerStateEntry(1 ,FINAL));
   s168.addState(ScannerStateEntry(2 ,START));
   s168.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s168.addTransition(ScannerTransEntry(2 ,':' ,0));
   _scannerList.Insert(s168);

   Scanner s169(QUALIFIEDOBJ);
   s169.addState(ScannerStateEntry(0 ,START));
   s169.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s169.addState(ScannerStateEntry(2 ,INTERMEDIATE));
   s169.addState(ScannerStateEntry(3 ,FINAL));
   s169.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'.' ,2));
   s169.addTransition(ScannerTransEntry(2 ,'$' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'A' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'B' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'C' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'D' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'E' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'F' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'G' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'H' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'I' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'J' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'K' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'L' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'M' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'N' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'O' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'P' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'Q' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'R' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'S' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'T' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'U' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'V' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'W' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'X' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'Y' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'Z' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'a' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'b' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'c' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'d' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'e' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'f' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'g' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'h' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'i' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'j' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'k' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'l' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'m' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'n' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'o' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'p' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'q' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'r' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'s' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'t' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'u' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'v' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'w' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'x' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'y' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'z' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'0' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'1' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'2' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'3' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'4' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'5' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'6' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'7' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'8' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'9' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'A' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'B' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'C' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'D' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'E' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'F' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'G' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'H' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'I' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'J' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'K' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'L' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'M' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'N' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'O' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'P' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'Q' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'R' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'S' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'T' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'U' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'V' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'W' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'X' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'Y' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'Z' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'_' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'a' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'b' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'c' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'d' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'e' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'f' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'g' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'h' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'i' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'j' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'k' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'l' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'m' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'n' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'o' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'p' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'q' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'r' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'s' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'t' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'u' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'v' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'w' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'x' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'y' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'z' ,3));
   _scannerList.Insert(s169);

   Scanner s170(QUALIFIEDPRE);
   s170.addState(ScannerStateEntry(0 ,START));
   s170.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s170.addState(ScannerStateEntry(2 ,FINAL));
   s170.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'.' ,2));
   _scannerList.Insert(s170);

   Scanner s171(QUALIFIEDTS);
   s171.addState(ScannerStateEntry(0 ,START));
   s171.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s171.addState(ScannerStateEntry(2 ,INTERMEDIATE));
   s171.addState(ScannerStateEntry(3 ,FINAL));
   s171.addTransition(ScannerTransEntry(0 ,'$' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'@' ,2));
   s171.addTransition(ScannerTransEntry(2 ,'A' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'B' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'C' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'D' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'E' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'F' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'G' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'H' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'I' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'J' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'K' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'L' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'M' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'N' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'O' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'P' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'Q' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'R' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'S' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'T' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'U' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'V' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'W' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'X' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'Y' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'Z' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'a' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'b' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'c' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'d' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'e' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'f' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'g' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'h' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'i' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'j' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'k' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'l' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'m' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'n' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'o' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'p' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'q' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'r' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'s' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'t' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'u' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'v' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'w' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'x' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'y' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'z' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'0' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'1' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'2' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'3' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'4' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'5' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'6' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'7' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'8' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'9' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'A' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'B' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'C' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'D' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'E' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'F' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'G' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'H' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'I' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'J' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'K' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'L' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'M' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'N' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'O' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'P' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'Q' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'R' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'S' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'T' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'U' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'V' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'W' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'X' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'Y' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'Z' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'_' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'a' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'b' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'c' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'d' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'e' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'f' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'g' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'h' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'i' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'j' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'k' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'l' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'m' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'n' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'o' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'p' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'q' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'r' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'s' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'t' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'u' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'v' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'w' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'x' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'y' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'z' ,3));
   _scannerList.Insert(s171);

   Scanner s172(COUNTERID);
   s172.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s172.addState(ScannerStateEntry(1 ,FINAL));
   s172.addState(ScannerStateEntry(2 ,START));
   s172.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s172.addTransition(ScannerTransEntry(2 ,'#' ,0));
   _scannerList.Insert(s172);

}
void Cego::loadParser0()
{
   _actionMap[795][SEMICOLON] = ActionEntry(REDUCE, 60);
   _actionMap[794][RB] = ActionEntry(SHIFT, 795);
   _actionMap[793][IDENTIFIER] = ActionEntry(SHIFT, 679);
   _jumpMap[793][SimpleAttr] = 678;
   _jumpMap[793][SimpleAttrList] = 794;
   _actionMap[790][LB] = ActionEntry(SHIFT, 793);
   _actionMap[791][ROWLIMIT] = ActionEntry(REDUCE, 222);
   _actionMap[791][UNION] = ActionEntry(REDUCE, 222);
   _actionMap[791][ENDTOKEN] = ActionEntry(REDUCE, 222);
   _actionMap[791][RB] = ActionEntry(REDUCE, 222);
   _actionMap[791][SEMICOLON] = ActionEntry(REDUCE, 222);
   _actionMap[791][KSEP] = ActionEntry(REDUCE, 222);
   _actionMap[792][PLUS] = ActionEntry(SHIFT, 211);
   _actionMap[792][MINUS] = ActionEntry(SHIFT, 210);
   _actionMap[792][CONCAT] = ActionEntry(SHIFT, 209);
   _actionMap[792][ORDER] = ActionEntry(REDUCE, 216);
   _actionMap[792][ROWLIMIT] = ActionEntry(REDUCE, 216);
   _actionMap[792][UNION] = ActionEntry(REDUCE, 216);
   _actionMap[792][ENDTOKEN] = ActionEntry(REDUCE, 216);
   _actionMap[792][RB] = ActionEntry(REDUCE, 216);
   _actionMap[792][SEMICOLON] = ActionEntry(REDUCE, 216);
   _actionMap[786][IDENTIFIER] = ActionEntry(SHIFT, 790);
   _actionMap[787][SEMICOLON] = ActionEntry(REDUCE, 71);
   _actionMap[787][RB] = ActionEntry(REDUCE, 71);
   _actionMap[788][PLUS] = ActionEntry(SHIFT, 211);
   _actionMap[788][MINUS] = ActionEntry(SHIFT, 210);
   _actionMap[788][CONCAT] = ActionEntry(SHIFT, 209);
   _actionMap[788][ASC] = ActionEntry(SHIFT, 779);
   _actionMap[788][ROWLIMIT] = ActionEntry(REDUCE, 227);
   _actionMap[788][DESC] = ActionEntry(SHIFT, 780);
   _actionMap[788][UNION] = ActionEntry(REDUCE, 227);
   _actionMap[788][ENDTOKEN] = ActionEntry(REDUCE, 227);
   _actionMap[788][RB] = ActionEntry(REDUCE, 227);
   _actionMap[788][SEMICOLON] = ActionEntry(REDUCE, 227);
   _actionMap[788][KSEP] = ActionEntry(REDUCE, 227);
   _jumpMap[788][DefaultOrderOpt] = 778;
   _jumpMap[788][OrderingOpt] = 791;
   _actionMap[789][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[789][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[789][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[789][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[789][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[789][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[789][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[789][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[789][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[789][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[789][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[789][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[789][LEFT] = ActionEntry(SHIFT, 110);
}
void Cego::loadParser1()
{
   _actionMap[789][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[789][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[789][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[789][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[789][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[789][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[789][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[789][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[789][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[789][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[789][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[789][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[789][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[789][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[789][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[789][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[789][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[789][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[789][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[789][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[789][LB] = ActionEntry(SHIFT, 135);
   _actionMap[789][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[789][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[789][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[789][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[789][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[789][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[789][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[789][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[789][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[789][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[789][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[789][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[789][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[789][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[789][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[789][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[789][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[789][ObjSpec] = 94;
   _jumpMap[789][Constant] = 93;
   _jumpMap[789][SignedFloat] = 92;
   _jumpMap[789][SignedInt] = 91;
   _jumpMap[789][Attribute] = 90;
   _jumpMap[789][Function] = 89;
   _jumpMap[789][CasePrepare] = 88;
   _jumpMap[789][CaseClause] = 87;
   _jumpMap[789][Factor] = 86;
   _jumpMap[789][Term] = 85;
   _jumpMap[789][Expr] = 792;
   _actionMap[774][REFERENCES] = ActionEntry(SHIFT, 786);
}
void Cego::loadParser2()
{
   _actionMap[775][ELSE] = ActionEntry(REDUCE, 107);
   _actionMap[775][ELSIF] = ActionEntry(REDUCE, 107);
   _actionMap[775][EXCEPTION] = ActionEntry(REDUCE, 107);
   _actionMap[775][END_TOKEN] = ActionEntry(REDUCE, 107);
   _actionMap[775][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[775][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[775][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[775][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[775][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[775][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[775][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[775][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[775][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[775][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[775][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[775][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[775][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[775][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[775][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[775][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[775][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[775][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[775][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[775][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[775][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[775][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[775][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[775][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[775][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[775][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[775][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[775][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[775][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[775][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[775][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[775][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[775][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[775][LB] = ActionEntry(SHIFT, 135);
   _actionMap[775][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[775][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[775][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[775][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[775][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[775][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[775][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[775][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[775][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[775][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[775][VARREF] = ActionEntry(SHIFT, 322);
   _actionMap[775][FETCH] = ActionEntry(SHIFT, 107);
}
void Cego::loadParser3()
{
   _actionMap[775][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[775][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[775][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[775][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[775][MAX] = ActionEntry(SHIFT, 115);
   _actionMap[775][IF] = ActionEntry(SHIFT, 317);
   _actionMap[775][BEGIN] = ActionEntry(SHIFT, 314);
   _actionMap[775][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[775][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[775][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[775][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[775][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[775][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[775][VAR] = ActionEntry(SHIFT, 320);
   _actionMap[775][CURSOR] = ActionEntry(SHIFT, 316);
   _actionMap[775][CLOSE] = ActionEntry(SHIFT, 315);
   _actionMap[775][NOOP] = ActionEntry(SHIFT, 318);
   _actionMap[775][RETURNTOKEN] = ActionEntry(SHIFT, 319);
   _actionMap[775][WHILE] = ActionEntry(SHIFT, 321);
   _jumpMap[775][ObjSpec] = 94;
   _jumpMap[775][Constant] = 93;
   _jumpMap[775][SignedFloat] = 92;
   _jumpMap[775][SignedInt] = 91;
   _jumpMap[775][Attribute] = 90;
   _jumpMap[775][Function] = 89;
   _jumpMap[775][DeleteStatement] = 313;
   _jumpMap[775][UpdateStatement] = 312;
   _jumpMap[775][InsertStatement] = 311;
   _jumpMap[775][RollbackStatement] = 310;
   _jumpMap[775][CommitStatement] = 309;
   _jumpMap[775][StartStatement] = 308;
   _jumpMap[775][CasePrepare] = 88;
   _jumpMap[775][CaseClause] = 87;
   _jumpMap[775][Factor] = 86;
   _jumpMap[775][Term] = 85;
   _jumpMap[775][Expr] = 307;
   _jumpMap[775][ProcStatement] = 430;
   _jumpMap[775][ProcIfPart] = 305;
   _jumpMap[775][ProcBlockStart] = 304;
   _actionMap[776][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[776][SelectStatement] = 787;
   _actionMap[777][ROWLIMIT] = ActionEntry(REDUCE, 223);
   _actionMap[777][UNION] = ActionEntry(REDUCE, 223);
   _actionMap[777][ENDTOKEN] = ActionEntry(REDUCE, 223);
   _actionMap[777][RB] = ActionEntry(REDUCE, 223);
   _actionMap[777][SEMICOLON] = ActionEntry(REDUCE, 223);
   _actionMap[777][KSEP] = ActionEntry(REDUCE, 223);
   _actionMap[778][ROWLIMIT] = ActionEntry(REDUCE, 224);
   _actionMap[778][UNION] = ActionEntry(REDUCE, 224);
   _actionMap[778][ENDTOKEN] = ActionEntry(REDUCE, 224);
}
void Cego::loadParser4()
{
   _actionMap[778][RB] = ActionEntry(REDUCE, 224);
   _actionMap[778][SEMICOLON] = ActionEntry(REDUCE, 224);
   _actionMap[778][KSEP] = ActionEntry(REDUCE, 224);
   _actionMap[779][ROWLIMIT] = ActionEntry(REDUCE, 226);
   _actionMap[779][UNION] = ActionEntry(REDUCE, 226);
   _actionMap[779][ENDTOKEN] = ActionEntry(REDUCE, 226);
   _actionMap[779][RB] = ActionEntry(REDUCE, 226);
   _actionMap[779][SEMICOLON] = ActionEntry(REDUCE, 226);
   _actionMap[779][KSEP] = ActionEntry(REDUCE, 226);
   _actionMap[780][ROWLIMIT] = ActionEntry(REDUCE, 225);
   _actionMap[780][UNION] = ActionEntry(REDUCE, 225);
   _actionMap[780][ENDTOKEN] = ActionEntry(REDUCE, 225);
   _actionMap[780][RB] = ActionEntry(REDUCE, 225);
   _actionMap[780][SEMICOLON] = ActionEntry(REDUCE, 225);
   _actionMap[780][KSEP] = ActionEntry(REDUCE, 225);
   _actionMap[781][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[781][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[781][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[781][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[781][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[781][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[781][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[781][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[781][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[781][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[781][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[781][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[781][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[781][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[781][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[781][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[781][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[781][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[781][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[781][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[781][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[781][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[781][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[781][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[781][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[781][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[781][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[781][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[781][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[781][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[781][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[781][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[781][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[781][LB] = ActionEntry(SHIFT, 135);
   _actionMap[781][STRINGVAL] = ActionEntry(SHIFT, 95);
}
void Cego::loadParser5()
{
   _actionMap[781][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[781][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[781][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[781][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[781][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[781][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[781][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[781][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[781][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[781][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[781][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[781][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[781][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[781][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[781][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[781][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[781][ObjSpec] = 94;
   _jumpMap[781][Constant] = 93;
   _jumpMap[781][SignedFloat] = 92;
   _jumpMap[781][SignedInt] = 91;
   _jumpMap[781][Attribute] = 90;
   _jumpMap[781][Function] = 89;
   _jumpMap[781][CasePrepare] = 88;
   _jumpMap[781][CaseClause] = 87;
   _jumpMap[781][Factor] = 86;
   _jumpMap[781][Term] = 85;
   _jumpMap[781][Expr] = 788;
   _actionMap[782][PLUS] = ActionEntry(SHIFT, 211);
   _actionMap[782][MINUS] = ActionEntry(SHIFT, 210);
   _actionMap[782][CONCAT] = ActionEntry(SHIFT, 209);
   _actionMap[782][EQU] = ActionEntry(SHIFT, 474);
   _actionMap[782][NEGATION] = ActionEntry(SHIFT, 477);
   _actionMap[782][LT] = ActionEntry(SHIFT, 475);
   _actionMap[782][MT] = ActionEntry(SHIFT, 476);
   _jumpMap[782][Comparison] = 789;
   _actionMap[783][KSEP] = ActionEntry(REDUCE, 214);
   _actionMap[783][HAVING] = ActionEntry(REDUCE, 214);
   _actionMap[783][ORDER] = ActionEntry(REDUCE, 214);
   _actionMap[783][ROWLIMIT] = ActionEntry(REDUCE, 214);
   _actionMap[783][UNION] = ActionEntry(REDUCE, 214);
   _actionMap[783][ENDTOKEN] = ActionEntry(REDUCE, 214);
   _actionMap[783][RB] = ActionEntry(REDUCE, 214);
   _actionMap[783][SEMICOLON] = ActionEntry(REDUCE, 214);
   _actionMap[784][AND] = ActionEntry(SHIFT, 478);
   _actionMap[784][OR] = ActionEntry(SHIFT, 479);
   _actionMap[784][LEFT] = ActionEntry(REDUCE, 200);
   _actionMap[784][RIGHT] = ActionEntry(REDUCE, 200);
   _actionMap[784][INNER] = ActionEntry(REDUCE, 200);
   _actionMap[784][JOIN] = ActionEntry(REDUCE, 200);
   _actionMap[784][RETURNTOKEN] = ActionEntry(REDUCE, 200);
}
void Cego::loadParser6()
{
   _actionMap[784][SEMICOLON] = ActionEntry(REDUCE, 200);
   _actionMap[784][RB] = ActionEntry(REDUCE, 200);
   _actionMap[784][ENDTOKEN] = ActionEntry(REDUCE, 200);
   _actionMap[784][UNION] = ActionEntry(REDUCE, 200);
   _actionMap[784][ROWLIMIT] = ActionEntry(REDUCE, 200);
   _actionMap[784][ORDER] = ActionEntry(REDUCE, 200);
   _actionMap[784][GROUP] = ActionEntry(REDUCE, 200);
   _actionMap[784][WHERE] = ActionEntry(REDUCE, 200);
   _actionMap[785][AND] = ActionEntry(SHIFT, 478);
   _actionMap[785][OR] = ActionEntry(SHIFT, 479);
   _actionMap[785][LEFT] = ActionEntry(REDUCE, 201);
   _actionMap[785][RIGHT] = ActionEntry(REDUCE, 201);
   _actionMap[785][INNER] = ActionEntry(REDUCE, 201);
   _actionMap[785][JOIN] = ActionEntry(REDUCE, 201);
   _actionMap[785][RETURNTOKEN] = ActionEntry(REDUCE, 201);
   _actionMap[785][SEMICOLON] = ActionEntry(REDUCE, 201);
   _actionMap[785][RB] = ActionEntry(REDUCE, 201);
   _actionMap[785][ENDTOKEN] = ActionEntry(REDUCE, 201);
   _actionMap[785][UNION] = ActionEntry(REDUCE, 201);
   _actionMap[785][ROWLIMIT] = ActionEntry(REDUCE, 201);
   _actionMap[785][ORDER] = ActionEntry(REDUCE, 201);
   _actionMap[785][GROUP] = ActionEntry(REDUCE, 201);
   _actionMap[785][WHERE] = ActionEntry(REDUCE, 201);
   _actionMap[751][RB] = ActionEntry(SHIFT, 774);
   _actionMap[752][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[752][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[752][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[752][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[752][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[752][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[752][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[752][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[752][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[752][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[752][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[752][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[752][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[752][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[752][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[752][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[752][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[752][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[752][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[752][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[752][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[752][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[752][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[752][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[752][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[752][POWER] = ActionEntry(SHIFT, 119);
}
void Cego::loadParser7()
{
   _actionMap[752][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[752][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[752][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[752][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[752][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[752][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[752][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[752][LB] = ActionEntry(SHIFT, 135);
   _actionMap[752][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[752][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[752][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[752][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[752][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[752][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[752][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[752][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[752][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[752][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[752][VARREF] = ActionEntry(SHIFT, 322);
   _actionMap[752][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[752][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[752][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[752][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[752][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[752][MAX] = ActionEntry(SHIFT, 115);
   _actionMap[752][IF] = ActionEntry(SHIFT, 317);
   _actionMap[752][BEGIN] = ActionEntry(SHIFT, 314);
   _actionMap[752][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[752][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[752][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[752][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[752][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[752][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[752][VAR] = ActionEntry(SHIFT, 320);
   _actionMap[752][CURSOR] = ActionEntry(SHIFT, 316);
   _actionMap[752][CLOSE] = ActionEntry(SHIFT, 315);
   _actionMap[752][NOOP] = ActionEntry(SHIFT, 318);
   _actionMap[752][RETURNTOKEN] = ActionEntry(SHIFT, 319);
   _actionMap[752][WHILE] = ActionEntry(SHIFT, 321);
   _jumpMap[752][ObjSpec] = 94;
   _jumpMap[752][Constant] = 93;
   _jumpMap[752][SignedFloat] = 92;
   _jumpMap[752][SignedInt] = 91;
   _jumpMap[752][Attribute] = 90;
   _jumpMap[752][Function] = 89;
   _jumpMap[752][DeleteStatement] = 313;
   _jumpMap[752][UpdateStatement] = 312;
   _jumpMap[752][InsertStatement] = 311;
   _jumpMap[752][RollbackStatement] = 310;
   _jumpMap[752][CommitStatement] = 309;
}
void Cego::loadParser8()
{
   _jumpMap[752][StartStatement] = 308;
   _jumpMap[752][CasePrepare] = 88;
   _jumpMap[752][CaseClause] = 87;
   _jumpMap[752][Factor] = 86;
   _jumpMap[752][Term] = 85;
   _jumpMap[752][Expr] = 307;
   _jumpMap[752][ProcStatement] = 306;
   _jumpMap[752][ProcIfPart] = 305;
   _jumpMap[752][ProcBlockStart] = 304;
   _jumpMap[752][ProcStatementList] = 775;
   _actionMap[753][BEGIN] = ActionEntry(REDUCE, 309);
   _actionMap[753][DEFAULT] = ActionEntry(REDUCE, 309);
   _actionMap[753][NULLTOKEN] = ActionEntry(REDUCE, 309);
   _actionMap[753][NOT] = ActionEntry(REDUCE, 309);
   _actionMap[753][KSEP] = ActionEntry(REDUCE, 309);
   _actionMap[753][RB] = ActionEntry(REDUCE, 309);
   _actionMap[753][EQU] = ActionEntry(REDUCE, 309);
   _actionMap[753][SEMICOLON] = ActionEntry(REDUCE, 309);
   _actionMap[754][BEGIN] = ActionEntry(REDUCE, 314);
   _actionMap[754][DEFAULT] = ActionEntry(REDUCE, 314);
   _actionMap[754][NULLTOKEN] = ActionEntry(REDUCE, 314);
   _actionMap[754][NOT] = ActionEntry(REDUCE, 314);
   _actionMap[754][KSEP] = ActionEntry(REDUCE, 314);
   _actionMap[754][RB] = ActionEntry(REDUCE, 314);
   _actionMap[754][EQU] = ActionEntry(REDUCE, 314);
   _actionMap[754][SEMICOLON] = ActionEntry(REDUCE, 314);
   _actionMap[755][BEGIN] = ActionEntry(REDUCE, 315);
   _actionMap[755][DEFAULT] = ActionEntry(REDUCE, 315);
   _actionMap[755][NULLTOKEN] = ActionEntry(REDUCE, 315);
   _actionMap[755][NOT] = ActionEntry(REDUCE, 315);
   _actionMap[755][KSEP] = ActionEntry(REDUCE, 315);
   _actionMap[755][RB] = ActionEntry(REDUCE, 315);
   _actionMap[755][EQU] = ActionEntry(REDUCE, 315);
   _actionMap[755][SEMICOLON] = ActionEntry(REDUCE, 315);
   _actionMap[756][BEGIN] = ActionEntry(REDUCE, 306);
   _actionMap[756][DEFAULT] = ActionEntry(REDUCE, 306);
   _actionMap[756][NULLTOKEN] = ActionEntry(REDUCE, 306);
   _actionMap[756][NOT] = ActionEntry(REDUCE, 306);
   _actionMap[756][KSEP] = ActionEntry(REDUCE, 306);
   _actionMap[756][RB] = ActionEntry(REDUCE, 306);
   _actionMap[756][EQU] = ActionEntry(REDUCE, 306);
   _actionMap[756][SEMICOLON] = ActionEntry(REDUCE, 306);
   _actionMap[757][SEMICOLON] = ActionEntry(REDUCE, 51);
   _actionMap[758][RB] = ActionEntry(REDUCE, 172);
   _actionMap[759][SEMICOLON] = ActionEntry(REDUCE, 166);
   _actionMap[759][KSEP] = ActionEntry(REDUCE, 166);
   _actionMap[759][RB] = ActionEntry(REDUCE, 166);
   _actionMap[760][LEFT] = ActionEntry(REDUCE, 295);
   _actionMap[760][RIGHT] = ActionEntry(REDUCE, 295);
   _actionMap[760][INNER] = ActionEntry(REDUCE, 295);
}
void Cego::loadParser9()
{
   _actionMap[760][JOIN] = ActionEntry(REDUCE, 295);
   _actionMap[760][RETURNTOKEN] = ActionEntry(REDUCE, 295);
   _actionMap[760][SEMICOLON] = ActionEntry(REDUCE, 295);
   _actionMap[760][ENDTOKEN] = ActionEntry(REDUCE, 295);
   _actionMap[760][UNION] = ActionEntry(REDUCE, 295);
   _actionMap[760][ROWLIMIT] = ActionEntry(REDUCE, 295);
   _actionMap[760][ORDER] = ActionEntry(REDUCE, 295);
   _actionMap[760][GROUP] = ActionEntry(REDUCE, 295);
   _actionMap[760][WHERE] = ActionEntry(REDUCE, 295);
   _actionMap[760][THEN] = ActionEntry(REDUCE, 295);
   _actionMap[760][AND] = ActionEntry(REDUCE, 295);
   _actionMap[760][OR] = ActionEntry(REDUCE, 295);
   _actionMap[760][RB] = ActionEntry(REDUCE, 295);
   _actionMap[761][SEMICOLON] = ActionEntry(REDUCE, 189);
   _actionMap[761][RB] = ActionEntry(REDUCE, 189);
   _actionMap[762][ALL] = ActionEntry(SHIFT, 776);
   _actionMap[763][UNION] = ActionEntry(REDUCE, 230);
   _actionMap[763][ENDTOKEN] = ActionEntry(REDUCE, 230);
   _actionMap[763][RB] = ActionEntry(REDUCE, 230);
   _actionMap[763][SEMICOLON] = ActionEntry(REDUCE, 230);
   _actionMap[764][PLUS] = ActionEntry(SHIFT, 211);
   _actionMap[764][MINUS] = ActionEntry(SHIFT, 210);
   _actionMap[764][CONCAT] = ActionEntry(SHIFT, 209);
   _actionMap[764][ASC] = ActionEntry(SHIFT, 779);
   _actionMap[764][ROWLIMIT] = ActionEntry(REDUCE, 227);
   _actionMap[764][DESC] = ActionEntry(SHIFT, 780);
   _actionMap[764][UNION] = ActionEntry(REDUCE, 227);
   _actionMap[764][ENDTOKEN] = ActionEntry(REDUCE, 227);
   _actionMap[764][RB] = ActionEntry(REDUCE, 227);
   _actionMap[764][SEMICOLON] = ActionEntry(REDUCE, 227);
   _actionMap[764][KSEP] = ActionEntry(REDUCE, 227);
   _jumpMap[764][DefaultOrderOpt] = 778;
   _jumpMap[764][OrderingOpt] = 777;
   _actionMap[765][KSEP] = ActionEntry(SHIFT, 781);
   _actionMap[765][ROWLIMIT] = ActionEntry(REDUCE, 219);
   _actionMap[765][UNION] = ActionEntry(REDUCE, 219);
   _actionMap[765][ENDTOKEN] = ActionEntry(REDUCE, 219);
   _actionMap[765][RB] = ActionEntry(REDUCE, 219);
   _actionMap[765][SEMICOLON] = ActionEntry(REDUCE, 219);
   _actionMap[766][ORDER] = ActionEntry(REDUCE, 211);
   _actionMap[766][ROWLIMIT] = ActionEntry(REDUCE, 211);
   _actionMap[766][UNION] = ActionEntry(REDUCE, 211);
   _actionMap[766][ENDTOKEN] = ActionEntry(REDUCE, 211);
   _actionMap[766][RB] = ActionEntry(REDUCE, 211);
   _actionMap[766][SEMICOLON] = ActionEntry(REDUCE, 211);
   _actionMap[767][ORDER] = ActionEntry(REDUCE, 217);
   _actionMap[767][ROWLIMIT] = ActionEntry(REDUCE, 217);
   _actionMap[767][UNION] = ActionEntry(REDUCE, 217);
   _actionMap[767][ENDTOKEN] = ActionEntry(REDUCE, 217);
   _actionMap[767][RB] = ActionEntry(REDUCE, 217);
}
void Cego::loadParser10()
{
   _actionMap[767][SEMICOLON] = ActionEntry(REDUCE, 217);
   _actionMap[768][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[768][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[768][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[768][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[768][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[768][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[768][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[768][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[768][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[768][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[768][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[768][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[768][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[768][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[768][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[768][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[768][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[768][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[768][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[768][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[768][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[768][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[768][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[768][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[768][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[768][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[768][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[768][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[768][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[768][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[768][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[768][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[768][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[768][LB] = ActionEntry(SHIFT, 135);
   _actionMap[768][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[768][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[768][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[768][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[768][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[768][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[768][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[768][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[768][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[768][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[768][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[768][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[768][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[768][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[768][AVG] = ActionEntry(SHIFT, 96);
}
void Cego::loadParser11()
{
   _actionMap[768][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[768][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[768][ObjSpec] = 94;
   _jumpMap[768][Constant] = 93;
   _jumpMap[768][SignedFloat] = 92;
   _jumpMap[768][SignedInt] = 91;
   _jumpMap[768][Attribute] = 90;
   _jumpMap[768][Function] = 89;
   _jumpMap[768][CasePrepare] = 88;
   _jumpMap[768][CaseClause] = 87;
   _jumpMap[768][Factor] = 86;
   _jumpMap[768][Term] = 85;
   _jumpMap[768][Expr] = 782;
   _actionMap[769][IDENTIFIER] = ActionEntry(SHIFT, 744);
   _actionMap[769][QUALIFIEDOBJ] = ActionEntry(SHIFT, 745);
   _actionMap[769][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _jumpMap[769][Attribute] = 783;
   _actionMap[770][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[770][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[770][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[770][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[770][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[770][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[770][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[770][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[770][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[770][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[770][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[770][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[770][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[770][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[770][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[770][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[770][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[770][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[770][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[770][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[770][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[770][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[770][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[770][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[770][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[770][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[770][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[770][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[770][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[770][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[770][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[770][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[770][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
}
void Cego::loadParser12()
{
   _actionMap[770][LB] = ActionEntry(SHIFT, 349);
   _actionMap[770][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[770][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[770][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[770][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[770][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[770][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[770][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[770][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[770][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[770][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[770][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[770][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[770][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[770][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[770][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[770][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[770][MAX] = ActionEntry(SHIFT, 115);
   _actionMap[770][EXISTS] = ActionEntry(SHIFT, 347);
   _actionMap[770][NOT] = ActionEntry(SHIFT, 348);
   _jumpMap[770][ObjSpec] = 94;
   _jumpMap[770][Constant] = 93;
   _jumpMap[770][SignedFloat] = 92;
   _jumpMap[770][SignedInt] = 91;
   _jumpMap[770][Attribute] = 90;
   _jumpMap[770][QueryPredicate] = 346;
   _jumpMap[770][QueryCondition] = 784;
   _jumpMap[770][Function] = 89;
   _jumpMap[770][CasePrepare] = 88;
   _jumpMap[770][CaseClause] = 87;
   _jumpMap[770][Factor] = 86;
   _jumpMap[770][Term] = 85;
   _jumpMap[770][Expr] = 344;
   _actionMap[771][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[771][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[771][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[771][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[771][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[771][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[771][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[771][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[771][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[771][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[771][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[771][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[771][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[771][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[771][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[771][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[771][REPLACE] = ActionEntry(SHIFT, 122);
}
void Cego::loadParser13()
{
   _actionMap[771][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[771][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[771][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[771][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[771][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[771][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[771][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[771][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[771][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[771][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[771][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[771][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[771][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[771][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[771][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[771][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[771][LB] = ActionEntry(SHIFT, 349);
   _actionMap[771][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[771][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[771][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[771][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[771][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[771][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[771][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[771][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[771][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[771][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[771][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[771][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[771][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[771][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[771][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[771][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[771][MAX] = ActionEntry(SHIFT, 115);
   _actionMap[771][EXISTS] = ActionEntry(SHIFT, 347);
   _actionMap[771][NOT] = ActionEntry(SHIFT, 348);
   _jumpMap[771][ObjSpec] = 94;
   _jumpMap[771][Constant] = 93;
   _jumpMap[771][SignedFloat] = 92;
   _jumpMap[771][SignedInt] = 91;
   _jumpMap[771][Attribute] = 90;
   _jumpMap[771][QueryPredicate] = 346;
   _jumpMap[771][QueryCondition] = 785;
   _jumpMap[771][Function] = 89;
   _jumpMap[771][CasePrepare] = 88;
   _jumpMap[771][CaseClause] = 87;
   _jumpMap[771][Factor] = 86;
   _jumpMap[771][Term] = 85;
   _jumpMap[771][Expr] = 344;
   _actionMap[772][SEMICOLON] = ActionEntry(REDUCE, 239);
}
void Cego::loadParser14()
{
   _actionMap[772][KSEP] = ActionEntry(REDUCE, 239);
   _actionMap[773][PLUS] = ActionEntry(SHIFT, 211);
   _actionMap[773][MINUS] = ActionEntry(SHIFT, 210);
   _actionMap[773][CONCAT] = ActionEntry(SHIFT, 209);
   _actionMap[773][SEMICOLON] = ActionEntry(REDUCE, 241);
   _actionMap[773][KSEP] = ActionEntry(REDUCE, 241);
   _actionMap[711][AND] = ActionEntry(SHIFT, 478);
   _actionMap[711][OR] = ActionEntry(SHIFT, 479);
   _actionMap[711][SEMICOLON] = ActionEntry(REDUCE, 61);
   _actionMap[712][IDENTIFIER] = ActionEntry(SHIFT, 679);
   _jumpMap[712][SimpleAttr] = 678;
   _jumpMap[712][SimpleAttrList] = 751;
   _actionMap[713][SEMICOLON] = ActionEntry(REDUCE, 249);
   _actionMap[713][KSEP] = ActionEntry(REDUCE, 249);
   _actionMap[714][THEN] = ActionEntry(SHIFT, 752);
   _actionMap[715][THEN] = ActionEntry(REDUCE, 112);
   _actionMap[716][END_TOKEN] = ActionEntry(REDUCE, 117);
   _actionMap[716][ELSE] = ActionEntry(REDUCE, 117);
   _actionMap[716][ELSIF] = ActionEntry(REDUCE, 117);
   _actionMap[717][BEGIN] = ActionEntry(REDUCE, 131);
   _actionMap[717][THEN] = ActionEntry(REDUCE, 131);
   _actionMap[717][OR] = ActionEntry(REDUCE, 131);
   _actionMap[717][AND] = ActionEntry(REDUCE, 131);
   _actionMap[717][RB] = ActionEntry(REDUCE, 131);
   _actionMap[718][PLUS] = ActionEntry(SHIFT, 211);
   _actionMap[718][MINUS] = ActionEntry(SHIFT, 210);
   _actionMap[718][CONCAT] = ActionEntry(SHIFT, 209);
   _actionMap[718][SEMICOLON] = ActionEntry(REDUCE, 92);
   _actionMap[719][RB] = ActionEntry(SHIFT, 753);
   _actionMap[720][RB] = ActionEntry(SHIFT, 754);
   _actionMap[721][RB] = ActionEntry(SHIFT, 755);
   _actionMap[722][RB] = ActionEntry(SHIFT, 756);
   _actionMap[723][SEMICOLON] = ActionEntry(REDUCE, 123);
   _actionMap[724][RB] = ActionEntry(SHIFT, 757);
   _actionMap[725][SEMICOLON] = ActionEntry(REDUCE, 50);
   _actionMap[726][IDENTIFIER] = ActionEntry(SHIFT, 679);
   _jumpMap[726][SimpleAttr] = 678;
   _jumpMap[726][SimpleAttrList] = 758;
   _actionMap[727][SEMICOLON] = ActionEntry(REDUCE, 164);
   _actionMap[727][KSEP] = ActionEntry(REDUCE, 164);
   _actionMap[727][RB] = ActionEntry(REDUCE, 164);
   _actionMap[728][SEMICOLON] = ActionEntry(REDUCE, 167);
   _actionMap[728][KSEP] = ActionEntry(REDUCE, 167);
   _actionMap[728][RB] = ActionEntry(REDUCE, 167);
   _actionMap[729][NULLTOKEN] = ActionEntry(SHIFT, 759);
   _actionMap[730][SEMICOLON] = ActionEntry(REDUCE, 165);
   _actionMap[730][KSEP] = ActionEntry(REDUCE, 165);
   _actionMap[730][RB] = ActionEntry(REDUCE, 165);
   _actionMap[731][NULLTOKEN] = ActionEntry(REDUCE, 169);
   _actionMap[731][NOT] = ActionEntry(REDUCE, 169);
}
void Cego::loadParser15()
{
   _actionMap[731][KSEP] = ActionEntry(REDUCE, 169);
   _actionMap[731][SEMICOLON] = ActionEntry(REDUCE, 169);
   _actionMap[731][RB] = ActionEntry(REDUCE, 169);
   _actionMap[732][LONG] = ActionEntry(SHIFT, 258);
   _actionMap[732][BIGINT] = ActionEntry(SHIFT, 254);
   _actionMap[732][SMALLINT] = ActionEntry(SHIFT, 259);
   _actionMap[732][TINYINT] = ActionEntry(SHIFT, 260);
   _actionMap[732][DOUBLE] = ActionEntry(SHIFT, 256);
   _actionMap[732][DECIMAL] = ActionEntry(SHIFT, 255);
   _actionMap[732][FIXED] = ActionEntry(SHIFT, 257);
   _actionMap[733][PLUS] = ActionEntry(SHIFT, 211);
   _actionMap[733][MINUS] = ActionEntry(SHIFT, 210);
   _actionMap[733][CONCAT] = ActionEntry(SHIFT, 209);
   _actionMap[733][KSEP] = ActionEntry(REDUCE, 187);
   _actionMap[733][RB] = ActionEntry(REDUCE, 187);
   _actionMap[734][PLUS] = ActionEntry(SHIFT, 211);
   _actionMap[734][MINUS] = ActionEntry(SHIFT, 210);
   _actionMap[734][CONCAT] = ActionEntry(SHIFT, 209);
   _actionMap[734][LEFT] = ActionEntry(REDUCE, 297);
   _actionMap[734][RIGHT] = ActionEntry(REDUCE, 297);
   _actionMap[734][INNER] = ActionEntry(REDUCE, 297);
   _actionMap[734][JOIN] = ActionEntry(REDUCE, 297);
   _actionMap[734][RETURNTOKEN] = ActionEntry(REDUCE, 297);
   _actionMap[734][SEMICOLON] = ActionEntry(REDUCE, 297);
   _actionMap[734][ENDTOKEN] = ActionEntry(REDUCE, 297);
   _actionMap[734][UNION] = ActionEntry(REDUCE, 297);
   _actionMap[734][ROWLIMIT] = ActionEntry(REDUCE, 297);
   _actionMap[734][ORDER] = ActionEntry(REDUCE, 297);
   _actionMap[734][GROUP] = ActionEntry(REDUCE, 297);
   _actionMap[734][WHERE] = ActionEntry(REDUCE, 297);
   _actionMap[734][THEN] = ActionEntry(REDUCE, 297);
   _actionMap[734][AND] = ActionEntry(REDUCE, 297);
   _actionMap[734][OR] = ActionEntry(REDUCE, 297);
   _actionMap[734][RB] = ActionEntry(REDUCE, 297);
   _actionMap[735][LEFT] = ActionEntry(REDUCE, 294);
   _actionMap[735][RIGHT] = ActionEntry(REDUCE, 294);
   _actionMap[735][INNER] = ActionEntry(REDUCE, 294);
   _actionMap[735][JOIN] = ActionEntry(REDUCE, 294);
   _actionMap[735][RETURNTOKEN] = ActionEntry(REDUCE, 294);
   _actionMap[735][SEMICOLON] = ActionEntry(REDUCE, 294);
   _actionMap[735][ENDTOKEN] = ActionEntry(REDUCE, 294);
   _actionMap[735][UNION] = ActionEntry(REDUCE, 294);
   _actionMap[735][ROWLIMIT] = ActionEntry(REDUCE, 294);
   _actionMap[735][ORDER] = ActionEntry(REDUCE, 294);
   _actionMap[735][GROUP] = ActionEntry(REDUCE, 294);
   _actionMap[735][WHERE] = ActionEntry(REDUCE, 294);
   _actionMap[735][THEN] = ActionEntry(REDUCE, 294);
   _actionMap[735][AND] = ActionEntry(REDUCE, 294);
   _actionMap[735][OR] = ActionEntry(REDUCE, 294);
   _actionMap[735][RB] = ActionEntry(REDUCE, 294);
}
void Cego::loadParser16()
{
   _actionMap[736][RB] = ActionEntry(SHIFT, 760);
   _actionMap[737][KSEP] = ActionEntry(REDUCE, 158);
   _actionMap[737][RB] = ActionEntry(REDUCE, 158);
   _actionMap[738][UNION] = ActionEntry(SHIFT, 762);
   _actionMap[738][SEMICOLON] = ActionEntry(REDUCE, 72);
   _actionMap[738][RB] = ActionEntry(REDUCE, 72);
   _jumpMap[738][UnionAllOpt] = 761;
   _actionMap[739][UNION] = ActionEntry(REDUCE, 231);
   _actionMap[739][ENDTOKEN] = ActionEntry(REDUCE, 231);
   _actionMap[739][RB] = ActionEntry(REDUCE, 231);
   _actionMap[739][SEMICOLON] = ActionEntry(REDUCE, 231);
   _actionMap[740][INTVAL] = ActionEntry(SHIFT, 763);
   _actionMap[741][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[741][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[741][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[741][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[741][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[741][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[741][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[741][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[741][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[741][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[741][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[741][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[741][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[741][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[741][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[741][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[741][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[741][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[741][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[741][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[741][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[741][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[741][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[741][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[741][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[741][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[741][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[741][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[741][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[741][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[741][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[741][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[741][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[741][LB] = ActionEntry(SHIFT, 135);
   _actionMap[741][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[741][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[741][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[741][NULLTOKEN] = ActionEntry(SHIFT, 118);
}
void Cego::loadParser17()
{
   _actionMap[741][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[741][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[741][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[741][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[741][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[741][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[741][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[741][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[741][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[741][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[741][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[741][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[741][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[741][ObjSpec] = 94;
   _jumpMap[741][Constant] = 93;
   _jumpMap[741][SignedFloat] = 92;
   _jumpMap[741][SignedInt] = 91;
   _jumpMap[741][Attribute] = 90;
   _jumpMap[741][Function] = 89;
   _jumpMap[741][OrderingList] = 765;
   _jumpMap[741][CasePrepare] = 88;
   _jumpMap[741][CaseClause] = 87;
   _jumpMap[741][Factor] = 86;
   _jumpMap[741][Term] = 85;
   _jumpMap[741][Expr] = 764;
   _actionMap[742][KSEP] = ActionEntry(SHIFT, 769);
   _actionMap[742][ORDER] = ActionEntry(REDUCE, 218);
   _actionMap[742][HAVING] = ActionEntry(SHIFT, 768);
   _actionMap[742][ROWLIMIT] = ActionEntry(REDUCE, 218);
   _actionMap[742][UNION] = ActionEntry(REDUCE, 218);
   _actionMap[742][ENDTOKEN] = ActionEntry(REDUCE, 218);
   _actionMap[742][RB] = ActionEntry(REDUCE, 218);
   _actionMap[742][SEMICOLON] = ActionEntry(REDUCE, 218);
   _jumpMap[742][NoHaving] = 767;
   _jumpMap[742][HavingClause] = 766;
   _actionMap[743][KSEP] = ActionEntry(REDUCE, 215);
   _actionMap[743][HAVING] = ActionEntry(REDUCE, 215);
   _actionMap[743][ORDER] = ActionEntry(REDUCE, 215);
   _actionMap[743][ROWLIMIT] = ActionEntry(REDUCE, 215);
   _actionMap[743][UNION] = ActionEntry(REDUCE, 215);
   _actionMap[743][ENDTOKEN] = ActionEntry(REDUCE, 215);
   _actionMap[743][RB] = ActionEntry(REDUCE, 215);
   _actionMap[743][SEMICOLON] = ActionEntry(REDUCE, 215);
   _actionMap[744][KSEP] = ActionEntry(REDUCE, 323);
   _actionMap[744][HAVING] = ActionEntry(REDUCE, 323);
   _actionMap[744][ORDER] = ActionEntry(REDUCE, 323);
   _actionMap[744][ROWLIMIT] = ActionEntry(REDUCE, 323);
   _actionMap[744][UNION] = ActionEntry(REDUCE, 323);
   _actionMap[744][ENDTOKEN] = ActionEntry(REDUCE, 323);
   _actionMap[744][RB] = ActionEntry(REDUCE, 323);
}
void Cego::loadParser18()
{
   _actionMap[744][SEMICOLON] = ActionEntry(REDUCE, 323);
   _actionMap[745][KSEP] = ActionEntry(REDUCE, 324);
   _actionMap[745][HAVING] = ActionEntry(REDUCE, 324);
   _actionMap[745][ORDER] = ActionEntry(REDUCE, 324);
   _actionMap[745][ROWLIMIT] = ActionEntry(REDUCE, 324);
   _actionMap[745][UNION] = ActionEntry(REDUCE, 324);
   _actionMap[745][ENDTOKEN] = ActionEntry(REDUCE, 324);
   _actionMap[745][RB] = ActionEntry(REDUCE, 324);
   _actionMap[745][SEMICOLON] = ActionEntry(REDUCE, 324);
   _actionMap[746][AND] = ActionEntry(SHIFT, 478);
   _actionMap[746][OR] = ActionEntry(SHIFT, 479);
   _actionMap[746][LEFT] = ActionEntry(REDUCE, 199);
   _actionMap[746][RIGHT] = ActionEntry(REDUCE, 199);
   _actionMap[746][INNER] = ActionEntry(REDUCE, 199);
   _actionMap[746][JOIN] = ActionEntry(REDUCE, 199);
   _actionMap[746][RETURNTOKEN] = ActionEntry(REDUCE, 199);
   _actionMap[746][SEMICOLON] = ActionEntry(REDUCE, 199);
   _actionMap[746][RB] = ActionEntry(REDUCE, 199);
   _actionMap[746][ENDTOKEN] = ActionEntry(REDUCE, 199);
   _actionMap[746][UNION] = ActionEntry(REDUCE, 199);
   _actionMap[746][ROWLIMIT] = ActionEntry(REDUCE, 199);
   _actionMap[746][ORDER] = ActionEntry(REDUCE, 199);
   _actionMap[746][GROUP] = ActionEntry(REDUCE, 199);
   _actionMap[746][WHERE] = ActionEntry(REDUCE, 199);
   _actionMap[747][ON] = ActionEntry(SHIFT, 705);
   _jumpMap[747][JoinTableOn] = 770;
   _actionMap[748][ON] = ActionEntry(SHIFT, 705);
   _jumpMap[748][JoinTableOn] = 771;
   _actionMap[749][VARREF] = ActionEntry(SHIFT, 710);
   _jumpMap[749][ReturnVar] = 772;
   _actionMap[750][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[750][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[750][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[750][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[750][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[750][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[750][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[750][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[750][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[750][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[750][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[750][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[750][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[750][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[750][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[750][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[750][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[750][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[750][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[750][STR2INT] = ActionEntry(SHIFT, 129);
}
void Cego::loadParser19()
{
   _actionMap[750][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[750][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[750][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[750][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[750][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[750][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[750][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[750][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[750][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[750][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[750][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[750][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[750][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[750][LB] = ActionEntry(SHIFT, 135);
   _actionMap[750][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[750][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[750][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[750][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[750][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[750][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[750][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[750][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[750][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[750][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[750][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[750][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[750][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[750][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[750][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[750][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[750][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[750][ObjSpec] = 94;
   _jumpMap[750][Constant] = 93;
   _jumpMap[750][SignedFloat] = 92;
   _jumpMap[750][SignedInt] = 91;
   _jumpMap[750][Attribute] = 90;
   _jumpMap[750][Function] = 89;
   _jumpMap[750][CasePrepare] = 88;
   _jumpMap[750][CaseClause] = 87;
   _jumpMap[750][Factor] = 86;
   _jumpMap[750][Term] = 85;
   _jumpMap[750][Expr] = 773;
   _actionMap[653][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[653][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[653][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[653][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[653][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[653][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[653][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[653][DATE2STR] = ActionEntry(SHIFT, 103);
}
void Cego::loadParser20()
{
   _actionMap[653][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[653][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[653][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[653][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[653][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[653][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[653][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[653][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[653][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[653][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[653][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[653][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[653][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[653][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[653][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[653][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[653][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[653][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[653][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[653][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[653][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[653][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[653][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[653][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[653][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[653][LB] = ActionEntry(SHIFT, 349);
   _actionMap[653][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[653][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[653][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[653][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[653][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[653][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[653][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[653][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[653][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[653][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[653][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[653][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[653][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[653][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[653][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[653][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[653][MAX] = ActionEntry(SHIFT, 115);
   _actionMap[653][EXISTS] = ActionEntry(SHIFT, 347);
   _actionMap[653][NOT] = ActionEntry(SHIFT, 348);
   _jumpMap[653][ObjSpec] = 94;
   _jumpMap[653][Constant] = 93;
   _jumpMap[653][SignedFloat] = 92;
   _jumpMap[653][SignedInt] = 91;
   _jumpMap[653][Attribute] = 90;
}
void Cego::loadParser21()
{
   _jumpMap[653][QueryPredicate] = 346;
   _jumpMap[653][QueryCondition] = 711;
   _jumpMap[653][Function] = 89;
   _jumpMap[653][CasePrepare] = 88;
   _jumpMap[653][CaseClause] = 87;
   _jumpMap[653][Factor] = 86;
   _jumpMap[653][Term] = 85;
   _jumpMap[653][Expr] = 344;
   _actionMap[654][LB] = ActionEntry(SHIFT, 712);
   _actionMap[655][IDENTIFIER] = ActionEntry(SHIFT, 713);
   _actionMap[656][SEMICOLON] = ActionEntry(REDUCE, 25);
   _actionMap[657][IDENTIFIER] = ActionEntry(SHIFT, 715);
   _jumpMap[657][ProcExceptionType] = 714;
   _actionMap[658][END_TOKEN] = ActionEntry(REDUCE, 118);
   _actionMap[659][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[659][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[659][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[659][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[659][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[659][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[659][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[659][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[659][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[659][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[659][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[659][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[659][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[659][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[659][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[659][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[659][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[659][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[659][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[659][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[659][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[659][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[659][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[659][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[659][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[659][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[659][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[659][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[659][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[659][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[659][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[659][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[659][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[659][LB] = ActionEntry(SHIFT, 135);
   _actionMap[659][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[659][DATE] = ActionEntry(SHIFT, 102);
}
void Cego::loadParser22()
{
   _actionMap[659][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[659][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[659][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[659][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[659][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[659][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[659][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[659][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[659][VARREF] = ActionEntry(SHIFT, 322);
   _actionMap[659][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[659][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[659][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[659][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[659][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[659][MAX] = ActionEntry(SHIFT, 115);
   _actionMap[659][IF] = ActionEntry(SHIFT, 317);
   _actionMap[659][BEGIN] = ActionEntry(SHIFT, 314);
   _actionMap[659][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[659][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[659][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[659][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[659][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[659][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[659][VAR] = ActionEntry(SHIFT, 320);
   _actionMap[659][CURSOR] = ActionEntry(SHIFT, 316);
   _actionMap[659][CLOSE] = ActionEntry(SHIFT, 315);
   _actionMap[659][NOOP] = ActionEntry(SHIFT, 318);
   _actionMap[659][RETURNTOKEN] = ActionEntry(SHIFT, 319);
   _actionMap[659][WHILE] = ActionEntry(SHIFT, 321);
   _jumpMap[659][ObjSpec] = 94;
   _jumpMap[659][Constant] = 93;
   _jumpMap[659][SignedFloat] = 92;
   _jumpMap[659][SignedInt] = 91;
   _jumpMap[659][Attribute] = 90;
   _jumpMap[659][Function] = 89;
   _jumpMap[659][DeleteStatement] = 313;
   _jumpMap[659][UpdateStatement] = 312;
   _jumpMap[659][InsertStatement] = 311;
   _jumpMap[659][RollbackStatement] = 310;
   _jumpMap[659][CommitStatement] = 309;
   _jumpMap[659][StartStatement] = 308;
   _jumpMap[659][CasePrepare] = 88;
   _jumpMap[659][CaseClause] = 87;
   _jumpMap[659][Factor] = 86;
   _jumpMap[659][Term] = 85;
   _jumpMap[659][Expr] = 307;
   _jumpMap[659][ProcStatement] = 306;
   _jumpMap[659][ProcIfPart] = 305;
   _jumpMap[659][ProcBlockStart] = 304;
   _jumpMap[659][ProcStatementList] = 303;
}
void Cego::loadParser23()
{
   _jumpMap[659][ProcStmtBlock] = 716;
   _actionMap[660][SEMICOLON] = ActionEntry(REDUCE, 87);
   _actionMap[661][END_TOKEN] = ActionEntry(REDUCE, 114);
   _actionMap[661][ELSE] = ActionEntry(REDUCE, 114);
   _actionMap[661][ELSIF] = ActionEntry(REDUCE, 114);
   _actionMap[662][BEGIN] = ActionEntry(REDUCE, 126);
   _actionMap[662][RB] = ActionEntry(REDUCE, 126);
   _actionMap[662][AND] = ActionEntry(REDUCE, 126);
   _actionMap[662][OR] = ActionEntry(REDUCE, 126);
   _actionMap[662][THEN] = ActionEntry(REDUCE, 126);
   _actionMap[663][BEGIN] = ActionEntry(REDUCE, 125);
   _actionMap[663][RB] = ActionEntry(REDUCE, 125);
   _actionMap[663][AND] = ActionEntry(REDUCE, 125);
   _actionMap[663][OR] = ActionEntry(REDUCE, 125);
   _actionMap[663][THEN] = ActionEntry(REDUCE, 125);
   _actionMap[664][PLUS] = ActionEntry(SHIFT, 211);
   _actionMap[664][MINUS] = ActionEntry(SHIFT, 210);
   _actionMap[664][CONCAT] = ActionEntry(SHIFT, 209);
   _actionMap[664][BEGIN] = ActionEntry(REDUCE, 129);
   _actionMap[664][THEN] = ActionEntry(REDUCE, 129);
   _actionMap[664][OR] = ActionEntry(REDUCE, 129);
   _actionMap[664][AND] = ActionEntry(REDUCE, 129);
   _actionMap[664][RB] = ActionEntry(REDUCE, 129);
   _actionMap[665][NULLTOKEN] = ActionEntry(SHIFT, 717);
   _actionMap[666][BEGIN] = ActionEntry(REDUCE, 130);
   _actionMap[666][THEN] = ActionEntry(REDUCE, 130);
   _actionMap[666][OR] = ActionEntry(REDUCE, 130);
   _actionMap[666][AND] = ActionEntry(REDUCE, 130);
   _actionMap[666][RB] = ActionEntry(REDUCE, 130);
   _actionMap[667][BEGIN] = ActionEntry(REDUCE, 128);
   _actionMap[667][RB] = ActionEntry(REDUCE, 128);
   _actionMap[667][AND] = ActionEntry(REDUCE, 128);
   _actionMap[667][OR] = ActionEntry(REDUCE, 128);
   _actionMap[667][THEN] = ActionEntry(REDUCE, 128);
   _actionMap[668][SEMICOLON] = ActionEntry(REDUCE, 86);
   _actionMap[669][SEMICOLON] = ActionEntry(REDUCE, 93);
   _actionMap[670][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[670][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[670][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[670][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[670][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[670][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[670][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[670][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[670][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[670][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[670][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[670][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[670][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[670][RIGHT] = ActionEntry(SHIFT, 123);
}
void Cego::loadParser24()
{
   _actionMap[670][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[670][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[670][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[670][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[670][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[670][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[670][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[670][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[670][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[670][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[670][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[670][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[670][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[670][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[670][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[670][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[670][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[670][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[670][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[670][LB] = ActionEntry(SHIFT, 135);
   _actionMap[670][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[670][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[670][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[670][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[670][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[670][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[670][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[670][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[670][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[670][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[670][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[670][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[670][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[670][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[670][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[670][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[670][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[670][ObjSpec] = 94;
   _jumpMap[670][Constant] = 93;
   _jumpMap[670][SignedFloat] = 92;
   _jumpMap[670][SignedInt] = 91;
   _jumpMap[670][Attribute] = 90;
   _jumpMap[670][Function] = 89;
   _jumpMap[670][CasePrepare] = 88;
   _jumpMap[670][CaseClause] = 87;
   _jumpMap[670][Factor] = 86;
   _jumpMap[670][Term] = 85;
   _jumpMap[670][Expr] = 718;
   _actionMap[671][INTVAL] = ActionEntry(SHIFT, 719);
   _actionMap[672][INTVAL] = ActionEntry(SHIFT, 720);
}
void Cego::loadParser25()
{
   _actionMap[673][INTVAL] = ActionEntry(SHIFT, 721);
   _actionMap[674][INTVAL] = ActionEntry(SHIFT, 722);
   _actionMap[675][END_TOKEN] = ActionEntry(SHIFT, 723);
   _actionMap[676][IDENTIFIER] = ActionEntry(SHIFT, 679);
   _jumpMap[676][SimpleAttr] = 678;
   _jumpMap[676][SimpleAttrList] = 724;
   _actionMap[677][RB] = ActionEntry(SHIFT, 725);
   _actionMap[678][KSEP] = ActionEntry(SHIFT, 726);
   _actionMap[678][RB] = ActionEntry(REDUCE, 173);
   _actionMap[679][RB] = ActionEntry(REDUCE, 174);
   _actionMap[679][KSEP] = ActionEntry(REDUCE, 174);
   _actionMap[680][KSEP] = ActionEntry(REDUCE, 79);
   _actionMap[680][RB] = ActionEntry(REDUCE, 79);
   _actionMap[681][BEGIN] = ActionEntry(REDUCE, 75);
   _actionMap[682][KSEP] = ActionEntry(REDUCE, 81);
   _actionMap[682][RB] = ActionEntry(REDUCE, 81);
   _actionMap[683][KSEP] = ActionEntry(REDUCE, 82);
   _actionMap[683][RB] = ActionEntry(REDUCE, 82);
   _actionMap[684][KSEP] = ActionEntry(REDUCE, 160);
   _actionMap[684][RB] = ActionEntry(REDUCE, 160);
   _actionMap[685][SEMICOLON] = ActionEntry(REDUCE, 168);
   _actionMap[685][NULLTOKEN] = ActionEntry(SHIFT, 730);
   _actionMap[685][NOT] = ActionEntry(SHIFT, 729);
   _actionMap[685][KSEP] = ActionEntry(REDUCE, 168);
   _actionMap[685][RB] = ActionEntry(REDUCE, 168);
   _jumpMap[685][DefaultNullOpt] = 728;
   _jumpMap[685][NullOpt] = 727;
   _actionMap[686][NULLTOKEN] = ActionEntry(REDUCE, 170);
   _actionMap[686][NOT] = ActionEntry(REDUCE, 170);
   _actionMap[686][KSEP] = ActionEntry(REDUCE, 170);
   _actionMap[686][SEMICOLON] = ActionEntry(REDUCE, 170);
   _actionMap[686][RB] = ActionEntry(REDUCE, 170);
   _actionMap[687][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[687][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[687][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[687][LB] = ActionEntry(SHIFT, 732);
   _actionMap[687][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[687][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[687][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[687][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[687][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[687][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[687][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[687][COUNTERID] = ActionEntry(SHIFT, 144);
   _jumpMap[687][Constant] = 731;
   _jumpMap[687][SignedFloat] = 92;
   _jumpMap[687][SignedInt] = 91;
   _actionMap[688][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[688][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[688][INTVAL] = ActionEntry(SHIFT, 138);
}
void Cego::loadParser26()
{
   _actionMap[688][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[688][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[688][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[688][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[688][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[688][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[688][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[688][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[688][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[688][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[688][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[688][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[688][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[688][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[688][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[688][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[688][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[688][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[688][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[688][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[688][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[688][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[688][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[688][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[688][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[688][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[688][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[688][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[688][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[688][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[688][LB] = ActionEntry(SHIFT, 135);
   _actionMap[688][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[688][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[688][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[688][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[688][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[688][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[688][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[688][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[688][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[688][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[688][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[688][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[688][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[688][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[688][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[688][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[688][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[688][ObjSpec] = 94;
   _jumpMap[688][Constant] = 93;
}
void Cego::loadParser27()
{
   _jumpMap[688][SignedFloat] = 92;
   _jumpMap[688][SignedInt] = 91;
   _jumpMap[688][Attribute] = 90;
   _jumpMap[688][Function] = 89;
   _jumpMap[688][CasePrepare] = 88;
   _jumpMap[688][CaseClause] = 87;
   _jumpMap[688][Factor] = 86;
   _jumpMap[688][Term] = 85;
   _jumpMap[688][Expr] = 733;
   _actionMap[689][SEMICOLON] = ActionEntry(REDUCE, 184);
   _actionMap[690][KSEP] = ActionEntry(REDUCE, 185);
   _actionMap[690][RB] = ActionEntry(REDUCE, 185);
   _actionMap[691][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[691][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[691][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[691][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[691][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[691][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[691][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[691][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[691][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[691][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[691][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[691][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[691][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[691][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[691][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[691][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[691][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[691][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[691][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[691][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[691][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[691][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[691][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[691][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[691][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[691][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[691][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[691][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[691][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[691][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[691][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[691][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[691][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[691][LB] = ActionEntry(SHIFT, 135);
   _actionMap[691][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[691][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[691][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[691][NULLTOKEN] = ActionEntry(SHIFT, 118);
}
void Cego::loadParser28()
{
   _actionMap[691][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[691][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[691][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[691][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[691][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[691][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[691][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[691][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[691][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[691][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[691][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[691][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[691][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[691][ObjSpec] = 94;
   _jumpMap[691][Constant] = 93;
   _jumpMap[691][SignedFloat] = 92;
   _jumpMap[691][SignedInt] = 91;
   _jumpMap[691][Attribute] = 90;
   _jumpMap[691][Function] = 89;
   _jumpMap[691][CasePrepare] = 88;
   _jumpMap[691][CaseClause] = 87;
   _jumpMap[691][Factor] = 86;
   _jumpMap[691][Term] = 85;
   _jumpMap[691][Expr] = 734;
   _actionMap[692][RB] = ActionEntry(SHIFT, 735);
   _actionMap[693][LEFT] = ActionEntry(REDUCE, 299);
   _actionMap[693][RIGHT] = ActionEntry(REDUCE, 299);
   _actionMap[693][INNER] = ActionEntry(REDUCE, 299);
   _actionMap[693][JOIN] = ActionEntry(REDUCE, 299);
   _actionMap[693][RETURNTOKEN] = ActionEntry(REDUCE, 299);
   _actionMap[693][SEMICOLON] = ActionEntry(REDUCE, 299);
   _actionMap[693][ENDTOKEN] = ActionEntry(REDUCE, 299);
   _actionMap[693][UNION] = ActionEntry(REDUCE, 299);
   _actionMap[693][ROWLIMIT] = ActionEntry(REDUCE, 299);
   _actionMap[693][ORDER] = ActionEntry(REDUCE, 299);
   _actionMap[693][GROUP] = ActionEntry(REDUCE, 299);
   _actionMap[693][WHERE] = ActionEntry(REDUCE, 299);
   _actionMap[693][THEN] = ActionEntry(REDUCE, 299);
   _actionMap[693][AND] = ActionEntry(REDUCE, 299);
   _actionMap[693][OR] = ActionEntry(REDUCE, 299);
   _actionMap[693][RB] = ActionEntry(REDUCE, 299);
   _actionMap[694][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[694][SelectStatement] = 736;
   _actionMap[695][LEFT] = ActionEntry(REDUCE, 301);
   _actionMap[695][RIGHT] = ActionEntry(REDUCE, 301);
   _actionMap[695][INNER] = ActionEntry(REDUCE, 301);
   _actionMap[695][JOIN] = ActionEntry(REDUCE, 301);
   _actionMap[695][RETURNTOKEN] = ActionEntry(REDUCE, 301);
   _actionMap[695][SEMICOLON] = ActionEntry(REDUCE, 301);
   _actionMap[695][ENDTOKEN] = ActionEntry(REDUCE, 301);
}
void Cego::loadParser29()
{
   _actionMap[695][UNION] = ActionEntry(REDUCE, 301);
   _actionMap[695][ROWLIMIT] = ActionEntry(REDUCE, 301);
   _actionMap[695][ORDER] = ActionEntry(REDUCE, 301);
   _actionMap[695][GROUP] = ActionEntry(REDUCE, 301);
   _actionMap[695][WHERE] = ActionEntry(REDUCE, 301);
   _actionMap[695][THEN] = ActionEntry(REDUCE, 301);
   _actionMap[695][AND] = ActionEntry(REDUCE, 301);
   _actionMap[695][OR] = ActionEntry(REDUCE, 301);
   _actionMap[695][RB] = ActionEntry(REDUCE, 301);
   _actionMap[696][THEN] = ActionEntry(REDUCE, 293);
   _actionMap[696][LEFT] = ActionEntry(REDUCE, 293);
   _actionMap[696][RIGHT] = ActionEntry(REDUCE, 293);
   _actionMap[696][INNER] = ActionEntry(REDUCE, 293);
   _actionMap[696][JOIN] = ActionEntry(REDUCE, 293);
   _actionMap[696][RETURNTOKEN] = ActionEntry(REDUCE, 293);
   _actionMap[696][SEMICOLON] = ActionEntry(REDUCE, 293);
   _actionMap[696][RB] = ActionEntry(REDUCE, 293);
   _actionMap[696][ENDTOKEN] = ActionEntry(REDUCE, 293);
   _actionMap[696][UNION] = ActionEntry(REDUCE, 293);
   _actionMap[696][ROWLIMIT] = ActionEntry(REDUCE, 293);
   _actionMap[696][ORDER] = ActionEntry(REDUCE, 293);
   _actionMap[696][GROUP] = ActionEntry(REDUCE, 293);
   _actionMap[696][WHERE] = ActionEntry(REDUCE, 293);
   _actionMap[696][AND] = ActionEntry(REDUCE, 293);
   _actionMap[696][OR] = ActionEntry(REDUCE, 293);
   _actionMap[697][WHEN] = ActionEntry(REDUCE, 340);
   _actionMap[697][ELSE] = ActionEntry(REDUCE, 340);
   _actionMap[697][LEFT] = ActionEntry(REDUCE, 340);
   _actionMap[697][RIGHT] = ActionEntry(REDUCE, 340);
   _actionMap[697][INNER] = ActionEntry(REDUCE, 340);
   _actionMap[697][JOIN] = ActionEntry(REDUCE, 340);
   _actionMap[697][RETURNTOKEN] = ActionEntry(REDUCE, 340);
   _actionMap[697][ORDER] = ActionEntry(REDUCE, 340);
   _actionMap[697][GROUP] = ActionEntry(REDUCE, 340);
   _actionMap[697][WHERE] = ActionEntry(REDUCE, 340);
   _actionMap[697][NULLTOKEN] = ActionEntry(REDUCE, 340);
   _actionMap[697][FROM] = ActionEntry(REDUCE, 340);
   _actionMap[697][AS] = ActionEntry(REDUCE, 340);
   _actionMap[697][END_TOKEN] = ActionEntry(REDUCE, 340);
   _actionMap[697][BEGIN] = ActionEntry(REDUCE, 340);
   _actionMap[697][THEN] = ActionEntry(REDUCE, 340);
   _actionMap[697][OR] = ActionEntry(REDUCE, 340);
   _actionMap[697][AND] = ActionEntry(REDUCE, 340);
   _actionMap[697][INTOK] = ActionEntry(REDUCE, 340);
   _actionMap[697][NOT] = ActionEntry(REDUCE, 340);
   _actionMap[697][BETWEEN] = ActionEntry(REDUCE, 340);
   _actionMap[697][IS] = ActionEntry(REDUCE, 340);
   _actionMap[697][LIKE] = ActionEntry(REDUCE, 340);
   _actionMap[697][MT] = ActionEntry(REDUCE, 340);
   _actionMap[697][LT] = ActionEntry(REDUCE, 340);
}
void Cego::loadParser30()
{
   _actionMap[697][NEGATION] = ActionEntry(REDUCE, 340);
   _actionMap[697][EQU] = ActionEntry(REDUCE, 340);
   _actionMap[697][RB] = ActionEntry(REDUCE, 340);
   _actionMap[697][ENDTOKEN] = ActionEntry(REDUCE, 340);
   _actionMap[697][UNION] = ActionEntry(REDUCE, 340);
   _actionMap[697][ROWLIMIT] = ActionEntry(REDUCE, 340);
   _actionMap[697][KSEP] = ActionEntry(REDUCE, 340);
   _actionMap[697][ASC] = ActionEntry(REDUCE, 340);
   _actionMap[697][DESC] = ActionEntry(REDUCE, 340);
   _actionMap[697][SEMICOLON] = ActionEntry(REDUCE, 340);
   _actionMap[697][PLUS] = ActionEntry(REDUCE, 340);
   _actionMap[697][MINUS] = ActionEntry(REDUCE, 340);
   _actionMap[697][DIVISION] = ActionEntry(REDUCE, 340);
   _actionMap[697][STAR] = ActionEntry(REDUCE, 340);
   _actionMap[697][CONCAT] = ActionEntry(REDUCE, 340);
   _actionMap[698][VARREF] = ActionEntry(SHIFT, 737);
   _actionMap[699][WHEN] = ActionEntry(REDUCE, 141);
   _actionMap[699][ELSE] = ActionEntry(REDUCE, 141);
   _actionMap[699][LEFT] = ActionEntry(REDUCE, 141);
   _actionMap[699][RIGHT] = ActionEntry(REDUCE, 141);
   _actionMap[699][INNER] = ActionEntry(REDUCE, 141);
   _actionMap[699][JOIN] = ActionEntry(REDUCE, 141);
   _actionMap[699][RETURNTOKEN] = ActionEntry(REDUCE, 141);
   _actionMap[699][ORDER] = ActionEntry(REDUCE, 141);
   _actionMap[699][GROUP] = ActionEntry(REDUCE, 141);
   _actionMap[699][WHERE] = ActionEntry(REDUCE, 141);
   _actionMap[699][AS] = ActionEntry(REDUCE, 141);
   _actionMap[699][FROM] = ActionEntry(REDUCE, 141);
   _actionMap[699][END_TOKEN] = ActionEntry(REDUCE, 141);
   _actionMap[699][BEGIN] = ActionEntry(REDUCE, 141);
   _actionMap[699][THEN] = ActionEntry(REDUCE, 141);
   _actionMap[699][OR] = ActionEntry(REDUCE, 141);
   _actionMap[699][AND] = ActionEntry(REDUCE, 141);
   _actionMap[699][LIKE] = ActionEntry(REDUCE, 141);
   _actionMap[699][IS] = ActionEntry(REDUCE, 141);
   _actionMap[699][BETWEEN] = ActionEntry(REDUCE, 141);
   _actionMap[699][NOT] = ActionEntry(REDUCE, 141);
   _actionMap[699][INTOK] = ActionEntry(REDUCE, 141);
   _actionMap[699][EQU] = ActionEntry(REDUCE, 141);
   _actionMap[699][NEGATION] = ActionEntry(REDUCE, 141);
   _actionMap[699][LT] = ActionEntry(REDUCE, 141);
   _actionMap[699][MT] = ActionEntry(REDUCE, 141);
   _actionMap[699][DESC] = ActionEntry(REDUCE, 141);
   _actionMap[699][ASC] = ActionEntry(REDUCE, 141);
   _actionMap[699][KSEP] = ActionEntry(REDUCE, 141);
   _actionMap[699][ROWLIMIT] = ActionEntry(REDUCE, 141);
   _actionMap[699][UNION] = ActionEntry(REDUCE, 141);
   _actionMap[699][ENDTOKEN] = ActionEntry(REDUCE, 141);
   _actionMap[699][RB] = ActionEntry(REDUCE, 141);
   _actionMap[699][SEMICOLON] = ActionEntry(REDUCE, 141);
}
void Cego::loadParser31()
{
   _actionMap[699][CONCAT] = ActionEntry(REDUCE, 141);
   _actionMap[699][STAR] = ActionEntry(REDUCE, 141);
   _actionMap[699][DIVISION] = ActionEntry(REDUCE, 141);
   _actionMap[699][MINUS] = ActionEntry(REDUCE, 141);
   _actionMap[699][PLUS] = ActionEntry(REDUCE, 141);
   _actionMap[700][SEMICOLON] = ActionEntry(REDUCE, 232);
   _actionMap[700][RB] = ActionEntry(REDUCE, 232);
   _actionMap[700][ENDTOKEN] = ActionEntry(REDUCE, 232);
   _actionMap[700][UNION] = ActionEntry(REDUCE, 232);
   _actionMap[700][ROWLIMIT] = ActionEntry(SHIFT, 740);
   _jumpMap[700][NoLimit] = 739;
   _jumpMap[700][LimitOpt] = 738;
   _actionMap[701][ROWLIMIT] = ActionEntry(REDUCE, 220);
   _actionMap[701][UNION] = ActionEntry(REDUCE, 220);
   _actionMap[701][ENDTOKEN] = ActionEntry(REDUCE, 220);
   _actionMap[701][RB] = ActionEntry(REDUCE, 220);
   _actionMap[701][SEMICOLON] = ActionEntry(REDUCE, 220);
   _actionMap[702][BY] = ActionEntry(SHIFT, 741);
   _actionMap[703][IDENTIFIER] = ActionEntry(SHIFT, 744);
   _actionMap[703][QUALIFIEDOBJ] = ActionEntry(SHIFT, 745);
   _actionMap[703][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _jumpMap[703][Attribute] = 743;
   _jumpMap[703][GroupList] = 742;
   _actionMap[704][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[704][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[704][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[704][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[704][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[704][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[704][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[704][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[704][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[704][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[704][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[704][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[704][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[704][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[704][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[704][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[704][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[704][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[704][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[704][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[704][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[704][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[704][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[704][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[704][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[704][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[704][BITAND] = ActionEntry(SHIFT, 97);
}
void Cego::loadParser32()
{
   _actionMap[704][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[704][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[704][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[704][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[704][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[704][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[704][LB] = ActionEntry(SHIFT, 349);
   _actionMap[704][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[704][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[704][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[704][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[704][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[704][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[704][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[704][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[704][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[704][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[704][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[704][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[704][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[704][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[704][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[704][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[704][MAX] = ActionEntry(SHIFT, 115);
   _actionMap[704][EXISTS] = ActionEntry(SHIFT, 347);
   _actionMap[704][NOT] = ActionEntry(SHIFT, 348);
   _jumpMap[704][ObjSpec] = 94;
   _jumpMap[704][Constant] = 93;
   _jumpMap[704][SignedFloat] = 92;
   _jumpMap[704][SignedInt] = 91;
   _jumpMap[704][Attribute] = 90;
   _jumpMap[704][QueryPredicate] = 346;
   _jumpMap[704][QueryCondition] = 746;
   _jumpMap[704][Function] = 89;
   _jumpMap[704][CasePrepare] = 88;
   _jumpMap[704][CaseClause] = 87;
   _jumpMap[704][Factor] = 86;
   _jumpMap[704][Term] = 85;
   _jumpMap[704][Expr] = 344;
   _actionMap[705][EXISTS] = ActionEntry(REDUCE, 208);
   _actionMap[705][LB] = ActionEntry(REDUCE, 208);
   _actionMap[705][NOT] = ActionEntry(REDUCE, 208);
   _actionMap[705][VARREF] = ActionEntry(REDUCE, 208);
   _actionMap[705][FETCH] = ActionEntry(REDUCE, 208);
   _actionMap[705][COUNT] = ActionEntry(REDUCE, 208);
   _actionMap[705][SUM] = ActionEntry(REDUCE, 208);
   _actionMap[705][AVG] = ActionEntry(REDUCE, 208);
   _actionMap[705][MIN] = ActionEntry(REDUCE, 208);
   _actionMap[705][MAX] = ActionEntry(REDUCE, 208);
   _actionMap[705][CASE] = ActionEntry(REDUCE, 208);
}
void Cego::loadParser33()
{
   _actionMap[705][TRIM] = ActionEntry(REDUCE, 208);
   _actionMap[705][RTRIM] = ActionEntry(REDUCE, 208);
   _actionMap[705][LTRIM] = ActionEntry(REDUCE, 208);
   _actionMap[705][ROUND] = ActionEntry(REDUCE, 208);
   _actionMap[705][DATE2STR] = ActionEntry(REDUCE, 208);
   _actionMap[705][DATE2INT] = ActionEntry(REDUCE, 208);
   _actionMap[705][INT2DATE] = ActionEntry(REDUCE, 208);
   _actionMap[705][LOWER] = ActionEntry(REDUCE, 208);
   _actionMap[705][UPPER] = ActionEntry(REDUCE, 208);
   _actionMap[705][LEFT] = ActionEntry(REDUCE, 208);
   _actionMap[705][RIGHT] = ActionEntry(REDUCE, 208);
   _actionMap[705][GETPOS] = ActionEntry(REDUCE, 208);
   _actionMap[705][SUBSTR] = ActionEntry(REDUCE, 208);
   _actionMap[705][REPLACE] = ActionEntry(REDUCE, 208);
   _actionMap[705][LENGTH] = ActionEntry(REDUCE, 208);
   _actionMap[705][TRUNC] = ActionEntry(REDUCE, 208);
   _actionMap[705][STR2INT] = ActionEntry(REDUCE, 208);
   _actionMap[705][STR2LONG] = ActionEntry(REDUCE, 208);
   _actionMap[705][RANDSTR] = ActionEntry(REDUCE, 208);
   _actionMap[705][RANDINT] = ActionEntry(REDUCE, 208);
   _actionMap[705][MOD] = ActionEntry(REDUCE, 208);
   _actionMap[705][DIV] = ActionEntry(REDUCE, 208);
   _actionMap[705][POWER] = ActionEntry(REDUCE, 208);
   _actionMap[705][BITAND] = ActionEntry(REDUCE, 208);
   _actionMap[705][BITOR] = ActionEntry(REDUCE, 208);
   _actionMap[705][BITXOR] = ActionEntry(REDUCE, 208);
   _actionMap[705][NEXTCOUNT] = ActionEntry(REDUCE, 208);
   _actionMap[705][IDENTIFIER] = ActionEntry(REDUCE, 208);
   _actionMap[705][QUALIFIEDOBJ] = ActionEntry(REDUCE, 208);
   _actionMap[705][QUALIFIEDTS] = ActionEntry(REDUCE, 208);
   _actionMap[705][QUALIFIEDPRE] = ActionEntry(REDUCE, 208);
   _actionMap[705][STRINGVAL] = ActionEntry(REDUCE, 208);
   _actionMap[705][DATE] = ActionEntry(REDUCE, 208);
   _actionMap[705][SYSDATE] = ActionEntry(REDUCE, 208);
   _actionMap[705][NULLTOKEN] = ActionEntry(REDUCE, 208);
   _actionMap[705][TRUEVAL] = ActionEntry(REDUCE, 208);
   _actionMap[705][FALSEVAL] = ActionEntry(REDUCE, 208);
   _actionMap[705][LAB] = ActionEntry(REDUCE, 208);
   _actionMap[705][COUNTERID] = ActionEntry(REDUCE, 208);
   _actionMap[705][FLOATVAL] = ActionEntry(REDUCE, 208);
   _actionMap[705][MINUS] = ActionEntry(REDUCE, 208);
   _actionMap[705][INTVAL] = ActionEntry(REDUCE, 208);
   _actionMap[706][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[706][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[706][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[706][ObjSpec] = 409;
   _jumpMap[706][Table] = 747;
   _actionMap[707][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[707][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[707][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
}
void Cego::loadParser34()
{
   _jumpMap[707][ObjSpec] = 409;
   _jumpMap[707][Table] = 748;
   _actionMap[708][KSEP] = ActionEntry(SHIFT, 749);
   _actionMap[708][SEMICOLON] = ActionEntry(REDUCE, 237);
   _actionMap[709][SEMICOLON] = ActionEntry(REDUCE, 240);
   _actionMap[709][KSEP] = ActionEntry(REDUCE, 240);
   _actionMap[710][EQU] = ActionEntry(SHIFT, 750);
   _actionMap[555][SEMICOLON] = ActionEntry(REDUCE, 244);
   _actionMap[556][COLUMN] = ActionEntry(SHIFT, 421);
   _actionMap[557][ON] = ActionEntry(SHIFT, 653);
   _actionMap[558][SEMICOLON] = ActionEntry(REDUCE, 247);
   _actionMap[558][KSEP] = ActionEntry(REDUCE, 247);
   _actionMap[559][IDENTIFIER] = ActionEntry(SHIFT, 654);
   _actionMap[560][SEMICOLON] = ActionEntry(REDUCE, 246);
   _actionMap[560][KSEP] = ActionEntry(REDUCE, 246);
   _actionMap[561][SEMICOLON] = ActionEntry(REDUCE, 248);
   _actionMap[561][KSEP] = ActionEntry(REDUCE, 248);
   _actionMap[562][TO] = ActionEntry(SHIFT, 655);
   _actionMap[563][IDENTIFIER] = ActionEntry(SHIFT, 656);
   _actionMap[564][PLUS] = ActionEntry(SHIFT, 211);
   _actionMap[564][MINUS] = ActionEntry(SHIFT, 210);
   _actionMap[564][CONCAT] = ActionEntry(SHIFT, 209);
   _actionMap[564][KSEP] = ActionEntry(REDUCE, 110);
   _actionMap[564][RB] = ActionEntry(REDUCE, 110);
   _actionMap[565][ELSE] = ActionEntry(REDUCE, 105);
   _actionMap[565][ELSIF] = ActionEntry(REDUCE, 105);
   _actionMap[565][EXCEPTION] = ActionEntry(REDUCE, 105);
   _actionMap[565][END_TOKEN] = ActionEntry(REDUCE, 105);
   _actionMap[566][WHEN] = ActionEntry(SHIFT, 657);
   _actionMap[567][EXCEPTION] = ActionEntry(REDUCE, 84);
   _actionMap[567][END_TOKEN] = ActionEntry(REDUCE, 84);
   _actionMap[567][ELSE] = ActionEntry(REDUCE, 84);
   _actionMap[567][ELSIF] = ActionEntry(REDUCE, 84);
   _actionMap[567][VAR] = ActionEntry(REDUCE, 84);
   _actionMap[567][CURSOR] = ActionEntry(REDUCE, 84);
   _actionMap[567][CLOSE] = ActionEntry(REDUCE, 84);
   _actionMap[567][VARREF] = ActionEntry(REDUCE, 84);
   _actionMap[567][NOOP] = ActionEntry(REDUCE, 84);
   _actionMap[567][RETURNTOKEN] = ActionEntry(REDUCE, 84);
   _actionMap[567][WHILE] = ActionEntry(REDUCE, 84);
   _actionMap[567][IF] = ActionEntry(REDUCE, 84);
   _actionMap[567][BEGIN] = ActionEntry(REDUCE, 84);
   _actionMap[567][ROLLBACK] = ActionEntry(REDUCE, 84);
   _actionMap[567][COMMIT] = ActionEntry(REDUCE, 84);
   _actionMap[567][START_TOKEN] = ActionEntry(REDUCE, 84);
   _actionMap[567][UPDATE] = ActionEntry(REDUCE, 84);
   _actionMap[567][DELETETOK] = ActionEntry(REDUCE, 84);
   _actionMap[567][INSERT] = ActionEntry(REDUCE, 84);
   _actionMap[567][FETCH] = ActionEntry(REDUCE, 84);
   _actionMap[567][LB] = ActionEntry(REDUCE, 84);
}
void Cego::loadParser35()
{
   _actionMap[567][COUNT] = ActionEntry(REDUCE, 84);
   _actionMap[567][SUM] = ActionEntry(REDUCE, 84);
   _actionMap[567][AVG] = ActionEntry(REDUCE, 84);
   _actionMap[567][MIN] = ActionEntry(REDUCE, 84);
   _actionMap[567][MAX] = ActionEntry(REDUCE, 84);
   _actionMap[567][CASE] = ActionEntry(REDUCE, 84);
   _actionMap[567][TRIM] = ActionEntry(REDUCE, 84);
   _actionMap[567][RTRIM] = ActionEntry(REDUCE, 84);
   _actionMap[567][LTRIM] = ActionEntry(REDUCE, 84);
   _actionMap[567][ROUND] = ActionEntry(REDUCE, 84);
   _actionMap[567][DATE2STR] = ActionEntry(REDUCE, 84);
   _actionMap[567][DATE2INT] = ActionEntry(REDUCE, 84);
   _actionMap[567][INT2DATE] = ActionEntry(REDUCE, 84);
   _actionMap[567][LOWER] = ActionEntry(REDUCE, 84);
   _actionMap[567][UPPER] = ActionEntry(REDUCE, 84);
   _actionMap[567][LEFT] = ActionEntry(REDUCE, 84);
   _actionMap[567][RIGHT] = ActionEntry(REDUCE, 84);
   _actionMap[567][GETPOS] = ActionEntry(REDUCE, 84);
   _actionMap[567][SUBSTR] = ActionEntry(REDUCE, 84);
   _actionMap[567][REPLACE] = ActionEntry(REDUCE, 84);
   _actionMap[567][LENGTH] = ActionEntry(REDUCE, 84);
   _actionMap[567][TRUNC] = ActionEntry(REDUCE, 84);
   _actionMap[567][STR2INT] = ActionEntry(REDUCE, 84);
   _actionMap[567][STR2LONG] = ActionEntry(REDUCE, 84);
   _actionMap[567][RANDSTR] = ActionEntry(REDUCE, 84);
   _actionMap[567][RANDINT] = ActionEntry(REDUCE, 84);
   _actionMap[567][MOD] = ActionEntry(REDUCE, 84);
   _actionMap[567][DIV] = ActionEntry(REDUCE, 84);
   _actionMap[567][POWER] = ActionEntry(REDUCE, 84);
   _actionMap[567][BITAND] = ActionEntry(REDUCE, 84);
   _actionMap[567][BITOR] = ActionEntry(REDUCE, 84);
   _actionMap[567][BITXOR] = ActionEntry(REDUCE, 84);
   _actionMap[567][NEXTCOUNT] = ActionEntry(REDUCE, 84);
   _actionMap[567][IDENTIFIER] = ActionEntry(REDUCE, 84);
   _actionMap[567][QUALIFIEDOBJ] = ActionEntry(REDUCE, 84);
   _actionMap[567][QUALIFIEDTS] = ActionEntry(REDUCE, 84);
   _actionMap[567][QUALIFIEDPRE] = ActionEntry(REDUCE, 84);
   _actionMap[567][STRINGVAL] = ActionEntry(REDUCE, 84);
   _actionMap[567][DATE] = ActionEntry(REDUCE, 84);
   _actionMap[567][SYSDATE] = ActionEntry(REDUCE, 84);
   _actionMap[567][NULLTOKEN] = ActionEntry(REDUCE, 84);
   _actionMap[567][TRUEVAL] = ActionEntry(REDUCE, 84);
   _actionMap[567][FALSEVAL] = ActionEntry(REDUCE, 84);
   _actionMap[567][LAB] = ActionEntry(REDUCE, 84);
   _actionMap[567][COUNTERID] = ActionEntry(REDUCE, 84);
   _actionMap[567][FLOATVAL] = ActionEntry(REDUCE, 84);
   _actionMap[567][MINUS] = ActionEntry(REDUCE, 84);
   _actionMap[567][INTVAL] = ActionEntry(REDUCE, 84);
   _actionMap[568][SEMICOLON] = ActionEntry(REDUCE, 103);
   _actionMap[569][END_TOKEN] = ActionEntry(SHIFT, 572);
}
void Cego::loadParser36()
{
   _actionMap[570][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[570][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[570][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[570][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[570][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[570][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[570][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[570][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[570][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[570][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[570][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[570][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[570][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[570][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[570][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[570][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[570][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[570][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[570][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[570][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[570][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[570][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[570][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[570][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[570][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[570][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[570][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[570][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[570][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[570][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[570][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[570][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[570][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[570][LB] = ActionEntry(SHIFT, 135);
   _actionMap[570][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[570][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[570][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[570][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[570][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[570][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[570][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[570][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[570][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[570][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[570][VARREF] = ActionEntry(SHIFT, 322);
   _actionMap[570][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[570][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[570][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[570][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[570][MIN] = ActionEntry(SHIFT, 114);
}
void Cego::loadParser37()
{
   _actionMap[570][MAX] = ActionEntry(SHIFT, 115);
   _actionMap[570][IF] = ActionEntry(SHIFT, 317);
   _actionMap[570][BEGIN] = ActionEntry(SHIFT, 314);
   _actionMap[570][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[570][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[570][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[570][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[570][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[570][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[570][VAR] = ActionEntry(SHIFT, 320);
   _actionMap[570][CURSOR] = ActionEntry(SHIFT, 316);
   _actionMap[570][CLOSE] = ActionEntry(SHIFT, 315);
   _actionMap[570][NOOP] = ActionEntry(SHIFT, 318);
   _actionMap[570][RETURNTOKEN] = ActionEntry(SHIFT, 319);
   _actionMap[570][WHILE] = ActionEntry(SHIFT, 321);
   _jumpMap[570][ObjSpec] = 94;
   _jumpMap[570][Constant] = 93;
   _jumpMap[570][SignedFloat] = 92;
   _jumpMap[570][SignedInt] = 91;
   _jumpMap[570][Attribute] = 90;
   _jumpMap[570][Function] = 89;
   _jumpMap[570][DeleteStatement] = 313;
   _jumpMap[570][UpdateStatement] = 312;
   _jumpMap[570][InsertStatement] = 311;
   _jumpMap[570][RollbackStatement] = 310;
   _jumpMap[570][CommitStatement] = 309;
   _jumpMap[570][StartStatement] = 308;
   _jumpMap[570][CasePrepare] = 88;
   _jumpMap[570][CaseClause] = 87;
   _jumpMap[570][Factor] = 86;
   _jumpMap[570][Term] = 85;
   _jumpMap[570][Expr] = 307;
   _jumpMap[570][ProcStatement] = 306;
   _jumpMap[570][ProcIfPart] = 305;
   _jumpMap[570][ProcBlockStart] = 304;
   _jumpMap[570][ProcStatementList] = 303;
   _jumpMap[570][ProcStmtBlock] = 658;
   _actionMap[571][VAR] = ActionEntry(REDUCE, 120);
   _actionMap[571][CURSOR] = ActionEntry(REDUCE, 120);
   _actionMap[571][CLOSE] = ActionEntry(REDUCE, 120);
   _actionMap[571][VARREF] = ActionEntry(REDUCE, 120);
   _actionMap[571][NOOP] = ActionEntry(REDUCE, 120);
   _actionMap[571][RETURNTOKEN] = ActionEntry(REDUCE, 120);
   _actionMap[571][WHILE] = ActionEntry(REDUCE, 120);
   _actionMap[571][IF] = ActionEntry(REDUCE, 120);
   _actionMap[571][BEGIN] = ActionEntry(REDUCE, 120);
   _actionMap[571][ROLLBACK] = ActionEntry(REDUCE, 120);
   _actionMap[571][COMMIT] = ActionEntry(REDUCE, 120);
   _actionMap[571][START_TOKEN] = ActionEntry(REDUCE, 120);
   _actionMap[571][UPDATE] = ActionEntry(REDUCE, 120);
}
void Cego::loadParser38()
{
   _actionMap[571][DELETETOK] = ActionEntry(REDUCE, 120);
   _actionMap[571][INSERT] = ActionEntry(REDUCE, 120);
   _actionMap[571][FETCH] = ActionEntry(REDUCE, 120);
   _actionMap[571][LB] = ActionEntry(REDUCE, 120);
   _actionMap[571][COUNT] = ActionEntry(REDUCE, 120);
   _actionMap[571][SUM] = ActionEntry(REDUCE, 120);
   _actionMap[571][AVG] = ActionEntry(REDUCE, 120);
   _actionMap[571][MIN] = ActionEntry(REDUCE, 120);
   _actionMap[571][MAX] = ActionEntry(REDUCE, 120);
   _actionMap[571][CASE] = ActionEntry(REDUCE, 120);
   _actionMap[571][TRIM] = ActionEntry(REDUCE, 120);
   _actionMap[571][RTRIM] = ActionEntry(REDUCE, 120);
   _actionMap[571][LTRIM] = ActionEntry(REDUCE, 120);
   _actionMap[571][ROUND] = ActionEntry(REDUCE, 120);
   _actionMap[571][DATE2STR] = ActionEntry(REDUCE, 120);
   _actionMap[571][DATE2INT] = ActionEntry(REDUCE, 120);
   _actionMap[571][INT2DATE] = ActionEntry(REDUCE, 120);
   _actionMap[571][LOWER] = ActionEntry(REDUCE, 120);
   _actionMap[571][UPPER] = ActionEntry(REDUCE, 120);
   _actionMap[571][LEFT] = ActionEntry(REDUCE, 120);
   _actionMap[571][RIGHT] = ActionEntry(REDUCE, 120);
   _actionMap[571][GETPOS] = ActionEntry(REDUCE, 120);
   _actionMap[571][SUBSTR] = ActionEntry(REDUCE, 120);
   _actionMap[571][REPLACE] = ActionEntry(REDUCE, 120);
   _actionMap[571][LENGTH] = ActionEntry(REDUCE, 120);
   _actionMap[571][TRUNC] = ActionEntry(REDUCE, 120);
   _actionMap[571][STR2INT] = ActionEntry(REDUCE, 120);
   _actionMap[571][STR2LONG] = ActionEntry(REDUCE, 120);
   _actionMap[571][RANDSTR] = ActionEntry(REDUCE, 120);
   _actionMap[571][RANDINT] = ActionEntry(REDUCE, 120);
   _actionMap[571][MOD] = ActionEntry(REDUCE, 120);
   _actionMap[571][DIV] = ActionEntry(REDUCE, 120);
   _actionMap[571][POWER] = ActionEntry(REDUCE, 120);
   _actionMap[571][BITAND] = ActionEntry(REDUCE, 120);
   _actionMap[571][BITOR] = ActionEntry(REDUCE, 120);
   _actionMap[571][BITXOR] = ActionEntry(REDUCE, 120);
   _actionMap[571][NEXTCOUNT] = ActionEntry(REDUCE, 120);
   _actionMap[571][IDENTIFIER] = ActionEntry(REDUCE, 120);
   _actionMap[571][QUALIFIEDOBJ] = ActionEntry(REDUCE, 120);
   _actionMap[571][QUALIFIEDTS] = ActionEntry(REDUCE, 120);
   _actionMap[571][QUALIFIEDPRE] = ActionEntry(REDUCE, 120);
   _actionMap[571][STRINGVAL] = ActionEntry(REDUCE, 120);
   _actionMap[571][DATE] = ActionEntry(REDUCE, 120);
   _actionMap[571][SYSDATE] = ActionEntry(REDUCE, 120);
   _actionMap[571][NULLTOKEN] = ActionEntry(REDUCE, 120);
   _actionMap[571][TRUEVAL] = ActionEntry(REDUCE, 120);
   _actionMap[571][FALSEVAL] = ActionEntry(REDUCE, 120);
   _actionMap[571][LAB] = ActionEntry(REDUCE, 120);
   _actionMap[571][COUNTERID] = ActionEntry(REDUCE, 120);
   _actionMap[571][FLOATVAL] = ActionEntry(REDUCE, 120);
}
void Cego::loadParser39()
{
   _actionMap[571][MINUS] = ActionEntry(REDUCE, 120);
   _actionMap[571][INTVAL] = ActionEntry(REDUCE, 120);
   _actionMap[572][SEMICOLON] = ActionEntry(REDUCE, 113);
   _actionMap[573][END_TOKEN] = ActionEntry(REDUCE, 115);
   _actionMap[573][ELSE] = ActionEntry(REDUCE, 115);
   _actionMap[574][THEN] = ActionEntry(SHIFT, 659);
   _actionMap[575][OR] = ActionEntry(SHIFT, 579);
   _actionMap[575][AND] = ActionEntry(SHIFT, 578);
   _actionMap[575][THEN] = ActionEntry(REDUCE, 122);
   _actionMap[576][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[576][SelectStatement] = 660;
   _actionMap[577][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[577][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[577][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[577][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[577][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[577][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[577][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[577][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[577][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[577][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[577][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[577][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[577][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[577][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[577][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[577][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[577][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[577][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[577][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[577][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[577][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[577][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[577][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[577][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[577][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[577][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[577][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[577][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[577][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[577][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[577][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[577][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[577][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[577][LB] = ActionEntry(SHIFT, 135);
   _actionMap[577][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[577][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[577][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[577][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[577][TRUEVAL] = ActionEntry(SHIFT, 132);
}
void Cego::loadParser40()
{
   _actionMap[577][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[577][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[577][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[577][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[577][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[577][VARREF] = ActionEntry(SHIFT, 322);
   _actionMap[577][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[577][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[577][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[577][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[577][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[577][MAX] = ActionEntry(SHIFT, 115);
   _actionMap[577][IF] = ActionEntry(SHIFT, 317);
   _actionMap[577][BEGIN] = ActionEntry(SHIFT, 314);
   _actionMap[577][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[577][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[577][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[577][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[577][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[577][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[577][VAR] = ActionEntry(SHIFT, 320);
   _actionMap[577][CURSOR] = ActionEntry(SHIFT, 316);
   _actionMap[577][CLOSE] = ActionEntry(SHIFT, 315);
   _actionMap[577][NOOP] = ActionEntry(SHIFT, 318);
   _actionMap[577][RETURNTOKEN] = ActionEntry(SHIFT, 319);
   _actionMap[577][WHILE] = ActionEntry(SHIFT, 321);
   _jumpMap[577][ObjSpec] = 94;
   _jumpMap[577][Constant] = 93;
   _jumpMap[577][SignedFloat] = 92;
   _jumpMap[577][SignedInt] = 91;
   _jumpMap[577][Attribute] = 90;
   _jumpMap[577][Function] = 89;
   _jumpMap[577][DeleteStatement] = 313;
   _jumpMap[577][UpdateStatement] = 312;
   _jumpMap[577][InsertStatement] = 311;
   _jumpMap[577][RollbackStatement] = 310;
   _jumpMap[577][CommitStatement] = 309;
   _jumpMap[577][StartStatement] = 308;
   _jumpMap[577][CasePrepare] = 88;
   _jumpMap[577][CaseClause] = 87;
   _jumpMap[577][Factor] = 86;
   _jumpMap[577][Term] = 85;
   _jumpMap[577][Expr] = 307;
   _jumpMap[577][ProcStatement] = 306;
   _jumpMap[577][ProcIfPart] = 305;
   _jumpMap[577][ProcBlockStart] = 304;
   _jumpMap[577][ProcStatementList] = 303;
   _jumpMap[577][ProcStmtBlock] = 661;
   _actionMap[578][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[578][MINUS] = ActionEntry(SHIFT, 137);
}
void Cego::loadParser41()
{
   _actionMap[578][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[578][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[578][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[578][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[578][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[578][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[578][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[578][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[578][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[578][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[578][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[578][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[578][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[578][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[578][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[578][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[578][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[578][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[578][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[578][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[578][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[578][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[578][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[578][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[578][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[578][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[578][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[578][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[578][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[578][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[578][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[578][LB] = ActionEntry(SHIFT, 442);
   _actionMap[578][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[578][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[578][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[578][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[578][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[578][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[578][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[578][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[578][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[578][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[578][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[578][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[578][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[578][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[578][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[578][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[578][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[578][ObjSpec] = 94;
}
void Cego::loadParser42()
{
   _jumpMap[578][Constant] = 93;
   _jumpMap[578][SignedFloat] = 92;
   _jumpMap[578][SignedInt] = 91;
   _jumpMap[578][Attribute] = 90;
   _jumpMap[578][Function] = 89;
   _jumpMap[578][CasePrepare] = 88;
   _jumpMap[578][CaseClause] = 87;
   _jumpMap[578][Factor] = 86;
   _jumpMap[578][Term] = 85;
   _jumpMap[578][Expr] = 441;
   _jumpMap[578][ProcPredicate] = 662;
   _actionMap[579][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[579][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[579][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[579][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[579][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[579][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[579][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[579][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[579][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[579][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[579][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[579][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[579][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[579][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[579][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[579][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[579][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[579][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[579][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[579][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[579][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[579][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[579][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[579][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[579][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[579][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[579][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[579][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[579][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[579][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[579][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[579][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[579][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[579][LB] = ActionEntry(SHIFT, 442);
   _actionMap[579][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[579][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[579][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[579][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[579][TRUEVAL] = ActionEntry(SHIFT, 132);
}
void Cego::loadParser43()
{
   _actionMap[579][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[579][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[579][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[579][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[579][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[579][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[579][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[579][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[579][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[579][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[579][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[579][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[579][ObjSpec] = 94;
   _jumpMap[579][Constant] = 93;
   _jumpMap[579][SignedFloat] = 92;
   _jumpMap[579][SignedInt] = 91;
   _jumpMap[579][Attribute] = 90;
   _jumpMap[579][Function] = 89;
   _jumpMap[579][CasePrepare] = 88;
   _jumpMap[579][CaseClause] = 87;
   _jumpMap[579][Factor] = 86;
   _jumpMap[579][Term] = 85;
   _jumpMap[579][Expr] = 441;
   _jumpMap[579][ProcPredicate] = 663;
   _actionMap[580][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[580][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[580][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[580][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[580][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[580][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[580][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[580][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[580][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[580][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[580][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[580][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[580][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[580][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[580][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[580][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[580][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[580][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[580][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[580][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[580][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[580][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[580][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[580][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[580][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[580][POWER] = ActionEntry(SHIFT, 119);
}
void Cego::loadParser44()
{
   _actionMap[580][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[580][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[580][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[580][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[580][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[580][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[580][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[580][LB] = ActionEntry(SHIFT, 135);
   _actionMap[580][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[580][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[580][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[580][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[580][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[580][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[580][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[580][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[580][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[580][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[580][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[580][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[580][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[580][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[580][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[580][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[580][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[580][ObjSpec] = 94;
   _jumpMap[580][Constant] = 93;
   _jumpMap[580][SignedFloat] = 92;
   _jumpMap[580][SignedInt] = 91;
   _jumpMap[580][Attribute] = 90;
   _jumpMap[580][Function] = 89;
   _jumpMap[580][CasePrepare] = 88;
   _jumpMap[580][CaseClause] = 87;
   _jumpMap[580][Factor] = 86;
   _jumpMap[580][Term] = 85;
   _jumpMap[580][Expr] = 664;
   _actionMap[581][NOT] = ActionEntry(SHIFT, 665);
   _actionMap[581][NULLTOKEN] = ActionEntry(SHIFT, 666);
   _actionMap[582][RB] = ActionEntry(SHIFT, 667);
   _actionMap[582][OR] = ActionEntry(SHIFT, 579);
   _actionMap[582][AND] = ActionEntry(SHIFT, 578);
   _actionMap[583][RB] = ActionEntry(SHIFT, 389);
   _actionMap[583][PLUS] = ActionEntry(SHIFT, 211);
   _actionMap[583][MINUS] = ActionEntry(SHIFT, 210);
   _actionMap[583][CONCAT] = ActionEntry(SHIFT, 209);
   _actionMap[583][IS] = ActionEntry(SHIFT, 581);
   _actionMap[583][EQU] = ActionEntry(SHIFT, 474);
   _actionMap[583][NEGATION] = ActionEntry(SHIFT, 477);
   _actionMap[583][LT] = ActionEntry(SHIFT, 475);
   _actionMap[583][MT] = ActionEntry(SHIFT, 476);
}
void Cego::loadParser45()
{
   _jumpMap[583][Comparison] = 580;
   _actionMap[584][SEMICOLON] = ActionEntry(REDUCE, 94);
   _actionMap[584][EQU] = ActionEntry(SHIFT, 670);
   _jumpMap[584][ProcNoAssignment] = 669;
   _jumpMap[584][ProcInitialAssignment] = 668;
   _actionMap[585][LB] = ActionEntry(SHIFT, 671);
   _actionMap[586][BEGIN] = ActionEntry(REDUCE, 316);
   _actionMap[586][DEFAULT] = ActionEntry(REDUCE, 316);
   _actionMap[586][NULLTOKEN] = ActionEntry(REDUCE, 316);
   _actionMap[586][NOT] = ActionEntry(REDUCE, 316);
   _actionMap[586][KSEP] = ActionEntry(REDUCE, 316);
   _actionMap[586][RB] = ActionEntry(REDUCE, 316);
   _actionMap[586][EQU] = ActionEntry(REDUCE, 316);
   _actionMap[586][SEMICOLON] = ActionEntry(REDUCE, 316);
   _actionMap[587][BEGIN] = ActionEntry(REDUCE, 308);
   _actionMap[587][DEFAULT] = ActionEntry(REDUCE, 308);
   _actionMap[587][NULLTOKEN] = ActionEntry(REDUCE, 308);
   _actionMap[587][NOT] = ActionEntry(REDUCE, 308);
   _actionMap[587][KSEP] = ActionEntry(REDUCE, 308);
   _actionMap[587][RB] = ActionEntry(REDUCE, 308);
   _actionMap[587][EQU] = ActionEntry(REDUCE, 308);
   _actionMap[587][SEMICOLON] = ActionEntry(REDUCE, 308);
   _actionMap[588][BEGIN] = ActionEntry(REDUCE, 307);
   _actionMap[588][DEFAULT] = ActionEntry(REDUCE, 307);
   _actionMap[588][NULLTOKEN] = ActionEntry(REDUCE, 307);
   _actionMap[588][NOT] = ActionEntry(REDUCE, 307);
   _actionMap[588][KSEP] = ActionEntry(REDUCE, 307);
   _actionMap[588][RB] = ActionEntry(REDUCE, 307);
   _actionMap[588][EQU] = ActionEntry(REDUCE, 307);
   _actionMap[588][SEMICOLON] = ActionEntry(REDUCE, 307);
   _actionMap[589][LB] = ActionEntry(SHIFT, 672);
   _actionMap[590][BEGIN] = ActionEntry(REDUCE, 311);
   _actionMap[590][DEFAULT] = ActionEntry(REDUCE, 311);
   _actionMap[590][NULLTOKEN] = ActionEntry(REDUCE, 311);
   _actionMap[590][NOT] = ActionEntry(REDUCE, 311);
   _actionMap[590][KSEP] = ActionEntry(REDUCE, 311);
   _actionMap[590][RB] = ActionEntry(REDUCE, 311);
   _actionMap[590][EQU] = ActionEntry(REDUCE, 311);
   _actionMap[590][SEMICOLON] = ActionEntry(REDUCE, 311);
   _actionMap[591][LB] = ActionEntry(SHIFT, 673);
   _actionMap[592][BEGIN] = ActionEntry(REDUCE, 310);
   _actionMap[592][DEFAULT] = ActionEntry(REDUCE, 310);
   _actionMap[592][NULLTOKEN] = ActionEntry(REDUCE, 310);
   _actionMap[592][NOT] = ActionEntry(REDUCE, 310);
   _actionMap[592][KSEP] = ActionEntry(REDUCE, 310);
   _actionMap[592][RB] = ActionEntry(REDUCE, 310);
   _actionMap[592][EQU] = ActionEntry(REDUCE, 310);
   _actionMap[592][SEMICOLON] = ActionEntry(REDUCE, 310);
   _actionMap[593][BEGIN] = ActionEntry(REDUCE, 304);
   _actionMap[593][DEFAULT] = ActionEntry(REDUCE, 304);
}
void Cego::loadParser46()
{
   _actionMap[593][NULLTOKEN] = ActionEntry(REDUCE, 304);
   _actionMap[593][NOT] = ActionEntry(REDUCE, 304);
   _actionMap[593][KSEP] = ActionEntry(REDUCE, 304);
   _actionMap[593][RB] = ActionEntry(REDUCE, 304);
   _actionMap[593][EQU] = ActionEntry(REDUCE, 304);
   _actionMap[593][SEMICOLON] = ActionEntry(REDUCE, 304);
   _actionMap[594][BEGIN] = ActionEntry(REDUCE, 305);
   _actionMap[594][DEFAULT] = ActionEntry(REDUCE, 305);
   _actionMap[594][NULLTOKEN] = ActionEntry(REDUCE, 305);
   _actionMap[594][NOT] = ActionEntry(REDUCE, 305);
   _actionMap[594][KSEP] = ActionEntry(REDUCE, 305);
   _actionMap[594][RB] = ActionEntry(REDUCE, 305);
   _actionMap[594][EQU] = ActionEntry(REDUCE, 305);
   _actionMap[594][SEMICOLON] = ActionEntry(REDUCE, 305);
   _actionMap[595][BEGIN] = ActionEntry(REDUCE, 312);
   _actionMap[595][DEFAULT] = ActionEntry(REDUCE, 312);
   _actionMap[595][NULLTOKEN] = ActionEntry(REDUCE, 312);
   _actionMap[595][NOT] = ActionEntry(REDUCE, 312);
   _actionMap[595][KSEP] = ActionEntry(REDUCE, 312);
   _actionMap[595][RB] = ActionEntry(REDUCE, 312);
   _actionMap[595][EQU] = ActionEntry(REDUCE, 312);
   _actionMap[595][SEMICOLON] = ActionEntry(REDUCE, 312);
   _actionMap[596][LB] = ActionEntry(SHIFT, 674);
   _actionMap[597][BEGIN] = ActionEntry(REDUCE, 313);
   _actionMap[597][DEFAULT] = ActionEntry(REDUCE, 313);
   _actionMap[597][NULLTOKEN] = ActionEntry(REDUCE, 313);
   _actionMap[597][NOT] = ActionEntry(REDUCE, 313);
   _actionMap[597][KSEP] = ActionEntry(REDUCE, 313);
   _actionMap[597][RB] = ActionEntry(REDUCE, 313);
   _actionMap[597][EQU] = ActionEntry(REDUCE, 313);
   _actionMap[597][SEMICOLON] = ActionEntry(REDUCE, 313);
   _actionMap[598][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[598][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[598][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[598][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[598][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[598][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[598][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[598][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[598][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[598][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[598][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[598][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[598][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[598][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[598][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[598][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[598][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[598][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[598][TRUNC] = ActionEntry(SHIFT, 133);
}
void Cego::loadParser47()
{
   _actionMap[598][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[598][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[598][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[598][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[598][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[598][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[598][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[598][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[598][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[598][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[598][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[598][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[598][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[598][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[598][LB] = ActionEntry(SHIFT, 135);
   _actionMap[598][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[598][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[598][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[598][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[598][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[598][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[598][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[598][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[598][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[598][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[598][VARREF] = ActionEntry(SHIFT, 322);
   _actionMap[598][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[598][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[598][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[598][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[598][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[598][MAX] = ActionEntry(SHIFT, 115);
   _actionMap[598][IF] = ActionEntry(SHIFT, 317);
   _actionMap[598][BEGIN] = ActionEntry(SHIFT, 314);
   _actionMap[598][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[598][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[598][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[598][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[598][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[598][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[598][VAR] = ActionEntry(SHIFT, 320);
   _actionMap[598][CURSOR] = ActionEntry(SHIFT, 316);
   _actionMap[598][CLOSE] = ActionEntry(SHIFT, 315);
   _actionMap[598][NOOP] = ActionEntry(SHIFT, 318);
   _actionMap[598][RETURNTOKEN] = ActionEntry(SHIFT, 319);
   _actionMap[598][WHILE] = ActionEntry(SHIFT, 321);
   _jumpMap[598][ObjSpec] = 94;
   _jumpMap[598][Constant] = 93;
   _jumpMap[598][SignedFloat] = 92;
   _jumpMap[598][SignedInt] = 91;
}
void Cego::loadParser48()
{
   _jumpMap[598][Attribute] = 90;
   _jumpMap[598][Function] = 89;
   _jumpMap[598][DeleteStatement] = 313;
   _jumpMap[598][UpdateStatement] = 312;
   _jumpMap[598][InsertStatement] = 311;
   _jumpMap[598][RollbackStatement] = 310;
   _jumpMap[598][CommitStatement] = 309;
   _jumpMap[598][StartStatement] = 308;
   _jumpMap[598][CasePrepare] = 88;
   _jumpMap[598][CaseClause] = 87;
   _jumpMap[598][Factor] = 86;
   _jumpMap[598][Term] = 85;
   _jumpMap[598][Expr] = 307;
   _jumpMap[598][ProcStatement] = 306;
   _jumpMap[598][ProcIfPart] = 305;
   _jumpMap[598][ProcBlockStart] = 304;
   _jumpMap[598][ProcStatementList] = 303;
   _jumpMap[598][ProcStmtBlock] = 675;
   _actionMap[599][PLUS] = ActionEntry(SHIFT, 211);
   _actionMap[599][MINUS] = ActionEntry(SHIFT, 210);
   _actionMap[599][CONCAT] = ActionEntry(SHIFT, 209);
   _actionMap[599][SEMICOLON] = ActionEntry(REDUCE, 89);
   _actionMap[600][LB] = ActionEntry(SHIFT, 676);
   _actionMap[601][IDENTIFIER] = ActionEntry(SHIFT, 679);
   _jumpMap[601][SimpleAttr] = 678;
   _jumpMap[601][SimpleAttrList] = 677;
   _actionMap[602][IDENTIFIER] = ActionEntry(SHIFT, 454);
   _jumpMap[602][ProcArg] = 680;
   _actionMap[603][BEGIN] = ActionEntry(REDUCE, 73);
   _actionMap[604][INT] = ActionEntry(SHIFT, 593);
   _actionMap[604][LONG] = ActionEntry(SHIFT, 594);
   _actionMap[604][STRING] = ActionEntry(SHIFT, 596);
   _actionMap[604][DATETIME] = ActionEntry(SHIFT, 588);
   _actionMap[604][BOOL] = ActionEntry(SHIFT, 587);
   _actionMap[604][BIGINT] = ActionEntry(SHIFT, 585);
   _actionMap[604][FLOAT] = ActionEntry(SHIFT, 592);
   _actionMap[604][DOUBLE] = ActionEntry(SHIFT, 590);
   _actionMap[604][SMALLINT] = ActionEntry(SHIFT, 595);
   _actionMap[604][TINYINT] = ActionEntry(SHIFT, 597);
   _actionMap[604][DECIMAL] = ActionEntry(SHIFT, 589);
   _actionMap[604][FIXED] = ActionEntry(SHIFT, 591);
   _actionMap[604][BLOB] = ActionEntry(SHIFT, 586);
   _jumpMap[604][DataTypeProd] = 681;
   _actionMap[605][INT] = ActionEntry(SHIFT, 593);
   _actionMap[605][LONG] = ActionEntry(SHIFT, 594);
   _actionMap[605][STRING] = ActionEntry(SHIFT, 596);
   _actionMap[605][DATETIME] = ActionEntry(SHIFT, 588);
   _actionMap[605][BOOL] = ActionEntry(SHIFT, 587);
   _actionMap[605][BIGINT] = ActionEntry(SHIFT, 585);
   _actionMap[605][FLOAT] = ActionEntry(SHIFT, 592);
}
void Cego::loadParser49()
{
   _actionMap[605][DOUBLE] = ActionEntry(SHIFT, 590);
   _actionMap[605][SMALLINT] = ActionEntry(SHIFT, 595);
   _actionMap[605][TINYINT] = ActionEntry(SHIFT, 597);
   _actionMap[605][DECIMAL] = ActionEntry(SHIFT, 589);
   _actionMap[605][FIXED] = ActionEntry(SHIFT, 591);
   _actionMap[605][BLOB] = ActionEntry(SHIFT, 586);
   _jumpMap[605][DataTypeProd] = 682;
   _actionMap[606][INT] = ActionEntry(SHIFT, 593);
   _actionMap[606][LONG] = ActionEntry(SHIFT, 594);
   _actionMap[606][STRING] = ActionEntry(SHIFT, 596);
   _actionMap[606][DATETIME] = ActionEntry(SHIFT, 588);
   _actionMap[606][BOOL] = ActionEntry(SHIFT, 587);
   _actionMap[606][BIGINT] = ActionEntry(SHIFT, 585);
   _actionMap[606][FLOAT] = ActionEntry(SHIFT, 592);
   _actionMap[606][DOUBLE] = ActionEntry(SHIFT, 590);
   _actionMap[606][SMALLINT] = ActionEntry(SHIFT, 595);
   _actionMap[606][TINYINT] = ActionEntry(SHIFT, 597);
   _actionMap[606][DECIMAL] = ActionEntry(SHIFT, 589);
   _actionMap[606][FIXED] = ActionEntry(SHIFT, 591);
   _actionMap[606][BLOB] = ActionEntry(SHIFT, 586);
   _jumpMap[606][DataTypeProd] = 683;
   _actionMap[607][IDENTIFIER] = ActionEntry(SHIFT, 459);
   _actionMap[607][PRIMARY] = ActionEntry(SHIFT, 458);
   _jumpMap[607][ColumnDesc] = 457;
   _jumpMap[607][KeyColumn] = 684;
   _actionMap[608][SEMICOLON] = ActionEntry(REDUCE, 49);
   _actionMap[609][KSEP] = ActionEntry(REDUCE, 162);
   _actionMap[609][RB] = ActionEntry(REDUCE, 162);
   _actionMap[610][RB] = ActionEntry(REDUCE, 171);
   _actionMap[610][SEMICOLON] = ActionEntry(REDUCE, 171);
   _actionMap[610][KSEP] = ActionEntry(REDUCE, 171);
   _actionMap[610][NOT] = ActionEntry(REDUCE, 171);
   _actionMap[610][NULLTOKEN] = ActionEntry(REDUCE, 171);
   _actionMap[610][DEFAULT] = ActionEntry(SHIFT, 687);
   _jumpMap[610][DefaultDefOpt] = 686;
   _jumpMap[610][DefaultOpt] = 685;
   _actionMap[611][PLUS] = ActionEntry(SHIFT, 211);
   _actionMap[611][MINUS] = ActionEntry(SHIFT, 210);
   _actionMap[611][CONCAT] = ActionEntry(SHIFT, 209);
   _actionMap[611][KSEP] = ActionEntry(REDUCE, 188);
   _actionMap[611][RB] = ActionEntry(REDUCE, 188);
   _actionMap[612][RB] = ActionEntry(SHIFT, 689);
   _actionMap[612][KSEP] = ActionEntry(SHIFT, 688);
   _actionMap[613][IDENTIFIER] = ActionEntry(SHIFT, 690);
   _actionMap[614][SELECT] = ActionEntry(REDUCE, 182);
   _actionMap[614][VALUES] = ActionEntry(REDUCE, 182);
   _actionMap[615][WHEN] = ActionEntry(REDUCE, 153);
   _actionMap[615][ELSE] = ActionEntry(REDUCE, 153);
   _actionMap[615][LEFT] = ActionEntry(REDUCE, 153);
   _actionMap[615][RIGHT] = ActionEntry(REDUCE, 153);
}
void Cego::loadParser50()
{
   _actionMap[615][INNER] = ActionEntry(REDUCE, 153);
   _actionMap[615][JOIN] = ActionEntry(REDUCE, 153);
   _actionMap[615][RETURNTOKEN] = ActionEntry(REDUCE, 153);
   _actionMap[615][ORDER] = ActionEntry(REDUCE, 153);
   _actionMap[615][GROUP] = ActionEntry(REDUCE, 153);
   _actionMap[615][WHERE] = ActionEntry(REDUCE, 153);
   _actionMap[615][BEGIN] = ActionEntry(REDUCE, 153);
   _actionMap[615][THEN] = ActionEntry(REDUCE, 153);
   _actionMap[615][OR] = ActionEntry(REDUCE, 153);
   _actionMap[615][FROM] = ActionEntry(REDUCE, 153);
   _actionMap[615][AS] = ActionEntry(REDUCE, 153);
   _actionMap[615][END_TOKEN] = ActionEntry(REDUCE, 153);
   _actionMap[615][AND] = ActionEntry(REDUCE, 153);
   _actionMap[615][INTOK] = ActionEntry(REDUCE, 153);
   _actionMap[615][NOT] = ActionEntry(REDUCE, 153);
   _actionMap[615][BETWEEN] = ActionEntry(REDUCE, 153);
   _actionMap[615][IS] = ActionEntry(REDUCE, 153);
   _actionMap[615][LIKE] = ActionEntry(REDUCE, 153);
   _actionMap[615][MT] = ActionEntry(REDUCE, 153);
   _actionMap[615][LT] = ActionEntry(REDUCE, 153);
   _actionMap[615][NEGATION] = ActionEntry(REDUCE, 153);
   _actionMap[615][EQU] = ActionEntry(REDUCE, 153);
   _actionMap[615][RB] = ActionEntry(REDUCE, 153);
   _actionMap[615][ENDTOKEN] = ActionEntry(REDUCE, 153);
   _actionMap[615][UNION] = ActionEntry(REDUCE, 153);
   _actionMap[615][ROWLIMIT] = ActionEntry(REDUCE, 153);
   _actionMap[615][KSEP] = ActionEntry(REDUCE, 153);
   _actionMap[615][ASC] = ActionEntry(REDUCE, 153);
   _actionMap[615][DESC] = ActionEntry(REDUCE, 153);
   _actionMap[615][SEMICOLON] = ActionEntry(REDUCE, 153);
   _actionMap[615][PLUS] = ActionEntry(REDUCE, 153);
   _actionMap[615][MINUS] = ActionEntry(REDUCE, 153);
   _actionMap[615][DIVISION] = ActionEntry(REDUCE, 153);
   _actionMap[615][STAR] = ActionEntry(REDUCE, 153);
   _actionMap[615][CONCAT] = ActionEntry(REDUCE, 153);
   _actionMap[616][PLUS] = ActionEntry(SHIFT, 211);
   _actionMap[616][MINUS] = ActionEntry(SHIFT, 210);
   _actionMap[616][CONCAT] = ActionEntry(SHIFT, 209);
   _actionMap[616][LEFT] = ActionEntry(REDUCE, 296);
   _actionMap[616][RIGHT] = ActionEntry(REDUCE, 296);
   _actionMap[616][INNER] = ActionEntry(REDUCE, 296);
   _actionMap[616][JOIN] = ActionEntry(REDUCE, 296);
   _actionMap[616][RETURNTOKEN] = ActionEntry(REDUCE, 296);
   _actionMap[616][SEMICOLON] = ActionEntry(REDUCE, 296);
   _actionMap[616][ENDTOKEN] = ActionEntry(REDUCE, 296);
   _actionMap[616][UNION] = ActionEntry(REDUCE, 296);
   _actionMap[616][ROWLIMIT] = ActionEntry(REDUCE, 296);
   _actionMap[616][ORDER] = ActionEntry(REDUCE, 296);
   _actionMap[616][GROUP] = ActionEntry(REDUCE, 296);
   _actionMap[616][WHERE] = ActionEntry(REDUCE, 296);
}
void Cego::loadParser51()
{
   _actionMap[616][THEN] = ActionEntry(REDUCE, 296);
   _actionMap[616][AND] = ActionEntry(REDUCE, 296);
   _actionMap[616][OR] = ActionEntry(REDUCE, 296);
   _actionMap[616][RB] = ActionEntry(REDUCE, 296);
   _actionMap[617][AND] = ActionEntry(SHIFT, 691);
   _actionMap[617][PLUS] = ActionEntry(SHIFT, 211);
   _actionMap[617][MINUS] = ActionEntry(SHIFT, 210);
   _actionMap[617][CONCAT] = ActionEntry(SHIFT, 209);
   _actionMap[618][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[618][SelectStatement] = 692;
   _actionMap[619][NULLTOKEN] = ActionEntry(SHIFT, 693);
   _actionMap[620][LEFT] = ActionEntry(REDUCE, 298);
   _actionMap[620][RIGHT] = ActionEntry(REDUCE, 298);
   _actionMap[620][INNER] = ActionEntry(REDUCE, 298);
   _actionMap[620][JOIN] = ActionEntry(REDUCE, 298);
   _actionMap[620][RETURNTOKEN] = ActionEntry(REDUCE, 298);
   _actionMap[620][SEMICOLON] = ActionEntry(REDUCE, 298);
   _actionMap[620][ENDTOKEN] = ActionEntry(REDUCE, 298);
   _actionMap[620][UNION] = ActionEntry(REDUCE, 298);
   _actionMap[620][ROWLIMIT] = ActionEntry(REDUCE, 298);
   _actionMap[620][ORDER] = ActionEntry(REDUCE, 298);
   _actionMap[620][GROUP] = ActionEntry(REDUCE, 298);
   _actionMap[620][WHERE] = ActionEntry(REDUCE, 298);
   _actionMap[620][THEN] = ActionEntry(REDUCE, 298);
   _actionMap[620][AND] = ActionEntry(REDUCE, 298);
   _actionMap[620][OR] = ActionEntry(REDUCE, 298);
   _actionMap[620][RB] = ActionEntry(REDUCE, 298);
   _actionMap[621][LEFT] = ActionEntry(REDUCE, 300);
   _actionMap[621][RIGHT] = ActionEntry(REDUCE, 300);
   _actionMap[621][INNER] = ActionEntry(REDUCE, 300);
   _actionMap[621][JOIN] = ActionEntry(REDUCE, 300);
   _actionMap[621][RETURNTOKEN] = ActionEntry(REDUCE, 300);
   _actionMap[621][SEMICOLON] = ActionEntry(REDUCE, 300);
   _actionMap[621][ENDTOKEN] = ActionEntry(REDUCE, 300);
   _actionMap[621][UNION] = ActionEntry(REDUCE, 300);
   _actionMap[621][ROWLIMIT] = ActionEntry(REDUCE, 300);
   _actionMap[621][ORDER] = ActionEntry(REDUCE, 300);
   _actionMap[621][GROUP] = ActionEntry(REDUCE, 300);
   _actionMap[621][WHERE] = ActionEntry(REDUCE, 300);
   _actionMap[621][THEN] = ActionEntry(REDUCE, 300);
   _actionMap[621][AND] = ActionEntry(REDUCE, 300);
   _actionMap[621][OR] = ActionEntry(REDUCE, 300);
   _actionMap[621][RB] = ActionEntry(REDUCE, 300);
   _actionMap[622][LB] = ActionEntry(SHIFT, 694);
   _actionMap[623][STRINGVAL] = ActionEntry(SHIFT, 695);
   _actionMap[624][VARREF] = ActionEntry(REDUCE, 321);
   _actionMap[624][FETCH] = ActionEntry(REDUCE, 321);
   _actionMap[624][LB] = ActionEntry(REDUCE, 321);
   _actionMap[624][COUNT] = ActionEntry(REDUCE, 321);
   _actionMap[624][SUM] = ActionEntry(REDUCE, 321);
}
void Cego::loadParser52()
{
   _actionMap[624][AVG] = ActionEntry(REDUCE, 321);
   _actionMap[624][MIN] = ActionEntry(REDUCE, 321);
   _actionMap[624][MAX] = ActionEntry(REDUCE, 321);
   _actionMap[624][CASE] = ActionEntry(REDUCE, 321);
   _actionMap[624][TRIM] = ActionEntry(REDUCE, 321);
   _actionMap[624][RTRIM] = ActionEntry(REDUCE, 321);
   _actionMap[624][LTRIM] = ActionEntry(REDUCE, 321);
   _actionMap[624][ROUND] = ActionEntry(REDUCE, 321);
   _actionMap[624][DATE2STR] = ActionEntry(REDUCE, 321);
   _actionMap[624][DATE2INT] = ActionEntry(REDUCE, 321);
   _actionMap[624][INT2DATE] = ActionEntry(REDUCE, 321);
   _actionMap[624][LOWER] = ActionEntry(REDUCE, 321);
   _actionMap[624][UPPER] = ActionEntry(REDUCE, 321);
   _actionMap[624][LEFT] = ActionEntry(REDUCE, 321);
   _actionMap[624][RIGHT] = ActionEntry(REDUCE, 321);
   _actionMap[624][GETPOS] = ActionEntry(REDUCE, 321);
   _actionMap[624][SUBSTR] = ActionEntry(REDUCE, 321);
   _actionMap[624][REPLACE] = ActionEntry(REDUCE, 321);
   _actionMap[624][LENGTH] = ActionEntry(REDUCE, 321);
   _actionMap[624][TRUNC] = ActionEntry(REDUCE, 321);
   _actionMap[624][STR2INT] = ActionEntry(REDUCE, 321);
   _actionMap[624][STR2LONG] = ActionEntry(REDUCE, 321);
   _actionMap[624][RANDSTR] = ActionEntry(REDUCE, 321);
   _actionMap[624][RANDINT] = ActionEntry(REDUCE, 321);
   _actionMap[624][MOD] = ActionEntry(REDUCE, 321);
   _actionMap[624][DIV] = ActionEntry(REDUCE, 321);
   _actionMap[624][POWER] = ActionEntry(REDUCE, 321);
   _actionMap[624][BITAND] = ActionEntry(REDUCE, 321);
   _actionMap[624][BITOR] = ActionEntry(REDUCE, 321);
   _actionMap[624][BITXOR] = ActionEntry(REDUCE, 321);
   _actionMap[624][NEXTCOUNT] = ActionEntry(REDUCE, 321);
   _actionMap[624][IDENTIFIER] = ActionEntry(REDUCE, 321);
   _actionMap[624][QUALIFIEDOBJ] = ActionEntry(REDUCE, 321);
   _actionMap[624][QUALIFIEDTS] = ActionEntry(REDUCE, 321);
   _actionMap[624][QUALIFIEDPRE] = ActionEntry(REDUCE, 321);
   _actionMap[624][STRINGVAL] = ActionEntry(REDUCE, 321);
   _actionMap[624][DATE] = ActionEntry(REDUCE, 321);
   _actionMap[624][SYSDATE] = ActionEntry(REDUCE, 321);
   _actionMap[624][NULLTOKEN] = ActionEntry(REDUCE, 321);
   _actionMap[624][TRUEVAL] = ActionEntry(REDUCE, 321);
   _actionMap[624][FALSEVAL] = ActionEntry(REDUCE, 321);
   _actionMap[624][LAB] = ActionEntry(REDUCE, 321);
   _actionMap[624][COUNTERID] = ActionEntry(REDUCE, 321);
   _actionMap[624][FLOATVAL] = ActionEntry(REDUCE, 321);
   _actionMap[624][MINUS] = ActionEntry(REDUCE, 321);
   _actionMap[624][INTVAL] = ActionEntry(REDUCE, 321);
   _actionMap[625][VARREF] = ActionEntry(REDUCE, 322);
   _actionMap[625][FETCH] = ActionEntry(REDUCE, 322);
   _actionMap[625][LB] = ActionEntry(REDUCE, 322);
   _actionMap[625][COUNT] = ActionEntry(REDUCE, 322);
}
void Cego::loadParser53()
{
   _actionMap[625][SUM] = ActionEntry(REDUCE, 322);
   _actionMap[625][AVG] = ActionEntry(REDUCE, 322);
   _actionMap[625][MIN] = ActionEntry(REDUCE, 322);
   _actionMap[625][MAX] = ActionEntry(REDUCE, 322);
   _actionMap[625][CASE] = ActionEntry(REDUCE, 322);
   _actionMap[625][TRIM] = ActionEntry(REDUCE, 322);
   _actionMap[625][RTRIM] = ActionEntry(REDUCE, 322);
   _actionMap[625][LTRIM] = ActionEntry(REDUCE, 322);
   _actionMap[625][ROUND] = ActionEntry(REDUCE, 322);
   _actionMap[625][DATE2STR] = ActionEntry(REDUCE, 322);
   _actionMap[625][DATE2INT] = ActionEntry(REDUCE, 322);
   _actionMap[625][INT2DATE] = ActionEntry(REDUCE, 322);
   _actionMap[625][LOWER] = ActionEntry(REDUCE, 322);
   _actionMap[625][UPPER] = ActionEntry(REDUCE, 322);
   _actionMap[625][LEFT] = ActionEntry(REDUCE, 322);
   _actionMap[625][RIGHT] = ActionEntry(REDUCE, 322);
   _actionMap[625][GETPOS] = ActionEntry(REDUCE, 322);
   _actionMap[625][SUBSTR] = ActionEntry(REDUCE, 322);
   _actionMap[625][REPLACE] = ActionEntry(REDUCE, 322);
   _actionMap[625][LENGTH] = ActionEntry(REDUCE, 322);
   _actionMap[625][TRUNC] = ActionEntry(REDUCE, 322);
   _actionMap[625][STR2INT] = ActionEntry(REDUCE, 322);
   _actionMap[625][STR2LONG] = ActionEntry(REDUCE, 322);
   _actionMap[625][RANDSTR] = ActionEntry(REDUCE, 322);
   _actionMap[625][RANDINT] = ActionEntry(REDUCE, 322);
   _actionMap[625][MOD] = ActionEntry(REDUCE, 322);
   _actionMap[625][DIV] = ActionEntry(REDUCE, 322);
   _actionMap[625][POWER] = ActionEntry(REDUCE, 322);
   _actionMap[625][BITAND] = ActionEntry(REDUCE, 322);
   _actionMap[625][BITOR] = ActionEntry(REDUCE, 322);
   _actionMap[625][BITXOR] = ActionEntry(REDUCE, 322);
   _actionMap[625][NEXTCOUNT] = ActionEntry(REDUCE, 322);
   _actionMap[625][IDENTIFIER] = ActionEntry(REDUCE, 322);
   _actionMap[625][QUALIFIEDOBJ] = ActionEntry(REDUCE, 322);
   _actionMap[625][QUALIFIEDTS] = ActionEntry(REDUCE, 322);
   _actionMap[625][QUALIFIEDPRE] = ActionEntry(REDUCE, 322);
   _actionMap[625][STRINGVAL] = ActionEntry(REDUCE, 322);
   _actionMap[625][DATE] = ActionEntry(REDUCE, 322);
   _actionMap[625][SYSDATE] = ActionEntry(REDUCE, 322);
   _actionMap[625][NULLTOKEN] = ActionEntry(REDUCE, 322);
   _actionMap[625][TRUEVAL] = ActionEntry(REDUCE, 322);
   _actionMap[625][FALSEVAL] = ActionEntry(REDUCE, 322);
   _actionMap[625][LAB] = ActionEntry(REDUCE, 322);
   _actionMap[625][COUNTERID] = ActionEntry(REDUCE, 322);
   _actionMap[625][FLOATVAL] = ActionEntry(REDUCE, 322);
   _actionMap[625][MINUS] = ActionEntry(REDUCE, 322);
   _actionMap[625][INTVAL] = ActionEntry(REDUCE, 322);
   _actionMap[626][VARREF] = ActionEntry(REDUCE, 318);
   _actionMap[626][FETCH] = ActionEntry(REDUCE, 318);
   _actionMap[626][LB] = ActionEntry(REDUCE, 318);
}
void Cego::loadParser54()
{
   _actionMap[626][COUNT] = ActionEntry(REDUCE, 318);
   _actionMap[626][SUM] = ActionEntry(REDUCE, 318);
   _actionMap[626][AVG] = ActionEntry(REDUCE, 318);
   _actionMap[626][MIN] = ActionEntry(REDUCE, 318);
   _actionMap[626][MAX] = ActionEntry(REDUCE, 318);
   _actionMap[626][CASE] = ActionEntry(REDUCE, 318);
   _actionMap[626][TRIM] = ActionEntry(REDUCE, 318);
   _actionMap[626][RTRIM] = ActionEntry(REDUCE, 318);
   _actionMap[626][LTRIM] = ActionEntry(REDUCE, 318);
   _actionMap[626][ROUND] = ActionEntry(REDUCE, 318);
   _actionMap[626][DATE2STR] = ActionEntry(REDUCE, 318);
   _actionMap[626][DATE2INT] = ActionEntry(REDUCE, 318);
   _actionMap[626][INT2DATE] = ActionEntry(REDUCE, 318);
   _actionMap[626][LOWER] = ActionEntry(REDUCE, 318);
   _actionMap[626][UPPER] = ActionEntry(REDUCE, 318);
   _actionMap[626][LEFT] = ActionEntry(REDUCE, 318);
   _actionMap[626][RIGHT] = ActionEntry(REDUCE, 318);
   _actionMap[626][GETPOS] = ActionEntry(REDUCE, 318);
   _actionMap[626][SUBSTR] = ActionEntry(REDUCE, 318);
   _actionMap[626][REPLACE] = ActionEntry(REDUCE, 318);
   _actionMap[626][LENGTH] = ActionEntry(REDUCE, 318);
   _actionMap[626][TRUNC] = ActionEntry(REDUCE, 318);
   _actionMap[626][STR2INT] = ActionEntry(REDUCE, 318);
   _actionMap[626][STR2LONG] = ActionEntry(REDUCE, 318);
   _actionMap[626][RANDSTR] = ActionEntry(REDUCE, 318);
   _actionMap[626][RANDINT] = ActionEntry(REDUCE, 318);
   _actionMap[626][MOD] = ActionEntry(REDUCE, 318);
   _actionMap[626][DIV] = ActionEntry(REDUCE, 318);
   _actionMap[626][POWER] = ActionEntry(REDUCE, 318);
   _actionMap[626][BITAND] = ActionEntry(REDUCE, 318);
   _actionMap[626][BITOR] = ActionEntry(REDUCE, 318);
   _actionMap[626][BITXOR] = ActionEntry(REDUCE, 318);
   _actionMap[626][NEXTCOUNT] = ActionEntry(REDUCE, 318);
   _actionMap[626][IDENTIFIER] = ActionEntry(REDUCE, 318);
   _actionMap[626][QUALIFIEDOBJ] = ActionEntry(REDUCE, 318);
   _actionMap[626][QUALIFIEDTS] = ActionEntry(REDUCE, 318);
   _actionMap[626][QUALIFIEDPRE] = ActionEntry(REDUCE, 318);
   _actionMap[626][STRINGVAL] = ActionEntry(REDUCE, 318);
   _actionMap[626][DATE] = ActionEntry(REDUCE, 318);
   _actionMap[626][SYSDATE] = ActionEntry(REDUCE, 318);
   _actionMap[626][NULLTOKEN] = ActionEntry(REDUCE, 318);
   _actionMap[626][TRUEVAL] = ActionEntry(REDUCE, 318);
   _actionMap[626][FALSEVAL] = ActionEntry(REDUCE, 318);
   _actionMap[626][LAB] = ActionEntry(REDUCE, 318);
   _actionMap[626][COUNTERID] = ActionEntry(REDUCE, 318);
   _actionMap[626][FLOATVAL] = ActionEntry(REDUCE, 318);
   _actionMap[626][MINUS] = ActionEntry(REDUCE, 318);
   _actionMap[626][INTVAL] = ActionEntry(REDUCE, 318);
   _actionMap[627][THEN] = ActionEntry(REDUCE, 290);
   _actionMap[627][LEFT] = ActionEntry(REDUCE, 290);
}
void Cego::loadParser55()
{
   _actionMap[627][RIGHT] = ActionEntry(REDUCE, 290);
   _actionMap[627][INNER] = ActionEntry(REDUCE, 290);
   _actionMap[627][JOIN] = ActionEntry(REDUCE, 290);
   _actionMap[627][RETURNTOKEN] = ActionEntry(REDUCE, 290);
   _actionMap[627][SEMICOLON] = ActionEntry(REDUCE, 290);
   _actionMap[627][RB] = ActionEntry(REDUCE, 290);
   _actionMap[627][ENDTOKEN] = ActionEntry(REDUCE, 290);
   _actionMap[627][UNION] = ActionEntry(REDUCE, 290);
   _actionMap[627][ROWLIMIT] = ActionEntry(REDUCE, 290);
   _actionMap[627][ORDER] = ActionEntry(REDUCE, 290);
   _actionMap[627][GROUP] = ActionEntry(REDUCE, 290);
   _actionMap[627][WHERE] = ActionEntry(REDUCE, 290);
   _actionMap[627][OR] = ActionEntry(REDUCE, 290);
   _actionMap[627][AND] = ActionEntry(REDUCE, 290);
   _actionMap[628][THEN] = ActionEntry(REDUCE, 291);
   _actionMap[628][LEFT] = ActionEntry(REDUCE, 291);
   _actionMap[628][RIGHT] = ActionEntry(REDUCE, 291);
   _actionMap[628][INNER] = ActionEntry(REDUCE, 291);
   _actionMap[628][JOIN] = ActionEntry(REDUCE, 291);
   _actionMap[628][RETURNTOKEN] = ActionEntry(REDUCE, 291);
   _actionMap[628][SEMICOLON] = ActionEntry(REDUCE, 291);
   _actionMap[628][RB] = ActionEntry(REDUCE, 291);
   _actionMap[628][ENDTOKEN] = ActionEntry(REDUCE, 291);
   _actionMap[628][UNION] = ActionEntry(REDUCE, 291);
   _actionMap[628][ROWLIMIT] = ActionEntry(REDUCE, 291);
   _actionMap[628][ORDER] = ActionEntry(REDUCE, 291);
   _actionMap[628][GROUP] = ActionEntry(REDUCE, 291);
   _actionMap[628][WHERE] = ActionEntry(REDUCE, 291);
   _actionMap[628][OR] = ActionEntry(REDUCE, 291);
   _actionMap[628][AND] = ActionEntry(REDUCE, 291);
   _actionMap[629][PLUS] = ActionEntry(SHIFT, 211);
   _actionMap[629][MINUS] = ActionEntry(SHIFT, 210);
   _actionMap[629][CONCAT] = ActionEntry(SHIFT, 209);
   _actionMap[629][WHEN] = ActionEntry(REDUCE, 156);
   _actionMap[629][ELSE] = ActionEntry(REDUCE, 156);
   _actionMap[630][RB] = ActionEntry(SHIFT, 696);
   _actionMap[631][THEN] = ActionEntry(REDUCE, 302);
   _actionMap[631][LEFT] = ActionEntry(REDUCE, 302);
   _actionMap[631][RIGHT] = ActionEntry(REDUCE, 302);
   _actionMap[631][INNER] = ActionEntry(REDUCE, 302);
   _actionMap[631][JOIN] = ActionEntry(REDUCE, 302);
   _actionMap[631][RETURNTOKEN] = ActionEntry(REDUCE, 302);
   _actionMap[631][SEMICOLON] = ActionEntry(REDUCE, 302);
   _actionMap[631][RB] = ActionEntry(REDUCE, 302);
   _actionMap[631][ENDTOKEN] = ActionEntry(REDUCE, 302);
   _actionMap[631][UNION] = ActionEntry(REDUCE, 302);
   _actionMap[631][ROWLIMIT] = ActionEntry(REDUCE, 302);
   _actionMap[631][ORDER] = ActionEntry(REDUCE, 302);
   _actionMap[631][GROUP] = ActionEntry(REDUCE, 302);
   _actionMap[631][WHERE] = ActionEntry(REDUCE, 302);
}
void Cego::loadParser56()
{
   _actionMap[631][AND] = ActionEntry(REDUCE, 302);
   _actionMap[631][OR] = ActionEntry(REDUCE, 302);
   _actionMap[632][PLUS] = ActionEntry(SHIFT, 211);
   _actionMap[632][MINUS] = ActionEntry(SHIFT, 210);
   _actionMap[632][CONCAT] = ActionEntry(SHIFT, 209);
   _actionMap[632][KSEP] = ActionEntry(REDUCE, 285);
   _actionMap[632][RB] = ActionEntry(REDUCE, 285);
   _actionMap[633][RB] = ActionEntry(SHIFT, 697);
   _actionMap[634][RB] = ActionEntry(REDUCE, 348);
   _actionMap[635][RB] = ActionEntry(SHIFT, 699);
   _actionMap[635][KSEP] = ActionEntry(SHIFT, 698);
   _actionMap[636][KSEP] = ActionEntry(REDUCE, 159);
   _actionMap[636][RB] = ActionEntry(REDUCE, 159);
   _actionMap[637][WHEN] = ActionEntry(REDUCE, 345);
   _actionMap[637][ELSE] = ActionEntry(REDUCE, 345);
   _actionMap[637][LEFT] = ActionEntry(REDUCE, 345);
   _actionMap[637][RIGHT] = ActionEntry(REDUCE, 345);
   _actionMap[637][INNER] = ActionEntry(REDUCE, 345);
   _actionMap[637][JOIN] = ActionEntry(REDUCE, 345);
   _actionMap[637][RETURNTOKEN] = ActionEntry(REDUCE, 345);
   _actionMap[637][ORDER] = ActionEntry(REDUCE, 345);
   _actionMap[637][GROUP] = ActionEntry(REDUCE, 345);
   _actionMap[637][WHERE] = ActionEntry(REDUCE, 345);
   _actionMap[637][FROM] = ActionEntry(REDUCE, 345);
   _actionMap[637][AS] = ActionEntry(REDUCE, 345);
   _actionMap[637][END_TOKEN] = ActionEntry(REDUCE, 345);
   _actionMap[637][BEGIN] = ActionEntry(REDUCE, 345);
   _actionMap[637][THEN] = ActionEntry(REDUCE, 345);
   _actionMap[637][OR] = ActionEntry(REDUCE, 345);
   _actionMap[637][AND] = ActionEntry(REDUCE, 345);
   _actionMap[637][NULLTOKEN] = ActionEntry(REDUCE, 345);
   _actionMap[637][INTOK] = ActionEntry(REDUCE, 345);
   _actionMap[637][NOT] = ActionEntry(REDUCE, 345);
   _actionMap[637][BETWEEN] = ActionEntry(REDUCE, 345);
   _actionMap[637][IS] = ActionEntry(REDUCE, 345);
   _actionMap[637][LIKE] = ActionEntry(REDUCE, 345);
   _actionMap[637][MT] = ActionEntry(REDUCE, 345);
   _actionMap[637][LT] = ActionEntry(REDUCE, 345);
   _actionMap[637][NEGATION] = ActionEntry(REDUCE, 345);
   _actionMap[637][EQU] = ActionEntry(REDUCE, 345);
   _actionMap[637][RB] = ActionEntry(REDUCE, 345);
   _actionMap[637][ENDTOKEN] = ActionEntry(REDUCE, 345);
   _actionMap[637][UNION] = ActionEntry(REDUCE, 345);
   _actionMap[637][ROWLIMIT] = ActionEntry(REDUCE, 345);
   _actionMap[637][KSEP] = ActionEntry(REDUCE, 345);
   _actionMap[637][ASC] = ActionEntry(REDUCE, 345);
   _actionMap[637][DESC] = ActionEntry(REDUCE, 345);
   _actionMap[637][SEMICOLON] = ActionEntry(REDUCE, 345);
   _actionMap[637][PLUS] = ActionEntry(REDUCE, 345);
   _actionMap[637][MINUS] = ActionEntry(REDUCE, 345);
}
void Cego::loadParser57()
{
   _actionMap[637][DIVISION] = ActionEntry(REDUCE, 345);
   _actionMap[637][STAR] = ActionEntry(REDUCE, 345);
   _actionMap[637][CONCAT] = ActionEntry(REDUCE, 345);
   _actionMap[638][SEMICOLON] = ActionEntry(REDUCE, 221);
   _actionMap[638][RB] = ActionEntry(REDUCE, 221);
   _actionMap[638][ENDTOKEN] = ActionEntry(REDUCE, 221);
   _actionMap[638][UNION] = ActionEntry(REDUCE, 221);
   _actionMap[638][ROWLIMIT] = ActionEntry(REDUCE, 221);
   _actionMap[638][ORDER] = ActionEntry(SHIFT, 702);
   _jumpMap[638][NoOrdering] = 701;
   _jumpMap[638][OrderingClause] = 700;
   _actionMap[639][ORDER] = ActionEntry(REDUCE, 212);
   _actionMap[639][ROWLIMIT] = ActionEntry(REDUCE, 212);
   _actionMap[639][UNION] = ActionEntry(REDUCE, 212);
   _actionMap[639][ENDTOKEN] = ActionEntry(REDUCE, 212);
   _actionMap[639][RB] = ActionEntry(REDUCE, 212);
   _actionMap[639][SEMICOLON] = ActionEntry(REDUCE, 212);
   _actionMap[640][BY] = ActionEntry(SHIFT, 703);
   _actionMap[641][ON] = ActionEntry(SHIFT, 705);
   _jumpMap[641][JoinTableOn] = 704;
   _actionMap[642][IDENTIFIER] = ActionEntry(REDUCE, 202);
   _actionMap[642][QUALIFIEDOBJ] = ActionEntry(REDUCE, 202);
   _actionMap[642][QUALIFIEDTS] = ActionEntry(REDUCE, 202);
   _actionMap[643][JOIN] = ActionEntry(SHIFT, 706);
   _actionMap[644][JOIN] = ActionEntry(SHIFT, 707);
   _actionMap[645][RETURNTOKEN] = ActionEntry(REDUCE, 204);
   _actionMap[645][SEMICOLON] = ActionEntry(REDUCE, 204);
   _actionMap[645][RB] = ActionEntry(REDUCE, 204);
   _actionMap[645][ENDTOKEN] = ActionEntry(REDUCE, 204);
   _actionMap[645][UNION] = ActionEntry(REDUCE, 204);
   _actionMap[645][ROWLIMIT] = ActionEntry(REDUCE, 204);
   _actionMap[645][ORDER] = ActionEntry(REDUCE, 204);
   _actionMap[645][GROUP] = ActionEntry(REDUCE, 204);
   _actionMap[645][WHERE] = ActionEntry(REDUCE, 204);
   _actionMap[646][KSEP] = ActionEntry(SHIFT, 546);
   _actionMap[646][RETURNTOKEN] = ActionEntry(REDUCE, 205);
   _actionMap[646][SEMICOLON] = ActionEntry(REDUCE, 205);
   _actionMap[646][RB] = ActionEntry(REDUCE, 205);
   _actionMap[646][ENDTOKEN] = ActionEntry(REDUCE, 205);
   _actionMap[646][UNION] = ActionEntry(REDUCE, 205);
   _actionMap[646][ROWLIMIT] = ActionEntry(REDUCE, 205);
   _actionMap[646][ORDER] = ActionEntry(REDUCE, 205);
   _actionMap[646][GROUP] = ActionEntry(REDUCE, 205);
   _actionMap[646][WHERE] = ActionEntry(REDUCE, 205);
   _actionMap[647][SEMICOLON] = ActionEntry(REDUCE, 233);
   _actionMap[648][VARREF] = ActionEntry(SHIFT, 710);
   _jumpMap[648][ReturnVar] = 709;
   _jumpMap[648][ReturnVarList] = 708;
   _actionMap[649][KSEP] = ActionEntry(REDUCE, 234);
   _actionMap[649][WHERE] = ActionEntry(REDUCE, 234);
}
void Cego::loadParser58()
{
   _actionMap[649][GROUP] = ActionEntry(REDUCE, 234);
   _actionMap[649][ORDER] = ActionEntry(REDUCE, 234);
   _actionMap[649][ROWLIMIT] = ActionEntry(REDUCE, 234);
   _actionMap[649][UNION] = ActionEntry(REDUCE, 234);
   _actionMap[649][ENDTOKEN] = ActionEntry(REDUCE, 234);
   _actionMap[649][RB] = ActionEntry(REDUCE, 234);
   _actionMap[649][SEMICOLON] = ActionEntry(REDUCE, 234);
   _actionMap[649][RETURNTOKEN] = ActionEntry(REDUCE, 234);
   _actionMap[650][PLUS] = ActionEntry(SHIFT, 211);
   _actionMap[650][MINUS] = ActionEntry(SHIFT, 210);
   _actionMap[650][CONCAT] = ActionEntry(SHIFT, 209);
   _actionMap[650][KSEP] = ActionEntry(REDUCE, 236);
   _actionMap[650][WHERE] = ActionEntry(REDUCE, 236);
   _actionMap[650][GROUP] = ActionEntry(REDUCE, 236);
   _actionMap[650][ORDER] = ActionEntry(REDUCE, 236);
   _actionMap[650][ROWLIMIT] = ActionEntry(REDUCE, 236);
   _actionMap[650][UNION] = ActionEntry(REDUCE, 236);
   _actionMap[650][ENDTOKEN] = ActionEntry(REDUCE, 236);
   _actionMap[650][RB] = ActionEntry(REDUCE, 236);
   _actionMap[650][SEMICOLON] = ActionEntry(REDUCE, 236);
   _actionMap[650][RETURNTOKEN] = ActionEntry(REDUCE, 236);
   _actionMap[651][RB] = ActionEntry(SHIFT, 652);
   _actionMap[652][SEMICOLON] = ActionEntry(REDUCE, 48);
   _actionMap[419][DROP] = ActionEntry(SHIFT, 294);
   _actionMap[419][ADD] = ActionEntry(SHIFT, 556);
   _actionMap[419][MODIFY] = ActionEntry(SHIFT, 295);
   _actionMap[419][RENAME] = ActionEntry(SHIFT, 296);
   _jumpMap[419][AlterOption] = 292;
   _jumpMap[419][AlterList] = 555;
   _actionMap[420][IDENTIFIER] = ActionEntry(SHIFT, 557);
   _actionMap[421][IDENTIFIER] = ActionEntry(SHIFT, 459);
   _jumpMap[421][ColumnDesc] = 558;
   _actionMap[422][KEY] = ActionEntry(SHIFT, 559);
   _actionMap[423][IDENTIFIER] = ActionEntry(SHIFT, 560);
   _actionMap[424][IDENTIFIER] = ActionEntry(SHIFT, 459);
   _jumpMap[424][ColumnDesc] = 561;
   _actionMap[425][IDENTIFIER] = ActionEntry(SHIFT, 562);
   _actionMap[426][FOR] = ActionEntry(SHIFT, 563);
   _actionMap[427][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[427][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[427][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[427][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[427][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[427][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[427][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[427][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[427][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[427][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[427][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[427][UPPER] = ActionEntry(SHIFT, 134);
}
void Cego::loadParser59()
{
   _actionMap[427][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[427][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[427][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[427][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[427][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[427][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[427][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[427][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[427][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[427][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[427][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[427][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[427][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[427][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[427][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[427][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[427][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[427][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[427][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[427][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[427][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[427][LB] = ActionEntry(SHIFT, 135);
   _actionMap[427][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[427][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[427][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[427][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[427][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[427][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[427][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[427][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[427][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[427][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[427][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[427][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[427][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[427][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[427][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[427][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[427][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[427][ObjSpec] = 94;
   _jumpMap[427][Constant] = 93;
   _jumpMap[427][SignedFloat] = 92;
   _jumpMap[427][SignedInt] = 91;
   _jumpMap[427][Attribute] = 90;
   _jumpMap[427][Function] = 89;
   _jumpMap[427][CasePrepare] = 88;
   _jumpMap[427][CaseClause] = 87;
   _jumpMap[427][Factor] = 86;
   _jumpMap[427][Term] = 85;
   _jumpMap[427][Expr] = 564;
}
void Cego::loadParser60()
{
   _actionMap[428][SEMICOLON] = ActionEntry(REDUCE, 74);
   _actionMap[429][ELSE] = ActionEntry(REDUCE, 83);
   _actionMap[429][ELSIF] = ActionEntry(REDUCE, 83);
   _actionMap[429][END_TOKEN] = ActionEntry(REDUCE, 83);
   _actionMap[429][EXCEPTION] = ActionEntry(SHIFT, 566);
   _jumpMap[429][ProcExceptionStmt] = 565;
   _actionMap[430][SEMICOLON] = ActionEntry(SHIFT, 567);
   _actionMap[431][END_TOKEN] = ActionEntry(SHIFT, 568);
   _actionMap[432][ELSE] = ActionEntry(SHIFT, 571);
   _actionMap[432][END_TOKEN] = ActionEntry(REDUCE, 119);
   _jumpMap[432][ProcElsePart] = 570;
   _jumpMap[432][ProcElseOpt] = 569;
   _actionMap[433][ELSIF] = ActionEntry(SHIFT, 434);
   _actionMap[433][END_TOKEN] = ActionEntry(REDUCE, 116);
   _actionMap[433][ELSE] = ActionEntry(REDUCE, 116);
   _jumpMap[433][ProcElsIfOpt] = 433;
   _jumpMap[433][ProcElsIfList] = 573;
   _actionMap[434][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[434][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[434][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[434][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[434][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[434][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[434][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[434][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[434][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[434][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[434][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[434][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[434][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[434][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[434][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[434][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[434][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[434][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[434][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[434][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[434][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[434][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[434][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[434][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[434][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[434][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[434][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[434][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[434][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[434][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[434][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[434][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[434][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
}
void Cego::loadParser61()
{
   _actionMap[434][LB] = ActionEntry(SHIFT, 442);
   _actionMap[434][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[434][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[434][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[434][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[434][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[434][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[434][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[434][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[434][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[434][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[434][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[434][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[434][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[434][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[434][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[434][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[434][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[434][ObjSpec] = 94;
   _jumpMap[434][Constant] = 93;
   _jumpMap[434][SignedFloat] = 92;
   _jumpMap[434][SignedInt] = 91;
   _jumpMap[434][Attribute] = 90;
   _jumpMap[434][Function] = 89;
   _jumpMap[434][CasePrepare] = 88;
   _jumpMap[434][CaseClause] = 87;
   _jumpMap[434][Factor] = 86;
   _jumpMap[434][Term] = 85;
   _jumpMap[434][Expr] = 441;
   _jumpMap[434][ProcPredicate] = 440;
   _jumpMap[434][ProcCondition] = 575;
   _jumpMap[434][ProcElsIfCondition] = 574;
   _actionMap[435][EXCEPTION] = ActionEntry(REDUCE, 85);
   _actionMap[435][END_TOKEN] = ActionEntry(REDUCE, 85);
   _actionMap[435][ELSE] = ActionEntry(REDUCE, 85);
   _actionMap[435][ELSIF] = ActionEntry(REDUCE, 85);
   _actionMap[435][VAR] = ActionEntry(REDUCE, 85);
   _actionMap[435][CURSOR] = ActionEntry(REDUCE, 85);
   _actionMap[435][CLOSE] = ActionEntry(REDUCE, 85);
   _actionMap[435][VARREF] = ActionEntry(REDUCE, 85);
   _actionMap[435][NOOP] = ActionEntry(REDUCE, 85);
   _actionMap[435][RETURNTOKEN] = ActionEntry(REDUCE, 85);
   _actionMap[435][WHILE] = ActionEntry(REDUCE, 85);
   _actionMap[435][IF] = ActionEntry(REDUCE, 85);
   _actionMap[435][BEGIN] = ActionEntry(REDUCE, 85);
   _actionMap[435][ROLLBACK] = ActionEntry(REDUCE, 85);
   _actionMap[435][COMMIT] = ActionEntry(REDUCE, 85);
   _actionMap[435][START_TOKEN] = ActionEntry(REDUCE, 85);
   _actionMap[435][UPDATE] = ActionEntry(REDUCE, 85);
   _actionMap[435][DELETETOK] = ActionEntry(REDUCE, 85);
}
void Cego::loadParser62()
{
   _actionMap[435][INSERT] = ActionEntry(REDUCE, 85);
   _actionMap[435][FETCH] = ActionEntry(REDUCE, 85);
   _actionMap[435][LB] = ActionEntry(REDUCE, 85);
   _actionMap[435][COUNT] = ActionEntry(REDUCE, 85);
   _actionMap[435][SUM] = ActionEntry(REDUCE, 85);
   _actionMap[435][AVG] = ActionEntry(REDUCE, 85);
   _actionMap[435][MIN] = ActionEntry(REDUCE, 85);
   _actionMap[435][MAX] = ActionEntry(REDUCE, 85);
   _actionMap[435][CASE] = ActionEntry(REDUCE, 85);
   _actionMap[435][TRIM] = ActionEntry(REDUCE, 85);
   _actionMap[435][RTRIM] = ActionEntry(REDUCE, 85);
   _actionMap[435][LTRIM] = ActionEntry(REDUCE, 85);
   _actionMap[435][ROUND] = ActionEntry(REDUCE, 85);
   _actionMap[435][DATE2STR] = ActionEntry(REDUCE, 85);
   _actionMap[435][DATE2INT] = ActionEntry(REDUCE, 85);
   _actionMap[435][INT2DATE] = ActionEntry(REDUCE, 85);
   _actionMap[435][LOWER] = ActionEntry(REDUCE, 85);
   _actionMap[435][UPPER] = ActionEntry(REDUCE, 85);
   _actionMap[435][LEFT] = ActionEntry(REDUCE, 85);
   _actionMap[435][RIGHT] = ActionEntry(REDUCE, 85);
   _actionMap[435][GETPOS] = ActionEntry(REDUCE, 85);
   _actionMap[435][SUBSTR] = ActionEntry(REDUCE, 85);
   _actionMap[435][REPLACE] = ActionEntry(REDUCE, 85);
   _actionMap[435][LENGTH] = ActionEntry(REDUCE, 85);
   _actionMap[435][TRUNC] = ActionEntry(REDUCE, 85);
   _actionMap[435][STR2INT] = ActionEntry(REDUCE, 85);
   _actionMap[435][STR2LONG] = ActionEntry(REDUCE, 85);
   _actionMap[435][RANDSTR] = ActionEntry(REDUCE, 85);
   _actionMap[435][RANDINT] = ActionEntry(REDUCE, 85);
   _actionMap[435][MOD] = ActionEntry(REDUCE, 85);
   _actionMap[435][DIV] = ActionEntry(REDUCE, 85);
   _actionMap[435][POWER] = ActionEntry(REDUCE, 85);
   _actionMap[435][BITAND] = ActionEntry(REDUCE, 85);
   _actionMap[435][BITOR] = ActionEntry(REDUCE, 85);
   _actionMap[435][BITXOR] = ActionEntry(REDUCE, 85);
   _actionMap[435][NEXTCOUNT] = ActionEntry(REDUCE, 85);
   _actionMap[435][IDENTIFIER] = ActionEntry(REDUCE, 85);
   _actionMap[435][QUALIFIEDOBJ] = ActionEntry(REDUCE, 85);
   _actionMap[435][QUALIFIEDTS] = ActionEntry(REDUCE, 85);
   _actionMap[435][QUALIFIEDPRE] = ActionEntry(REDUCE, 85);
   _actionMap[435][STRINGVAL] = ActionEntry(REDUCE, 85);
   _actionMap[435][DATE] = ActionEntry(REDUCE, 85);
   _actionMap[435][SYSDATE] = ActionEntry(REDUCE, 85);
   _actionMap[435][NULLTOKEN] = ActionEntry(REDUCE, 85);
   _actionMap[435][TRUEVAL] = ActionEntry(REDUCE, 85);
   _actionMap[435][FALSEVAL] = ActionEntry(REDUCE, 85);
   _actionMap[435][LAB] = ActionEntry(REDUCE, 85);
   _actionMap[435][COUNTERID] = ActionEntry(REDUCE, 85);
   _actionMap[435][FLOATVAL] = ActionEntry(REDUCE, 85);
   _actionMap[435][MINUS] = ActionEntry(REDUCE, 85);
}
void Cego::loadParser63()
{
   _actionMap[435][INTVAL] = ActionEntry(REDUCE, 85);
   _actionMap[436][SEMICOLON] = ActionEntry(REDUCE, 88);
   _actionMap[437][AS] = ActionEntry(SHIFT, 576);
   _actionMap[438][THEN] = ActionEntry(SHIFT, 577);
   _actionMap[439][OR] = ActionEntry(SHIFT, 579);
   _actionMap[439][AND] = ActionEntry(SHIFT, 578);
   _actionMap[439][THEN] = ActionEntry(REDUCE, 121);
   _actionMap[440][BEGIN] = ActionEntry(REDUCE, 127);
   _actionMap[440][RB] = ActionEntry(REDUCE, 127);
   _actionMap[440][AND] = ActionEntry(REDUCE, 127);
   _actionMap[440][OR] = ActionEntry(REDUCE, 127);
   _actionMap[440][THEN] = ActionEntry(REDUCE, 127);
   _actionMap[441][IS] = ActionEntry(SHIFT, 581);
   _actionMap[441][PLUS] = ActionEntry(SHIFT, 211);
   _actionMap[441][MINUS] = ActionEntry(SHIFT, 210);
   _actionMap[441][CONCAT] = ActionEntry(SHIFT, 209);
   _actionMap[441][EQU] = ActionEntry(SHIFT, 474);
   _actionMap[441][NEGATION] = ActionEntry(SHIFT, 477);
   _actionMap[441][LT] = ActionEntry(SHIFT, 475);
   _actionMap[441][MT] = ActionEntry(SHIFT, 476);
   _jumpMap[441][Comparison] = 580;
   _actionMap[442][LONG] = ActionEntry(SHIFT, 258);
   _actionMap[442][BIGINT] = ActionEntry(SHIFT, 254);
   _actionMap[442][SMALLINT] = ActionEntry(SHIFT, 259);
   _actionMap[442][TINYINT] = ActionEntry(SHIFT, 260);
   _actionMap[442][DOUBLE] = ActionEntry(SHIFT, 256);
   _actionMap[442][DECIMAL] = ActionEntry(SHIFT, 255);
   _actionMap[442][FIXED] = ActionEntry(SHIFT, 257);
   _actionMap[442][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[442][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[442][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[442][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[442][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[442][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[442][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[442][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[442][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[442][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[442][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[442][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[442][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[442][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[442][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[442][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[442][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[442][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[442][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[442][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[442][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[442][RANDSTR] = ActionEntry(SHIFT, 120);
}
void Cego::loadParser64()
{
   _actionMap[442][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[442][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[442][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[442][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[442][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[442][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[442][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[442][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[442][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[442][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[442][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[442][LB] = ActionEntry(SHIFT, 442);
   _actionMap[442][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[442][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[442][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[442][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[442][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[442][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[442][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[442][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[442][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[442][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[442][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[442][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[442][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[442][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[442][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[442][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[442][MAX] = ActionEntry(SHIFT, 115);
   _actionMap[442][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[442][ObjSpec] = 94;
   _jumpMap[442][Constant] = 93;
   _jumpMap[442][SignedFloat] = 92;
   _jumpMap[442][SignedInt] = 91;
   _jumpMap[442][Attribute] = 90;
   _jumpMap[442][Function] = 89;
   _jumpMap[442][SelectStatement] = 253;
   _jumpMap[442][CasePrepare] = 88;
   _jumpMap[442][CaseClause] = 87;
   _jumpMap[442][Factor] = 86;
   _jumpMap[442][Term] = 85;
   _jumpMap[442][Expr] = 583;
   _jumpMap[442][ProcPredicate] = 440;
   _jumpMap[442][ProcCondition] = 582;
   _actionMap[443][PLUS] = ActionEntry(SHIFT, 211);
   _actionMap[443][MINUS] = ActionEntry(SHIFT, 210);
   _actionMap[443][CONCAT] = ActionEntry(SHIFT, 209);
   _actionMap[443][SEMICOLON] = ActionEntry(REDUCE, 102);
   _actionMap[444][INT] = ActionEntry(SHIFT, 593);
   _actionMap[444][LONG] = ActionEntry(SHIFT, 594);
}
void Cego::loadParser65()
{
   _actionMap[444][STRING] = ActionEntry(SHIFT, 596);
   _actionMap[444][DATETIME] = ActionEntry(SHIFT, 588);
   _actionMap[444][BOOL] = ActionEntry(SHIFT, 587);
   _actionMap[444][BIGINT] = ActionEntry(SHIFT, 585);
   _actionMap[444][FLOAT] = ActionEntry(SHIFT, 592);
   _actionMap[444][DOUBLE] = ActionEntry(SHIFT, 590);
   _actionMap[444][SMALLINT] = ActionEntry(SHIFT, 595);
   _actionMap[444][TINYINT] = ActionEntry(SHIFT, 597);
   _actionMap[444][DECIMAL] = ActionEntry(SHIFT, 589);
   _actionMap[444][FIXED] = ActionEntry(SHIFT, 591);
   _actionMap[444][BLOB] = ActionEntry(SHIFT, 586);
   _jumpMap[444][DataTypeProd] = 584;
   _actionMap[445][BEGIN] = ActionEntry(SHIFT, 598);
   _actionMap[446][OR] = ActionEntry(SHIFT, 579);
   _actionMap[446][AND] = ActionEntry(SHIFT, 578);
   _actionMap[446][BEGIN] = ActionEntry(REDUCE, 124);
   _actionMap[447][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[447][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[447][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[447][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[447][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[447][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[447][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[447][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[447][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[447][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[447][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[447][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[447][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[447][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[447][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[447][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[447][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[447][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[447][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[447][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[447][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[447][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[447][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[447][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[447][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[447][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[447][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[447][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[447][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[447][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[447][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[447][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[447][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[447][LB] = ActionEntry(SHIFT, 135);
}
void Cego::loadParser66()
{
   _actionMap[447][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[447][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[447][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[447][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[447][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[447][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[447][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[447][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[447][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[447][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[447][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[447][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[447][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[447][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[447][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[447][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[447][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[447][ObjSpec] = 94;
   _jumpMap[447][Constant] = 93;
   _jumpMap[447][SignedFloat] = 92;
   _jumpMap[447][SignedInt] = 91;
   _jumpMap[447][Attribute] = 90;
   _jumpMap[447][Function] = 89;
   _jumpMap[447][CasePrepare] = 88;
   _jumpMap[447][CaseClause] = 87;
   _jumpMap[447][Factor] = 86;
   _jumpMap[447][Term] = 85;
   _jumpMap[447][Expr] = 599;
   _actionMap[448][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[448][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[448][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[448][ObjSpec] = 600;
   _actionMap[449][LB] = ActionEntry(SHIFT, 601);
   _actionMap[450][RB] = ActionEntry(SHIFT, 453);
   _actionMap[451][KSEP] = ActionEntry(SHIFT, 602);
   _actionMap[451][RB] = ActionEntry(REDUCE, 77);
   _actionMap[452][KSEP] = ActionEntry(REDUCE, 80);
   _actionMap[452][RB] = ActionEntry(REDUCE, 80);
   _actionMap[453][RETURNTOKEN] = ActionEntry(SHIFT, 604);
   _actionMap[453][BEGIN] = ActionEntry(REDUCE, 76);
   _jumpMap[453][ReturnOpt] = 603;
   _actionMap[454][INTOK] = ActionEntry(SHIFT, 605);
   _actionMap[454][OUTTOK] = ActionEntry(SHIFT, 606);
   _actionMap[455][RB] = ActionEntry(SHIFT, 608);
   _actionMap[455][KSEP] = ActionEntry(SHIFT, 607);
   _actionMap[456][KSEP] = ActionEntry(REDUCE, 161);
   _actionMap[456][RB] = ActionEntry(REDUCE, 161);
   _actionMap[457][KSEP] = ActionEntry(REDUCE, 163);
   _actionMap[457][RB] = ActionEntry(REDUCE, 163);
   _actionMap[458][IDENTIFIER] = ActionEntry(SHIFT, 459);
}
void Cego::loadParser67()
{
   _jumpMap[458][ColumnDesc] = 609;
   _actionMap[459][INT] = ActionEntry(SHIFT, 593);
   _actionMap[459][LONG] = ActionEntry(SHIFT, 594);
   _actionMap[459][STRING] = ActionEntry(SHIFT, 596);
   _actionMap[459][DATETIME] = ActionEntry(SHIFT, 588);
   _actionMap[459][BOOL] = ActionEntry(SHIFT, 587);
   _actionMap[459][BIGINT] = ActionEntry(SHIFT, 585);
   _actionMap[459][FLOAT] = ActionEntry(SHIFT, 592);
   _actionMap[459][DOUBLE] = ActionEntry(SHIFT, 590);
   _actionMap[459][SMALLINT] = ActionEntry(SHIFT, 595);
   _actionMap[459][TINYINT] = ActionEntry(SHIFT, 597);
   _actionMap[459][DECIMAL] = ActionEntry(SHIFT, 589);
   _actionMap[459][FIXED] = ActionEntry(SHIFT, 591);
   _actionMap[459][BLOB] = ActionEntry(SHIFT, 586);
   _jumpMap[459][DataTypeProd] = 610;
   _actionMap[460][SEMICOLON] = ActionEntry(REDUCE, 43);
   _actionMap[461][AND] = ActionEntry(SHIFT, 478);
   _actionMap[461][OR] = ActionEntry(SHIFT, 479);
   _actionMap[461][RETURNTOKEN] = ActionEntry(REDUCE, 287);
   _actionMap[461][GROUP] = ActionEntry(REDUCE, 287);
   _actionMap[461][ORDER] = ActionEntry(REDUCE, 287);
   _actionMap[461][ROWLIMIT] = ActionEntry(REDUCE, 287);
   _actionMap[461][UNION] = ActionEntry(REDUCE, 287);
   _actionMap[461][ENDTOKEN] = ActionEntry(REDUCE, 287);
   _actionMap[461][RB] = ActionEntry(REDUCE, 287);
   _actionMap[461][SEMICOLON] = ActionEntry(REDUCE, 287);
   _actionMap[462][SEMICOLON] = ActionEntry(REDUCE, 180);
   _actionMap[463][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[463][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[463][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[463][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[463][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[463][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[463][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[463][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[463][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[463][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[463][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[463][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[463][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[463][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[463][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[463][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[463][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[463][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[463][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[463][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[463][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[463][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[463][RANDINT] = ActionEntry(SHIFT, 121);
}
void Cego::loadParser68()
{
   _actionMap[463][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[463][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[463][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[463][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[463][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[463][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[463][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[463][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[463][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[463][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[463][LB] = ActionEntry(SHIFT, 135);
   _actionMap[463][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[463][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[463][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[463][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[463][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[463][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[463][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[463][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[463][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[463][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[463][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[463][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[463][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[463][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[463][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[463][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[463][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[463][ObjSpec] = 94;
   _jumpMap[463][Constant] = 93;
   _jumpMap[463][SignedFloat] = 92;
   _jumpMap[463][SignedInt] = 91;
   _jumpMap[463][Attribute] = 90;
   _jumpMap[463][Function] = 89;
   _jumpMap[463][InsertValueList] = 612;
   _jumpMap[463][CasePrepare] = 88;
   _jumpMap[463][CaseClause] = 87;
   _jumpMap[463][Factor] = 86;
   _jumpMap[463][Term] = 85;
   _jumpMap[463][Expr] = 611;
   _actionMap[464][RB] = ActionEntry(SHIFT, 614);
   _actionMap[464][KSEP] = ActionEntry(SHIFT, 613);
   _actionMap[465][KSEP] = ActionEntry(REDUCE, 186);
   _actionMap[465][RB] = ActionEntry(REDUCE, 186);
   _actionMap[466][SEMICOLON] = ActionEntry(REDUCE, 44);
   _actionMap[467][END_TOKEN] = ActionEntry(SHIFT, 615);
   _actionMap[467][PLUS] = ActionEntry(SHIFT, 211);
   _actionMap[467][MINUS] = ActionEntry(SHIFT, 210);
   _actionMap[467][CONCAT] = ActionEntry(SHIFT, 209);
   _actionMap[468][FLOATVAL] = ActionEntry(SHIFT, 139);
}
void Cego::loadParser69()
{
   _actionMap[468][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[468][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[468][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[468][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[468][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[468][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[468][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[468][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[468][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[468][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[468][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[468][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[468][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[468][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[468][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[468][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[468][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[468][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[468][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[468][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[468][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[468][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[468][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[468][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[468][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[468][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[468][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[468][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[468][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[468][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[468][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[468][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[468][LB] = ActionEntry(SHIFT, 135);
   _actionMap[468][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[468][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[468][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[468][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[468][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[468][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[468][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[468][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[468][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[468][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[468][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[468][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[468][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[468][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[468][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[468][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[468][MAX] = ActionEntry(SHIFT, 115);
}
void Cego::loadParser70()
{
   _jumpMap[468][ObjSpec] = 94;
   _jumpMap[468][Constant] = 93;
   _jumpMap[468][SignedFloat] = 92;
   _jumpMap[468][SignedInt] = 91;
   _jumpMap[468][Attribute] = 90;
   _jumpMap[468][Function] = 89;
   _jumpMap[468][CasePrepare] = 88;
   _jumpMap[468][CaseClause] = 87;
   _jumpMap[468][Factor] = 86;
   _jumpMap[468][Term] = 85;
   _jumpMap[468][Expr] = 616;
   _actionMap[469][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[469][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[469][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[469][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[469][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[469][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[469][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[469][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[469][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[469][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[469][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[469][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[469][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[469][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[469][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[469][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[469][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[469][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[469][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[469][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[469][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[469][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[469][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[469][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[469][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[469][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[469][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[469][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[469][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[469][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[469][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[469][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[469][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[469][LB] = ActionEntry(SHIFT, 135);
   _actionMap[469][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[469][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[469][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[469][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[469][TRUEVAL] = ActionEntry(SHIFT, 132);
}
void Cego::loadParser71()
{
   _actionMap[469][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[469][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[469][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[469][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[469][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[469][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[469][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[469][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[469][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[469][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[469][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[469][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[469][ObjSpec] = 94;
   _jumpMap[469][Constant] = 93;
   _jumpMap[469][SignedFloat] = 92;
   _jumpMap[469][SignedInt] = 91;
   _jumpMap[469][Attribute] = 90;
   _jumpMap[469][Function] = 89;
   _jumpMap[469][CasePrepare] = 88;
   _jumpMap[469][CaseClause] = 87;
   _jumpMap[469][Factor] = 86;
   _jumpMap[469][Term] = 85;
   _jumpMap[469][Expr] = 617;
   _actionMap[470][LB] = ActionEntry(SHIFT, 618);
   _actionMap[471][NOT] = ActionEntry(SHIFT, 619);
   _actionMap[471][NULLTOKEN] = ActionEntry(SHIFT, 620);
   _actionMap[472][STRINGVAL] = ActionEntry(SHIFT, 621);
   _actionMap[473][LIKE] = ActionEntry(SHIFT, 623);
   _actionMap[473][INTOK] = ActionEntry(SHIFT, 622);
   _actionMap[474][VARREF] = ActionEntry(REDUCE, 317);
   _actionMap[474][FETCH] = ActionEntry(REDUCE, 317);
   _actionMap[474][LB] = ActionEntry(REDUCE, 317);
   _actionMap[474][COUNT] = ActionEntry(REDUCE, 317);
   _actionMap[474][SUM] = ActionEntry(REDUCE, 317);
   _actionMap[474][AVG] = ActionEntry(REDUCE, 317);
   _actionMap[474][MIN] = ActionEntry(REDUCE, 317);
   _actionMap[474][MAX] = ActionEntry(REDUCE, 317);
   _actionMap[474][CASE] = ActionEntry(REDUCE, 317);
   _actionMap[474][TRIM] = ActionEntry(REDUCE, 317);
   _actionMap[474][RTRIM] = ActionEntry(REDUCE, 317);
   _actionMap[474][LTRIM] = ActionEntry(REDUCE, 317);
   _actionMap[474][ROUND] = ActionEntry(REDUCE, 317);
   _actionMap[474][DATE2STR] = ActionEntry(REDUCE, 317);
   _actionMap[474][DATE2INT] = ActionEntry(REDUCE, 317);
   _actionMap[474][INT2DATE] = ActionEntry(REDUCE, 317);
   _actionMap[474][LOWER] = ActionEntry(REDUCE, 317);
   _actionMap[474][UPPER] = ActionEntry(REDUCE, 317);
   _actionMap[474][LEFT] = ActionEntry(REDUCE, 317);
   _actionMap[474][RIGHT] = ActionEntry(REDUCE, 317);
   _actionMap[474][GETPOS] = ActionEntry(REDUCE, 317);
}
void Cego::loadParser72()
{
   _actionMap[474][SUBSTR] = ActionEntry(REDUCE, 317);
   _actionMap[474][REPLACE] = ActionEntry(REDUCE, 317);
   _actionMap[474][LENGTH] = ActionEntry(REDUCE, 317);
   _actionMap[474][TRUNC] = ActionEntry(REDUCE, 317);
   _actionMap[474][STR2INT] = ActionEntry(REDUCE, 317);
   _actionMap[474][STR2LONG] = ActionEntry(REDUCE, 317);
   _actionMap[474][RANDSTR] = ActionEntry(REDUCE, 317);
   _actionMap[474][RANDINT] = ActionEntry(REDUCE, 317);
   _actionMap[474][MOD] = ActionEntry(REDUCE, 317);
   _actionMap[474][DIV] = ActionEntry(REDUCE, 317);
   _actionMap[474][POWER] = ActionEntry(REDUCE, 317);
   _actionMap[474][BITAND] = ActionEntry(REDUCE, 317);
   _actionMap[474][BITOR] = ActionEntry(REDUCE, 317);
   _actionMap[474][BITXOR] = ActionEntry(REDUCE, 317);
   _actionMap[474][NEXTCOUNT] = ActionEntry(REDUCE, 317);
   _actionMap[474][IDENTIFIER] = ActionEntry(REDUCE, 317);
   _actionMap[474][QUALIFIEDOBJ] = ActionEntry(REDUCE, 317);
   _actionMap[474][QUALIFIEDTS] = ActionEntry(REDUCE, 317);
   _actionMap[474][QUALIFIEDPRE] = ActionEntry(REDUCE, 317);
   _actionMap[474][STRINGVAL] = ActionEntry(REDUCE, 317);
   _actionMap[474][DATE] = ActionEntry(REDUCE, 317);
   _actionMap[474][SYSDATE] = ActionEntry(REDUCE, 317);
   _actionMap[474][NULLTOKEN] = ActionEntry(REDUCE, 317);
   _actionMap[474][TRUEVAL] = ActionEntry(REDUCE, 317);
   _actionMap[474][FALSEVAL] = ActionEntry(REDUCE, 317);
   _actionMap[474][LAB] = ActionEntry(REDUCE, 317);
   _actionMap[474][COUNTERID] = ActionEntry(REDUCE, 317);
   _actionMap[474][FLOATVAL] = ActionEntry(REDUCE, 317);
   _actionMap[474][MINUS] = ActionEntry(REDUCE, 317);
   _actionMap[474][INTVAL] = ActionEntry(REDUCE, 317);
   _actionMap[475][VARREF] = ActionEntry(REDUCE, 319);
   _actionMap[475][FETCH] = ActionEntry(REDUCE, 319);
   _actionMap[475][LB] = ActionEntry(REDUCE, 319);
   _actionMap[475][COUNT] = ActionEntry(REDUCE, 319);
   _actionMap[475][SUM] = ActionEntry(REDUCE, 319);
   _actionMap[475][AVG] = ActionEntry(REDUCE, 319);
   _actionMap[475][MIN] = ActionEntry(REDUCE, 319);
   _actionMap[475][MAX] = ActionEntry(REDUCE, 319);
   _actionMap[475][CASE] = ActionEntry(REDUCE, 319);
   _actionMap[475][TRIM] = ActionEntry(REDUCE, 319);
   _actionMap[475][RTRIM] = ActionEntry(REDUCE, 319);
   _actionMap[475][LTRIM] = ActionEntry(REDUCE, 319);
   _actionMap[475][ROUND] = ActionEntry(REDUCE, 319);
   _actionMap[475][DATE2STR] = ActionEntry(REDUCE, 319);
   _actionMap[475][DATE2INT] = ActionEntry(REDUCE, 319);
   _actionMap[475][INT2DATE] = ActionEntry(REDUCE, 319);
   _actionMap[475][LOWER] = ActionEntry(REDUCE, 319);
   _actionMap[475][UPPER] = ActionEntry(REDUCE, 319);
   _actionMap[475][LEFT] = ActionEntry(REDUCE, 319);
   _actionMap[475][RIGHT] = ActionEntry(REDUCE, 319);
}
void Cego::loadParser73()
{
   _actionMap[475][GETPOS] = ActionEntry(REDUCE, 319);
   _actionMap[475][SUBSTR] = ActionEntry(REDUCE, 319);
   _actionMap[475][REPLACE] = ActionEntry(REDUCE, 319);
   _actionMap[475][LENGTH] = ActionEntry(REDUCE, 319);
   _actionMap[475][TRUNC] = ActionEntry(REDUCE, 319);
   _actionMap[475][STR2INT] = ActionEntry(REDUCE, 319);
   _actionMap[475][STR2LONG] = ActionEntry(REDUCE, 319);
   _actionMap[475][RANDSTR] = ActionEntry(REDUCE, 319);
   _actionMap[475][RANDINT] = ActionEntry(REDUCE, 319);
   _actionMap[475][MOD] = ActionEntry(REDUCE, 319);
   _actionMap[475][DIV] = ActionEntry(REDUCE, 319);
   _actionMap[475][POWER] = ActionEntry(REDUCE, 319);
   _actionMap[475][BITAND] = ActionEntry(REDUCE, 319);
   _actionMap[475][BITOR] = ActionEntry(REDUCE, 319);
   _actionMap[475][BITXOR] = ActionEntry(REDUCE, 319);
   _actionMap[475][NEXTCOUNT] = ActionEntry(REDUCE, 319);
   _actionMap[475][IDENTIFIER] = ActionEntry(REDUCE, 319);
   _actionMap[475][QUALIFIEDOBJ] = ActionEntry(REDUCE, 319);
   _actionMap[475][QUALIFIEDTS] = ActionEntry(REDUCE, 319);
   _actionMap[475][QUALIFIEDPRE] = ActionEntry(REDUCE, 319);
   _actionMap[475][STRINGVAL] = ActionEntry(REDUCE, 319);
   _actionMap[475][DATE] = ActionEntry(REDUCE, 319);
   _actionMap[475][SYSDATE] = ActionEntry(REDUCE, 319);
   _actionMap[475][NULLTOKEN] = ActionEntry(REDUCE, 319);
   _actionMap[475][TRUEVAL] = ActionEntry(REDUCE, 319);
   _actionMap[475][FALSEVAL] = ActionEntry(REDUCE, 319);
   _actionMap[475][LAB] = ActionEntry(REDUCE, 319);
   _actionMap[475][COUNTERID] = ActionEntry(REDUCE, 319);
   _actionMap[475][FLOATVAL] = ActionEntry(REDUCE, 319);
   _actionMap[475][MINUS] = ActionEntry(REDUCE, 319);
   _actionMap[475][INTVAL] = ActionEntry(REDUCE, 319);
   _actionMap[475][EQU] = ActionEntry(SHIFT, 624);
   _actionMap[476][VARREF] = ActionEntry(REDUCE, 320);
   _actionMap[476][FETCH] = ActionEntry(REDUCE, 320);
   _actionMap[476][LB] = ActionEntry(REDUCE, 320);
   _actionMap[476][COUNT] = ActionEntry(REDUCE, 320);
   _actionMap[476][SUM] = ActionEntry(REDUCE, 320);
   _actionMap[476][AVG] = ActionEntry(REDUCE, 320);
   _actionMap[476][MIN] = ActionEntry(REDUCE, 320);
   _actionMap[476][MAX] = ActionEntry(REDUCE, 320);
   _actionMap[476][CASE] = ActionEntry(REDUCE, 320);
   _actionMap[476][TRIM] = ActionEntry(REDUCE, 320);
   _actionMap[476][RTRIM] = ActionEntry(REDUCE, 320);
   _actionMap[476][LTRIM] = ActionEntry(REDUCE, 320);
   _actionMap[476][ROUND] = ActionEntry(REDUCE, 320);
   _actionMap[476][DATE2STR] = ActionEntry(REDUCE, 320);
   _actionMap[476][DATE2INT] = ActionEntry(REDUCE, 320);
   _actionMap[476][INT2DATE] = ActionEntry(REDUCE, 320);
   _actionMap[476][LOWER] = ActionEntry(REDUCE, 320);
   _actionMap[476][UPPER] = ActionEntry(REDUCE, 320);
}
void Cego::loadParser74()
{
   _actionMap[476][LEFT] = ActionEntry(REDUCE, 320);
   _actionMap[476][RIGHT] = ActionEntry(REDUCE, 320);
   _actionMap[476][GETPOS] = ActionEntry(REDUCE, 320);
   _actionMap[476][SUBSTR] = ActionEntry(REDUCE, 320);
   _actionMap[476][REPLACE] = ActionEntry(REDUCE, 320);
   _actionMap[476][LENGTH] = ActionEntry(REDUCE, 320);
   _actionMap[476][TRUNC] = ActionEntry(REDUCE, 320);
   _actionMap[476][STR2INT] = ActionEntry(REDUCE, 320);
   _actionMap[476][STR2LONG] = ActionEntry(REDUCE, 320);
   _actionMap[476][RANDSTR] = ActionEntry(REDUCE, 320);
   _actionMap[476][RANDINT] = ActionEntry(REDUCE, 320);
   _actionMap[476][MOD] = ActionEntry(REDUCE, 320);
   _actionMap[476][DIV] = ActionEntry(REDUCE, 320);
   _actionMap[476][POWER] = ActionEntry(REDUCE, 320);
   _actionMap[476][BITAND] = ActionEntry(REDUCE, 320);
   _actionMap[476][BITOR] = ActionEntry(REDUCE, 320);
   _actionMap[476][BITXOR] = ActionEntry(REDUCE, 320);
   _actionMap[476][NEXTCOUNT] = ActionEntry(REDUCE, 320);
   _actionMap[476][IDENTIFIER] = ActionEntry(REDUCE, 320);
   _actionMap[476][QUALIFIEDOBJ] = ActionEntry(REDUCE, 320);
   _actionMap[476][QUALIFIEDTS] = ActionEntry(REDUCE, 320);
   _actionMap[476][QUALIFIEDPRE] = ActionEntry(REDUCE, 320);
   _actionMap[476][STRINGVAL] = ActionEntry(REDUCE, 320);
   _actionMap[476][DATE] = ActionEntry(REDUCE, 320);
   _actionMap[476][SYSDATE] = ActionEntry(REDUCE, 320);
   _actionMap[476][NULLTOKEN] = ActionEntry(REDUCE, 320);
   _actionMap[476][TRUEVAL] = ActionEntry(REDUCE, 320);
   _actionMap[476][FALSEVAL] = ActionEntry(REDUCE, 320);
   _actionMap[476][LAB] = ActionEntry(REDUCE, 320);
   _actionMap[476][COUNTERID] = ActionEntry(REDUCE, 320);
   _actionMap[476][FLOATVAL] = ActionEntry(REDUCE, 320);
   _actionMap[476][MINUS] = ActionEntry(REDUCE, 320);
   _actionMap[476][INTVAL] = ActionEntry(REDUCE, 320);
   _actionMap[476][EQU] = ActionEntry(SHIFT, 625);
   _actionMap[477][EQU] = ActionEntry(SHIFT, 626);
   _actionMap[478][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[478][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[478][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[478][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[478][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[478][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[478][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[478][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[478][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[478][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[478][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[478][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[478][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[478][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[478][GETPOS] = ActionEntry(SHIFT, 108);
}
void Cego::loadParser75()
{
   _actionMap[478][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[478][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[478][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[478][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[478][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[478][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[478][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[478][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[478][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[478][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[478][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[478][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[478][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[478][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[478][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[478][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[478][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[478][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[478][LB] = ActionEntry(SHIFT, 349);
   _actionMap[478][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[478][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[478][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[478][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[478][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[478][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[478][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[478][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[478][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[478][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[478][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[478][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[478][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[478][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[478][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[478][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[478][MAX] = ActionEntry(SHIFT, 115);
   _actionMap[478][EXISTS] = ActionEntry(SHIFT, 347);
   _actionMap[478][NOT] = ActionEntry(SHIFT, 348);
   _jumpMap[478][ObjSpec] = 94;
   _jumpMap[478][Constant] = 93;
   _jumpMap[478][SignedFloat] = 92;
   _jumpMap[478][SignedInt] = 91;
   _jumpMap[478][Attribute] = 90;
   _jumpMap[478][QueryPredicate] = 627;
   _jumpMap[478][Function] = 89;
   _jumpMap[478][CasePrepare] = 88;
   _jumpMap[478][CaseClause] = 87;
   _jumpMap[478][Factor] = 86;
   _jumpMap[478][Term] = 85;
   _jumpMap[478][Expr] = 344;
}
void Cego::loadParser76()
{
   _actionMap[479][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[479][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[479][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[479][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[479][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[479][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[479][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[479][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[479][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[479][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[479][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[479][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[479][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[479][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[479][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[479][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[479][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[479][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[479][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[479][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[479][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[479][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[479][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[479][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[479][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[479][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[479][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[479][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[479][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[479][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[479][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[479][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[479][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[479][LB] = ActionEntry(SHIFT, 349);
   _actionMap[479][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[479][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[479][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[479][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[479][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[479][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[479][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[479][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[479][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[479][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[479][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[479][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[479][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[479][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[479][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[479][MIN] = ActionEntry(SHIFT, 114);
}
void Cego::loadParser77()
{
   _actionMap[479][MAX] = ActionEntry(SHIFT, 115);
   _actionMap[479][EXISTS] = ActionEntry(SHIFT, 347);
   _actionMap[479][NOT] = ActionEntry(SHIFT, 348);
   _jumpMap[479][ObjSpec] = 94;
   _jumpMap[479][Constant] = 93;
   _jumpMap[479][SignedFloat] = 92;
   _jumpMap[479][SignedInt] = 91;
   _jumpMap[479][Attribute] = 90;
   _jumpMap[479][QueryPredicate] = 628;
   _jumpMap[479][Function] = 89;
   _jumpMap[479][CasePrepare] = 88;
   _jumpMap[479][CaseClause] = 87;
   _jumpMap[479][Factor] = 86;
   _jumpMap[479][Term] = 85;
   _jumpMap[479][Expr] = 344;
   _actionMap[480][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[480][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[480][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[480][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[480][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[480][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[480][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[480][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[480][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[480][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[480][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[480][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[480][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[480][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[480][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[480][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[480][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[480][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[480][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[480][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[480][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[480][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[480][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[480][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[480][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[480][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[480][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[480][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[480][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[480][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[480][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[480][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[480][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[480][LB] = ActionEntry(SHIFT, 135);
   _actionMap[480][STRINGVAL] = ActionEntry(SHIFT, 95);
}
void Cego::loadParser78()
{
   _actionMap[480][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[480][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[480][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[480][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[480][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[480][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[480][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[480][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[480][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[480][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[480][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[480][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[480][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[480][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[480][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[480][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[480][ObjSpec] = 94;
   _jumpMap[480][Constant] = 93;
   _jumpMap[480][SignedFloat] = 92;
   _jumpMap[480][SignedInt] = 91;
   _jumpMap[480][Attribute] = 90;
   _jumpMap[480][Function] = 89;
   _jumpMap[480][CasePrepare] = 88;
   _jumpMap[480][CaseClause] = 87;
   _jumpMap[480][Factor] = 86;
   _jumpMap[480][Term] = 85;
   _jumpMap[480][Expr] = 629;
   _actionMap[481][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[481][SelectStatement] = 630;
   _actionMap[482][THEN] = ActionEntry(REDUCE, 303);
   _actionMap[482][LEFT] = ActionEntry(REDUCE, 303);
   _actionMap[482][RIGHT] = ActionEntry(REDUCE, 303);
   _actionMap[482][INNER] = ActionEntry(REDUCE, 303);
   _actionMap[482][JOIN] = ActionEntry(REDUCE, 303);
   _actionMap[482][RETURNTOKEN] = ActionEntry(REDUCE, 303);
   _actionMap[482][SEMICOLON] = ActionEntry(REDUCE, 303);
   _actionMap[482][RB] = ActionEntry(REDUCE, 303);
   _actionMap[482][ENDTOKEN] = ActionEntry(REDUCE, 303);
   _actionMap[482][UNION] = ActionEntry(REDUCE, 303);
   _actionMap[482][ROWLIMIT] = ActionEntry(REDUCE, 303);
   _actionMap[482][ORDER] = ActionEntry(REDUCE, 303);
   _actionMap[482][GROUP] = ActionEntry(REDUCE, 303);
   _actionMap[482][WHERE] = ActionEntry(REDUCE, 303);
   _actionMap[482][AND] = ActionEntry(REDUCE, 303);
   _actionMap[482][OR] = ActionEntry(REDUCE, 303);
   _actionMap[483][RB] = ActionEntry(SHIFT, 389);
   _actionMap[483][PLUS] = ActionEntry(SHIFT, 211);
   _actionMap[483][MINUS] = ActionEntry(SHIFT, 210);
   _actionMap[483][CONCAT] = ActionEntry(SHIFT, 209);
   _actionMap[483][INTOK] = ActionEntry(SHIFT, 470);
}
void Cego::loadParser79()
{
   _actionMap[483][NOT] = ActionEntry(SHIFT, 473);
   _actionMap[483][BETWEEN] = ActionEntry(SHIFT, 469);
   _actionMap[483][IS] = ActionEntry(SHIFT, 471);
   _actionMap[483][LIKE] = ActionEntry(SHIFT, 472);
   _actionMap[483][EQU] = ActionEntry(SHIFT, 474);
   _actionMap[483][NEGATION] = ActionEntry(SHIFT, 477);
   _actionMap[483][LT] = ActionEntry(SHIFT, 475);
   _actionMap[483][MT] = ActionEntry(SHIFT, 476);
   _jumpMap[483][Comparison] = 468;
   _actionMap[484][RB] = ActionEntry(SHIFT, 631);
   _actionMap[484][AND] = ActionEntry(SHIFT, 478);
   _actionMap[484][OR] = ActionEntry(SHIFT, 479);
   _actionMap[485][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[485][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[485][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[485][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[485][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[485][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[485][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[485][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[485][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[485][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[485][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[485][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[485][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[485][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[485][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[485][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[485][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[485][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[485][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[485][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[485][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[485][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[485][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[485][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[485][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[485][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[485][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[485][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[485][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[485][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[485][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[485][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[485][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[485][LB] = ActionEntry(SHIFT, 135);
   _actionMap[485][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[485][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[485][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[485][NULLTOKEN] = ActionEntry(SHIFT, 118);
}
void Cego::loadParser80()
{
   _actionMap[485][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[485][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[485][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[485][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[485][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[485][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[485][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[485][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[485][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[485][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[485][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[485][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[485][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[485][ObjSpec] = 94;
   _jumpMap[485][Constant] = 93;
   _jumpMap[485][SignedFloat] = 92;
   _jumpMap[485][SignedInt] = 91;
   _jumpMap[485][Attribute] = 90;
   _jumpMap[485][Function] = 89;
   _jumpMap[485][CasePrepare] = 88;
   _jumpMap[485][CaseClause] = 87;
   _jumpMap[485][Factor] = 86;
   _jumpMap[485][Term] = 85;
   _jumpMap[485][Expr] = 632;
   _actionMap[486][WHEN] = ActionEntry(REDUCE, 283);
   _actionMap[486][ELSE] = ActionEntry(REDUCE, 283);
   _actionMap[486][LEFT] = ActionEntry(REDUCE, 283);
   _actionMap[486][RIGHT] = ActionEntry(REDUCE, 283);
   _actionMap[486][INNER] = ActionEntry(REDUCE, 283);
   _actionMap[486][JOIN] = ActionEntry(REDUCE, 283);
   _actionMap[486][RETURNTOKEN] = ActionEntry(REDUCE, 283);
   _actionMap[486][ORDER] = ActionEntry(REDUCE, 283);
   _actionMap[486][GROUP] = ActionEntry(REDUCE, 283);
   _actionMap[486][WHERE] = ActionEntry(REDUCE, 283);
   _actionMap[486][FROM] = ActionEntry(REDUCE, 283);
   _actionMap[486][AS] = ActionEntry(REDUCE, 283);
   _actionMap[486][END_TOKEN] = ActionEntry(REDUCE, 283);
   _actionMap[486][BEGIN] = ActionEntry(REDUCE, 283);
   _actionMap[486][THEN] = ActionEntry(REDUCE, 283);
   _actionMap[486][OR] = ActionEntry(REDUCE, 283);
   _actionMap[486][AND] = ActionEntry(REDUCE, 283);
   _actionMap[486][INTOK] = ActionEntry(REDUCE, 283);
   _actionMap[486][NOT] = ActionEntry(REDUCE, 283);
   _actionMap[486][BETWEEN] = ActionEntry(REDUCE, 283);
   _actionMap[486][IS] = ActionEntry(REDUCE, 283);
   _actionMap[486][LIKE] = ActionEntry(REDUCE, 283);
   _actionMap[486][MT] = ActionEntry(REDUCE, 283);
   _actionMap[486][LT] = ActionEntry(REDUCE, 283);
   _actionMap[486][NEGATION] = ActionEntry(REDUCE, 283);
   _actionMap[486][EQU] = ActionEntry(REDUCE, 283);
}
void Cego::loadParser81()
{
   _actionMap[486][RB] = ActionEntry(REDUCE, 283);
   _actionMap[486][ENDTOKEN] = ActionEntry(REDUCE, 283);
   _actionMap[486][UNION] = ActionEntry(REDUCE, 283);
   _actionMap[486][ROWLIMIT] = ActionEntry(REDUCE, 283);
   _actionMap[486][KSEP] = ActionEntry(REDUCE, 283);
   _actionMap[486][ASC] = ActionEntry(REDUCE, 283);
   _actionMap[486][DESC] = ActionEntry(REDUCE, 283);
   _actionMap[486][SEMICOLON] = ActionEntry(REDUCE, 283);
   _actionMap[486][PLUS] = ActionEntry(REDUCE, 283);
   _actionMap[486][MINUS] = ActionEntry(REDUCE, 283);
   _actionMap[486][DIVISION] = ActionEntry(REDUCE, 283);
   _actionMap[486][STAR] = ActionEntry(REDUCE, 283);
   _actionMap[486][CONCAT] = ActionEntry(REDUCE, 283);
   _actionMap[487][WHEN] = ActionEntry(REDUCE, 149);
   _actionMap[487][ELSE] = ActionEntry(REDUCE, 149);
   _actionMap[487][LEFT] = ActionEntry(REDUCE, 149);
   _actionMap[487][RIGHT] = ActionEntry(REDUCE, 149);
   _actionMap[487][INNER] = ActionEntry(REDUCE, 149);
   _actionMap[487][JOIN] = ActionEntry(REDUCE, 149);
   _actionMap[487][RETURNTOKEN] = ActionEntry(REDUCE, 149);
   _actionMap[487][ORDER] = ActionEntry(REDUCE, 149);
   _actionMap[487][GROUP] = ActionEntry(REDUCE, 149);
   _actionMap[487][WHERE] = ActionEntry(REDUCE, 149);
   _actionMap[487][AS] = ActionEntry(REDUCE, 149);
   _actionMap[487][FROM] = ActionEntry(REDUCE, 149);
   _actionMap[487][END_TOKEN] = ActionEntry(REDUCE, 149);
   _actionMap[487][BEGIN] = ActionEntry(REDUCE, 149);
   _actionMap[487][THEN] = ActionEntry(REDUCE, 149);
   _actionMap[487][OR] = ActionEntry(REDUCE, 149);
   _actionMap[487][AND] = ActionEntry(REDUCE, 149);
   _actionMap[487][LIKE] = ActionEntry(REDUCE, 149);
   _actionMap[487][IS] = ActionEntry(REDUCE, 149);
   _actionMap[487][BETWEEN] = ActionEntry(REDUCE, 149);
   _actionMap[487][NOT] = ActionEntry(REDUCE, 149);
   _actionMap[487][INTOK] = ActionEntry(REDUCE, 149);
   _actionMap[487][EQU] = ActionEntry(REDUCE, 149);
   _actionMap[487][NEGATION] = ActionEntry(REDUCE, 149);
   _actionMap[487][LT] = ActionEntry(REDUCE, 149);
   _actionMap[487][MT] = ActionEntry(REDUCE, 149);
   _actionMap[487][DESC] = ActionEntry(REDUCE, 149);
   _actionMap[487][ASC] = ActionEntry(REDUCE, 149);
   _actionMap[487][KSEP] = ActionEntry(REDUCE, 149);
   _actionMap[487][ROWLIMIT] = ActionEntry(REDUCE, 149);
   _actionMap[487][UNION] = ActionEntry(REDUCE, 149);
   _actionMap[487][ENDTOKEN] = ActionEntry(REDUCE, 149);
   _actionMap[487][RB] = ActionEntry(REDUCE, 149);
   _actionMap[487][SEMICOLON] = ActionEntry(REDUCE, 149);
   _actionMap[487][CONCAT] = ActionEntry(REDUCE, 149);
   _actionMap[487][STAR] = ActionEntry(REDUCE, 149);
   _actionMap[487][DIVISION] = ActionEntry(REDUCE, 149);
}
void Cego::loadParser82()
{
   _actionMap[487][MINUS] = ActionEntry(REDUCE, 149);
   _actionMap[487][PLUS] = ActionEntry(REDUCE, 149);
   _actionMap[488][WHEN] = ActionEntry(REDUCE, 279);
   _actionMap[488][ELSE] = ActionEntry(REDUCE, 279);
   _actionMap[488][LEFT] = ActionEntry(REDUCE, 279);
   _actionMap[488][RIGHT] = ActionEntry(REDUCE, 279);
   _actionMap[488][INNER] = ActionEntry(REDUCE, 279);
   _actionMap[488][JOIN] = ActionEntry(REDUCE, 279);
   _actionMap[488][RETURNTOKEN] = ActionEntry(REDUCE, 279);
   _actionMap[488][ORDER] = ActionEntry(REDUCE, 279);
   _actionMap[488][GROUP] = ActionEntry(REDUCE, 279);
   _actionMap[488][WHERE] = ActionEntry(REDUCE, 279);
   _actionMap[488][FROM] = ActionEntry(REDUCE, 279);
   _actionMap[488][AS] = ActionEntry(REDUCE, 279);
   _actionMap[488][END_TOKEN] = ActionEntry(REDUCE, 279);
   _actionMap[488][BEGIN] = ActionEntry(REDUCE, 279);
   _actionMap[488][THEN] = ActionEntry(REDUCE, 279);
   _actionMap[488][OR] = ActionEntry(REDUCE, 279);
   _actionMap[488][AND] = ActionEntry(REDUCE, 279);
   _actionMap[488][INTOK] = ActionEntry(REDUCE, 279);
   _actionMap[488][NOT] = ActionEntry(REDUCE, 279);
   _actionMap[488][BETWEEN] = ActionEntry(REDUCE, 279);
   _actionMap[488][IS] = ActionEntry(REDUCE, 279);
   _actionMap[488][LIKE] = ActionEntry(REDUCE, 279);
   _actionMap[488][MT] = ActionEntry(REDUCE, 279);
   _actionMap[488][LT] = ActionEntry(REDUCE, 279);
   _actionMap[488][NEGATION] = ActionEntry(REDUCE, 279);
   _actionMap[488][EQU] = ActionEntry(REDUCE, 279);
   _actionMap[488][RB] = ActionEntry(REDUCE, 279);
   _actionMap[488][ENDTOKEN] = ActionEntry(REDUCE, 279);
   _actionMap[488][UNION] = ActionEntry(REDUCE, 279);
   _actionMap[488][ROWLIMIT] = ActionEntry(REDUCE, 279);
   _actionMap[488][KSEP] = ActionEntry(REDUCE, 279);
   _actionMap[488][ASC] = ActionEntry(REDUCE, 279);
   _actionMap[488][DESC] = ActionEntry(REDUCE, 279);
   _actionMap[488][SEMICOLON] = ActionEntry(REDUCE, 279);
   _actionMap[488][PLUS] = ActionEntry(REDUCE, 279);
   _actionMap[488][MINUS] = ActionEntry(REDUCE, 279);
   _actionMap[488][DIVISION] = ActionEntry(REDUCE, 279);
   _actionMap[488][STAR] = ActionEntry(REDUCE, 279);
   _actionMap[488][CONCAT] = ActionEntry(REDUCE, 279);
   _actionMap[489][WHEN] = ActionEntry(REDUCE, 280);
   _actionMap[489][ELSE] = ActionEntry(REDUCE, 280);
   _actionMap[489][LEFT] = ActionEntry(REDUCE, 280);
   _actionMap[489][RIGHT] = ActionEntry(REDUCE, 280);
   _actionMap[489][INNER] = ActionEntry(REDUCE, 280);
   _actionMap[489][JOIN] = ActionEntry(REDUCE, 280);
   _actionMap[489][RETURNTOKEN] = ActionEntry(REDUCE, 280);
   _actionMap[489][ORDER] = ActionEntry(REDUCE, 280);
   _actionMap[489][GROUP] = ActionEntry(REDUCE, 280);
}
void Cego::loadParser83()
{
   _actionMap[489][WHERE] = ActionEntry(REDUCE, 280);
   _actionMap[489][FROM] = ActionEntry(REDUCE, 280);
   _actionMap[489][AS] = ActionEntry(REDUCE, 280);
   _actionMap[489][END_TOKEN] = ActionEntry(REDUCE, 280);
   _actionMap[489][BEGIN] = ActionEntry(REDUCE, 280);
   _actionMap[489][THEN] = ActionEntry(REDUCE, 280);
   _actionMap[489][OR] = ActionEntry(REDUCE, 280);
   _actionMap[489][AND] = ActionEntry(REDUCE, 280);
   _actionMap[489][INTOK] = ActionEntry(REDUCE, 280);
   _actionMap[489][NOT] = ActionEntry(REDUCE, 280);
   _actionMap[489][BETWEEN] = ActionEntry(REDUCE, 280);
   _actionMap[489][IS] = ActionEntry(REDUCE, 280);
   _actionMap[489][LIKE] = ActionEntry(REDUCE, 280);
   _actionMap[489][MT] = ActionEntry(REDUCE, 280);
   _actionMap[489][LT] = ActionEntry(REDUCE, 280);
   _actionMap[489][NEGATION] = ActionEntry(REDUCE, 280);
   _actionMap[489][EQU] = ActionEntry(REDUCE, 280);
   _actionMap[489][RB] = ActionEntry(REDUCE, 280);
   _actionMap[489][ENDTOKEN] = ActionEntry(REDUCE, 280);
   _actionMap[489][UNION] = ActionEntry(REDUCE, 280);
   _actionMap[489][ROWLIMIT] = ActionEntry(REDUCE, 280);
   _actionMap[489][KSEP] = ActionEntry(REDUCE, 280);
   _actionMap[489][ASC] = ActionEntry(REDUCE, 280);
   _actionMap[489][DESC] = ActionEntry(REDUCE, 280);
   _actionMap[489][SEMICOLON] = ActionEntry(REDUCE, 280);
   _actionMap[489][PLUS] = ActionEntry(REDUCE, 280);
   _actionMap[489][MINUS] = ActionEntry(REDUCE, 280);
   _actionMap[489][DIVISION] = ActionEntry(REDUCE, 280);
   _actionMap[489][STAR] = ActionEntry(REDUCE, 280);
   _actionMap[489][CONCAT] = ActionEntry(REDUCE, 280);
   _actionMap[490][WHEN] = ActionEntry(REDUCE, 281);
   _actionMap[490][ELSE] = ActionEntry(REDUCE, 281);
   _actionMap[490][LEFT] = ActionEntry(REDUCE, 281);
   _actionMap[490][RIGHT] = ActionEntry(REDUCE, 281);
   _actionMap[490][INNER] = ActionEntry(REDUCE, 281);
   _actionMap[490][JOIN] = ActionEntry(REDUCE, 281);
   _actionMap[490][RETURNTOKEN] = ActionEntry(REDUCE, 281);
   _actionMap[490][ORDER] = ActionEntry(REDUCE, 281);
   _actionMap[490][GROUP] = ActionEntry(REDUCE, 281);
   _actionMap[490][WHERE] = ActionEntry(REDUCE, 281);
   _actionMap[490][FROM] = ActionEntry(REDUCE, 281);
   _actionMap[490][AS] = ActionEntry(REDUCE, 281);
   _actionMap[490][END_TOKEN] = ActionEntry(REDUCE, 281);
   _actionMap[490][BEGIN] = ActionEntry(REDUCE, 281);
   _actionMap[490][THEN] = ActionEntry(REDUCE, 281);
   _actionMap[490][OR] = ActionEntry(REDUCE, 281);
   _actionMap[490][AND] = ActionEntry(REDUCE, 281);
   _actionMap[490][INTOK] = ActionEntry(REDUCE, 281);
   _actionMap[490][NOT] = ActionEntry(REDUCE, 281);
   _actionMap[490][BETWEEN] = ActionEntry(REDUCE, 281);
}
void Cego::loadParser84()
{
   _actionMap[490][IS] = ActionEntry(REDUCE, 281);
   _actionMap[490][LIKE] = ActionEntry(REDUCE, 281);
   _actionMap[490][MT] = ActionEntry(REDUCE, 281);
   _actionMap[490][LT] = ActionEntry(REDUCE, 281);
   _actionMap[490][NEGATION] = ActionEntry(REDUCE, 281);
   _actionMap[490][EQU] = ActionEntry(REDUCE, 281);
   _actionMap[490][RB] = ActionEntry(REDUCE, 281);
   _actionMap[490][ENDTOKEN] = ActionEntry(REDUCE, 281);
   _actionMap[490][UNION] = ActionEntry(REDUCE, 281);
   _actionMap[490][ROWLIMIT] = ActionEntry(REDUCE, 281);
   _actionMap[490][KSEP] = ActionEntry(REDUCE, 281);
   _actionMap[490][ASC] = ActionEntry(REDUCE, 281);
   _actionMap[490][DESC] = ActionEntry(REDUCE, 281);
   _actionMap[490][SEMICOLON] = ActionEntry(REDUCE, 281);
   _actionMap[490][PLUS] = ActionEntry(REDUCE, 281);
   _actionMap[490][MINUS] = ActionEntry(REDUCE, 281);
   _actionMap[490][DIVISION] = ActionEntry(REDUCE, 281);
   _actionMap[490][STAR] = ActionEntry(REDUCE, 281);
   _actionMap[490][CONCAT] = ActionEntry(REDUCE, 281);
   _actionMap[491][WHEN] = ActionEntry(REDUCE, 150);
   _actionMap[491][ELSE] = ActionEntry(REDUCE, 150);
   _actionMap[491][LEFT] = ActionEntry(REDUCE, 150);
   _actionMap[491][RIGHT] = ActionEntry(REDUCE, 150);
   _actionMap[491][INNER] = ActionEntry(REDUCE, 150);
   _actionMap[491][JOIN] = ActionEntry(REDUCE, 150);
   _actionMap[491][RETURNTOKEN] = ActionEntry(REDUCE, 150);
   _actionMap[491][ORDER] = ActionEntry(REDUCE, 150);
   _actionMap[491][GROUP] = ActionEntry(REDUCE, 150);
   _actionMap[491][WHERE] = ActionEntry(REDUCE, 150);
   _actionMap[491][AS] = ActionEntry(REDUCE, 150);
   _actionMap[491][FROM] = ActionEntry(REDUCE, 150);
   _actionMap[491][END_TOKEN] = ActionEntry(REDUCE, 150);
   _actionMap[491][BEGIN] = ActionEntry(REDUCE, 150);
   _actionMap[491][THEN] = ActionEntry(REDUCE, 150);
   _actionMap[491][OR] = ActionEntry(REDUCE, 150);
   _actionMap[491][AND] = ActionEntry(REDUCE, 150);
   _actionMap[491][LIKE] = ActionEntry(REDUCE, 150);
   _actionMap[491][IS] = ActionEntry(REDUCE, 150);
   _actionMap[491][BETWEEN] = ActionEntry(REDUCE, 150);
   _actionMap[491][NOT] = ActionEntry(REDUCE, 150);
   _actionMap[491][INTOK] = ActionEntry(REDUCE, 150);
   _actionMap[491][EQU] = ActionEntry(REDUCE, 150);
   _actionMap[491][NEGATION] = ActionEntry(REDUCE, 150);
   _actionMap[491][LT] = ActionEntry(REDUCE, 150);
   _actionMap[491][MT] = ActionEntry(REDUCE, 150);
   _actionMap[491][DESC] = ActionEntry(REDUCE, 150);
   _actionMap[491][ASC] = ActionEntry(REDUCE, 150);
   _actionMap[491][KSEP] = ActionEntry(REDUCE, 150);
   _actionMap[491][ROWLIMIT] = ActionEntry(REDUCE, 150);
   _actionMap[491][UNION] = ActionEntry(REDUCE, 150);
}
void Cego::loadParser85()
{
   _actionMap[491][ENDTOKEN] = ActionEntry(REDUCE, 150);
   _actionMap[491][RB] = ActionEntry(REDUCE, 150);
   _actionMap[491][SEMICOLON] = ActionEntry(REDUCE, 150);
   _actionMap[491][CONCAT] = ActionEntry(REDUCE, 150);
   _actionMap[491][STAR] = ActionEntry(REDUCE, 150);
   _actionMap[491][DIVISION] = ActionEntry(REDUCE, 150);
   _actionMap[491][MINUS] = ActionEntry(REDUCE, 150);
   _actionMap[491][PLUS] = ActionEntry(REDUCE, 150);
   _actionMap[492][WHEN] = ActionEntry(REDUCE, 147);
   _actionMap[492][ELSE] = ActionEntry(REDUCE, 147);
   _actionMap[492][LEFT] = ActionEntry(REDUCE, 147);
   _actionMap[492][RIGHT] = ActionEntry(REDUCE, 147);
   _actionMap[492][INNER] = ActionEntry(REDUCE, 147);
   _actionMap[492][JOIN] = ActionEntry(REDUCE, 147);
   _actionMap[492][RETURNTOKEN] = ActionEntry(REDUCE, 147);
   _actionMap[492][ORDER] = ActionEntry(REDUCE, 147);
   _actionMap[492][GROUP] = ActionEntry(REDUCE, 147);
   _actionMap[492][WHERE] = ActionEntry(REDUCE, 147);
   _actionMap[492][AS] = ActionEntry(REDUCE, 147);
   _actionMap[492][FROM] = ActionEntry(REDUCE, 147);
   _actionMap[492][END_TOKEN] = ActionEntry(REDUCE, 147);
   _actionMap[492][BEGIN] = ActionEntry(REDUCE, 147);
   _actionMap[492][THEN] = ActionEntry(REDUCE, 147);
   _actionMap[492][OR] = ActionEntry(REDUCE, 147);
   _actionMap[492][AND] = ActionEntry(REDUCE, 147);
   _actionMap[492][LIKE] = ActionEntry(REDUCE, 147);
   _actionMap[492][IS] = ActionEntry(REDUCE, 147);
   _actionMap[492][BETWEEN] = ActionEntry(REDUCE, 147);
   _actionMap[492][NOT] = ActionEntry(REDUCE, 147);
   _actionMap[492][INTOK] = ActionEntry(REDUCE, 147);
   _actionMap[492][EQU] = ActionEntry(REDUCE, 147);
   _actionMap[492][NEGATION] = ActionEntry(REDUCE, 147);
   _actionMap[492][LT] = ActionEntry(REDUCE, 147);
   _actionMap[492][MT] = ActionEntry(REDUCE, 147);
   _actionMap[492][DESC] = ActionEntry(REDUCE, 147);
   _actionMap[492][ASC] = ActionEntry(REDUCE, 147);
   _actionMap[492][KSEP] = ActionEntry(REDUCE, 147);
   _actionMap[492][ROWLIMIT] = ActionEntry(REDUCE, 147);
   _actionMap[492][UNION] = ActionEntry(REDUCE, 147);
   _actionMap[492][ENDTOKEN] = ActionEntry(REDUCE, 147);
   _actionMap[492][RB] = ActionEntry(REDUCE, 147);
   _actionMap[492][SEMICOLON] = ActionEntry(REDUCE, 147);
   _actionMap[492][CONCAT] = ActionEntry(REDUCE, 147);
   _actionMap[492][STAR] = ActionEntry(REDUCE, 147);
   _actionMap[492][DIVISION] = ActionEntry(REDUCE, 147);
   _actionMap[492][MINUS] = ActionEntry(REDUCE, 147);
   _actionMap[492][PLUS] = ActionEntry(REDUCE, 147);
   _actionMap[493][STRINGVAL] = ActionEntry(SHIFT, 634);
   _jumpMap[493][DateValue] = 633;
   _actionMap[494][WHEN] = ActionEntry(REDUCE, 260);
}
void Cego::loadParser86()
{
   _actionMap[494][ELSE] = ActionEntry(REDUCE, 260);
   _actionMap[494][LEFT] = ActionEntry(REDUCE, 260);
   _actionMap[494][RIGHT] = ActionEntry(REDUCE, 260);
   _actionMap[494][INNER] = ActionEntry(REDUCE, 260);
   _actionMap[494][JOIN] = ActionEntry(REDUCE, 260);
   _actionMap[494][RETURNTOKEN] = ActionEntry(REDUCE, 260);
   _actionMap[494][ORDER] = ActionEntry(REDUCE, 260);
   _actionMap[494][GROUP] = ActionEntry(REDUCE, 260);
   _actionMap[494][WHERE] = ActionEntry(REDUCE, 260);
   _actionMap[494][FROM] = ActionEntry(REDUCE, 260);
   _actionMap[494][AS] = ActionEntry(REDUCE, 260);
   _actionMap[494][END_TOKEN] = ActionEntry(REDUCE, 260);
   _actionMap[494][BEGIN] = ActionEntry(REDUCE, 260);
   _actionMap[494][THEN] = ActionEntry(REDUCE, 260);
   _actionMap[494][OR] = ActionEntry(REDUCE, 260);
   _actionMap[494][AND] = ActionEntry(REDUCE, 260);
   _actionMap[494][INTOK] = ActionEntry(REDUCE, 260);
   _actionMap[494][NOT] = ActionEntry(REDUCE, 260);
   _actionMap[494][BETWEEN] = ActionEntry(REDUCE, 260);
   _actionMap[494][IS] = ActionEntry(REDUCE, 260);
   _actionMap[494][LIKE] = ActionEntry(REDUCE, 260);
   _actionMap[494][MT] = ActionEntry(REDUCE, 260);
   _actionMap[494][LT] = ActionEntry(REDUCE, 260);
   _actionMap[494][NEGATION] = ActionEntry(REDUCE, 260);
   _actionMap[494][EQU] = ActionEntry(REDUCE, 260);
   _actionMap[494][RB] = ActionEntry(REDUCE, 260);
   _actionMap[494][ENDTOKEN] = ActionEntry(REDUCE, 260);
   _actionMap[494][UNION] = ActionEntry(REDUCE, 260);
   _actionMap[494][ROWLIMIT] = ActionEntry(REDUCE, 260);
   _actionMap[494][KSEP] = ActionEntry(REDUCE, 260);
   _actionMap[494][ASC] = ActionEntry(REDUCE, 260);
   _actionMap[494][DESC] = ActionEntry(REDUCE, 260);
   _actionMap[494][SEMICOLON] = ActionEntry(REDUCE, 260);
   _actionMap[494][PLUS] = ActionEntry(REDUCE, 260);
   _actionMap[494][MINUS] = ActionEntry(REDUCE, 260);
   _actionMap[494][DIVISION] = ActionEntry(REDUCE, 260);
   _actionMap[494][STAR] = ActionEntry(REDUCE, 260);
   _actionMap[494][CONCAT] = ActionEntry(REDUCE, 260);
   _actionMap[495][WHEN] = ActionEntry(REDUCE, 261);
   _actionMap[495][ELSE] = ActionEntry(REDUCE, 261);
   _actionMap[495][LEFT] = ActionEntry(REDUCE, 261);
   _actionMap[495][RIGHT] = ActionEntry(REDUCE, 261);
   _actionMap[495][INNER] = ActionEntry(REDUCE, 261);
   _actionMap[495][JOIN] = ActionEntry(REDUCE, 261);
   _actionMap[495][RETURNTOKEN] = ActionEntry(REDUCE, 261);
   _actionMap[495][ORDER] = ActionEntry(REDUCE, 261);
   _actionMap[495][GROUP] = ActionEntry(REDUCE, 261);
   _actionMap[495][WHERE] = ActionEntry(REDUCE, 261);
   _actionMap[495][FROM] = ActionEntry(REDUCE, 261);
   _actionMap[495][AS] = ActionEntry(REDUCE, 261);
}
void Cego::loadParser87()
{
   _actionMap[495][END_TOKEN] = ActionEntry(REDUCE, 261);
   _actionMap[495][BEGIN] = ActionEntry(REDUCE, 261);
   _actionMap[495][THEN] = ActionEntry(REDUCE, 261);
   _actionMap[495][OR] = ActionEntry(REDUCE, 261);
   _actionMap[495][AND] = ActionEntry(REDUCE, 261);
   _actionMap[495][INTOK] = ActionEntry(REDUCE, 261);
   _actionMap[495][NOT] = ActionEntry(REDUCE, 261);
   _actionMap[495][BETWEEN] = ActionEntry(REDUCE, 261);
   _actionMap[495][IS] = ActionEntry(REDUCE, 261);
   _actionMap[495][LIKE] = ActionEntry(REDUCE, 261);
   _actionMap[495][MT] = ActionEntry(REDUCE, 261);
   _actionMap[495][LT] = ActionEntry(REDUCE, 261);
   _actionMap[495][NEGATION] = ActionEntry(REDUCE, 261);
   _actionMap[495][EQU] = ActionEntry(REDUCE, 261);
   _actionMap[495][RB] = ActionEntry(REDUCE, 261);
   _actionMap[495][ENDTOKEN] = ActionEntry(REDUCE, 261);
   _actionMap[495][UNION] = ActionEntry(REDUCE, 261);
   _actionMap[495][ROWLIMIT] = ActionEntry(REDUCE, 261);
   _actionMap[495][KSEP] = ActionEntry(REDUCE, 261);
   _actionMap[495][ASC] = ActionEntry(REDUCE, 261);
   _actionMap[495][DESC] = ActionEntry(REDUCE, 261);
   _actionMap[495][SEMICOLON] = ActionEntry(REDUCE, 261);
   _actionMap[495][PLUS] = ActionEntry(REDUCE, 261);
   _actionMap[495][MINUS] = ActionEntry(REDUCE, 261);
   _actionMap[495][DIVISION] = ActionEntry(REDUCE, 261);
   _actionMap[495][STAR] = ActionEntry(REDUCE, 261);
   _actionMap[495][CONCAT] = ActionEntry(REDUCE, 261);
   _actionMap[496][WHEN] = ActionEntry(REDUCE, 277);
   _actionMap[496][ELSE] = ActionEntry(REDUCE, 277);
   _actionMap[496][LEFT] = ActionEntry(REDUCE, 277);
   _actionMap[496][RIGHT] = ActionEntry(REDUCE, 277);
   _actionMap[496][INNER] = ActionEntry(REDUCE, 277);
   _actionMap[496][JOIN] = ActionEntry(REDUCE, 277);
   _actionMap[496][RETURNTOKEN] = ActionEntry(REDUCE, 277);
   _actionMap[496][ORDER] = ActionEntry(REDUCE, 277);
   _actionMap[496][GROUP] = ActionEntry(REDUCE, 277);
   _actionMap[496][WHERE] = ActionEntry(REDUCE, 277);
   _actionMap[496][FROM] = ActionEntry(REDUCE, 277);
   _actionMap[496][AS] = ActionEntry(REDUCE, 277);
   _actionMap[496][END_TOKEN] = ActionEntry(REDUCE, 277);
   _actionMap[496][BEGIN] = ActionEntry(REDUCE, 277);
   _actionMap[496][THEN] = ActionEntry(REDUCE, 277);
   _actionMap[496][OR] = ActionEntry(REDUCE, 277);
   _actionMap[496][AND] = ActionEntry(REDUCE, 277);
   _actionMap[496][INTOK] = ActionEntry(REDUCE, 277);
   _actionMap[496][NOT] = ActionEntry(REDUCE, 277);
   _actionMap[496][BETWEEN] = ActionEntry(REDUCE, 277);
   _actionMap[496][IS] = ActionEntry(REDUCE, 277);
   _actionMap[496][LIKE] = ActionEntry(REDUCE, 277);
   _actionMap[496][MT] = ActionEntry(REDUCE, 277);
}
void Cego::loadParser88()
{
   _actionMap[496][LT] = ActionEntry(REDUCE, 277);
   _actionMap[496][NEGATION] = ActionEntry(REDUCE, 277);
   _actionMap[496][EQU] = ActionEntry(REDUCE, 277);
   _actionMap[496][RB] = ActionEntry(REDUCE, 277);
   _actionMap[496][ENDTOKEN] = ActionEntry(REDUCE, 277);
   _actionMap[496][UNION] = ActionEntry(REDUCE, 277);
   _actionMap[496][ROWLIMIT] = ActionEntry(REDUCE, 277);
   _actionMap[496][KSEP] = ActionEntry(REDUCE, 277);
   _actionMap[496][ASC] = ActionEntry(REDUCE, 277);
   _actionMap[496][DESC] = ActionEntry(REDUCE, 277);
   _actionMap[496][SEMICOLON] = ActionEntry(REDUCE, 277);
   _actionMap[496][PLUS] = ActionEntry(REDUCE, 277);
   _actionMap[496][MINUS] = ActionEntry(REDUCE, 277);
   _actionMap[496][DIVISION] = ActionEntry(REDUCE, 277);
   _actionMap[496][STAR] = ActionEntry(REDUCE, 277);
   _actionMap[496][CONCAT] = ActionEntry(REDUCE, 277);
   _actionMap[497][VARREF] = ActionEntry(SHIFT, 636);
   _jumpMap[497][FetchArgList] = 635;
   _actionMap[498][WHEN] = ActionEntry(REDUCE, 267);
   _actionMap[498][ELSE] = ActionEntry(REDUCE, 267);
   _actionMap[498][LEFT] = ActionEntry(REDUCE, 267);
   _actionMap[498][RIGHT] = ActionEntry(REDUCE, 267);
   _actionMap[498][INNER] = ActionEntry(REDUCE, 267);
   _actionMap[498][JOIN] = ActionEntry(REDUCE, 267);
   _actionMap[498][RETURNTOKEN] = ActionEntry(REDUCE, 267);
   _actionMap[498][ORDER] = ActionEntry(REDUCE, 267);
   _actionMap[498][GROUP] = ActionEntry(REDUCE, 267);
   _actionMap[498][WHERE] = ActionEntry(REDUCE, 267);
   _actionMap[498][FROM] = ActionEntry(REDUCE, 267);
   _actionMap[498][AS] = ActionEntry(REDUCE, 267);
   _actionMap[498][END_TOKEN] = ActionEntry(REDUCE, 267);
   _actionMap[498][BEGIN] = ActionEntry(REDUCE, 267);
   _actionMap[498][THEN] = ActionEntry(REDUCE, 267);
   _actionMap[498][OR] = ActionEntry(REDUCE, 267);
   _actionMap[498][AND] = ActionEntry(REDUCE, 267);
   _actionMap[498][INTOK] = ActionEntry(REDUCE, 267);
   _actionMap[498][NOT] = ActionEntry(REDUCE, 267);
   _actionMap[498][BETWEEN] = ActionEntry(REDUCE, 267);
   _actionMap[498][IS] = ActionEntry(REDUCE, 267);
   _actionMap[498][LIKE] = ActionEntry(REDUCE, 267);
   _actionMap[498][MT] = ActionEntry(REDUCE, 267);
   _actionMap[498][LT] = ActionEntry(REDUCE, 267);
   _actionMap[498][NEGATION] = ActionEntry(REDUCE, 267);
   _actionMap[498][EQU] = ActionEntry(REDUCE, 267);
   _actionMap[498][RB] = ActionEntry(REDUCE, 267);
   _actionMap[498][ENDTOKEN] = ActionEntry(REDUCE, 267);
   _actionMap[498][UNION] = ActionEntry(REDUCE, 267);
   _actionMap[498][ROWLIMIT] = ActionEntry(REDUCE, 267);
   _actionMap[498][KSEP] = ActionEntry(REDUCE, 267);
   _actionMap[498][ASC] = ActionEntry(REDUCE, 267);
}
void Cego::loadParser89()
{
   _actionMap[498][DESC] = ActionEntry(REDUCE, 267);
   _actionMap[498][SEMICOLON] = ActionEntry(REDUCE, 267);
   _actionMap[498][PLUS] = ActionEntry(REDUCE, 267);
   _actionMap[498][MINUS] = ActionEntry(REDUCE, 267);
   _actionMap[498][DIVISION] = ActionEntry(REDUCE, 267);
   _actionMap[498][STAR] = ActionEntry(REDUCE, 267);
   _actionMap[498][CONCAT] = ActionEntry(REDUCE, 267);
   _actionMap[499][WHEN] = ActionEntry(REDUCE, 262);
   _actionMap[499][ELSE] = ActionEntry(REDUCE, 262);
   _actionMap[499][LEFT] = ActionEntry(REDUCE, 262);
   _actionMap[499][RIGHT] = ActionEntry(REDUCE, 262);
   _actionMap[499][INNER] = ActionEntry(REDUCE, 262);
   _actionMap[499][JOIN] = ActionEntry(REDUCE, 262);
   _actionMap[499][RETURNTOKEN] = ActionEntry(REDUCE, 262);
   _actionMap[499][ORDER] = ActionEntry(REDUCE, 262);
   _actionMap[499][GROUP] = ActionEntry(REDUCE, 262);
   _actionMap[499][WHERE] = ActionEntry(REDUCE, 262);
   _actionMap[499][FROM] = ActionEntry(REDUCE, 262);
   _actionMap[499][AS] = ActionEntry(REDUCE, 262);
   _actionMap[499][END_TOKEN] = ActionEntry(REDUCE, 262);
   _actionMap[499][BEGIN] = ActionEntry(REDUCE, 262);
   _actionMap[499][THEN] = ActionEntry(REDUCE, 262);
   _actionMap[499][OR] = ActionEntry(REDUCE, 262);
   _actionMap[499][AND] = ActionEntry(REDUCE, 262);
   _actionMap[499][INTOK] = ActionEntry(REDUCE, 262);
   _actionMap[499][NOT] = ActionEntry(REDUCE, 262);
   _actionMap[499][BETWEEN] = ActionEntry(REDUCE, 262);
   _actionMap[499][IS] = ActionEntry(REDUCE, 262);
   _actionMap[499][LIKE] = ActionEntry(REDUCE, 262);
   _actionMap[499][MT] = ActionEntry(REDUCE, 262);
   _actionMap[499][LT] = ActionEntry(REDUCE, 262);
   _actionMap[499][NEGATION] = ActionEntry(REDUCE, 262);
   _actionMap[499][EQU] = ActionEntry(REDUCE, 262);
   _actionMap[499][RB] = ActionEntry(REDUCE, 262);
   _actionMap[499][ENDTOKEN] = ActionEntry(REDUCE, 262);
   _actionMap[499][UNION] = ActionEntry(REDUCE, 262);
   _actionMap[499][ROWLIMIT] = ActionEntry(REDUCE, 262);
   _actionMap[499][KSEP] = ActionEntry(REDUCE, 262);
   _actionMap[499][ASC] = ActionEntry(REDUCE, 262);
   _actionMap[499][DESC] = ActionEntry(REDUCE, 262);
   _actionMap[499][SEMICOLON] = ActionEntry(REDUCE, 262);
   _actionMap[499][PLUS] = ActionEntry(REDUCE, 262);
   _actionMap[499][MINUS] = ActionEntry(REDUCE, 262);
   _actionMap[499][DIVISION] = ActionEntry(REDUCE, 262);
   _actionMap[499][STAR] = ActionEntry(REDUCE, 262);
   _actionMap[499][CONCAT] = ActionEntry(REDUCE, 262);
   _actionMap[500][WHEN] = ActionEntry(REDUCE, 265);
   _actionMap[500][ELSE] = ActionEntry(REDUCE, 265);
   _actionMap[500][LEFT] = ActionEntry(REDUCE, 265);
   _actionMap[500][RIGHT] = ActionEntry(REDUCE, 265);
}
void Cego::loadParser90()
{
   _actionMap[500][INNER] = ActionEntry(REDUCE, 265);
   _actionMap[500][JOIN] = ActionEntry(REDUCE, 265);
   _actionMap[500][RETURNTOKEN] = ActionEntry(REDUCE, 265);
   _actionMap[500][ORDER] = ActionEntry(REDUCE, 265);
   _actionMap[500][GROUP] = ActionEntry(REDUCE, 265);
   _actionMap[500][WHERE] = ActionEntry(REDUCE, 265);
   _actionMap[500][FROM] = ActionEntry(REDUCE, 265);
   _actionMap[500][AS] = ActionEntry(REDUCE, 265);
   _actionMap[500][END_TOKEN] = ActionEntry(REDUCE, 265);
   _actionMap[500][BEGIN] = ActionEntry(REDUCE, 265);
   _actionMap[500][THEN] = ActionEntry(REDUCE, 265);
   _actionMap[500][OR] = ActionEntry(REDUCE, 265);
   _actionMap[500][AND] = ActionEntry(REDUCE, 265);
   _actionMap[500][INTOK] = ActionEntry(REDUCE, 265);
   _actionMap[500][NOT] = ActionEntry(REDUCE, 265);
   _actionMap[500][BETWEEN] = ActionEntry(REDUCE, 265);
   _actionMap[500][IS] = ActionEntry(REDUCE, 265);
   _actionMap[500][LIKE] = ActionEntry(REDUCE, 265);
   _actionMap[500][MT] = ActionEntry(REDUCE, 265);
   _actionMap[500][LT] = ActionEntry(REDUCE, 265);
   _actionMap[500][NEGATION] = ActionEntry(REDUCE, 265);
   _actionMap[500][EQU] = ActionEntry(REDUCE, 265);
   _actionMap[500][RB] = ActionEntry(REDUCE, 265);
   _actionMap[500][ENDTOKEN] = ActionEntry(REDUCE, 265);
   _actionMap[500][UNION] = ActionEntry(REDUCE, 265);
   _actionMap[500][ROWLIMIT] = ActionEntry(REDUCE, 265);
   _actionMap[500][KSEP] = ActionEntry(REDUCE, 265);
   _actionMap[500][ASC] = ActionEntry(REDUCE, 265);
   _actionMap[500][DESC] = ActionEntry(REDUCE, 265);
   _actionMap[500][SEMICOLON] = ActionEntry(REDUCE, 265);
   _actionMap[500][PLUS] = ActionEntry(REDUCE, 265);
   _actionMap[500][MINUS] = ActionEntry(REDUCE, 265);
   _actionMap[500][DIVISION] = ActionEntry(REDUCE, 265);
   _actionMap[500][STAR] = ActionEntry(REDUCE, 265);
   _actionMap[500][CONCAT] = ActionEntry(REDUCE, 265);
   _actionMap[501][WHEN] = ActionEntry(REDUCE, 270);
   _actionMap[501][ELSE] = ActionEntry(REDUCE, 270);
   _actionMap[501][LEFT] = ActionEntry(REDUCE, 270);
   _actionMap[501][RIGHT] = ActionEntry(REDUCE, 270);
   _actionMap[501][INNER] = ActionEntry(REDUCE, 270);
   _actionMap[501][JOIN] = ActionEntry(REDUCE, 270);
   _actionMap[501][RETURNTOKEN] = ActionEntry(REDUCE, 270);
   _actionMap[501][ORDER] = ActionEntry(REDUCE, 270);
   _actionMap[501][GROUP] = ActionEntry(REDUCE, 270);
   _actionMap[501][WHERE] = ActionEntry(REDUCE, 270);
   _actionMap[501][FROM] = ActionEntry(REDUCE, 270);
   _actionMap[501][AS] = ActionEntry(REDUCE, 270);
   _actionMap[501][END_TOKEN] = ActionEntry(REDUCE, 270);
   _actionMap[501][BEGIN] = ActionEntry(REDUCE, 270);
   _actionMap[501][THEN] = ActionEntry(REDUCE, 270);
}
void Cego::loadParser91()
{
   _actionMap[501][OR] = ActionEntry(REDUCE, 270);
   _actionMap[501][AND] = ActionEntry(REDUCE, 270);
   _actionMap[501][INTOK] = ActionEntry(REDUCE, 270);
   _actionMap[501][NOT] = ActionEntry(REDUCE, 270);
   _actionMap[501][BETWEEN] = ActionEntry(REDUCE, 270);
   _actionMap[501][IS] = ActionEntry(REDUCE, 270);
   _actionMap[501][LIKE] = ActionEntry(REDUCE, 270);
   _actionMap[501][MT] = ActionEntry(REDUCE, 270);
   _actionMap[501][LT] = ActionEntry(REDUCE, 270);
   _actionMap[501][NEGATION] = ActionEntry(REDUCE, 270);
   _actionMap[501][EQU] = ActionEntry(REDUCE, 270);
   _actionMap[501][RB] = ActionEntry(REDUCE, 270);
   _actionMap[501][ENDTOKEN] = ActionEntry(REDUCE, 270);
   _actionMap[501][UNION] = ActionEntry(REDUCE, 270);
   _actionMap[501][ROWLIMIT] = ActionEntry(REDUCE, 270);
   _actionMap[501][KSEP] = ActionEntry(REDUCE, 270);
   _actionMap[501][ASC] = ActionEntry(REDUCE, 270);
   _actionMap[501][DESC] = ActionEntry(REDUCE, 270);
   _actionMap[501][SEMICOLON] = ActionEntry(REDUCE, 270);
   _actionMap[501][PLUS] = ActionEntry(REDUCE, 270);
   _actionMap[501][MINUS] = ActionEntry(REDUCE, 270);
   _actionMap[501][DIVISION] = ActionEntry(REDUCE, 270);
   _actionMap[501][STAR] = ActionEntry(REDUCE, 270);
   _actionMap[501][CONCAT] = ActionEntry(REDUCE, 270);
   _actionMap[502][WHEN] = ActionEntry(REDUCE, 263);
   _actionMap[502][ELSE] = ActionEntry(REDUCE, 263);
   _actionMap[502][LEFT] = ActionEntry(REDUCE, 263);
   _actionMap[502][RIGHT] = ActionEntry(REDUCE, 263);
   _actionMap[502][INNER] = ActionEntry(REDUCE, 263);
   _actionMap[502][JOIN] = ActionEntry(REDUCE, 263);
   _actionMap[502][RETURNTOKEN] = ActionEntry(REDUCE, 263);
   _actionMap[502][ORDER] = ActionEntry(REDUCE, 263);
   _actionMap[502][GROUP] = ActionEntry(REDUCE, 263);
   _actionMap[502][WHERE] = ActionEntry(REDUCE, 263);
   _actionMap[502][FROM] = ActionEntry(REDUCE, 263);
   _actionMap[502][AS] = ActionEntry(REDUCE, 263);
   _actionMap[502][END_TOKEN] = ActionEntry(REDUCE, 263);
   _actionMap[502][BEGIN] = ActionEntry(REDUCE, 263);
   _actionMap[502][THEN] = ActionEntry(REDUCE, 263);
   _actionMap[502][OR] = ActionEntry(REDUCE, 263);
   _actionMap[502][AND] = ActionEntry(REDUCE, 263);
   _actionMap[502][INTOK] = ActionEntry(REDUCE, 263);
   _actionMap[502][NOT] = ActionEntry(REDUCE, 263);
   _actionMap[502][BETWEEN] = ActionEntry(REDUCE, 263);
   _actionMap[502][IS] = ActionEntry(REDUCE, 263);
   _actionMap[502][LIKE] = ActionEntry(REDUCE, 263);
   _actionMap[502][MT] = ActionEntry(REDUCE, 263);
   _actionMap[502][LT] = ActionEntry(REDUCE, 263);
   _actionMap[502][NEGATION] = ActionEntry(REDUCE, 263);
   _actionMap[502][EQU] = ActionEntry(REDUCE, 263);
}
void Cego::loadParser92()
{
   _actionMap[502][RB] = ActionEntry(REDUCE, 263);
   _actionMap[502][ENDTOKEN] = ActionEntry(REDUCE, 263);
   _actionMap[502][UNION] = ActionEntry(REDUCE, 263);
   _actionMap[502][ROWLIMIT] = ActionEntry(REDUCE, 263);
   _actionMap[502][KSEP] = ActionEntry(REDUCE, 263);
   _actionMap[502][ASC] = ActionEntry(REDUCE, 263);
   _actionMap[502][DESC] = ActionEntry(REDUCE, 263);
   _actionMap[502][SEMICOLON] = ActionEntry(REDUCE, 263);
   _actionMap[502][PLUS] = ActionEntry(REDUCE, 263);
   _actionMap[502][MINUS] = ActionEntry(REDUCE, 263);
   _actionMap[502][DIVISION] = ActionEntry(REDUCE, 263);
   _actionMap[502][STAR] = ActionEntry(REDUCE, 263);
   _actionMap[502][CONCAT] = ActionEntry(REDUCE, 263);
   _actionMap[503][WHEN] = ActionEntry(REDUCE, 258);
   _actionMap[503][ELSE] = ActionEntry(REDUCE, 258);
   _actionMap[503][LEFT] = ActionEntry(REDUCE, 258);
   _actionMap[503][RIGHT] = ActionEntry(REDUCE, 258);
   _actionMap[503][INNER] = ActionEntry(REDUCE, 258);
   _actionMap[503][JOIN] = ActionEntry(REDUCE, 258);
   _actionMap[503][RETURNTOKEN] = ActionEntry(REDUCE, 258);
   _actionMap[503][ORDER] = ActionEntry(REDUCE, 258);
   _actionMap[503][GROUP] = ActionEntry(REDUCE, 258);
   _actionMap[503][WHERE] = ActionEntry(REDUCE, 258);
   _actionMap[503][FROM] = ActionEntry(REDUCE, 258);
   _actionMap[503][AS] = ActionEntry(REDUCE, 258);
   _actionMap[503][END_TOKEN] = ActionEntry(REDUCE, 258);
   _actionMap[503][BEGIN] = ActionEntry(REDUCE, 258);
   _actionMap[503][THEN] = ActionEntry(REDUCE, 258);
   _actionMap[503][OR] = ActionEntry(REDUCE, 258);
   _actionMap[503][AND] = ActionEntry(REDUCE, 258);
   _actionMap[503][INTOK] = ActionEntry(REDUCE, 258);
   _actionMap[503][NOT] = ActionEntry(REDUCE, 258);
   _actionMap[503][BETWEEN] = ActionEntry(REDUCE, 258);
   _actionMap[503][IS] = ActionEntry(REDUCE, 258);
   _actionMap[503][LIKE] = ActionEntry(REDUCE, 258);
   _actionMap[503][MT] = ActionEntry(REDUCE, 258);
   _actionMap[503][LT] = ActionEntry(REDUCE, 258);
   _actionMap[503][NEGATION] = ActionEntry(REDUCE, 258);
   _actionMap[503][EQU] = ActionEntry(REDUCE, 258);
   _actionMap[503][RB] = ActionEntry(REDUCE, 258);
   _actionMap[503][ENDTOKEN] = ActionEntry(REDUCE, 258);
   _actionMap[503][UNION] = ActionEntry(REDUCE, 258);
   _actionMap[503][ROWLIMIT] = ActionEntry(REDUCE, 258);
   _actionMap[503][KSEP] = ActionEntry(REDUCE, 258);
   _actionMap[503][ASC] = ActionEntry(REDUCE, 258);
   _actionMap[503][DESC] = ActionEntry(REDUCE, 258);
   _actionMap[503][SEMICOLON] = ActionEntry(REDUCE, 258);
   _actionMap[503][PLUS] = ActionEntry(REDUCE, 258);
   _actionMap[503][MINUS] = ActionEntry(REDUCE, 258);
   _actionMap[503][DIVISION] = ActionEntry(REDUCE, 258);
}
void Cego::loadParser93()
{
   _actionMap[503][STAR] = ActionEntry(REDUCE, 258);
   _actionMap[503][CONCAT] = ActionEntry(REDUCE, 258);
   _actionMap[504][WHEN] = ActionEntry(REDUCE, 151);
   _actionMap[504][ELSE] = ActionEntry(REDUCE, 151);
   _actionMap[504][LEFT] = ActionEntry(REDUCE, 151);
   _actionMap[504][RIGHT] = ActionEntry(REDUCE, 151);
   _actionMap[504][INNER] = ActionEntry(REDUCE, 151);
   _actionMap[504][JOIN] = ActionEntry(REDUCE, 151);
   _actionMap[504][RETURNTOKEN] = ActionEntry(REDUCE, 151);
   _actionMap[504][ORDER] = ActionEntry(REDUCE, 151);
   _actionMap[504][GROUP] = ActionEntry(REDUCE, 151);
   _actionMap[504][WHERE] = ActionEntry(REDUCE, 151);
   _actionMap[504][AS] = ActionEntry(REDUCE, 151);
   _actionMap[504][FROM] = ActionEntry(REDUCE, 151);
   _actionMap[504][END_TOKEN] = ActionEntry(REDUCE, 151);
   _actionMap[504][BEGIN] = ActionEntry(REDUCE, 151);
   _actionMap[504][THEN] = ActionEntry(REDUCE, 151);
   _actionMap[504][OR] = ActionEntry(REDUCE, 151);
   _actionMap[504][AND] = ActionEntry(REDUCE, 151);
   _actionMap[504][LIKE] = ActionEntry(REDUCE, 151);
   _actionMap[504][IS] = ActionEntry(REDUCE, 151);
   _actionMap[504][BETWEEN] = ActionEntry(REDUCE, 151);
   _actionMap[504][NOT] = ActionEntry(REDUCE, 151);
   _actionMap[504][INTOK] = ActionEntry(REDUCE, 151);
   _actionMap[504][EQU] = ActionEntry(REDUCE, 151);
   _actionMap[504][NEGATION] = ActionEntry(REDUCE, 151);
   _actionMap[504][LT] = ActionEntry(REDUCE, 151);
   _actionMap[504][MT] = ActionEntry(REDUCE, 151);
   _actionMap[504][DESC] = ActionEntry(REDUCE, 151);
   _actionMap[504][ASC] = ActionEntry(REDUCE, 151);
   _actionMap[504][KSEP] = ActionEntry(REDUCE, 151);
   _actionMap[504][ROWLIMIT] = ActionEntry(REDUCE, 151);
   _actionMap[504][UNION] = ActionEntry(REDUCE, 151);
   _actionMap[504][ENDTOKEN] = ActionEntry(REDUCE, 151);
   _actionMap[504][RB] = ActionEntry(REDUCE, 151);
   _actionMap[504][SEMICOLON] = ActionEntry(REDUCE, 151);
   _actionMap[504][CONCAT] = ActionEntry(REDUCE, 151);
   _actionMap[504][STAR] = ActionEntry(REDUCE, 151);
   _actionMap[504][DIVISION] = ActionEntry(REDUCE, 151);
   _actionMap[504][MINUS] = ActionEntry(REDUCE, 151);
   _actionMap[504][PLUS] = ActionEntry(REDUCE, 151);
   _actionMap[505][WHEN] = ActionEntry(REDUCE, 152);
   _actionMap[505][ELSE] = ActionEntry(REDUCE, 152);
   _actionMap[505][LEFT] = ActionEntry(REDUCE, 152);
   _actionMap[505][RIGHT] = ActionEntry(REDUCE, 152);
   _actionMap[505][INNER] = ActionEntry(REDUCE, 152);
   _actionMap[505][JOIN] = ActionEntry(REDUCE, 152);
   _actionMap[505][RETURNTOKEN] = ActionEntry(REDUCE, 152);
   _actionMap[505][ORDER] = ActionEntry(REDUCE, 152);
   _actionMap[505][GROUP] = ActionEntry(REDUCE, 152);
}
void Cego::loadParser94()
{
   _actionMap[505][WHERE] = ActionEntry(REDUCE, 152);
   _actionMap[505][AS] = ActionEntry(REDUCE, 152);
   _actionMap[505][FROM] = ActionEntry(REDUCE, 152);
   _actionMap[505][END_TOKEN] = ActionEntry(REDUCE, 152);
   _actionMap[505][BEGIN] = ActionEntry(REDUCE, 152);
   _actionMap[505][THEN] = ActionEntry(REDUCE, 152);
   _actionMap[505][OR] = ActionEntry(REDUCE, 152);
   _actionMap[505][AND] = ActionEntry(REDUCE, 152);
   _actionMap[505][LIKE] = ActionEntry(REDUCE, 152);
   _actionMap[505][IS] = ActionEntry(REDUCE, 152);
   _actionMap[505][BETWEEN] = ActionEntry(REDUCE, 152);
   _actionMap[505][NOT] = ActionEntry(REDUCE, 152);
   _actionMap[505][INTOK] = ActionEntry(REDUCE, 152);
   _actionMap[505][EQU] = ActionEntry(REDUCE, 152);
   _actionMap[505][NEGATION] = ActionEntry(REDUCE, 152);
   _actionMap[505][LT] = ActionEntry(REDUCE, 152);
   _actionMap[505][MT] = ActionEntry(REDUCE, 152);
   _actionMap[505][DESC] = ActionEntry(REDUCE, 152);
   _actionMap[505][ASC] = ActionEntry(REDUCE, 152);
   _actionMap[505][KSEP] = ActionEntry(REDUCE, 152);
   _actionMap[505][ROWLIMIT] = ActionEntry(REDUCE, 152);
   _actionMap[505][UNION] = ActionEntry(REDUCE, 152);
   _actionMap[505][ENDTOKEN] = ActionEntry(REDUCE, 152);
   _actionMap[505][RB] = ActionEntry(REDUCE, 152);
   _actionMap[505][SEMICOLON] = ActionEntry(REDUCE, 152);
   _actionMap[505][CONCAT] = ActionEntry(REDUCE, 152);
   _actionMap[505][STAR] = ActionEntry(REDUCE, 152);
   _actionMap[505][DIVISION] = ActionEntry(REDUCE, 152);
   _actionMap[505][MINUS] = ActionEntry(REDUCE, 152);
   _actionMap[505][PLUS] = ActionEntry(REDUCE, 152);
   _actionMap[506][WHEN] = ActionEntry(REDUCE, 276);
   _actionMap[506][ELSE] = ActionEntry(REDUCE, 276);
   _actionMap[506][LEFT] = ActionEntry(REDUCE, 276);
   _actionMap[506][RIGHT] = ActionEntry(REDUCE, 276);
   _actionMap[506][INNER] = ActionEntry(REDUCE, 276);
   _actionMap[506][JOIN] = ActionEntry(REDUCE, 276);
   _actionMap[506][RETURNTOKEN] = ActionEntry(REDUCE, 276);
   _actionMap[506][ORDER] = ActionEntry(REDUCE, 276);
   _actionMap[506][GROUP] = ActionEntry(REDUCE, 276);
   _actionMap[506][WHERE] = ActionEntry(REDUCE, 276);
   _actionMap[506][FROM] = ActionEntry(REDUCE, 276);
   _actionMap[506][AS] = ActionEntry(REDUCE, 276);
   _actionMap[506][END_TOKEN] = ActionEntry(REDUCE, 276);
   _actionMap[506][BEGIN] = ActionEntry(REDUCE, 276);
   _actionMap[506][THEN] = ActionEntry(REDUCE, 276);
   _actionMap[506][OR] = ActionEntry(REDUCE, 276);
   _actionMap[506][AND] = ActionEntry(REDUCE, 276);
   _actionMap[506][INTOK] = ActionEntry(REDUCE, 276);
   _actionMap[506][NOT] = ActionEntry(REDUCE, 276);
   _actionMap[506][BETWEEN] = ActionEntry(REDUCE, 276);
}
void Cego::loadParser95()
{
   _actionMap[506][IS] = ActionEntry(REDUCE, 276);
   _actionMap[506][LIKE] = ActionEntry(REDUCE, 276);
   _actionMap[506][MT] = ActionEntry(REDUCE, 276);
   _actionMap[506][LT] = ActionEntry(REDUCE, 276);
   _actionMap[506][NEGATION] = ActionEntry(REDUCE, 276);
   _actionMap[506][EQU] = ActionEntry(REDUCE, 276);
   _actionMap[506][RB] = ActionEntry(REDUCE, 276);
   _actionMap[506][ENDTOKEN] = ActionEntry(REDUCE, 276);
   _actionMap[506][UNION] = ActionEntry(REDUCE, 276);
   _actionMap[506][ROWLIMIT] = ActionEntry(REDUCE, 276);
   _actionMap[506][KSEP] = ActionEntry(REDUCE, 276);
   _actionMap[506][ASC] = ActionEntry(REDUCE, 276);
   _actionMap[506][DESC] = ActionEntry(REDUCE, 276);
   _actionMap[506][SEMICOLON] = ActionEntry(REDUCE, 276);
   _actionMap[506][PLUS] = ActionEntry(REDUCE, 276);
   _actionMap[506][MINUS] = ActionEntry(REDUCE, 276);
   _actionMap[506][DIVISION] = ActionEntry(REDUCE, 276);
   _actionMap[506][STAR] = ActionEntry(REDUCE, 276);
   _actionMap[506][CONCAT] = ActionEntry(REDUCE, 276);
   _actionMap[507][WHEN] = ActionEntry(REDUCE, 282);
   _actionMap[507][ELSE] = ActionEntry(REDUCE, 282);
   _actionMap[507][LEFT] = ActionEntry(REDUCE, 282);
   _actionMap[507][RIGHT] = ActionEntry(REDUCE, 282);
   _actionMap[507][INNER] = ActionEntry(REDUCE, 282);
   _actionMap[507][JOIN] = ActionEntry(REDUCE, 282);
   _actionMap[507][RETURNTOKEN] = ActionEntry(REDUCE, 282);
   _actionMap[507][ORDER] = ActionEntry(REDUCE, 282);
   _actionMap[507][GROUP] = ActionEntry(REDUCE, 282);
   _actionMap[507][WHERE] = ActionEntry(REDUCE, 282);
   _actionMap[507][FROM] = ActionEntry(REDUCE, 282);
   _actionMap[507][AS] = ActionEntry(REDUCE, 282);
   _actionMap[507][END_TOKEN] = ActionEntry(REDUCE, 282);
   _actionMap[507][BEGIN] = ActionEntry(REDUCE, 282);
   _actionMap[507][THEN] = ActionEntry(REDUCE, 282);
   _actionMap[507][OR] = ActionEntry(REDUCE, 282);
   _actionMap[507][AND] = ActionEntry(REDUCE, 282);
   _actionMap[507][INTOK] = ActionEntry(REDUCE, 282);
   _actionMap[507][NOT] = ActionEntry(REDUCE, 282);
   _actionMap[507][BETWEEN] = ActionEntry(REDUCE, 282);
   _actionMap[507][IS] = ActionEntry(REDUCE, 282);
   _actionMap[507][LIKE] = ActionEntry(REDUCE, 282);
   _actionMap[507][MT] = ActionEntry(REDUCE, 282);
   _actionMap[507][LT] = ActionEntry(REDUCE, 282);
   _actionMap[507][NEGATION] = ActionEntry(REDUCE, 282);
   _actionMap[507][EQU] = ActionEntry(REDUCE, 282);
   _actionMap[507][RB] = ActionEntry(REDUCE, 282);
   _actionMap[507][ENDTOKEN] = ActionEntry(REDUCE, 282);
   _actionMap[507][UNION] = ActionEntry(REDUCE, 282);
   _actionMap[507][ROWLIMIT] = ActionEntry(REDUCE, 282);
   _actionMap[507][KSEP] = ActionEntry(REDUCE, 282);
}
void Cego::loadParser96()
{
   _actionMap[507][ASC] = ActionEntry(REDUCE, 282);
   _actionMap[507][DESC] = ActionEntry(REDUCE, 282);
   _actionMap[507][SEMICOLON] = ActionEntry(REDUCE, 282);
   _actionMap[507][PLUS] = ActionEntry(REDUCE, 282);
   _actionMap[507][MINUS] = ActionEntry(REDUCE, 282);
   _actionMap[507][DIVISION] = ActionEntry(REDUCE, 282);
   _actionMap[507][STAR] = ActionEntry(REDUCE, 282);
   _actionMap[507][CONCAT] = ActionEntry(REDUCE, 282);
   _actionMap[508][WHEN] = ActionEntry(REDUCE, 278);
   _actionMap[508][ELSE] = ActionEntry(REDUCE, 278);
   _actionMap[508][LEFT] = ActionEntry(REDUCE, 278);
   _actionMap[508][RIGHT] = ActionEntry(REDUCE, 278);
   _actionMap[508][INNER] = ActionEntry(REDUCE, 278);
   _actionMap[508][JOIN] = ActionEntry(REDUCE, 278);
   _actionMap[508][RETURNTOKEN] = ActionEntry(REDUCE, 278);
   _actionMap[508][ORDER] = ActionEntry(REDUCE, 278);
   _actionMap[508][GROUP] = ActionEntry(REDUCE, 278);
   _actionMap[508][WHERE] = ActionEntry(REDUCE, 278);
   _actionMap[508][FROM] = ActionEntry(REDUCE, 278);
   _actionMap[508][AS] = ActionEntry(REDUCE, 278);
   _actionMap[508][END_TOKEN] = ActionEntry(REDUCE, 278);
   _actionMap[508][BEGIN] = ActionEntry(REDUCE, 278);
   _actionMap[508][THEN] = ActionEntry(REDUCE, 278);
   _actionMap[508][OR] = ActionEntry(REDUCE, 278);
   _actionMap[508][AND] = ActionEntry(REDUCE, 278);
   _actionMap[508][INTOK] = ActionEntry(REDUCE, 278);
   _actionMap[508][NOT] = ActionEntry(REDUCE, 278);
   _actionMap[508][BETWEEN] = ActionEntry(REDUCE, 278);
   _actionMap[508][IS] = ActionEntry(REDUCE, 278);
   _actionMap[508][LIKE] = ActionEntry(REDUCE, 278);
   _actionMap[508][MT] = ActionEntry(REDUCE, 278);
   _actionMap[508][LT] = ActionEntry(REDUCE, 278);
   _actionMap[508][NEGATION] = ActionEntry(REDUCE, 278);
   _actionMap[508][EQU] = ActionEntry(REDUCE, 278);
   _actionMap[508][RB] = ActionEntry(REDUCE, 278);
   _actionMap[508][ENDTOKEN] = ActionEntry(REDUCE, 278);
   _actionMap[508][UNION] = ActionEntry(REDUCE, 278);
   _actionMap[508][ROWLIMIT] = ActionEntry(REDUCE, 278);
   _actionMap[508][KSEP] = ActionEntry(REDUCE, 278);
   _actionMap[508][ASC] = ActionEntry(REDUCE, 278);
   _actionMap[508][DESC] = ActionEntry(REDUCE, 278);
   _actionMap[508][SEMICOLON] = ActionEntry(REDUCE, 278);
   _actionMap[508][PLUS] = ActionEntry(REDUCE, 278);
   _actionMap[508][MINUS] = ActionEntry(REDUCE, 278);
   _actionMap[508][DIVISION] = ActionEntry(REDUCE, 278);
   _actionMap[508][STAR] = ActionEntry(REDUCE, 278);
   _actionMap[508][CONCAT] = ActionEntry(REDUCE, 278);
   _actionMap[509][WHEN] = ActionEntry(REDUCE, 274);
   _actionMap[509][ELSE] = ActionEntry(REDUCE, 274);
   _actionMap[509][LEFT] = ActionEntry(REDUCE, 274);
}
void Cego::loadParser97()
{
   _actionMap[509][RIGHT] = ActionEntry(REDUCE, 274);
   _actionMap[509][INNER] = ActionEntry(REDUCE, 274);
   _actionMap[509][JOIN] = ActionEntry(REDUCE, 274);
   _actionMap[509][RETURNTOKEN] = ActionEntry(REDUCE, 274);
   _actionMap[509][ORDER] = ActionEntry(REDUCE, 274);
   _actionMap[509][GROUP] = ActionEntry(REDUCE, 274);
   _actionMap[509][WHERE] = ActionEntry(REDUCE, 274);
   _actionMap[509][FROM] = ActionEntry(REDUCE, 274);
   _actionMap[509][AS] = ActionEntry(REDUCE, 274);
   _actionMap[509][END_TOKEN] = ActionEntry(REDUCE, 274);
   _actionMap[509][BEGIN] = ActionEntry(REDUCE, 274);
   _actionMap[509][THEN] = ActionEntry(REDUCE, 274);
   _actionMap[509][OR] = ActionEntry(REDUCE, 274);
   _actionMap[509][AND] = ActionEntry(REDUCE, 274);
   _actionMap[509][INTOK] = ActionEntry(REDUCE, 274);
   _actionMap[509][NOT] = ActionEntry(REDUCE, 274);
   _actionMap[509][BETWEEN] = ActionEntry(REDUCE, 274);
   _actionMap[509][IS] = ActionEntry(REDUCE, 274);
   _actionMap[509][LIKE] = ActionEntry(REDUCE, 274);
   _actionMap[509][MT] = ActionEntry(REDUCE, 274);
   _actionMap[509][LT] = ActionEntry(REDUCE, 274);
   _actionMap[509][NEGATION] = ActionEntry(REDUCE, 274);
   _actionMap[509][EQU] = ActionEntry(REDUCE, 274);
   _actionMap[509][RB] = ActionEntry(REDUCE, 274);
   _actionMap[509][ENDTOKEN] = ActionEntry(REDUCE, 274);
   _actionMap[509][UNION] = ActionEntry(REDUCE, 274);
   _actionMap[509][ROWLIMIT] = ActionEntry(REDUCE, 274);
   _actionMap[509][KSEP] = ActionEntry(REDUCE, 274);
   _actionMap[509][ASC] = ActionEntry(REDUCE, 274);
   _actionMap[509][DESC] = ActionEntry(REDUCE, 274);
   _actionMap[509][SEMICOLON] = ActionEntry(REDUCE, 274);
   _actionMap[509][PLUS] = ActionEntry(REDUCE, 274);
   _actionMap[509][MINUS] = ActionEntry(REDUCE, 274);
   _actionMap[509][DIVISION] = ActionEntry(REDUCE, 274);
   _actionMap[509][STAR] = ActionEntry(REDUCE, 274);
   _actionMap[509][CONCAT] = ActionEntry(REDUCE, 274);
   _actionMap[510][WHEN] = ActionEntry(REDUCE, 275);
   _actionMap[510][ELSE] = ActionEntry(REDUCE, 275);
   _actionMap[510][LEFT] = ActionEntry(REDUCE, 275);
   _actionMap[510][RIGHT] = ActionEntry(REDUCE, 275);
   _actionMap[510][INNER] = ActionEntry(REDUCE, 275);
   _actionMap[510][JOIN] = ActionEntry(REDUCE, 275);
   _actionMap[510][RETURNTOKEN] = ActionEntry(REDUCE, 275);
   _actionMap[510][ORDER] = ActionEntry(REDUCE, 275);
   _actionMap[510][GROUP] = ActionEntry(REDUCE, 275);
   _actionMap[510][WHERE] = ActionEntry(REDUCE, 275);
   _actionMap[510][FROM] = ActionEntry(REDUCE, 275);
   _actionMap[510][AS] = ActionEntry(REDUCE, 275);
   _actionMap[510][END_TOKEN] = ActionEntry(REDUCE, 275);
   _actionMap[510][BEGIN] = ActionEntry(REDUCE, 275);
}
void Cego::loadParser98()
{
   _actionMap[510][THEN] = ActionEntry(REDUCE, 275);
   _actionMap[510][OR] = ActionEntry(REDUCE, 275);
   _actionMap[510][AND] = ActionEntry(REDUCE, 275);
   _actionMap[510][INTOK] = ActionEntry(REDUCE, 275);
   _actionMap[510][NOT] = ActionEntry(REDUCE, 275);
   _actionMap[510][BETWEEN] = ActionEntry(REDUCE, 275);
   _actionMap[510][IS] = ActionEntry(REDUCE, 275);
   _actionMap[510][LIKE] = ActionEntry(REDUCE, 275);
   _actionMap[510][MT] = ActionEntry(REDUCE, 275);
   _actionMap[510][LT] = ActionEntry(REDUCE, 275);
   _actionMap[510][NEGATION] = ActionEntry(REDUCE, 275);
   _actionMap[510][EQU] = ActionEntry(REDUCE, 275);
   _actionMap[510][RB] = ActionEntry(REDUCE, 275);
   _actionMap[510][ENDTOKEN] = ActionEntry(REDUCE, 275);
   _actionMap[510][UNION] = ActionEntry(REDUCE, 275);
   _actionMap[510][ROWLIMIT] = ActionEntry(REDUCE, 275);
   _actionMap[510][KSEP] = ActionEntry(REDUCE, 275);
   _actionMap[510][ASC] = ActionEntry(REDUCE, 275);
   _actionMap[510][DESC] = ActionEntry(REDUCE, 275);
   _actionMap[510][SEMICOLON] = ActionEntry(REDUCE, 275);
   _actionMap[510][PLUS] = ActionEntry(REDUCE, 275);
   _actionMap[510][MINUS] = ActionEntry(REDUCE, 275);
   _actionMap[510][DIVISION] = ActionEntry(REDUCE, 275);
   _actionMap[510][STAR] = ActionEntry(REDUCE, 275);
   _actionMap[510][CONCAT] = ActionEntry(REDUCE, 275);
   _actionMap[511][WHEN] = ActionEntry(REDUCE, 269);
   _actionMap[511][ELSE] = ActionEntry(REDUCE, 269);
   _actionMap[511][LEFT] = ActionEntry(REDUCE, 269);
   _actionMap[511][RIGHT] = ActionEntry(REDUCE, 269);
   _actionMap[511][INNER] = ActionEntry(REDUCE, 269);
   _actionMap[511][JOIN] = ActionEntry(REDUCE, 269);
   _actionMap[511][RETURNTOKEN] = ActionEntry(REDUCE, 269);
   _actionMap[511][ORDER] = ActionEntry(REDUCE, 269);
   _actionMap[511][GROUP] = ActionEntry(REDUCE, 269);
   _actionMap[511][WHERE] = ActionEntry(REDUCE, 269);
   _actionMap[511][FROM] = ActionEntry(REDUCE, 269);
   _actionMap[511][AS] = ActionEntry(REDUCE, 269);
   _actionMap[511][END_TOKEN] = ActionEntry(REDUCE, 269);
   _actionMap[511][BEGIN] = ActionEntry(REDUCE, 269);
   _actionMap[511][THEN] = ActionEntry(REDUCE, 269);
   _actionMap[511][OR] = ActionEntry(REDUCE, 269);
   _actionMap[511][AND] = ActionEntry(REDUCE, 269);
   _actionMap[511][INTOK] = ActionEntry(REDUCE, 269);
   _actionMap[511][NOT] = ActionEntry(REDUCE, 269);
   _actionMap[511][BETWEEN] = ActionEntry(REDUCE, 269);
   _actionMap[511][IS] = ActionEntry(REDUCE, 269);
   _actionMap[511][LIKE] = ActionEntry(REDUCE, 269);
   _actionMap[511][MT] = ActionEntry(REDUCE, 269);
   _actionMap[511][LT] = ActionEntry(REDUCE, 269);
   _actionMap[511][NEGATION] = ActionEntry(REDUCE, 269);
}
void Cego::loadParser99()
{
   _actionMap[511][EQU] = ActionEntry(REDUCE, 269);
   _actionMap[511][RB] = ActionEntry(REDUCE, 269);
   _actionMap[511][ENDTOKEN] = ActionEntry(REDUCE, 269);
   _actionMap[511][UNION] = ActionEntry(REDUCE, 269);
   _actionMap[511][ROWLIMIT] = ActionEntry(REDUCE, 269);
   _actionMap[511][KSEP] = ActionEntry(REDUCE, 269);
   _actionMap[511][ASC] = ActionEntry(REDUCE, 269);
   _actionMap[511][DESC] = ActionEntry(REDUCE, 269);
   _actionMap[511][SEMICOLON] = ActionEntry(REDUCE, 269);
   _actionMap[511][PLUS] = ActionEntry(REDUCE, 269);
   _actionMap[511][MINUS] = ActionEntry(REDUCE, 269);
   _actionMap[511][DIVISION] = ActionEntry(REDUCE, 269);
   _actionMap[511][STAR] = ActionEntry(REDUCE, 269);
   _actionMap[511][CONCAT] = ActionEntry(REDUCE, 269);
   _actionMap[512][WHEN] = ActionEntry(REDUCE, 266);
   _actionMap[512][ELSE] = ActionEntry(REDUCE, 266);
   _actionMap[512][LEFT] = ActionEntry(REDUCE, 266);
   _actionMap[512][RIGHT] = ActionEntry(REDUCE, 266);
   _actionMap[512][INNER] = ActionEntry(REDUCE, 266);
   _actionMap[512][JOIN] = ActionEntry(REDUCE, 266);
   _actionMap[512][RETURNTOKEN] = ActionEntry(REDUCE, 266);
   _actionMap[512][ORDER] = ActionEntry(REDUCE, 266);
   _actionMap[512][GROUP] = ActionEntry(REDUCE, 266);
   _actionMap[512][WHERE] = ActionEntry(REDUCE, 266);
   _actionMap[512][FROM] = ActionEntry(REDUCE, 266);
   _actionMap[512][AS] = ActionEntry(REDUCE, 266);
   _actionMap[512][END_TOKEN] = ActionEntry(REDUCE, 266);
   _actionMap[512][BEGIN] = ActionEntry(REDUCE, 266);
   _actionMap[512][THEN] = ActionEntry(REDUCE, 266);
   _actionMap[512][OR] = ActionEntry(REDUCE, 266);
   _actionMap[512][AND] = ActionEntry(REDUCE, 266);
   _actionMap[512][INTOK] = ActionEntry(REDUCE, 266);
   _actionMap[512][NOT] = ActionEntry(REDUCE, 266);
   _actionMap[512][BETWEEN] = ActionEntry(REDUCE, 266);
   _actionMap[512][IS] = ActionEntry(REDUCE, 266);
   _actionMap[512][LIKE] = ActionEntry(REDUCE, 266);
   _actionMap[512][MT] = ActionEntry(REDUCE, 266);
   _actionMap[512][LT] = ActionEntry(REDUCE, 266);
   _actionMap[512][NEGATION] = ActionEntry(REDUCE, 266);
   _actionMap[512][EQU] = ActionEntry(REDUCE, 266);
   _actionMap[512][RB] = ActionEntry(REDUCE, 266);
   _actionMap[512][ENDTOKEN] = ActionEntry(REDUCE, 266);
   _actionMap[512][UNION] = ActionEntry(REDUCE, 266);
   _actionMap[512][ROWLIMIT] = ActionEntry(REDUCE, 266);
   _actionMap[512][KSEP] = ActionEntry(REDUCE, 266);
   _actionMap[512][ASC] = ActionEntry(REDUCE, 266);
   _actionMap[512][DESC] = ActionEntry(REDUCE, 266);
   _actionMap[512][SEMICOLON] = ActionEntry(REDUCE, 266);
   _actionMap[512][PLUS] = ActionEntry(REDUCE, 266);
   _actionMap[512][MINUS] = ActionEntry(REDUCE, 266);
}
void Cego::loadParser100()
{
   _actionMap[512][DIVISION] = ActionEntry(REDUCE, 266);
   _actionMap[512][STAR] = ActionEntry(REDUCE, 266);
   _actionMap[512][CONCAT] = ActionEntry(REDUCE, 266);
   _actionMap[513][WHEN] = ActionEntry(REDUCE, 259);
   _actionMap[513][ELSE] = ActionEntry(REDUCE, 259);
   _actionMap[513][LEFT] = ActionEntry(REDUCE, 259);
   _actionMap[513][RIGHT] = ActionEntry(REDUCE, 259);
   _actionMap[513][INNER] = ActionEntry(REDUCE, 259);
   _actionMap[513][JOIN] = ActionEntry(REDUCE, 259);
   _actionMap[513][RETURNTOKEN] = ActionEntry(REDUCE, 259);
   _actionMap[513][ORDER] = ActionEntry(REDUCE, 259);
   _actionMap[513][GROUP] = ActionEntry(REDUCE, 259);
   _actionMap[513][WHERE] = ActionEntry(REDUCE, 259);
   _actionMap[513][FROM] = ActionEntry(REDUCE, 259);
   _actionMap[513][AS] = ActionEntry(REDUCE, 259);
   _actionMap[513][END_TOKEN] = ActionEntry(REDUCE, 259);
   _actionMap[513][BEGIN] = ActionEntry(REDUCE, 259);
   _actionMap[513][THEN] = ActionEntry(REDUCE, 259);
   _actionMap[513][OR] = ActionEntry(REDUCE, 259);
   _actionMap[513][AND] = ActionEntry(REDUCE, 259);
   _actionMap[513][INTOK] = ActionEntry(REDUCE, 259);
   _actionMap[513][NOT] = ActionEntry(REDUCE, 259);
   _actionMap[513][BETWEEN] = ActionEntry(REDUCE, 259);
   _actionMap[513][IS] = ActionEntry(REDUCE, 259);
   _actionMap[513][LIKE] = ActionEntry(REDUCE, 259);
   _actionMap[513][MT] = ActionEntry(REDUCE, 259);
   _actionMap[513][LT] = ActionEntry(REDUCE, 259);
   _actionMap[513][NEGATION] = ActionEntry(REDUCE, 259);
   _actionMap[513][EQU] = ActionEntry(REDUCE, 259);
   _actionMap[513][RB] = ActionEntry(REDUCE, 259);
   _actionMap[513][ENDTOKEN] = ActionEntry(REDUCE, 259);
   _actionMap[513][UNION] = ActionEntry(REDUCE, 259);
   _actionMap[513][ROWLIMIT] = ActionEntry(REDUCE, 259);
   _actionMap[513][KSEP] = ActionEntry(REDUCE, 259);
   _actionMap[513][ASC] = ActionEntry(REDUCE, 259);
   _actionMap[513][DESC] = ActionEntry(REDUCE, 259);
   _actionMap[513][SEMICOLON] = ActionEntry(REDUCE, 259);
   _actionMap[513][PLUS] = ActionEntry(REDUCE, 259);
   _actionMap[513][MINUS] = ActionEntry(REDUCE, 259);
   _actionMap[513][DIVISION] = ActionEntry(REDUCE, 259);
   _actionMap[513][STAR] = ActionEntry(REDUCE, 259);
   _actionMap[513][CONCAT] = ActionEntry(REDUCE, 259);
   _actionMap[514][WHEN] = ActionEntry(REDUCE, 257);
   _actionMap[514][ELSE] = ActionEntry(REDUCE, 257);
   _actionMap[514][LEFT] = ActionEntry(REDUCE, 257);
   _actionMap[514][RIGHT] = ActionEntry(REDUCE, 257);
   _actionMap[514][INNER] = ActionEntry(REDUCE, 257);
   _actionMap[514][JOIN] = ActionEntry(REDUCE, 257);
   _actionMap[514][RETURNTOKEN] = ActionEntry(REDUCE, 257);
   _actionMap[514][ORDER] = ActionEntry(REDUCE, 257);
}
void Cego::loadParser101()
{
   _actionMap[514][GROUP] = ActionEntry(REDUCE, 257);
   _actionMap[514][WHERE] = ActionEntry(REDUCE, 257);
   _actionMap[514][FROM] = ActionEntry(REDUCE, 257);
   _actionMap[514][AS] = ActionEntry(REDUCE, 257);
   _actionMap[514][END_TOKEN] = ActionEntry(REDUCE, 257);
   _actionMap[514][BEGIN] = ActionEntry(REDUCE, 257);
   _actionMap[514][THEN] = ActionEntry(REDUCE, 257);
   _actionMap[514][OR] = ActionEntry(REDUCE, 257);
   _actionMap[514][AND] = ActionEntry(REDUCE, 257);
   _actionMap[514][INTOK] = ActionEntry(REDUCE, 257);
   _actionMap[514][NOT] = ActionEntry(REDUCE, 257);
   _actionMap[514][BETWEEN] = ActionEntry(REDUCE, 257);
   _actionMap[514][IS] = ActionEntry(REDUCE, 257);
   _actionMap[514][LIKE] = ActionEntry(REDUCE, 257);
   _actionMap[514][MT] = ActionEntry(REDUCE, 257);
   _actionMap[514][LT] = ActionEntry(REDUCE, 257);
   _actionMap[514][NEGATION] = ActionEntry(REDUCE, 257);
   _actionMap[514][EQU] = ActionEntry(REDUCE, 257);
   _actionMap[514][RB] = ActionEntry(REDUCE, 257);
   _actionMap[514][ENDTOKEN] = ActionEntry(REDUCE, 257);
   _actionMap[514][UNION] = ActionEntry(REDUCE, 257);
   _actionMap[514][ROWLIMIT] = ActionEntry(REDUCE, 257);
   _actionMap[514][KSEP] = ActionEntry(REDUCE, 257);
   _actionMap[514][ASC] = ActionEntry(REDUCE, 257);
   _actionMap[514][DESC] = ActionEntry(REDUCE, 257);
   _actionMap[514][SEMICOLON] = ActionEntry(REDUCE, 257);
   _actionMap[514][PLUS] = ActionEntry(REDUCE, 257);
   _actionMap[514][MINUS] = ActionEntry(REDUCE, 257);
   _actionMap[514][DIVISION] = ActionEntry(REDUCE, 257);
   _actionMap[514][STAR] = ActionEntry(REDUCE, 257);
   _actionMap[514][CONCAT] = ActionEntry(REDUCE, 257);
   _actionMap[515][WHEN] = ActionEntry(REDUCE, 268);
   _actionMap[515][ELSE] = ActionEntry(REDUCE, 268);
   _actionMap[515][LEFT] = ActionEntry(REDUCE, 268);
   _actionMap[515][RIGHT] = ActionEntry(REDUCE, 268);
   _actionMap[515][INNER] = ActionEntry(REDUCE, 268);
   _actionMap[515][JOIN] = ActionEntry(REDUCE, 268);
   _actionMap[515][RETURNTOKEN] = ActionEntry(REDUCE, 268);
   _actionMap[515][ORDER] = ActionEntry(REDUCE, 268);
   _actionMap[515][GROUP] = ActionEntry(REDUCE, 268);
   _actionMap[515][WHERE] = ActionEntry(REDUCE, 268);
   _actionMap[515][FROM] = ActionEntry(REDUCE, 268);
   _actionMap[515][AS] = ActionEntry(REDUCE, 268);
   _actionMap[515][END_TOKEN] = ActionEntry(REDUCE, 268);
   _actionMap[515][BEGIN] = ActionEntry(REDUCE, 268);
   _actionMap[515][THEN] = ActionEntry(REDUCE, 268);
   _actionMap[515][OR] = ActionEntry(REDUCE, 268);
   _actionMap[515][AND] = ActionEntry(REDUCE, 268);
   _actionMap[515][INTOK] = ActionEntry(REDUCE, 268);
   _actionMap[515][NOT] = ActionEntry(REDUCE, 268);
}
void Cego::loadParser102()
{
   _actionMap[515][BETWEEN] = ActionEntry(REDUCE, 268);
   _actionMap[515][IS] = ActionEntry(REDUCE, 268);
   _actionMap[515][LIKE] = ActionEntry(REDUCE, 268);
   _actionMap[515][MT] = ActionEntry(REDUCE, 268);
   _actionMap[515][LT] = ActionEntry(REDUCE, 268);
   _actionMap[515][NEGATION] = ActionEntry(REDUCE, 268);
   _actionMap[515][EQU] = ActionEntry(REDUCE, 268);
   _actionMap[515][RB] = ActionEntry(REDUCE, 268);
   _actionMap[515][ENDTOKEN] = ActionEntry(REDUCE, 268);
   _actionMap[515][UNION] = ActionEntry(REDUCE, 268);
   _actionMap[515][ROWLIMIT] = ActionEntry(REDUCE, 268);
   _actionMap[515][KSEP] = ActionEntry(REDUCE, 268);
   _actionMap[515][ASC] = ActionEntry(REDUCE, 268);
   _actionMap[515][DESC] = ActionEntry(REDUCE, 268);
   _actionMap[515][SEMICOLON] = ActionEntry(REDUCE, 268);
   _actionMap[515][PLUS] = ActionEntry(REDUCE, 268);
   _actionMap[515][MINUS] = ActionEntry(REDUCE, 268);
   _actionMap[515][DIVISION] = ActionEntry(REDUCE, 268);
   _actionMap[515][STAR] = ActionEntry(REDUCE, 268);
   _actionMap[515][CONCAT] = ActionEntry(REDUCE, 268);
   _actionMap[516][WHEN] = ActionEntry(REDUCE, 148);
   _actionMap[516][ELSE] = ActionEntry(REDUCE, 148);
   _actionMap[516][LEFT] = ActionEntry(REDUCE, 148);
   _actionMap[516][RIGHT] = ActionEntry(REDUCE, 148);
   _actionMap[516][INNER] = ActionEntry(REDUCE, 148);
   _actionMap[516][JOIN] = ActionEntry(REDUCE, 148);
   _actionMap[516][RETURNTOKEN] = ActionEntry(REDUCE, 148);
   _actionMap[516][ORDER] = ActionEntry(REDUCE, 148);
   _actionMap[516][GROUP] = ActionEntry(REDUCE, 148);
   _actionMap[516][WHERE] = ActionEntry(REDUCE, 148);
   _actionMap[516][AS] = ActionEntry(REDUCE, 148);
   _actionMap[516][FROM] = ActionEntry(REDUCE, 148);
   _actionMap[516][END_TOKEN] = ActionEntry(REDUCE, 148);
   _actionMap[516][BEGIN] = ActionEntry(REDUCE, 148);
   _actionMap[516][THEN] = ActionEntry(REDUCE, 148);
   _actionMap[516][OR] = ActionEntry(REDUCE, 148);
   _actionMap[516][AND] = ActionEntry(REDUCE, 148);
   _actionMap[516][LIKE] = ActionEntry(REDUCE, 148);
   _actionMap[516][IS] = ActionEntry(REDUCE, 148);
   _actionMap[516][BETWEEN] = ActionEntry(REDUCE, 148);
   _actionMap[516][NOT] = ActionEntry(REDUCE, 148);
   _actionMap[516][INTOK] = ActionEntry(REDUCE, 148);
   _actionMap[516][EQU] = ActionEntry(REDUCE, 148);
   _actionMap[516][NEGATION] = ActionEntry(REDUCE, 148);
   _actionMap[516][LT] = ActionEntry(REDUCE, 148);
   _actionMap[516][MT] = ActionEntry(REDUCE, 148);
   _actionMap[516][DESC] = ActionEntry(REDUCE, 148);
   _actionMap[516][ASC] = ActionEntry(REDUCE, 148);
   _actionMap[516][KSEP] = ActionEntry(REDUCE, 148);
   _actionMap[516][ROWLIMIT] = ActionEntry(REDUCE, 148);
}
void Cego::loadParser103()
{
   _actionMap[516][UNION] = ActionEntry(REDUCE, 148);
   _actionMap[516][ENDTOKEN] = ActionEntry(REDUCE, 148);
   _actionMap[516][RB] = ActionEntry(REDUCE, 148);
   _actionMap[516][SEMICOLON] = ActionEntry(REDUCE, 148);
   _actionMap[516][CONCAT] = ActionEntry(REDUCE, 148);
   _actionMap[516][STAR] = ActionEntry(REDUCE, 148);
   _actionMap[516][DIVISION] = ActionEntry(REDUCE, 148);
   _actionMap[516][MINUS] = ActionEntry(REDUCE, 148);
   _actionMap[516][PLUS] = ActionEntry(REDUCE, 148);
   _actionMap[517][WHEN] = ActionEntry(REDUCE, 272);
   _actionMap[517][ELSE] = ActionEntry(REDUCE, 272);
   _actionMap[517][LEFT] = ActionEntry(REDUCE, 272);
   _actionMap[517][RIGHT] = ActionEntry(REDUCE, 272);
   _actionMap[517][INNER] = ActionEntry(REDUCE, 272);
   _actionMap[517][JOIN] = ActionEntry(REDUCE, 272);
   _actionMap[517][RETURNTOKEN] = ActionEntry(REDUCE, 272);
   _actionMap[517][ORDER] = ActionEntry(REDUCE, 272);
   _actionMap[517][GROUP] = ActionEntry(REDUCE, 272);
   _actionMap[517][WHERE] = ActionEntry(REDUCE, 272);
   _actionMap[517][FROM] = ActionEntry(REDUCE, 272);
   _actionMap[517][AS] = ActionEntry(REDUCE, 272);
   _actionMap[517][END_TOKEN] = ActionEntry(REDUCE, 272);
   _actionMap[517][BEGIN] = ActionEntry(REDUCE, 272);
   _actionMap[517][THEN] = ActionEntry(REDUCE, 272);
   _actionMap[517][OR] = ActionEntry(REDUCE, 272);
   _actionMap[517][AND] = ActionEntry(REDUCE, 272);
   _actionMap[517][INTOK] = ActionEntry(REDUCE, 272);
   _actionMap[517][NOT] = ActionEntry(REDUCE, 272);
   _actionMap[517][BETWEEN] = ActionEntry(REDUCE, 272);
   _actionMap[517][IS] = ActionEntry(REDUCE, 272);
   _actionMap[517][LIKE] = ActionEntry(REDUCE, 272);
   _actionMap[517][MT] = ActionEntry(REDUCE, 272);
   _actionMap[517][LT] = ActionEntry(REDUCE, 272);
   _actionMap[517][NEGATION] = ActionEntry(REDUCE, 272);
   _actionMap[517][EQU] = ActionEntry(REDUCE, 272);
   _actionMap[517][RB] = ActionEntry(REDUCE, 272);
   _actionMap[517][ENDTOKEN] = ActionEntry(REDUCE, 272);
   _actionMap[517][UNION] = ActionEntry(REDUCE, 272);
   _actionMap[517][ROWLIMIT] = ActionEntry(REDUCE, 272);
   _actionMap[517][KSEP] = ActionEntry(REDUCE, 272);
   _actionMap[517][ASC] = ActionEntry(REDUCE, 272);
   _actionMap[517][DESC] = ActionEntry(REDUCE, 272);
   _actionMap[517][SEMICOLON] = ActionEntry(REDUCE, 272);
   _actionMap[517][PLUS] = ActionEntry(REDUCE, 272);
   _actionMap[517][MINUS] = ActionEntry(REDUCE, 272);
   _actionMap[517][DIVISION] = ActionEntry(REDUCE, 272);
   _actionMap[517][STAR] = ActionEntry(REDUCE, 272);
   _actionMap[517][CONCAT] = ActionEntry(REDUCE, 272);
   _actionMap[518][WHEN] = ActionEntry(REDUCE, 273);
   _actionMap[518][ELSE] = ActionEntry(REDUCE, 273);
}
void Cego::loadParser104()
{
   _actionMap[518][LEFT] = ActionEntry(REDUCE, 273);
   _actionMap[518][RIGHT] = ActionEntry(REDUCE, 273);
   _actionMap[518][INNER] = ActionEntry(REDUCE, 273);
   _actionMap[518][JOIN] = ActionEntry(REDUCE, 273);
   _actionMap[518][RETURNTOKEN] = ActionEntry(REDUCE, 273);
   _actionMap[518][ORDER] = ActionEntry(REDUCE, 273);
   _actionMap[518][GROUP] = ActionEntry(REDUCE, 273);
   _actionMap[518][WHERE] = ActionEntry(REDUCE, 273);
   _actionMap[518][FROM] = ActionEntry(REDUCE, 273);
   _actionMap[518][AS] = ActionEntry(REDUCE, 273);
   _actionMap[518][END_TOKEN] = ActionEntry(REDUCE, 273);
   _actionMap[518][BEGIN] = ActionEntry(REDUCE, 273);
   _actionMap[518][THEN] = ActionEntry(REDUCE, 273);
   _actionMap[518][OR] = ActionEntry(REDUCE, 273);
   _actionMap[518][AND] = ActionEntry(REDUCE, 273);
   _actionMap[518][INTOK] = ActionEntry(REDUCE, 273);
   _actionMap[518][NOT] = ActionEntry(REDUCE, 273);
   _actionMap[518][BETWEEN] = ActionEntry(REDUCE, 273);
   _actionMap[518][IS] = ActionEntry(REDUCE, 273);
   _actionMap[518][LIKE] = ActionEntry(REDUCE, 273);
   _actionMap[518][MT] = ActionEntry(REDUCE, 273);
   _actionMap[518][LT] = ActionEntry(REDUCE, 273);
   _actionMap[518][NEGATION] = ActionEntry(REDUCE, 273);
   _actionMap[518][EQU] = ActionEntry(REDUCE, 273);
   _actionMap[518][RB] = ActionEntry(REDUCE, 273);
   _actionMap[518][ENDTOKEN] = ActionEntry(REDUCE, 273);
   _actionMap[518][UNION] = ActionEntry(REDUCE, 273);
   _actionMap[518][ROWLIMIT] = ActionEntry(REDUCE, 273);
   _actionMap[518][KSEP] = ActionEntry(REDUCE, 273);
   _actionMap[518][ASC] = ActionEntry(REDUCE, 273);
   _actionMap[518][DESC] = ActionEntry(REDUCE, 273);
   _actionMap[518][SEMICOLON] = ActionEntry(REDUCE, 273);
   _actionMap[518][PLUS] = ActionEntry(REDUCE, 273);
   _actionMap[518][MINUS] = ActionEntry(REDUCE, 273);
   _actionMap[518][DIVISION] = ActionEntry(REDUCE, 273);
   _actionMap[518][STAR] = ActionEntry(REDUCE, 273);
   _actionMap[518][CONCAT] = ActionEntry(REDUCE, 273);
   _actionMap[519][WHEN] = ActionEntry(REDUCE, 256);
   _actionMap[519][ELSE] = ActionEntry(REDUCE, 256);
   _actionMap[519][LEFT] = ActionEntry(REDUCE, 256);
   _actionMap[519][RIGHT] = ActionEntry(REDUCE, 256);
   _actionMap[519][INNER] = ActionEntry(REDUCE, 256);
   _actionMap[519][JOIN] = ActionEntry(REDUCE, 256);
   _actionMap[519][RETURNTOKEN] = ActionEntry(REDUCE, 256);
   _actionMap[519][ORDER] = ActionEntry(REDUCE, 256);
   _actionMap[519][GROUP] = ActionEntry(REDUCE, 256);
   _actionMap[519][WHERE] = ActionEntry(REDUCE, 256);
   _actionMap[519][FROM] = ActionEntry(REDUCE, 256);
   _actionMap[519][AS] = ActionEntry(REDUCE, 256);
   _actionMap[519][END_TOKEN] = ActionEntry(REDUCE, 256);
}
void Cego::loadParser105()
{
   _actionMap[519][BEGIN] = ActionEntry(REDUCE, 256);
   _actionMap[519][THEN] = ActionEntry(REDUCE, 256);
   _actionMap[519][OR] = ActionEntry(REDUCE, 256);
   _actionMap[519][AND] = ActionEntry(REDUCE, 256);
   _actionMap[519][INTOK] = ActionEntry(REDUCE, 256);
   _actionMap[519][NOT] = ActionEntry(REDUCE, 256);
   _actionMap[519][BETWEEN] = ActionEntry(REDUCE, 256);
   _actionMap[519][IS] = ActionEntry(REDUCE, 256);
   _actionMap[519][LIKE] = ActionEntry(REDUCE, 256);
   _actionMap[519][MT] = ActionEntry(REDUCE, 256);
   _actionMap[519][LT] = ActionEntry(REDUCE, 256);
   _actionMap[519][NEGATION] = ActionEntry(REDUCE, 256);
   _actionMap[519][EQU] = ActionEntry(REDUCE, 256);
   _actionMap[519][RB] = ActionEntry(REDUCE, 256);
   _actionMap[519][ENDTOKEN] = ActionEntry(REDUCE, 256);
   _actionMap[519][UNION] = ActionEntry(REDUCE, 256);
   _actionMap[519][ROWLIMIT] = ActionEntry(REDUCE, 256);
   _actionMap[519][KSEP] = ActionEntry(REDUCE, 256);
   _actionMap[519][ASC] = ActionEntry(REDUCE, 256);
   _actionMap[519][DESC] = ActionEntry(REDUCE, 256);
   _actionMap[519][SEMICOLON] = ActionEntry(REDUCE, 256);
   _actionMap[519][PLUS] = ActionEntry(REDUCE, 256);
   _actionMap[519][MINUS] = ActionEntry(REDUCE, 256);
   _actionMap[519][DIVISION] = ActionEntry(REDUCE, 256);
   _actionMap[519][STAR] = ActionEntry(REDUCE, 256);
   _actionMap[519][CONCAT] = ActionEntry(REDUCE, 256);
   _actionMap[520][WHEN] = ActionEntry(REDUCE, 271);
   _actionMap[520][ELSE] = ActionEntry(REDUCE, 271);
   _actionMap[520][LEFT] = ActionEntry(REDUCE, 271);
   _actionMap[520][RIGHT] = ActionEntry(REDUCE, 271);
   _actionMap[520][INNER] = ActionEntry(REDUCE, 271);
   _actionMap[520][JOIN] = ActionEntry(REDUCE, 271);
   _actionMap[520][RETURNTOKEN] = ActionEntry(REDUCE, 271);
   _actionMap[520][ORDER] = ActionEntry(REDUCE, 271);
   _actionMap[520][GROUP] = ActionEntry(REDUCE, 271);
   _actionMap[520][WHERE] = ActionEntry(REDUCE, 271);
   _actionMap[520][FROM] = ActionEntry(REDUCE, 271);
   _actionMap[520][AS] = ActionEntry(REDUCE, 271);
   _actionMap[520][END_TOKEN] = ActionEntry(REDUCE, 271);
   _actionMap[520][BEGIN] = ActionEntry(REDUCE, 271);
   _actionMap[520][THEN] = ActionEntry(REDUCE, 271);
   _actionMap[520][OR] = ActionEntry(REDUCE, 271);
   _actionMap[520][AND] = ActionEntry(REDUCE, 271);
   _actionMap[520][INTOK] = ActionEntry(REDUCE, 271);
   _actionMap[520][NOT] = ActionEntry(REDUCE, 271);
   _actionMap[520][BETWEEN] = ActionEntry(REDUCE, 271);
   _actionMap[520][IS] = ActionEntry(REDUCE, 271);
   _actionMap[520][LIKE] = ActionEntry(REDUCE, 271);
   _actionMap[520][MT] = ActionEntry(REDUCE, 271);
   _actionMap[520][LT] = ActionEntry(REDUCE, 271);
}
void Cego::loadParser106()
{
   _actionMap[520][NEGATION] = ActionEntry(REDUCE, 271);
   _actionMap[520][EQU] = ActionEntry(REDUCE, 271);
   _actionMap[520][RB] = ActionEntry(REDUCE, 271);
   _actionMap[520][ENDTOKEN] = ActionEntry(REDUCE, 271);
   _actionMap[520][UNION] = ActionEntry(REDUCE, 271);
   _actionMap[520][ROWLIMIT] = ActionEntry(REDUCE, 271);
   _actionMap[520][KSEP] = ActionEntry(REDUCE, 271);
   _actionMap[520][ASC] = ActionEntry(REDUCE, 271);
   _actionMap[520][DESC] = ActionEntry(REDUCE, 271);
   _actionMap[520][SEMICOLON] = ActionEntry(REDUCE, 271);
   _actionMap[520][PLUS] = ActionEntry(REDUCE, 271);
   _actionMap[520][MINUS] = ActionEntry(REDUCE, 271);
   _actionMap[520][DIVISION] = ActionEntry(REDUCE, 271);
   _actionMap[520][STAR] = ActionEntry(REDUCE, 271);
   _actionMap[520][CONCAT] = ActionEntry(REDUCE, 271);
   _actionMap[521][WHEN] = ActionEntry(REDUCE, 264);
   _actionMap[521][ELSE] = ActionEntry(REDUCE, 264);
   _actionMap[521][LEFT] = ActionEntry(REDUCE, 264);
   _actionMap[521][RIGHT] = ActionEntry(REDUCE, 264);
   _actionMap[521][INNER] = ActionEntry(REDUCE, 264);
   _actionMap[521][JOIN] = ActionEntry(REDUCE, 264);
   _actionMap[521][RETURNTOKEN] = ActionEntry(REDUCE, 264);
   _actionMap[521][ORDER] = ActionEntry(REDUCE, 264);
   _actionMap[521][GROUP] = ActionEntry(REDUCE, 264);
   _actionMap[521][WHERE] = ActionEntry(REDUCE, 264);
   _actionMap[521][FROM] = ActionEntry(REDUCE, 264);
   _actionMap[521][AS] = ActionEntry(REDUCE, 264);
   _actionMap[521][END_TOKEN] = ActionEntry(REDUCE, 264);
   _actionMap[521][BEGIN] = ActionEntry(REDUCE, 264);
   _actionMap[521][THEN] = ActionEntry(REDUCE, 264);
   _actionMap[521][OR] = ActionEntry(REDUCE, 264);
   _actionMap[521][AND] = ActionEntry(REDUCE, 264);
   _actionMap[521][INTOK] = ActionEntry(REDUCE, 264);
   _actionMap[521][NOT] = ActionEntry(REDUCE, 264);
   _actionMap[521][BETWEEN] = ActionEntry(REDUCE, 264);
   _actionMap[521][IS] = ActionEntry(REDUCE, 264);
   _actionMap[521][LIKE] = ActionEntry(REDUCE, 264);
   _actionMap[521][MT] = ActionEntry(REDUCE, 264);
   _actionMap[521][LT] = ActionEntry(REDUCE, 264);
   _actionMap[521][NEGATION] = ActionEntry(REDUCE, 264);
   _actionMap[521][EQU] = ActionEntry(REDUCE, 264);
   _actionMap[521][RB] = ActionEntry(REDUCE, 264);
   _actionMap[521][ENDTOKEN] = ActionEntry(REDUCE, 264);
   _actionMap[521][UNION] = ActionEntry(REDUCE, 264);
   _actionMap[521][ROWLIMIT] = ActionEntry(REDUCE, 264);
   _actionMap[521][KSEP] = ActionEntry(REDUCE, 264);
   _actionMap[521][ASC] = ActionEntry(REDUCE, 264);
   _actionMap[521][DESC] = ActionEntry(REDUCE, 264);
   _actionMap[521][SEMICOLON] = ActionEntry(REDUCE, 264);
   _actionMap[521][PLUS] = ActionEntry(REDUCE, 264);
}
void Cego::loadParser107()
{
   _actionMap[521][MINUS] = ActionEntry(REDUCE, 264);
   _actionMap[521][DIVISION] = ActionEntry(REDUCE, 264);
   _actionMap[521][STAR] = ActionEntry(REDUCE, 264);
   _actionMap[521][CONCAT] = ActionEntry(REDUCE, 264);
   _actionMap[522][WHEN] = ActionEntry(REDUCE, 332);
   _actionMap[522][ELSE] = ActionEntry(REDUCE, 332);
   _actionMap[522][LEFT] = ActionEntry(REDUCE, 332);
   _actionMap[522][RIGHT] = ActionEntry(REDUCE, 332);
   _actionMap[522][INNER] = ActionEntry(REDUCE, 332);
   _actionMap[522][JOIN] = ActionEntry(REDUCE, 332);
   _actionMap[522][RETURNTOKEN] = ActionEntry(REDUCE, 332);
   _actionMap[522][ORDER] = ActionEntry(REDUCE, 332);
   _actionMap[522][GROUP] = ActionEntry(REDUCE, 332);
   _actionMap[522][WHERE] = ActionEntry(REDUCE, 332);
   _actionMap[522][FROM] = ActionEntry(REDUCE, 332);
   _actionMap[522][AS] = ActionEntry(REDUCE, 332);
   _actionMap[522][END_TOKEN] = ActionEntry(REDUCE, 332);
   _actionMap[522][BEGIN] = ActionEntry(REDUCE, 332);
   _actionMap[522][THEN] = ActionEntry(REDUCE, 332);
   _actionMap[522][OR] = ActionEntry(REDUCE, 332);
   _actionMap[522][AND] = ActionEntry(REDUCE, 332);
   _actionMap[522][ENDTOKEN] = ActionEntry(REDUCE, 332);
   _actionMap[522][UNION] = ActionEntry(REDUCE, 332);
   _actionMap[522][ROWLIMIT] = ActionEntry(REDUCE, 332);
   _actionMap[522][ASC] = ActionEntry(REDUCE, 332);
   _actionMap[522][DESC] = ActionEntry(REDUCE, 332);
   _actionMap[522][INTOK] = ActionEntry(REDUCE, 332);
   _actionMap[522][BETWEEN] = ActionEntry(REDUCE, 332);
   _actionMap[522][LIKE] = ActionEntry(REDUCE, 332);
   _actionMap[522][PLUS] = ActionEntry(REDUCE, 332);
   _actionMap[522][MINUS] = ActionEntry(REDUCE, 332);
   _actionMap[522][CONCAT] = ActionEntry(REDUCE, 332);
   _actionMap[522][DIVISION] = ActionEntry(REDUCE, 332);
   _actionMap[522][STAR] = ActionEntry(REDUCE, 332);
   _actionMap[522][MT] = ActionEntry(REDUCE, 332);
   _actionMap[522][LT] = ActionEntry(REDUCE, 332);
   _actionMap[522][NEGATION] = ActionEntry(REDUCE, 332);
   _actionMap[522][EQU] = ActionEntry(REDUCE, 332);
   _actionMap[522][IS] = ActionEntry(REDUCE, 332);
   _actionMap[522][NULLTOKEN] = ActionEntry(REDUCE, 332);
   _actionMap[522][NOT] = ActionEntry(REDUCE, 332);
   _actionMap[522][KSEP] = ActionEntry(REDUCE, 332);
   _actionMap[522][SEMICOLON] = ActionEntry(REDUCE, 332);
   _actionMap[522][RB] = ActionEntry(REDUCE, 332);
   _actionMap[523][INTVAL] = ActionEntry(SHIFT, 262);
   _actionMap[524][WHEN] = ActionEntry(REDUCE, 338);
   _actionMap[524][ELSE] = ActionEntry(REDUCE, 338);
   _actionMap[524][LEFT] = ActionEntry(REDUCE, 338);
   _actionMap[524][RIGHT] = ActionEntry(REDUCE, 338);
   _actionMap[524][INNER] = ActionEntry(REDUCE, 338);
}
void Cego::loadParser108()
{
   _actionMap[524][JOIN] = ActionEntry(REDUCE, 338);
   _actionMap[524][RETURNTOKEN] = ActionEntry(REDUCE, 338);
   _actionMap[524][ORDER] = ActionEntry(REDUCE, 338);
   _actionMap[524][GROUP] = ActionEntry(REDUCE, 338);
   _actionMap[524][WHERE] = ActionEntry(REDUCE, 338);
   _actionMap[524][FROM] = ActionEntry(REDUCE, 338);
   _actionMap[524][AS] = ActionEntry(REDUCE, 338);
   _actionMap[524][END_TOKEN] = ActionEntry(REDUCE, 338);
   _actionMap[524][BEGIN] = ActionEntry(REDUCE, 338);
   _actionMap[524][THEN] = ActionEntry(REDUCE, 338);
   _actionMap[524][OR] = ActionEntry(REDUCE, 338);
   _actionMap[524][AND] = ActionEntry(REDUCE, 338);
   _actionMap[524][ENDTOKEN] = ActionEntry(REDUCE, 338);
   _actionMap[524][UNION] = ActionEntry(REDUCE, 338);
   _actionMap[524][ROWLIMIT] = ActionEntry(REDUCE, 338);
   _actionMap[524][ASC] = ActionEntry(REDUCE, 338);
   _actionMap[524][DESC] = ActionEntry(REDUCE, 338);
   _actionMap[524][INTOK] = ActionEntry(REDUCE, 338);
   _actionMap[524][BETWEEN] = ActionEntry(REDUCE, 338);
   _actionMap[524][LIKE] = ActionEntry(REDUCE, 338);
   _actionMap[524][PLUS] = ActionEntry(REDUCE, 338);
   _actionMap[524][MINUS] = ActionEntry(REDUCE, 338);
   _actionMap[524][CONCAT] = ActionEntry(REDUCE, 338);
   _actionMap[524][DIVISION] = ActionEntry(REDUCE, 338);
   _actionMap[524][STAR] = ActionEntry(REDUCE, 338);
   _actionMap[524][MT] = ActionEntry(REDUCE, 338);
   _actionMap[524][LT] = ActionEntry(REDUCE, 338);
   _actionMap[524][NEGATION] = ActionEntry(REDUCE, 338);
   _actionMap[524][EQU] = ActionEntry(REDUCE, 338);
   _actionMap[524][IS] = ActionEntry(REDUCE, 338);
   _actionMap[524][NULLTOKEN] = ActionEntry(REDUCE, 338);
   _actionMap[524][NOT] = ActionEntry(REDUCE, 338);
   _actionMap[524][KSEP] = ActionEntry(REDUCE, 338);
   _actionMap[524][SEMICOLON] = ActionEntry(REDUCE, 338);
   _actionMap[524][RB] = ActionEntry(REDUCE, 338);
   _actionMap[525][FLOATVAL] = ActionEntry(SHIFT, 263);
   _actionMap[526][WHEN] = ActionEntry(REDUCE, 337);
   _actionMap[526][ELSE] = ActionEntry(REDUCE, 337);
   _actionMap[526][LEFT] = ActionEntry(REDUCE, 337);
   _actionMap[526][RIGHT] = ActionEntry(REDUCE, 337);
   _actionMap[526][INNER] = ActionEntry(REDUCE, 337);
   _actionMap[526][JOIN] = ActionEntry(REDUCE, 337);
   _actionMap[526][RETURNTOKEN] = ActionEntry(REDUCE, 337);
   _actionMap[526][ORDER] = ActionEntry(REDUCE, 337);
   _actionMap[526][GROUP] = ActionEntry(REDUCE, 337);
   _actionMap[526][WHERE] = ActionEntry(REDUCE, 337);
   _actionMap[526][FROM] = ActionEntry(REDUCE, 337);
   _actionMap[526][AS] = ActionEntry(REDUCE, 337);
   _actionMap[526][END_TOKEN] = ActionEntry(REDUCE, 337);
   _actionMap[526][BEGIN] = ActionEntry(REDUCE, 337);
}
void Cego::loadParser109()
{
   _actionMap[526][THEN] = ActionEntry(REDUCE, 337);
   _actionMap[526][OR] = ActionEntry(REDUCE, 337);
   _actionMap[526][AND] = ActionEntry(REDUCE, 337);
   _actionMap[526][ENDTOKEN] = ActionEntry(REDUCE, 337);
   _actionMap[526][UNION] = ActionEntry(REDUCE, 337);
   _actionMap[526][ROWLIMIT] = ActionEntry(REDUCE, 337);
   _actionMap[526][ASC] = ActionEntry(REDUCE, 337);
   _actionMap[526][DESC] = ActionEntry(REDUCE, 337);
   _actionMap[526][INTOK] = ActionEntry(REDUCE, 337);
   _actionMap[526][BETWEEN] = ActionEntry(REDUCE, 337);
   _actionMap[526][LIKE] = ActionEntry(REDUCE, 337);
   _actionMap[526][PLUS] = ActionEntry(REDUCE, 337);
   _actionMap[526][MINUS] = ActionEntry(REDUCE, 337);
   _actionMap[526][CONCAT] = ActionEntry(REDUCE, 337);
   _actionMap[526][DIVISION] = ActionEntry(REDUCE, 337);
   _actionMap[526][STAR] = ActionEntry(REDUCE, 337);
   _actionMap[526][MT] = ActionEntry(REDUCE, 337);
   _actionMap[526][LT] = ActionEntry(REDUCE, 337);
   _actionMap[526][NEGATION] = ActionEntry(REDUCE, 337);
   _actionMap[526][EQU] = ActionEntry(REDUCE, 337);
   _actionMap[526][IS] = ActionEntry(REDUCE, 337);
   _actionMap[526][NULLTOKEN] = ActionEntry(REDUCE, 337);
   _actionMap[526][NOT] = ActionEntry(REDUCE, 337);
   _actionMap[526][KSEP] = ActionEntry(REDUCE, 337);
   _actionMap[526][SEMICOLON] = ActionEntry(REDUCE, 337);
   _actionMap[526][RB] = ActionEntry(REDUCE, 337);
   _actionMap[527][WHEN] = ActionEntry(REDUCE, 339);
   _actionMap[527][ELSE] = ActionEntry(REDUCE, 339);
   _actionMap[527][LEFT] = ActionEntry(REDUCE, 339);
   _actionMap[527][RIGHT] = ActionEntry(REDUCE, 339);
   _actionMap[527][INNER] = ActionEntry(REDUCE, 339);
   _actionMap[527][JOIN] = ActionEntry(REDUCE, 339);
   _actionMap[527][RETURNTOKEN] = ActionEntry(REDUCE, 339);
   _actionMap[527][ORDER] = ActionEntry(REDUCE, 339);
   _actionMap[527][GROUP] = ActionEntry(REDUCE, 339);
   _actionMap[527][WHERE] = ActionEntry(REDUCE, 339);
   _actionMap[527][FROM] = ActionEntry(REDUCE, 339);
   _actionMap[527][AS] = ActionEntry(REDUCE, 339);
   _actionMap[527][END_TOKEN] = ActionEntry(REDUCE, 339);
   _actionMap[527][BEGIN] = ActionEntry(REDUCE, 339);
   _actionMap[527][THEN] = ActionEntry(REDUCE, 339);
   _actionMap[527][OR] = ActionEntry(REDUCE, 339);
   _actionMap[527][AND] = ActionEntry(REDUCE, 339);
   _actionMap[527][ENDTOKEN] = ActionEntry(REDUCE, 339);
   _actionMap[527][UNION] = ActionEntry(REDUCE, 339);
   _actionMap[527][ROWLIMIT] = ActionEntry(REDUCE, 339);
   _actionMap[527][ASC] = ActionEntry(REDUCE, 339);
   _actionMap[527][DESC] = ActionEntry(REDUCE, 339);
   _actionMap[527][INTOK] = ActionEntry(REDUCE, 339);
   _actionMap[527][BETWEEN] = ActionEntry(REDUCE, 339);
}
void Cego::loadParser110()
{
   _actionMap[527][LIKE] = ActionEntry(REDUCE, 339);
   _actionMap[527][PLUS] = ActionEntry(REDUCE, 339);
   _actionMap[527][MINUS] = ActionEntry(REDUCE, 339);
   _actionMap[527][CONCAT] = ActionEntry(REDUCE, 339);
   _actionMap[527][DIVISION] = ActionEntry(REDUCE, 339);
   _actionMap[527][STAR] = ActionEntry(REDUCE, 339);
   _actionMap[527][MT] = ActionEntry(REDUCE, 339);
   _actionMap[527][LT] = ActionEntry(REDUCE, 339);
   _actionMap[527][NEGATION] = ActionEntry(REDUCE, 339);
   _actionMap[527][EQU] = ActionEntry(REDUCE, 339);
   _actionMap[527][IS] = ActionEntry(REDUCE, 339);
   _actionMap[527][NULLTOKEN] = ActionEntry(REDUCE, 339);
   _actionMap[527][NOT] = ActionEntry(REDUCE, 339);
   _actionMap[527][KSEP] = ActionEntry(REDUCE, 339);
   _actionMap[527][SEMICOLON] = ActionEntry(REDUCE, 339);
   _actionMap[527][RB] = ActionEntry(REDUCE, 339);
   _actionMap[528][WHEN] = ActionEntry(REDUCE, 331);
   _actionMap[528][ELSE] = ActionEntry(REDUCE, 331);
   _actionMap[528][LEFT] = ActionEntry(REDUCE, 331);
   _actionMap[528][RIGHT] = ActionEntry(REDUCE, 331);
   _actionMap[528][INNER] = ActionEntry(REDUCE, 331);
   _actionMap[528][JOIN] = ActionEntry(REDUCE, 331);
   _actionMap[528][RETURNTOKEN] = ActionEntry(REDUCE, 331);
   _actionMap[528][ORDER] = ActionEntry(REDUCE, 331);
   _actionMap[528][GROUP] = ActionEntry(REDUCE, 331);
   _actionMap[528][WHERE] = ActionEntry(REDUCE, 331);
   _actionMap[528][FROM] = ActionEntry(REDUCE, 331);
   _actionMap[528][AS] = ActionEntry(REDUCE, 331);
   _actionMap[528][END_TOKEN] = ActionEntry(REDUCE, 331);
   _actionMap[528][BEGIN] = ActionEntry(REDUCE, 331);
   _actionMap[528][THEN] = ActionEntry(REDUCE, 331);
   _actionMap[528][OR] = ActionEntry(REDUCE, 331);
   _actionMap[528][AND] = ActionEntry(REDUCE, 331);
   _actionMap[528][ENDTOKEN] = ActionEntry(REDUCE, 331);
   _actionMap[528][UNION] = ActionEntry(REDUCE, 331);
   _actionMap[528][ROWLIMIT] = ActionEntry(REDUCE, 331);
   _actionMap[528][ASC] = ActionEntry(REDUCE, 331);
   _actionMap[528][DESC] = ActionEntry(REDUCE, 331);
   _actionMap[528][INTOK] = ActionEntry(REDUCE, 331);
   _actionMap[528][BETWEEN] = ActionEntry(REDUCE, 331);
   _actionMap[528][LIKE] = ActionEntry(REDUCE, 331);
   _actionMap[528][PLUS] = ActionEntry(REDUCE, 331);
   _actionMap[528][MINUS] = ActionEntry(REDUCE, 331);
   _actionMap[528][CONCAT] = ActionEntry(REDUCE, 331);
   _actionMap[528][DIVISION] = ActionEntry(REDUCE, 331);
   _actionMap[528][STAR] = ActionEntry(REDUCE, 331);
   _actionMap[528][MT] = ActionEntry(REDUCE, 331);
   _actionMap[528][LT] = ActionEntry(REDUCE, 331);
   _actionMap[528][NEGATION] = ActionEntry(REDUCE, 331);
   _actionMap[528][EQU] = ActionEntry(REDUCE, 331);
}
void Cego::loadParser111()
{
   _actionMap[528][IS] = ActionEntry(REDUCE, 331);
   _actionMap[528][NULLTOKEN] = ActionEntry(REDUCE, 331);
   _actionMap[528][NOT] = ActionEntry(REDUCE, 331);
   _actionMap[528][KSEP] = ActionEntry(REDUCE, 331);
   _actionMap[528][SEMICOLON] = ActionEntry(REDUCE, 331);
   _actionMap[528][RB] = ActionEntry(REDUCE, 331);
   _actionMap[529][WHEN] = ActionEntry(REDUCE, 333);
   _actionMap[529][ELSE] = ActionEntry(REDUCE, 333);
   _actionMap[529][LEFT] = ActionEntry(REDUCE, 333);
   _actionMap[529][RIGHT] = ActionEntry(REDUCE, 333);
   _actionMap[529][INNER] = ActionEntry(REDUCE, 333);
   _actionMap[529][JOIN] = ActionEntry(REDUCE, 333);
   _actionMap[529][RETURNTOKEN] = ActionEntry(REDUCE, 333);
   _actionMap[529][ORDER] = ActionEntry(REDUCE, 333);
   _actionMap[529][GROUP] = ActionEntry(REDUCE, 333);
   _actionMap[529][WHERE] = ActionEntry(REDUCE, 333);
   _actionMap[529][FROM] = ActionEntry(REDUCE, 333);
   _actionMap[529][AS] = ActionEntry(REDUCE, 333);
   _actionMap[529][END_TOKEN] = ActionEntry(REDUCE, 333);
   _actionMap[529][BEGIN] = ActionEntry(REDUCE, 333);
   _actionMap[529][THEN] = ActionEntry(REDUCE, 333);
   _actionMap[529][OR] = ActionEntry(REDUCE, 333);
   _actionMap[529][AND] = ActionEntry(REDUCE, 333);
   _actionMap[529][ENDTOKEN] = ActionEntry(REDUCE, 333);
   _actionMap[529][UNION] = ActionEntry(REDUCE, 333);
   _actionMap[529][ROWLIMIT] = ActionEntry(REDUCE, 333);
   _actionMap[529][ASC] = ActionEntry(REDUCE, 333);
   _actionMap[529][DESC] = ActionEntry(REDUCE, 333);
   _actionMap[529][INTOK] = ActionEntry(REDUCE, 333);
   _actionMap[529][BETWEEN] = ActionEntry(REDUCE, 333);
   _actionMap[529][LIKE] = ActionEntry(REDUCE, 333);
   _actionMap[529][PLUS] = ActionEntry(REDUCE, 333);
   _actionMap[529][MINUS] = ActionEntry(REDUCE, 333);
   _actionMap[529][CONCAT] = ActionEntry(REDUCE, 333);
   _actionMap[529][DIVISION] = ActionEntry(REDUCE, 333);
   _actionMap[529][STAR] = ActionEntry(REDUCE, 333);
   _actionMap[529][MT] = ActionEntry(REDUCE, 333);
   _actionMap[529][LT] = ActionEntry(REDUCE, 333);
   _actionMap[529][NEGATION] = ActionEntry(REDUCE, 333);
   _actionMap[529][EQU] = ActionEntry(REDUCE, 333);
   _actionMap[529][IS] = ActionEntry(REDUCE, 333);
   _actionMap[529][NULLTOKEN] = ActionEntry(REDUCE, 333);
   _actionMap[529][NOT] = ActionEntry(REDUCE, 333);
   _actionMap[529][KSEP] = ActionEntry(REDUCE, 333);
   _actionMap[529][SEMICOLON] = ActionEntry(REDUCE, 333);
   _actionMap[529][RB] = ActionEntry(REDUCE, 333);
   _actionMap[530][WHEN] = ActionEntry(REDUCE, 334);
   _actionMap[530][ELSE] = ActionEntry(REDUCE, 334);
   _actionMap[530][LEFT] = ActionEntry(REDUCE, 334);
   _actionMap[530][RIGHT] = ActionEntry(REDUCE, 334);
}
void Cego::loadParser112()
{
   _actionMap[530][INNER] = ActionEntry(REDUCE, 334);
   _actionMap[530][JOIN] = ActionEntry(REDUCE, 334);
   _actionMap[530][RETURNTOKEN] = ActionEntry(REDUCE, 334);
   _actionMap[530][ORDER] = ActionEntry(REDUCE, 334);
   _actionMap[530][GROUP] = ActionEntry(REDUCE, 334);
   _actionMap[530][WHERE] = ActionEntry(REDUCE, 334);
   _actionMap[530][FROM] = ActionEntry(REDUCE, 334);
   _actionMap[530][AS] = ActionEntry(REDUCE, 334);
   _actionMap[530][END_TOKEN] = ActionEntry(REDUCE, 334);
   _actionMap[530][BEGIN] = ActionEntry(REDUCE, 334);
   _actionMap[530][THEN] = ActionEntry(REDUCE, 334);
   _actionMap[530][OR] = ActionEntry(REDUCE, 334);
   _actionMap[530][AND] = ActionEntry(REDUCE, 334);
   _actionMap[530][ENDTOKEN] = ActionEntry(REDUCE, 334);
   _actionMap[530][UNION] = ActionEntry(REDUCE, 334);
   _actionMap[530][ROWLIMIT] = ActionEntry(REDUCE, 334);
   _actionMap[530][ASC] = ActionEntry(REDUCE, 334);
   _actionMap[530][DESC] = ActionEntry(REDUCE, 334);
   _actionMap[530][INTOK] = ActionEntry(REDUCE, 334);
   _actionMap[530][BETWEEN] = ActionEntry(REDUCE, 334);
   _actionMap[530][LIKE] = ActionEntry(REDUCE, 334);
   _actionMap[530][PLUS] = ActionEntry(REDUCE, 334);
   _actionMap[530][MINUS] = ActionEntry(REDUCE, 334);
   _actionMap[530][CONCAT] = ActionEntry(REDUCE, 334);
   _actionMap[530][DIVISION] = ActionEntry(REDUCE, 334);
   _actionMap[530][STAR] = ActionEntry(REDUCE, 334);
   _actionMap[530][MT] = ActionEntry(REDUCE, 334);
   _actionMap[530][LT] = ActionEntry(REDUCE, 334);
   _actionMap[530][NEGATION] = ActionEntry(REDUCE, 334);
   _actionMap[530][EQU] = ActionEntry(REDUCE, 334);
   _actionMap[530][IS] = ActionEntry(REDUCE, 334);
   _actionMap[530][NULLTOKEN] = ActionEntry(REDUCE, 334);
   _actionMap[530][NOT] = ActionEntry(REDUCE, 334);
   _actionMap[530][KSEP] = ActionEntry(REDUCE, 334);
   _actionMap[530][SEMICOLON] = ActionEntry(REDUCE, 334);
   _actionMap[530][RB] = ActionEntry(REDUCE, 334);
   _actionMap[531][RAB] = ActionEntry(SHIFT, 637);
   _actionMap[532][SEMICOLON] = ActionEntry(REDUCE, 255);
   _actionMap[533][SEMICOLON] = ActionEntry(REDUCE, 251);
   _actionMap[534][SEMICOLON] = ActionEntry(REDUCE, 252);
   _actionMap[535][SEMICOLON] = ActionEntry(REDUCE, 253);
   _actionMap[536][SEMICOLON] = ActionEntry(REDUCE, 250);
   _actionMap[537][SEMICOLON] = ActionEntry(REDUCE, 254);
   _actionMap[538][SEMICOLON] = ActionEntry(REDUCE, 213);
   _actionMap[538][RB] = ActionEntry(REDUCE, 213);
   _actionMap[538][ENDTOKEN] = ActionEntry(REDUCE, 213);
   _actionMap[538][UNION] = ActionEntry(REDUCE, 213);
   _actionMap[538][ROWLIMIT] = ActionEntry(REDUCE, 213);
   _actionMap[538][ORDER] = ActionEntry(REDUCE, 213);
   _actionMap[538][GROUP] = ActionEntry(SHIFT, 640);
}
void Cego::loadParser113()
{
   _jumpMap[538][NoGroup] = 639;
   _jumpMap[538][GroupClause] = 638;
   _actionMap[539][LEFT] = ActionEntry(REDUCE, 197);
   _actionMap[539][RIGHT] = ActionEntry(REDUCE, 197);
   _actionMap[539][INNER] = ActionEntry(REDUCE, 197);
   _actionMap[539][JOIN] = ActionEntry(REDUCE, 197);
   _actionMap[539][RETURNTOKEN] = ActionEntry(REDUCE, 197);
   _actionMap[539][SEMICOLON] = ActionEntry(REDUCE, 197);
   _actionMap[539][RB] = ActionEntry(REDUCE, 197);
   _actionMap[539][ENDTOKEN] = ActionEntry(REDUCE, 197);
   _actionMap[539][UNION] = ActionEntry(REDUCE, 197);
   _actionMap[539][ROWLIMIT] = ActionEntry(REDUCE, 197);
   _actionMap[539][ORDER] = ActionEntry(REDUCE, 197);
   _actionMap[539][GROUP] = ActionEntry(REDUCE, 197);
   _actionMap[539][WHERE] = ActionEntry(REDUCE, 197);
   _actionMap[540][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[540][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[540][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[540][ObjSpec] = 409;
   _jumpMap[540][Table] = 641;
   _actionMap[541][JOIN] = ActionEntry(SHIFT, 642);
   _actionMap[542][IDENTIFIER] = ActionEntry(REDUCE, 203);
   _actionMap[542][QUALIFIEDOBJ] = ActionEntry(REDUCE, 203);
   _actionMap[542][QUALIFIEDTS] = ActionEntry(REDUCE, 203);
   _actionMap[543][OUTER] = ActionEntry(SHIFT, 643);
   _actionMap[544][OUTER] = ActionEntry(SHIFT, 644);
   _actionMap[545][LEFT] = ActionEntry(REDUCE, 198);
   _actionMap[545][RIGHT] = ActionEntry(REDUCE, 198);
   _actionMap[545][INNER] = ActionEntry(REDUCE, 198);
   _actionMap[545][JOIN] = ActionEntry(REDUCE, 198);
   _actionMap[545][RETURNTOKEN] = ActionEntry(REDUCE, 198);
   _actionMap[545][SEMICOLON] = ActionEntry(REDUCE, 198);
   _actionMap[545][RB] = ActionEntry(REDUCE, 198);
   _actionMap[545][ENDTOKEN] = ActionEntry(REDUCE, 198);
   _actionMap[545][UNION] = ActionEntry(REDUCE, 198);
   _actionMap[545][ROWLIMIT] = ActionEntry(REDUCE, 198);
   _actionMap[545][ORDER] = ActionEntry(REDUCE, 198);
   _actionMap[545][GROUP] = ActionEntry(REDUCE, 198);
   _actionMap[545][WHERE] = ActionEntry(REDUCE, 198);
   _actionMap[546][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[546][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[546][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[546][ObjSpec] = 409;
   _jumpMap[546][Table] = 646;
   _jumpMap[546][TableList] = 645;
   _actionMap[547][WHERE] = ActionEntry(REDUCE, 207);
   _actionMap[547][GROUP] = ActionEntry(REDUCE, 207);
   _actionMap[547][ORDER] = ActionEntry(REDUCE, 207);
   _actionMap[547][ROWLIMIT] = ActionEntry(REDUCE, 207);
   _actionMap[547][UNION] = ActionEntry(REDUCE, 207);
}
void Cego::loadParser114()
{
   _actionMap[547][ENDTOKEN] = ActionEntry(REDUCE, 207);
   _actionMap[547][RB] = ActionEntry(REDUCE, 207);
   _actionMap[547][SEMICOLON] = ActionEntry(REDUCE, 207);
   _actionMap[547][RETURNTOKEN] = ActionEntry(REDUCE, 207);
   _actionMap[547][LEFT] = ActionEntry(REDUCE, 207);
   _actionMap[547][RIGHT] = ActionEntry(REDUCE, 207);
   _actionMap[547][INNER] = ActionEntry(REDUCE, 207);
   _actionMap[547][JOIN] = ActionEntry(REDUCE, 207);
   _actionMap[547][KSEP] = ActionEntry(REDUCE, 207);
   _actionMap[547][ON] = ActionEntry(REDUCE, 207);
   _actionMap[548][FROM] = ActionEntry(REDUCE, 209);
   _actionMap[548][KSEP] = ActionEntry(REDUCE, 209);
   _actionMap[549][FROM] = ActionEntry(REDUCE, 192);
   _actionMap[549][KSEP] = ActionEntry(REDUCE, 192);
   _actionMap[550][PLUS] = ActionEntry(SHIFT, 211);
   _actionMap[550][MINUS] = ActionEntry(SHIFT, 210);
   _actionMap[550][CONCAT] = ActionEntry(SHIFT, 209);
   _actionMap[550][SEMICOLON] = ActionEntry(REDUCE, 67);
   _actionMap[551][RETURNTOKEN] = ActionEntry(SHIFT, 648);
   _actionMap[551][SEMICOLON] = ActionEntry(REDUCE, 238);
   _jumpMap[551][UpdReturnOpt] = 647;
   _actionMap[552][IDENTIFIER] = ActionEntry(SHIFT, 417);
   _jumpMap[552][Assignment] = 649;
   _actionMap[553][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[553][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[553][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[553][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[553][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[553][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[553][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[553][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[553][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[553][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[553][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[553][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[553][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[553][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[553][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[553][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[553][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[553][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[553][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[553][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[553][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[553][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[553][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[553][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[553][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[553][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[553][BITAND] = ActionEntry(SHIFT, 97);
}
void Cego::loadParser115()
{
   _actionMap[553][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[553][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[553][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[553][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[553][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[553][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[553][LB] = ActionEntry(SHIFT, 135);
   _actionMap[553][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[553][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[553][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[553][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[553][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[553][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[553][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[553][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[553][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[553][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[553][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[553][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[553][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[553][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[553][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[553][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[553][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[553][ObjSpec] = 94;
   _jumpMap[553][Constant] = 93;
   _jumpMap[553][SignedFloat] = 92;
   _jumpMap[553][SignedInt] = 91;
   _jumpMap[553][Attribute] = 90;
   _jumpMap[553][Function] = 89;
   _jumpMap[553][CasePrepare] = 88;
   _jumpMap[553][CaseClause] = 87;
   _jumpMap[553][Factor] = 86;
   _jumpMap[553][Term] = 85;
   _jumpMap[553][Expr] = 650;
   _actionMap[554][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[554][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[554][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[554][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[554][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[554][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[554][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[554][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[554][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[554][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[554][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[554][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[554][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[554][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[554][GETPOS] = ActionEntry(SHIFT, 108);
}
void Cego::loadParser116()
{
   _actionMap[554][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[554][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[554][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[554][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[554][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[554][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[554][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[554][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[554][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[554][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[554][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[554][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[554][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[554][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[554][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[554][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[554][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[554][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[554][LB] = ActionEntry(SHIFT, 135);
   _actionMap[554][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[554][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[554][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[554][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[554][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[554][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[554][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[554][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[554][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[554][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[554][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[554][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[554][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[554][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[554][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[554][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[554][MAX] = ActionEntry(SHIFT, 115);
   _actionMap[554][RB] = ActionEntry(REDUCE, 109);
   _jumpMap[554][ObjSpec] = 94;
   _jumpMap[554][Constant] = 93;
   _jumpMap[554][SignedFloat] = 92;
   _jumpMap[554][SignedInt] = 91;
   _jumpMap[554][Attribute] = 90;
   _jumpMap[554][Function] = 89;
   _jumpMap[554][CasePrepare] = 88;
   _jumpMap[554][CaseClause] = 87;
   _jumpMap[554][Factor] = 86;
   _jumpMap[554][Term] = 85;
   _jumpMap[554][Expr] = 300;
   _jumpMap[554][ProcValueList] = 299;
   _jumpMap[554][ProcValueListOpt] = 651;
}
void Cego::loadParser117()
{
   _actionMap[290][SEMICOLON] = ActionEntry(REDUCE, 56);
   _actionMap[291][SEMICOLON] = ActionEntry(REDUCE, 243);
   _actionMap[292][KSEP] = ActionEntry(SHIFT, 419);
   _actionMap[292][SEMICOLON] = ActionEntry(REDUCE, 245);
   _actionMap[293][CHECK] = ActionEntry(SHIFT, 420);
   _actionMap[293][FOREIGN] = ActionEntry(SHIFT, 422);
   _actionMap[293][COLUMN] = ActionEntry(SHIFT, 421);
   _actionMap[294][COLUMN] = ActionEntry(SHIFT, 423);
   _actionMap[295][COLUMN] = ActionEntry(SHIFT, 424);
   _actionMap[296][COLUMN] = ActionEntry(SHIFT, 425);
   _actionMap[297][STRINGVAL] = ActionEntry(SHIFT, 426);
   _actionMap[298][RB] = ActionEntry(SHIFT, 301);
   _actionMap[299][KSEP] = ActionEntry(SHIFT, 427);
   _actionMap[299][RB] = ActionEntry(REDUCE, 108);
   _actionMap[300][PLUS] = ActionEntry(SHIFT, 211);
   _actionMap[300][MINUS] = ActionEntry(SHIFT, 210);
   _actionMap[300][CONCAT] = ActionEntry(SHIFT, 209);
   _actionMap[300][KSEP] = ActionEntry(REDUCE, 111);
   _actionMap[300][RB] = ActionEntry(REDUCE, 111);
   _actionMap[301][SEMICOLON] = ActionEntry(REDUCE, 47);
   _actionMap[302][END_TOKEN] = ActionEntry(SHIFT, 428);
   _actionMap[303][EXCEPTION] = ActionEntry(REDUCE, 106);
   _actionMap[303][ELSE] = ActionEntry(REDUCE, 106);
   _actionMap[303][ELSIF] = ActionEntry(REDUCE, 106);
   _actionMap[303][END_TOKEN] = ActionEntry(REDUCE, 106);
   _actionMap[303][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[303][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[303][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[303][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[303][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[303][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[303][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[303][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[303][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[303][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[303][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[303][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[303][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[303][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[303][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[303][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[303][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[303][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[303][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[303][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[303][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[303][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[303][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[303][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[303][DIV] = ActionEntry(SHIFT, 105);
}
void Cego::loadParser118()
{
   _actionMap[303][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[303][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[303][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[303][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[303][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[303][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[303][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[303][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[303][LB] = ActionEntry(SHIFT, 135);
   _actionMap[303][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[303][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[303][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[303][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[303][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[303][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[303][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[303][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[303][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[303][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[303][VARREF] = ActionEntry(SHIFT, 322);
   _actionMap[303][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[303][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[303][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[303][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[303][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[303][MAX] = ActionEntry(SHIFT, 115);
   _actionMap[303][IF] = ActionEntry(SHIFT, 317);
   _actionMap[303][BEGIN] = ActionEntry(SHIFT, 314);
   _actionMap[303][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[303][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[303][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[303][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[303][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[303][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[303][VAR] = ActionEntry(SHIFT, 320);
   _actionMap[303][CURSOR] = ActionEntry(SHIFT, 316);
   _actionMap[303][CLOSE] = ActionEntry(SHIFT, 315);
   _actionMap[303][NOOP] = ActionEntry(SHIFT, 318);
   _actionMap[303][RETURNTOKEN] = ActionEntry(SHIFT, 319);
   _actionMap[303][WHILE] = ActionEntry(SHIFT, 321);
   _jumpMap[303][ObjSpec] = 94;
   _jumpMap[303][Constant] = 93;
   _jumpMap[303][SignedFloat] = 92;
   _jumpMap[303][SignedInt] = 91;
   _jumpMap[303][Attribute] = 90;
   _jumpMap[303][Function] = 89;
   _jumpMap[303][DeleteStatement] = 313;
   _jumpMap[303][UpdateStatement] = 312;
   _jumpMap[303][InsertStatement] = 311;
   _jumpMap[303][RollbackStatement] = 310;
}
void Cego::loadParser119()
{
   _jumpMap[303][CommitStatement] = 309;
   _jumpMap[303][StartStatement] = 308;
   _jumpMap[303][CasePrepare] = 88;
   _jumpMap[303][CaseClause] = 87;
   _jumpMap[303][Factor] = 86;
   _jumpMap[303][Term] = 85;
   _jumpMap[303][Expr] = 307;
   _jumpMap[303][ProcStatement] = 430;
   _jumpMap[303][ProcIfPart] = 305;
   _jumpMap[303][ProcExceptionList] = 429;
   _jumpMap[303][ProcBlockStart] = 304;
   _actionMap[304][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[304][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[304][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[304][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[304][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[304][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[304][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[304][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[304][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[304][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[304][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[304][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[304][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[304][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[304][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[304][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[304][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[304][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[304][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[304][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[304][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[304][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[304][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[304][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[304][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[304][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[304][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[304][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[304][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[304][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[304][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[304][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[304][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[304][LB] = ActionEntry(SHIFT, 135);
   _actionMap[304][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[304][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[304][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[304][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[304][TRUEVAL] = ActionEntry(SHIFT, 132);
}
void Cego::loadParser120()
{
   _actionMap[304][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[304][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[304][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[304][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[304][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[304][VARREF] = ActionEntry(SHIFT, 322);
   _actionMap[304][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[304][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[304][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[304][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[304][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[304][MAX] = ActionEntry(SHIFT, 115);
   _actionMap[304][IF] = ActionEntry(SHIFT, 317);
   _actionMap[304][BEGIN] = ActionEntry(SHIFT, 314);
   _actionMap[304][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[304][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[304][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[304][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[304][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[304][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[304][VAR] = ActionEntry(SHIFT, 320);
   _actionMap[304][CURSOR] = ActionEntry(SHIFT, 316);
   _actionMap[304][CLOSE] = ActionEntry(SHIFT, 315);
   _actionMap[304][NOOP] = ActionEntry(SHIFT, 318);
   _actionMap[304][RETURNTOKEN] = ActionEntry(SHIFT, 319);
   _actionMap[304][WHILE] = ActionEntry(SHIFT, 321);
   _jumpMap[304][ObjSpec] = 94;
   _jumpMap[304][Constant] = 93;
   _jumpMap[304][SignedFloat] = 92;
   _jumpMap[304][SignedInt] = 91;
   _jumpMap[304][Attribute] = 90;
   _jumpMap[304][Function] = 89;
   _jumpMap[304][DeleteStatement] = 313;
   _jumpMap[304][UpdateStatement] = 312;
   _jumpMap[304][InsertStatement] = 311;
   _jumpMap[304][RollbackStatement] = 310;
   _jumpMap[304][CommitStatement] = 309;
   _jumpMap[304][StartStatement] = 308;
   _jumpMap[304][CasePrepare] = 88;
   _jumpMap[304][CaseClause] = 87;
   _jumpMap[304][Factor] = 86;
   _jumpMap[304][Term] = 85;
   _jumpMap[304][Expr] = 307;
   _jumpMap[304][ProcStatement] = 306;
   _jumpMap[304][ProcIfPart] = 305;
   _jumpMap[304][ProcBlockStart] = 304;
   _jumpMap[304][ProcStatementList] = 303;
   _jumpMap[304][ProcStmtBlock] = 431;
   _actionMap[305][ELSIF] = ActionEntry(SHIFT, 434);
   _actionMap[305][END_TOKEN] = ActionEntry(REDUCE, 116);
}
void Cego::loadParser121()
{
   _actionMap[305][ELSE] = ActionEntry(REDUCE, 116);
   _jumpMap[305][ProcElsIfOpt] = 433;
   _jumpMap[305][ProcElsIfList] = 432;
   _actionMap[306][SEMICOLON] = ActionEntry(SHIFT, 435);
   _actionMap[307][PLUS] = ActionEntry(SHIFT, 211);
   _actionMap[307][MINUS] = ActionEntry(SHIFT, 210);
   _actionMap[307][CONCAT] = ActionEntry(SHIFT, 209);
   _actionMap[307][SEMICOLON] = ActionEntry(REDUCE, 90);
   _actionMap[308][SEMICOLON] = ActionEntry(REDUCE, 98);
   _actionMap[309][SEMICOLON] = ActionEntry(REDUCE, 99);
   _actionMap[310][SEMICOLON] = ActionEntry(REDUCE, 100);
   _actionMap[311][SEMICOLON] = ActionEntry(REDUCE, 95);
   _actionMap[312][SEMICOLON] = ActionEntry(REDUCE, 97);
   _actionMap[313][SEMICOLON] = ActionEntry(REDUCE, 96);
   _actionMap[314][VAR] = ActionEntry(REDUCE, 104);
   _actionMap[314][CURSOR] = ActionEntry(REDUCE, 104);
   _actionMap[314][CLOSE] = ActionEntry(REDUCE, 104);
   _actionMap[314][VARREF] = ActionEntry(REDUCE, 104);
   _actionMap[314][NOOP] = ActionEntry(REDUCE, 104);
   _actionMap[314][RETURNTOKEN] = ActionEntry(REDUCE, 104);
   _actionMap[314][WHILE] = ActionEntry(REDUCE, 104);
   _actionMap[314][IF] = ActionEntry(REDUCE, 104);
   _actionMap[314][BEGIN] = ActionEntry(REDUCE, 104);
   _actionMap[314][ROLLBACK] = ActionEntry(REDUCE, 104);
   _actionMap[314][COMMIT] = ActionEntry(REDUCE, 104);
   _actionMap[314][START_TOKEN] = ActionEntry(REDUCE, 104);
   _actionMap[314][UPDATE] = ActionEntry(REDUCE, 104);
   _actionMap[314][DELETETOK] = ActionEntry(REDUCE, 104);
   _actionMap[314][INSERT] = ActionEntry(REDUCE, 104);
   _actionMap[314][FETCH] = ActionEntry(REDUCE, 104);
   _actionMap[314][LB] = ActionEntry(REDUCE, 104);
   _actionMap[314][COUNT] = ActionEntry(REDUCE, 104);
   _actionMap[314][SUM] = ActionEntry(REDUCE, 104);
   _actionMap[314][AVG] = ActionEntry(REDUCE, 104);
   _actionMap[314][MIN] = ActionEntry(REDUCE, 104);
   _actionMap[314][MAX] = ActionEntry(REDUCE, 104);
   _actionMap[314][CASE] = ActionEntry(REDUCE, 104);
   _actionMap[314][TRIM] = ActionEntry(REDUCE, 104);
   _actionMap[314][RTRIM] = ActionEntry(REDUCE, 104);
   _actionMap[314][LTRIM] = ActionEntry(REDUCE, 104);
   _actionMap[314][ROUND] = ActionEntry(REDUCE, 104);
   _actionMap[314][DATE2STR] = ActionEntry(REDUCE, 104);
   _actionMap[314][DATE2INT] = ActionEntry(REDUCE, 104);
   _actionMap[314][INT2DATE] = ActionEntry(REDUCE, 104);
   _actionMap[314][LOWER] = ActionEntry(REDUCE, 104);
   _actionMap[314][UPPER] = ActionEntry(REDUCE, 104);
   _actionMap[314][LEFT] = ActionEntry(REDUCE, 104);
   _actionMap[314][RIGHT] = ActionEntry(REDUCE, 104);
   _actionMap[314][GETPOS] = ActionEntry(REDUCE, 104);
   _actionMap[314][SUBSTR] = ActionEntry(REDUCE, 104);
}
void Cego::loadParser122()
{
   _actionMap[314][REPLACE] = ActionEntry(REDUCE, 104);
   _actionMap[314][LENGTH] = ActionEntry(REDUCE, 104);
   _actionMap[314][TRUNC] = ActionEntry(REDUCE, 104);
   _actionMap[314][STR2INT] = ActionEntry(REDUCE, 104);
   _actionMap[314][STR2LONG] = ActionEntry(REDUCE, 104);
   _actionMap[314][RANDSTR] = ActionEntry(REDUCE, 104);
   _actionMap[314][RANDINT] = ActionEntry(REDUCE, 104);
   _actionMap[314][MOD] = ActionEntry(REDUCE, 104);
   _actionMap[314][DIV] = ActionEntry(REDUCE, 104);
   _actionMap[314][POWER] = ActionEntry(REDUCE, 104);
   _actionMap[314][BITAND] = ActionEntry(REDUCE, 104);
   _actionMap[314][BITOR] = ActionEntry(REDUCE, 104);
   _actionMap[314][BITXOR] = ActionEntry(REDUCE, 104);
   _actionMap[314][NEXTCOUNT] = ActionEntry(REDUCE, 104);
   _actionMap[314][IDENTIFIER] = ActionEntry(REDUCE, 104);
   _actionMap[314][QUALIFIEDOBJ] = ActionEntry(REDUCE, 104);
   _actionMap[314][QUALIFIEDTS] = ActionEntry(REDUCE, 104);
   _actionMap[314][QUALIFIEDPRE] = ActionEntry(REDUCE, 104);
   _actionMap[314][STRINGVAL] = ActionEntry(REDUCE, 104);
   _actionMap[314][DATE] = ActionEntry(REDUCE, 104);
   _actionMap[314][SYSDATE] = ActionEntry(REDUCE, 104);
   _actionMap[314][NULLTOKEN] = ActionEntry(REDUCE, 104);
   _actionMap[314][TRUEVAL] = ActionEntry(REDUCE, 104);
   _actionMap[314][FALSEVAL] = ActionEntry(REDUCE, 104);
   _actionMap[314][LAB] = ActionEntry(REDUCE, 104);
   _actionMap[314][COUNTERID] = ActionEntry(REDUCE, 104);
   _actionMap[314][FLOATVAL] = ActionEntry(REDUCE, 104);
   _actionMap[314][MINUS] = ActionEntry(REDUCE, 104);
   _actionMap[314][INTVAL] = ActionEntry(REDUCE, 104);
   _actionMap[315][IDENTIFIER] = ActionEntry(SHIFT, 436);
   _actionMap[316][IDENTIFIER] = ActionEntry(SHIFT, 437);
   _actionMap[317][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[317][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[317][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[317][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[317][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[317][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[317][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[317][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[317][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[317][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[317][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[317][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[317][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[317][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[317][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[317][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[317][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[317][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[317][TRUNC] = ActionEntry(SHIFT, 133);
}
void Cego::loadParser123()
{
   _actionMap[317][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[317][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[317][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[317][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[317][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[317][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[317][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[317][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[317][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[317][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[317][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[317][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[317][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[317][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[317][LB] = ActionEntry(SHIFT, 442);
   _actionMap[317][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[317][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[317][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[317][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[317][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[317][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[317][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[317][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[317][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[317][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[317][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[317][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[317][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[317][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[317][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[317][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[317][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[317][ObjSpec] = 94;
   _jumpMap[317][Constant] = 93;
   _jumpMap[317][SignedFloat] = 92;
   _jumpMap[317][SignedInt] = 91;
   _jumpMap[317][Attribute] = 90;
   _jumpMap[317][Function] = 89;
   _jumpMap[317][CasePrepare] = 88;
   _jumpMap[317][CaseClause] = 87;
   _jumpMap[317][Factor] = 86;
   _jumpMap[317][Term] = 85;
   _jumpMap[317][Expr] = 441;
   _jumpMap[317][ProcPredicate] = 440;
   _jumpMap[317][ProcCondition] = 439;
   _jumpMap[317][ProcIfCondition] = 438;
   _actionMap[318][SEMICOLON] = ActionEntry(REDUCE, 91);
   _actionMap[319][SEMICOLON] = ActionEntry(REDUCE, 101);
   _actionMap[319][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[319][MINUS] = ActionEntry(SHIFT, 137);
}
void Cego::loadParser124()
{
   _actionMap[319][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[319][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[319][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[319][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[319][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[319][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[319][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[319][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[319][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[319][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[319][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[319][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[319][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[319][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[319][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[319][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[319][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[319][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[319][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[319][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[319][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[319][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[319][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[319][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[319][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[319][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[319][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[319][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[319][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[319][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[319][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[319][LB] = ActionEntry(SHIFT, 135);
   _actionMap[319][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[319][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[319][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[319][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[319][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[319][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[319][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[319][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[319][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[319][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[319][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[319][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[319][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[319][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[319][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[319][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[319][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[319][ObjSpec] = 94;
}
void Cego::loadParser125()
{
   _jumpMap[319][Constant] = 93;
   _jumpMap[319][SignedFloat] = 92;
   _jumpMap[319][SignedInt] = 91;
   _jumpMap[319][Attribute] = 90;
   _jumpMap[319][Function] = 89;
   _jumpMap[319][CasePrepare] = 88;
   _jumpMap[319][CaseClause] = 87;
   _jumpMap[319][Factor] = 86;
   _jumpMap[319][Term] = 85;
   _jumpMap[319][Expr] = 443;
   _actionMap[320][IDENTIFIER] = ActionEntry(SHIFT, 444);
   _actionMap[321][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[321][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[321][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[321][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[321][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[321][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[321][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[321][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[321][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[321][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[321][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[321][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[321][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[321][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[321][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[321][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[321][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[321][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[321][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[321][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[321][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[321][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[321][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[321][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[321][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[321][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[321][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[321][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[321][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[321][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[321][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[321][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[321][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[321][LB] = ActionEntry(SHIFT, 442);
   _actionMap[321][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[321][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[321][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[321][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[321][TRUEVAL] = ActionEntry(SHIFT, 132);
}
void Cego::loadParser126()
{
   _actionMap[321][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[321][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[321][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[321][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[321][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[321][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[321][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[321][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[321][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[321][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[321][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[321][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[321][ObjSpec] = 94;
   _jumpMap[321][Constant] = 93;
   _jumpMap[321][SignedFloat] = 92;
   _jumpMap[321][SignedInt] = 91;
   _jumpMap[321][Attribute] = 90;
   _jumpMap[321][Function] = 89;
   _jumpMap[321][CasePrepare] = 88;
   _jumpMap[321][CaseClause] = 87;
   _jumpMap[321][Factor] = 86;
   _jumpMap[321][Term] = 85;
   _jumpMap[321][Expr] = 441;
   _jumpMap[321][ProcPredicate] = 440;
   _jumpMap[321][ProcCondition] = 446;
   _jumpMap[321][ProcWhileCondition] = 445;
   _actionMap[322][CONCAT] = ActionEntry(REDUCE, 139);
   _actionMap[322][STAR] = ActionEntry(REDUCE, 139);
   _actionMap[322][DIVISION] = ActionEntry(REDUCE, 139);
   _actionMap[322][MINUS] = ActionEntry(REDUCE, 139);
   _actionMap[322][PLUS] = ActionEntry(REDUCE, 139);
   _actionMap[322][SEMICOLON] = ActionEntry(REDUCE, 139);
   _actionMap[322][EQU] = ActionEntry(SHIFT, 447);
   _actionMap[323][ON] = ActionEntry(SHIFT, 448);
   _actionMap[324][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[324][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[324][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[324][ObjSpec] = 449;
   _actionMap[325][IDENTIFIER] = ActionEntry(SHIFT, 454);
   _actionMap[325][RB] = ActionEntry(REDUCE, 78);
   _jumpMap[325][ProcArg] = 452;
   _jumpMap[325][ProcArgList] = 451;
   _jumpMap[325][ProcArgOpt] = 450;
   _actionMap[326][IDENTIFIER] = ActionEntry(SHIFT, 459);
   _actionMap[326][PRIMARY] = ActionEntry(SHIFT, 458);
   _jumpMap[326][ColumnDesc] = 457;
   _jumpMap[326][KeyColumn] = 456;
   _jumpMap[326][ColumnList] = 455;
   _actionMap[327][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[327][SelectStatement] = 460;
}
void Cego::loadParser127()
{
   _actionMap[328][SEMICOLON] = ActionEntry(REDUCE, 242);
   _actionMap[329][RETURNTOKEN] = ActionEntry(REDUCE, 288);
   _actionMap[329][GROUP] = ActionEntry(REDUCE, 288);
   _actionMap[329][ORDER] = ActionEntry(REDUCE, 288);
   _actionMap[329][ROWLIMIT] = ActionEntry(REDUCE, 288);
   _actionMap[329][UNION] = ActionEntry(REDUCE, 288);
   _actionMap[329][ENDTOKEN] = ActionEntry(REDUCE, 288);
   _actionMap[329][RB] = ActionEntry(REDUCE, 288);
   _actionMap[329][SEMICOLON] = ActionEntry(REDUCE, 288);
   _actionMap[330][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[330][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[330][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[330][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[330][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[330][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[330][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[330][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[330][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[330][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[330][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[330][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[330][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[330][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[330][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[330][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[330][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[330][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[330][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[330][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[330][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[330][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[330][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[330][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[330][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[330][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[330][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[330][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[330][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[330][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[330][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[330][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[330][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[330][LB] = ActionEntry(SHIFT, 349);
   _actionMap[330][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[330][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[330][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[330][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[330][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[330][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[330][LAB] = ActionEntry(SHIFT, 136);
}
void Cego::loadParser128()
{
   _actionMap[330][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[330][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[330][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[330][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[330][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[330][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[330][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[330][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[330][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[330][MAX] = ActionEntry(SHIFT, 115);
   _actionMap[330][EXISTS] = ActionEntry(SHIFT, 347);
   _actionMap[330][NOT] = ActionEntry(SHIFT, 348);
   _jumpMap[330][ObjSpec] = 94;
   _jumpMap[330][Constant] = 93;
   _jumpMap[330][SignedFloat] = 92;
   _jumpMap[330][SignedInt] = 91;
   _jumpMap[330][Attribute] = 90;
   _jumpMap[330][QueryPredicate] = 346;
   _jumpMap[330][QueryCondition] = 461;
   _jumpMap[330][Function] = 89;
   _jumpMap[330][CasePrepare] = 88;
   _jumpMap[330][CaseClause] = 87;
   _jumpMap[330][Factor] = 86;
   _jumpMap[330][Term] = 85;
   _jumpMap[330][Expr] = 344;
   _actionMap[331][VALUES] = ActionEntry(SHIFT, 333);
   _actionMap[331][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[331][SelectStatement] = 332;
   _actionMap[332][SEMICOLON] = ActionEntry(REDUCE, 181);
   _actionMap[333][LB] = ActionEntry(SHIFT, 463);
   _jumpMap[333][InsertValueSpec] = 462;
   _actionMap[334][IDENTIFIER] = ActionEntry(SHIFT, 465);
   _jumpMap[334][InsertArgList] = 464;
   _actionMap[335][SEMICOLON] = ActionEntry(REDUCE, 11);
   _actionMap[336][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[336][SelectStatement] = 466;
   _actionMap[337][STAR] = ActionEntry(SHIFT, 212);
   _actionMap[337][DIVISION] = ActionEntry(SHIFT, 213);
   _actionMap[337][WHEN] = ActionEntry(REDUCE, 135);
   _actionMap[337][ELSE] = ActionEntry(REDUCE, 135);
   _actionMap[337][LEFT] = ActionEntry(REDUCE, 135);
   _actionMap[337][RIGHT] = ActionEntry(REDUCE, 135);
   _actionMap[337][INNER] = ActionEntry(REDUCE, 135);
   _actionMap[337][JOIN] = ActionEntry(REDUCE, 135);
   _actionMap[337][RETURNTOKEN] = ActionEntry(REDUCE, 135);
   _actionMap[337][ORDER] = ActionEntry(REDUCE, 135);
   _actionMap[337][GROUP] = ActionEntry(REDUCE, 135);
   _actionMap[337][WHERE] = ActionEntry(REDUCE, 135);
   _actionMap[337][BEGIN] = ActionEntry(REDUCE, 135);
   _actionMap[337][THEN] = ActionEntry(REDUCE, 135);
}
void Cego::loadParser129()
{
   _actionMap[337][OR] = ActionEntry(REDUCE, 135);
   _actionMap[337][AS] = ActionEntry(REDUCE, 135);
   _actionMap[337][FROM] = ActionEntry(REDUCE, 135);
   _actionMap[337][LIKE] = ActionEntry(REDUCE, 135);
   _actionMap[337][BETWEEN] = ActionEntry(REDUCE, 135);
   _actionMap[337][NOT] = ActionEntry(REDUCE, 135);
   _actionMap[337][INTOK] = ActionEntry(REDUCE, 135);
   _actionMap[337][END_TOKEN] = ActionEntry(REDUCE, 135);
   _actionMap[337][AND] = ActionEntry(REDUCE, 135);
   _actionMap[337][IS] = ActionEntry(REDUCE, 135);
   _actionMap[337][EQU] = ActionEntry(REDUCE, 135);
   _actionMap[337][NEGATION] = ActionEntry(REDUCE, 135);
   _actionMap[337][LT] = ActionEntry(REDUCE, 135);
   _actionMap[337][MT] = ActionEntry(REDUCE, 135);
   _actionMap[337][DESC] = ActionEntry(REDUCE, 135);
   _actionMap[337][ASC] = ActionEntry(REDUCE, 135);
   _actionMap[337][KSEP] = ActionEntry(REDUCE, 135);
   _actionMap[337][ROWLIMIT] = ActionEntry(REDUCE, 135);
   _actionMap[337][UNION] = ActionEntry(REDUCE, 135);
   _actionMap[337][ENDTOKEN] = ActionEntry(REDUCE, 135);
   _actionMap[337][RB] = ActionEntry(REDUCE, 135);
   _actionMap[337][SEMICOLON] = ActionEntry(REDUCE, 135);
   _actionMap[337][CONCAT] = ActionEntry(REDUCE, 135);
   _actionMap[337][MINUS] = ActionEntry(REDUCE, 135);
   _actionMap[337][PLUS] = ActionEntry(REDUCE, 135);
   _actionMap[338][STAR] = ActionEntry(SHIFT, 212);
   _actionMap[338][DIVISION] = ActionEntry(SHIFT, 213);
   _actionMap[338][WHEN] = ActionEntry(REDUCE, 133);
   _actionMap[338][ELSE] = ActionEntry(REDUCE, 133);
   _actionMap[338][LEFT] = ActionEntry(REDUCE, 133);
   _actionMap[338][RIGHT] = ActionEntry(REDUCE, 133);
   _actionMap[338][INNER] = ActionEntry(REDUCE, 133);
   _actionMap[338][JOIN] = ActionEntry(REDUCE, 133);
   _actionMap[338][RETURNTOKEN] = ActionEntry(REDUCE, 133);
   _actionMap[338][ORDER] = ActionEntry(REDUCE, 133);
   _actionMap[338][GROUP] = ActionEntry(REDUCE, 133);
   _actionMap[338][WHERE] = ActionEntry(REDUCE, 133);
   _actionMap[338][BEGIN] = ActionEntry(REDUCE, 133);
   _actionMap[338][THEN] = ActionEntry(REDUCE, 133);
   _actionMap[338][OR] = ActionEntry(REDUCE, 133);
   _actionMap[338][AS] = ActionEntry(REDUCE, 133);
   _actionMap[338][FROM] = ActionEntry(REDUCE, 133);
   _actionMap[338][LIKE] = ActionEntry(REDUCE, 133);
   _actionMap[338][BETWEEN] = ActionEntry(REDUCE, 133);
   _actionMap[338][NOT] = ActionEntry(REDUCE, 133);
   _actionMap[338][INTOK] = ActionEntry(REDUCE, 133);
   _actionMap[338][END_TOKEN] = ActionEntry(REDUCE, 133);
   _actionMap[338][AND] = ActionEntry(REDUCE, 133);
   _actionMap[338][IS] = ActionEntry(REDUCE, 133);
   _actionMap[338][EQU] = ActionEntry(REDUCE, 133);
}
void Cego::loadParser130()
{
   _actionMap[338][NEGATION] = ActionEntry(REDUCE, 133);
   _actionMap[338][LT] = ActionEntry(REDUCE, 133);
   _actionMap[338][MT] = ActionEntry(REDUCE, 133);
   _actionMap[338][DESC] = ActionEntry(REDUCE, 133);
   _actionMap[338][ASC] = ActionEntry(REDUCE, 133);
   _actionMap[338][KSEP] = ActionEntry(REDUCE, 133);
   _actionMap[338][ROWLIMIT] = ActionEntry(REDUCE, 133);
   _actionMap[338][UNION] = ActionEntry(REDUCE, 133);
   _actionMap[338][ENDTOKEN] = ActionEntry(REDUCE, 133);
   _actionMap[338][RB] = ActionEntry(REDUCE, 133);
   _actionMap[338][SEMICOLON] = ActionEntry(REDUCE, 133);
   _actionMap[338][CONCAT] = ActionEntry(REDUCE, 133);
   _actionMap[338][MINUS] = ActionEntry(REDUCE, 133);
   _actionMap[338][PLUS] = ActionEntry(REDUCE, 133);
   _actionMap[339][STAR] = ActionEntry(SHIFT, 212);
   _actionMap[339][DIVISION] = ActionEntry(SHIFT, 213);
   _actionMap[339][WHEN] = ActionEntry(REDUCE, 132);
   _actionMap[339][ELSE] = ActionEntry(REDUCE, 132);
   _actionMap[339][LEFT] = ActionEntry(REDUCE, 132);
   _actionMap[339][RIGHT] = ActionEntry(REDUCE, 132);
   _actionMap[339][INNER] = ActionEntry(REDUCE, 132);
   _actionMap[339][JOIN] = ActionEntry(REDUCE, 132);
   _actionMap[339][RETURNTOKEN] = ActionEntry(REDUCE, 132);
   _actionMap[339][ORDER] = ActionEntry(REDUCE, 132);
   _actionMap[339][GROUP] = ActionEntry(REDUCE, 132);
   _actionMap[339][WHERE] = ActionEntry(REDUCE, 132);
   _actionMap[339][BEGIN] = ActionEntry(REDUCE, 132);
   _actionMap[339][THEN] = ActionEntry(REDUCE, 132);
   _actionMap[339][OR] = ActionEntry(REDUCE, 132);
   _actionMap[339][AS] = ActionEntry(REDUCE, 132);
   _actionMap[339][FROM] = ActionEntry(REDUCE, 132);
   _actionMap[339][LIKE] = ActionEntry(REDUCE, 132);
   _actionMap[339][BETWEEN] = ActionEntry(REDUCE, 132);
   _actionMap[339][NOT] = ActionEntry(REDUCE, 132);
   _actionMap[339][INTOK] = ActionEntry(REDUCE, 132);
   _actionMap[339][END_TOKEN] = ActionEntry(REDUCE, 132);
   _actionMap[339][AND] = ActionEntry(REDUCE, 132);
   _actionMap[339][IS] = ActionEntry(REDUCE, 132);
   _actionMap[339][EQU] = ActionEntry(REDUCE, 132);
   _actionMap[339][NEGATION] = ActionEntry(REDUCE, 132);
   _actionMap[339][LT] = ActionEntry(REDUCE, 132);
   _actionMap[339][MT] = ActionEntry(REDUCE, 132);
   _actionMap[339][DESC] = ActionEntry(REDUCE, 132);
   _actionMap[339][ASC] = ActionEntry(REDUCE, 132);
   _actionMap[339][KSEP] = ActionEntry(REDUCE, 132);
   _actionMap[339][ROWLIMIT] = ActionEntry(REDUCE, 132);
   _actionMap[339][UNION] = ActionEntry(REDUCE, 132);
   _actionMap[339][ENDTOKEN] = ActionEntry(REDUCE, 132);
   _actionMap[339][RB] = ActionEntry(REDUCE, 132);
   _actionMap[339][SEMICOLON] = ActionEntry(REDUCE, 132);
}
void Cego::loadParser131()
{
   _actionMap[339][CONCAT] = ActionEntry(REDUCE, 132);
   _actionMap[339][MINUS] = ActionEntry(REDUCE, 132);
   _actionMap[339][PLUS] = ActionEntry(REDUCE, 132);
   _actionMap[340][WHEN] = ActionEntry(REDUCE, 136);
   _actionMap[340][ELSE] = ActionEntry(REDUCE, 136);
   _actionMap[340][LEFT] = ActionEntry(REDUCE, 136);
   _actionMap[340][RIGHT] = ActionEntry(REDUCE, 136);
   _actionMap[340][INNER] = ActionEntry(REDUCE, 136);
   _actionMap[340][JOIN] = ActionEntry(REDUCE, 136);
   _actionMap[340][RETURNTOKEN] = ActionEntry(REDUCE, 136);
   _actionMap[340][ORDER] = ActionEntry(REDUCE, 136);
   _actionMap[340][GROUP] = ActionEntry(REDUCE, 136);
   _actionMap[340][WHERE] = ActionEntry(REDUCE, 136);
   _actionMap[340][BEGIN] = ActionEntry(REDUCE, 136);
   _actionMap[340][THEN] = ActionEntry(REDUCE, 136);
   _actionMap[340][OR] = ActionEntry(REDUCE, 136);
   _actionMap[340][FROM] = ActionEntry(REDUCE, 136);
   _actionMap[340][AS] = ActionEntry(REDUCE, 136);
   _actionMap[340][END_TOKEN] = ActionEntry(REDUCE, 136);
   _actionMap[340][AND] = ActionEntry(REDUCE, 136);
   _actionMap[340][INTOK] = ActionEntry(REDUCE, 136);
   _actionMap[340][NOT] = ActionEntry(REDUCE, 136);
   _actionMap[340][BETWEEN] = ActionEntry(REDUCE, 136);
   _actionMap[340][IS] = ActionEntry(REDUCE, 136);
   _actionMap[340][LIKE] = ActionEntry(REDUCE, 136);
   _actionMap[340][MT] = ActionEntry(REDUCE, 136);
   _actionMap[340][LT] = ActionEntry(REDUCE, 136);
   _actionMap[340][NEGATION] = ActionEntry(REDUCE, 136);
   _actionMap[340][EQU] = ActionEntry(REDUCE, 136);
   _actionMap[340][RB] = ActionEntry(REDUCE, 136);
   _actionMap[340][ENDTOKEN] = ActionEntry(REDUCE, 136);
   _actionMap[340][UNION] = ActionEntry(REDUCE, 136);
   _actionMap[340][ROWLIMIT] = ActionEntry(REDUCE, 136);
   _actionMap[340][KSEP] = ActionEntry(REDUCE, 136);
   _actionMap[340][ASC] = ActionEntry(REDUCE, 136);
   _actionMap[340][DESC] = ActionEntry(REDUCE, 136);
   _actionMap[340][SEMICOLON] = ActionEntry(REDUCE, 136);
   _actionMap[340][PLUS] = ActionEntry(REDUCE, 136);
   _actionMap[340][MINUS] = ActionEntry(REDUCE, 136);
   _actionMap[340][CONCAT] = ActionEntry(REDUCE, 136);
   _actionMap[340][DIVISION] = ActionEntry(REDUCE, 136);
   _actionMap[340][STAR] = ActionEntry(REDUCE, 136);
   _actionMap[341][WHEN] = ActionEntry(REDUCE, 137);
   _actionMap[341][ELSE] = ActionEntry(REDUCE, 137);
   _actionMap[341][LEFT] = ActionEntry(REDUCE, 137);
   _actionMap[341][RIGHT] = ActionEntry(REDUCE, 137);
   _actionMap[341][INNER] = ActionEntry(REDUCE, 137);
   _actionMap[341][JOIN] = ActionEntry(REDUCE, 137);
   _actionMap[341][RETURNTOKEN] = ActionEntry(REDUCE, 137);
   _actionMap[341][ORDER] = ActionEntry(REDUCE, 137);
}
void Cego::loadParser132()
{
   _actionMap[341][GROUP] = ActionEntry(REDUCE, 137);
   _actionMap[341][WHERE] = ActionEntry(REDUCE, 137);
   _actionMap[341][BEGIN] = ActionEntry(REDUCE, 137);
   _actionMap[341][THEN] = ActionEntry(REDUCE, 137);
   _actionMap[341][OR] = ActionEntry(REDUCE, 137);
   _actionMap[341][FROM] = ActionEntry(REDUCE, 137);
   _actionMap[341][AS] = ActionEntry(REDUCE, 137);
   _actionMap[341][END_TOKEN] = ActionEntry(REDUCE, 137);
   _actionMap[341][AND] = ActionEntry(REDUCE, 137);
   _actionMap[341][INTOK] = ActionEntry(REDUCE, 137);
   _actionMap[341][NOT] = ActionEntry(REDUCE, 137);
   _actionMap[341][BETWEEN] = ActionEntry(REDUCE, 137);
   _actionMap[341][IS] = ActionEntry(REDUCE, 137);
   _actionMap[341][LIKE] = ActionEntry(REDUCE, 137);
   _actionMap[341][MT] = ActionEntry(REDUCE, 137);
   _actionMap[341][LT] = ActionEntry(REDUCE, 137);
   _actionMap[341][NEGATION] = ActionEntry(REDUCE, 137);
   _actionMap[341][EQU] = ActionEntry(REDUCE, 137);
   _actionMap[341][RB] = ActionEntry(REDUCE, 137);
   _actionMap[341][ENDTOKEN] = ActionEntry(REDUCE, 137);
   _actionMap[341][UNION] = ActionEntry(REDUCE, 137);
   _actionMap[341][ROWLIMIT] = ActionEntry(REDUCE, 137);
   _actionMap[341][KSEP] = ActionEntry(REDUCE, 137);
   _actionMap[341][ASC] = ActionEntry(REDUCE, 137);
   _actionMap[341][DESC] = ActionEntry(REDUCE, 137);
   _actionMap[341][SEMICOLON] = ActionEntry(REDUCE, 137);
   _actionMap[341][PLUS] = ActionEntry(REDUCE, 137);
   _actionMap[341][MINUS] = ActionEntry(REDUCE, 137);
   _actionMap[341][CONCAT] = ActionEntry(REDUCE, 137);
   _actionMap[341][DIVISION] = ActionEntry(REDUCE, 137);
   _actionMap[341][STAR] = ActionEntry(REDUCE, 137);
   _actionMap[342][WHEN] = ActionEntry(REDUCE, 154);
   _actionMap[342][ELSE] = ActionEntry(REDUCE, 154);
   _actionMap[343][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[343][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[343][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[343][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[343][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[343][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[343][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[343][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[343][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[343][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[343][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[343][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[343][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[343][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[343][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[343][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[343][REPLACE] = ActionEntry(SHIFT, 122);
}
void Cego::loadParser133()
{
   _actionMap[343][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[343][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[343][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[343][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[343][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[343][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[343][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[343][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[343][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[343][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[343][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[343][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[343][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[343][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[343][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[343][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[343][LB] = ActionEntry(SHIFT, 135);
   _actionMap[343][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[343][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[343][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[343][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[343][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[343][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[343][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[343][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[343][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[343][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[343][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[343][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[343][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[343][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[343][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[343][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[343][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[343][ObjSpec] = 94;
   _jumpMap[343][Constant] = 93;
   _jumpMap[343][SignedFloat] = 92;
   _jumpMap[343][SignedInt] = 91;
   _jumpMap[343][Attribute] = 90;
   _jumpMap[343][Function] = 89;
   _jumpMap[343][CasePrepare] = 88;
   _jumpMap[343][CaseClause] = 87;
   _jumpMap[343][Factor] = 86;
   _jumpMap[343][Term] = 85;
   _jumpMap[343][Expr] = 467;
   _actionMap[344][INTOK] = ActionEntry(SHIFT, 470);
   _actionMap[344][NOT] = ActionEntry(SHIFT, 473);
   _actionMap[344][BETWEEN] = ActionEntry(SHIFT, 469);
   _actionMap[344][IS] = ActionEntry(SHIFT, 471);
   _actionMap[344][LIKE] = ActionEntry(SHIFT, 472);
}
void Cego::loadParser134()
{
   _actionMap[344][PLUS] = ActionEntry(SHIFT, 211);
   _actionMap[344][MINUS] = ActionEntry(SHIFT, 210);
   _actionMap[344][CONCAT] = ActionEntry(SHIFT, 209);
   _actionMap[344][EQU] = ActionEntry(SHIFT, 474);
   _actionMap[344][NEGATION] = ActionEntry(SHIFT, 477);
   _actionMap[344][LT] = ActionEntry(SHIFT, 475);
   _actionMap[344][MT] = ActionEntry(SHIFT, 476);
   _jumpMap[344][Comparison] = 468;
   _actionMap[345][THEN] = ActionEntry(SHIFT, 480);
   _actionMap[345][AND] = ActionEntry(SHIFT, 478);
   _actionMap[345][OR] = ActionEntry(SHIFT, 479);
   _actionMap[346][THEN] = ActionEntry(REDUCE, 292);
   _actionMap[346][LEFT] = ActionEntry(REDUCE, 292);
   _actionMap[346][RIGHT] = ActionEntry(REDUCE, 292);
   _actionMap[346][INNER] = ActionEntry(REDUCE, 292);
   _actionMap[346][JOIN] = ActionEntry(REDUCE, 292);
   _actionMap[346][RETURNTOKEN] = ActionEntry(REDUCE, 292);
   _actionMap[346][SEMICOLON] = ActionEntry(REDUCE, 292);
   _actionMap[346][RB] = ActionEntry(REDUCE, 292);
   _actionMap[346][ENDTOKEN] = ActionEntry(REDUCE, 292);
   _actionMap[346][UNION] = ActionEntry(REDUCE, 292);
   _actionMap[346][ROWLIMIT] = ActionEntry(REDUCE, 292);
   _actionMap[346][ORDER] = ActionEntry(REDUCE, 292);
   _actionMap[346][GROUP] = ActionEntry(REDUCE, 292);
   _actionMap[346][WHERE] = ActionEntry(REDUCE, 292);
   _actionMap[346][OR] = ActionEntry(REDUCE, 292);
   _actionMap[346][AND] = ActionEntry(REDUCE, 292);
   _actionMap[347][LB] = ActionEntry(SHIFT, 481);
   _actionMap[348][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[348][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[348][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[348][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[348][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[348][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[348][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[348][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[348][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[348][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[348][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[348][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[348][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[348][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[348][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[348][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[348][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[348][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[348][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[348][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[348][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[348][RANDSTR] = ActionEntry(SHIFT, 120);
}
void Cego::loadParser135()
{
   _actionMap[348][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[348][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[348][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[348][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[348][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[348][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[348][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[348][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[348][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[348][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[348][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[348][LB] = ActionEntry(SHIFT, 349);
   _actionMap[348][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[348][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[348][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[348][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[348][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[348][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[348][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[348][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[348][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[348][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[348][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[348][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[348][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[348][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[348][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[348][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[348][MAX] = ActionEntry(SHIFT, 115);
   _actionMap[348][EXISTS] = ActionEntry(SHIFT, 347);
   _actionMap[348][NOT] = ActionEntry(SHIFT, 348);
   _jumpMap[348][ObjSpec] = 94;
   _jumpMap[348][Constant] = 93;
   _jumpMap[348][SignedFloat] = 92;
   _jumpMap[348][SignedInt] = 91;
   _jumpMap[348][Attribute] = 90;
   _jumpMap[348][QueryPredicate] = 482;
   _jumpMap[348][Function] = 89;
   _jumpMap[348][CasePrepare] = 88;
   _jumpMap[348][CaseClause] = 87;
   _jumpMap[348][Factor] = 86;
   _jumpMap[348][Term] = 85;
   _jumpMap[348][Expr] = 344;
   _actionMap[349][LONG] = ActionEntry(SHIFT, 258);
   _actionMap[349][BIGINT] = ActionEntry(SHIFT, 254);
   _actionMap[349][SMALLINT] = ActionEntry(SHIFT, 259);
   _actionMap[349][TINYINT] = ActionEntry(SHIFT, 260);
   _actionMap[349][DOUBLE] = ActionEntry(SHIFT, 256);
   _actionMap[349][DECIMAL] = ActionEntry(SHIFT, 255);
   _actionMap[349][FIXED] = ActionEntry(SHIFT, 257);
}
void Cego::loadParser136()
{
   _actionMap[349][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[349][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[349][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[349][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[349][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[349][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[349][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[349][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[349][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[349][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[349][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[349][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[349][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[349][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[349][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[349][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[349][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[349][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[349][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[349][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[349][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[349][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[349][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[349][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[349][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[349][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[349][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[349][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[349][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[349][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[349][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[349][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[349][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[349][LB] = ActionEntry(SHIFT, 349);
   _actionMap[349][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[349][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[349][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[349][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[349][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[349][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[349][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[349][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[349][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[349][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[349][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[349][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[349][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[349][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[349][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[349][MIN] = ActionEntry(SHIFT, 114);
}
void Cego::loadParser137()
{
   _actionMap[349][MAX] = ActionEntry(SHIFT, 115);
   _actionMap[349][SELECT] = ActionEntry(SHIFT, 30);
   _actionMap[349][EXISTS] = ActionEntry(SHIFT, 347);
   _actionMap[349][NOT] = ActionEntry(SHIFT, 348);
   _jumpMap[349][ObjSpec] = 94;
   _jumpMap[349][Constant] = 93;
   _jumpMap[349][SignedFloat] = 92;
   _jumpMap[349][SignedInt] = 91;
   _jumpMap[349][Attribute] = 90;
   _jumpMap[349][QueryPredicate] = 346;
   _jumpMap[349][QueryCondition] = 484;
   _jumpMap[349][Function] = 89;
   _jumpMap[349][SelectStatement] = 253;
   _jumpMap[349][CasePrepare] = 88;
   _jumpMap[349][CaseClause] = 87;
   _jumpMap[349][Factor] = 86;
   _jumpMap[349][Term] = 85;
   _jumpMap[349][Expr] = 483;
   _actionMap[350][PLUS] = ActionEntry(SHIFT, 211);
   _actionMap[350][MINUS] = ActionEntry(SHIFT, 210);
   _actionMap[350][CONCAT] = ActionEntry(SHIFT, 209);
   _actionMap[350][KSEP] = ActionEntry(REDUCE, 286);
   _actionMap[350][RB] = ActionEntry(REDUCE, 286);
   _actionMap[351][RB] = ActionEntry(SHIFT, 486);
   _actionMap[351][KSEP] = ActionEntry(SHIFT, 485);
   _actionMap[352][WHEN] = ActionEntry(REDUCE, 284);
   _actionMap[352][ELSE] = ActionEntry(REDUCE, 284);
   _actionMap[352][LEFT] = ActionEntry(REDUCE, 284);
   _actionMap[352][RIGHT] = ActionEntry(REDUCE, 284);
   _actionMap[352][INNER] = ActionEntry(REDUCE, 284);
   _actionMap[352][JOIN] = ActionEntry(REDUCE, 284);
   _actionMap[352][RETURNTOKEN] = ActionEntry(REDUCE, 284);
   _actionMap[352][ORDER] = ActionEntry(REDUCE, 284);
   _actionMap[352][GROUP] = ActionEntry(REDUCE, 284);
   _actionMap[352][WHERE] = ActionEntry(REDUCE, 284);
   _actionMap[352][FROM] = ActionEntry(REDUCE, 284);
   _actionMap[352][AS] = ActionEntry(REDUCE, 284);
   _actionMap[352][END_TOKEN] = ActionEntry(REDUCE, 284);
   _actionMap[352][BEGIN] = ActionEntry(REDUCE, 284);
   _actionMap[352][THEN] = ActionEntry(REDUCE, 284);
   _actionMap[352][OR] = ActionEntry(REDUCE, 284);
   _actionMap[352][AND] = ActionEntry(REDUCE, 284);
   _actionMap[352][INTOK] = ActionEntry(REDUCE, 284);
   _actionMap[352][NOT] = ActionEntry(REDUCE, 284);
   _actionMap[352][BETWEEN] = ActionEntry(REDUCE, 284);
   _actionMap[352][IS] = ActionEntry(REDUCE, 284);
   _actionMap[352][LIKE] = ActionEntry(REDUCE, 284);
   _actionMap[352][MT] = ActionEntry(REDUCE, 284);
   _actionMap[352][LT] = ActionEntry(REDUCE, 284);
   _actionMap[352][NEGATION] = ActionEntry(REDUCE, 284);
}
void Cego::loadParser138()
{
   _actionMap[352][EQU] = ActionEntry(REDUCE, 284);
   _actionMap[352][RB] = ActionEntry(REDUCE, 284);
   _actionMap[352][ENDTOKEN] = ActionEntry(REDUCE, 284);
   _actionMap[352][UNION] = ActionEntry(REDUCE, 284);
   _actionMap[352][ROWLIMIT] = ActionEntry(REDUCE, 284);
   _actionMap[352][KSEP] = ActionEntry(REDUCE, 284);
   _actionMap[352][ASC] = ActionEntry(REDUCE, 284);
   _actionMap[352][DESC] = ActionEntry(REDUCE, 284);
   _actionMap[352][SEMICOLON] = ActionEntry(REDUCE, 284);
   _actionMap[352][PLUS] = ActionEntry(REDUCE, 284);
   _actionMap[352][MINUS] = ActionEntry(REDUCE, 284);
   _actionMap[352][DIVISION] = ActionEntry(REDUCE, 284);
   _actionMap[352][STAR] = ActionEntry(REDUCE, 284);
   _actionMap[352][CONCAT] = ActionEntry(REDUCE, 284);
   _actionMap[353][RB] = ActionEntry(SHIFT, 487);
   _actionMap[353][PLUS] = ActionEntry(SHIFT, 211);
   _actionMap[353][MINUS] = ActionEntry(SHIFT, 210);
   _actionMap[353][CONCAT] = ActionEntry(SHIFT, 209);
   _actionMap[354][RB] = ActionEntry(SHIFT, 488);
   _actionMap[354][KSEP] = ActionEntry(SHIFT, 485);
   _actionMap[355][RB] = ActionEntry(SHIFT, 489);
   _actionMap[355][KSEP] = ActionEntry(SHIFT, 485);
   _actionMap[356][RB] = ActionEntry(SHIFT, 490);
   _actionMap[356][KSEP] = ActionEntry(SHIFT, 485);
   _actionMap[357][RB] = ActionEntry(SHIFT, 491);
   _actionMap[357][PLUS] = ActionEntry(SHIFT, 211);
   _actionMap[357][MINUS] = ActionEntry(SHIFT, 210);
   _actionMap[357][CONCAT] = ActionEntry(SHIFT, 209);
   _actionMap[358][RB] = ActionEntry(SHIFT, 492);
   _actionMap[359][KSEP] = ActionEntry(SHIFT, 493);
   _actionMap[360][KSEP] = ActionEntry(REDUCE, 347);
   _actionMap[361][RB] = ActionEntry(SHIFT, 494);
   _actionMap[361][KSEP] = ActionEntry(SHIFT, 485);
   _actionMap[362][RB] = ActionEntry(SHIFT, 495);
   _actionMap[362][KSEP] = ActionEntry(SHIFT, 485);
   _actionMap[363][RB] = ActionEntry(SHIFT, 496);
   _actionMap[363][KSEP] = ActionEntry(SHIFT, 485);
   _actionMap[364][LB] = ActionEntry(SHIFT, 497);
   _actionMap[365][RB] = ActionEntry(SHIFT, 498);
   _actionMap[365][KSEP] = ActionEntry(SHIFT, 485);
   _actionMap[366][RB] = ActionEntry(SHIFT, 499);
   _actionMap[366][KSEP] = ActionEntry(SHIFT, 485);
   _actionMap[367][RB] = ActionEntry(SHIFT, 500);
   _actionMap[367][KSEP] = ActionEntry(SHIFT, 485);
   _actionMap[368][RB] = ActionEntry(SHIFT, 501);
   _actionMap[368][KSEP] = ActionEntry(SHIFT, 485);
   _actionMap[369][RB] = ActionEntry(SHIFT, 502);
   _actionMap[369][KSEP] = ActionEntry(SHIFT, 485);
   _actionMap[370][RB] = ActionEntry(SHIFT, 503);
   _actionMap[370][KSEP] = ActionEntry(SHIFT, 485);
}
void Cego::loadParser139()
{
   _actionMap[371][RB] = ActionEntry(SHIFT, 504);
   _actionMap[371][PLUS] = ActionEntry(SHIFT, 211);
   _actionMap[371][MINUS] = ActionEntry(SHIFT, 210);
   _actionMap[371][CONCAT] = ActionEntry(SHIFT, 209);
   _actionMap[372][RB] = ActionEntry(SHIFT, 505);
   _actionMap[372][PLUS] = ActionEntry(SHIFT, 211);
   _actionMap[372][MINUS] = ActionEntry(SHIFT, 210);
   _actionMap[372][CONCAT] = ActionEntry(SHIFT, 209);
   _actionMap[373][RB] = ActionEntry(SHIFT, 506);
   _actionMap[373][KSEP] = ActionEntry(SHIFT, 485);
   _actionMap[374][RB] = ActionEntry(SHIFT, 507);
   _actionMap[375][RB] = ActionEntry(SHIFT, 508);
   _actionMap[375][KSEP] = ActionEntry(SHIFT, 485);
   _actionMap[376][RB] = ActionEntry(SHIFT, 509);
   _actionMap[376][KSEP] = ActionEntry(SHIFT, 485);
   _actionMap[377][RB] = ActionEntry(SHIFT, 510);
   _actionMap[377][KSEP] = ActionEntry(SHIFT, 485);
   _actionMap[378][RB] = ActionEntry(SHIFT, 511);
   _actionMap[378][KSEP] = ActionEntry(SHIFT, 485);
   _actionMap[379][RB] = ActionEntry(SHIFT, 512);
   _actionMap[379][KSEP] = ActionEntry(SHIFT, 485);
   _actionMap[380][RB] = ActionEntry(SHIFT, 513);
   _actionMap[380][KSEP] = ActionEntry(SHIFT, 485);
   _actionMap[381][RB] = ActionEntry(SHIFT, 514);
   _actionMap[381][KSEP] = ActionEntry(SHIFT, 485);
   _actionMap[382][RB] = ActionEntry(SHIFT, 515);
   _actionMap[382][KSEP] = ActionEntry(SHIFT, 485);
   _actionMap[383][RB] = ActionEntry(SHIFT, 516);
   _actionMap[383][PLUS] = ActionEntry(SHIFT, 211);
   _actionMap[383][MINUS] = ActionEntry(SHIFT, 210);
   _actionMap[383][CONCAT] = ActionEntry(SHIFT, 209);
   _actionMap[384][RB] = ActionEntry(SHIFT, 517);
   _actionMap[384][KSEP] = ActionEntry(SHIFT, 485);
   _actionMap[385][RB] = ActionEntry(SHIFT, 518);
   _actionMap[385][KSEP] = ActionEntry(SHIFT, 485);
   _actionMap[386][RB] = ActionEntry(SHIFT, 519);
   _actionMap[386][KSEP] = ActionEntry(SHIFT, 485);
   _actionMap[387][RB] = ActionEntry(SHIFT, 520);
   _actionMap[387][KSEP] = ActionEntry(SHIFT, 485);
   _actionMap[388][RB] = ActionEntry(SHIFT, 521);
   _actionMap[388][KSEP] = ActionEntry(SHIFT, 485);
   _actionMap[389][WHEN] = ActionEntry(REDUCE, 144);
   _actionMap[389][ELSE] = ActionEntry(REDUCE, 144);
   _actionMap[389][LEFT] = ActionEntry(REDUCE, 144);
   _actionMap[389][RIGHT] = ActionEntry(REDUCE, 144);
   _actionMap[389][INNER] = ActionEntry(REDUCE, 144);
   _actionMap[389][JOIN] = ActionEntry(REDUCE, 144);
   _actionMap[389][RETURNTOKEN] = ActionEntry(REDUCE, 144);
   _actionMap[389][ORDER] = ActionEntry(REDUCE, 144);
   _actionMap[389][GROUP] = ActionEntry(REDUCE, 144);
}
void Cego::loadParser140()
{
   _actionMap[389][WHERE] = ActionEntry(REDUCE, 144);
   _actionMap[389][AS] = ActionEntry(REDUCE, 144);
   _actionMap[389][FROM] = ActionEntry(REDUCE, 144);
   _actionMap[389][END_TOKEN] = ActionEntry(REDUCE, 144);
   _actionMap[389][BEGIN] = ActionEntry(REDUCE, 144);
   _actionMap[389][THEN] = ActionEntry(REDUCE, 144);
   _actionMap[389][OR] = ActionEntry(REDUCE, 144);
   _actionMap[389][AND] = ActionEntry(REDUCE, 144);
   _actionMap[389][DESC] = ActionEntry(REDUCE, 144);
   _actionMap[389][ASC] = ActionEntry(REDUCE, 144);
   _actionMap[389][KSEP] = ActionEntry(REDUCE, 144);
   _actionMap[389][ROWLIMIT] = ActionEntry(REDUCE, 144);
   _actionMap[389][UNION] = ActionEntry(REDUCE, 144);
   _actionMap[389][ENDTOKEN] = ActionEntry(REDUCE, 144);
   _actionMap[389][SEMICOLON] = ActionEntry(REDUCE, 144);
   _actionMap[389][LIKE] = ActionEntry(REDUCE, 144);
   _actionMap[389][BETWEEN] = ActionEntry(REDUCE, 144);
   _actionMap[389][NOT] = ActionEntry(REDUCE, 144);
   _actionMap[389][INTOK] = ActionEntry(REDUCE, 144);
   _actionMap[389][RB] = ActionEntry(REDUCE, 144);
   _actionMap[389][STAR] = ActionEntry(REDUCE, 144);
   _actionMap[389][DIVISION] = ActionEntry(REDUCE, 144);
   _actionMap[389][CONCAT] = ActionEntry(REDUCE, 144);
   _actionMap[389][MINUS] = ActionEntry(REDUCE, 144);
   _actionMap[389][PLUS] = ActionEntry(REDUCE, 144);
   _actionMap[389][IS] = ActionEntry(REDUCE, 144);
   _actionMap[389][EQU] = ActionEntry(REDUCE, 144);
   _actionMap[389][NEGATION] = ActionEntry(REDUCE, 144);
   _actionMap[389][LT] = ActionEntry(REDUCE, 144);
   _actionMap[389][MT] = ActionEntry(REDUCE, 144);
   _actionMap[390][WHEN] = ActionEntry(REDUCE, 145);
   _actionMap[390][ELSE] = ActionEntry(REDUCE, 145);
   _actionMap[390][LEFT] = ActionEntry(REDUCE, 145);
   _actionMap[390][RIGHT] = ActionEntry(REDUCE, 145);
   _actionMap[390][INNER] = ActionEntry(REDUCE, 145);
   _actionMap[390][JOIN] = ActionEntry(REDUCE, 145);
   _actionMap[390][RETURNTOKEN] = ActionEntry(REDUCE, 145);
   _actionMap[390][ORDER] = ActionEntry(REDUCE, 145);
   _actionMap[390][GROUP] = ActionEntry(REDUCE, 145);
   _actionMap[390][WHERE] = ActionEntry(REDUCE, 145);
   _actionMap[390][AS] = ActionEntry(REDUCE, 145);
   _actionMap[390][FROM] = ActionEntry(REDUCE, 145);
   _actionMap[390][END_TOKEN] = ActionEntry(REDUCE, 145);
   _actionMap[390][BEGIN] = ActionEntry(REDUCE, 145);
   _actionMap[390][THEN] = ActionEntry(REDUCE, 145);
   _actionMap[390][OR] = ActionEntry(REDUCE, 145);
   _actionMap[390][AND] = ActionEntry(REDUCE, 145);
   _actionMap[390][DESC] = ActionEntry(REDUCE, 145);
   _actionMap[390][ASC] = ActionEntry(REDUCE, 145);
   _actionMap[390][KSEP] = ActionEntry(REDUCE, 145);
}
void Cego::loadParser141()
{
   _actionMap[390][ROWLIMIT] = ActionEntry(REDUCE, 145);
   _actionMap[390][UNION] = ActionEntry(REDUCE, 145);
   _actionMap[390][ENDTOKEN] = ActionEntry(REDUCE, 145);
   _actionMap[390][SEMICOLON] = ActionEntry(REDUCE, 145);
   _actionMap[390][LIKE] = ActionEntry(REDUCE, 145);
   _actionMap[390][BETWEEN] = ActionEntry(REDUCE, 145);
   _actionMap[390][NOT] = ActionEntry(REDUCE, 145);
   _actionMap[390][INTOK] = ActionEntry(REDUCE, 145);
   _actionMap[390][RB] = ActionEntry(REDUCE, 145);
   _actionMap[390][STAR] = ActionEntry(REDUCE, 145);
   _actionMap[390][DIVISION] = ActionEntry(REDUCE, 145);
   _actionMap[390][CONCAT] = ActionEntry(REDUCE, 145);
   _actionMap[390][MINUS] = ActionEntry(REDUCE, 145);
   _actionMap[390][PLUS] = ActionEntry(REDUCE, 145);
   _actionMap[390][IS] = ActionEntry(REDUCE, 145);
   _actionMap[390][EQU] = ActionEntry(REDUCE, 145);
   _actionMap[390][NEGATION] = ActionEntry(REDUCE, 145);
   _actionMap[390][LT] = ActionEntry(REDUCE, 145);
   _actionMap[390][MT] = ActionEntry(REDUCE, 145);
   _actionMap[391][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[391][MINUS] = ActionEntry(SHIFT, 523);
   _jumpMap[391][SignedInt] = 522;
   _actionMap[392][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[392][MINUS] = ActionEntry(SHIFT, 525);
   _jumpMap[392][SignedFloat] = 524;
   _actionMap[393][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[393][MINUS] = ActionEntry(SHIFT, 525);
   _jumpMap[393][SignedFloat] = 526;
   _actionMap[394][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[394][MINUS] = ActionEntry(SHIFT, 525);
   _jumpMap[394][SignedFloat] = 527;
   _actionMap[395][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[395][MINUS] = ActionEntry(SHIFT, 523);
   _jumpMap[395][SignedInt] = 528;
   _actionMap[396][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[396][MINUS] = ActionEntry(SHIFT, 523);
   _jumpMap[396][SignedInt] = 529;
   _actionMap[397][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[397][MINUS] = ActionEntry(SHIFT, 523);
   _jumpMap[397][SignedInt] = 530;
   _actionMap[398][INTVAL] = ActionEntry(SHIFT, 531);
   _actionMap[399][IDENTIFIER] = ActionEntry(SHIFT, 532);
   _actionMap[400][IDENTIFIER] = ActionEntry(SHIFT, 533);
   _actionMap[401][IDENTIFIER] = ActionEntry(SHIFT, 534);
   _actionMap[402][IDENTIFIER] = ActionEntry(SHIFT, 535);
   _actionMap[403][IDENTIFIER] = ActionEntry(SHIFT, 536);
   _actionMap[404][IDENTIFIER] = ActionEntry(SHIFT, 537);
   _actionMap[405][SEMICOLON] = ActionEntry(REDUCE, 289);
   _actionMap[405][RB] = ActionEntry(REDUCE, 289);
   _actionMap[405][ENDTOKEN] = ActionEntry(REDUCE, 289);
}
void Cego::loadParser142()
{
   _actionMap[405][UNION] = ActionEntry(REDUCE, 289);
   _actionMap[405][ROWLIMIT] = ActionEntry(REDUCE, 289);
   _actionMap[405][ORDER] = ActionEntry(REDUCE, 289);
   _actionMap[405][GROUP] = ActionEntry(REDUCE, 289);
   _actionMap[405][WHERE] = ActionEntry(SHIFT, 330);
   _jumpMap[405][NoWhere] = 329;
   _jumpMap[405][WhereClause] = 538;
   _actionMap[406][WHERE] = ActionEntry(REDUCE, 196);
   _actionMap[406][GROUP] = ActionEntry(REDUCE, 196);
   _actionMap[406][ORDER] = ActionEntry(REDUCE, 196);
   _actionMap[406][ROWLIMIT] = ActionEntry(REDUCE, 196);
   _actionMap[406][UNION] = ActionEntry(REDUCE, 196);
   _actionMap[406][ENDTOKEN] = ActionEntry(REDUCE, 196);
   _actionMap[406][RB] = ActionEntry(REDUCE, 196);
   _actionMap[406][SEMICOLON] = ActionEntry(REDUCE, 196);
   _actionMap[406][RETURNTOKEN] = ActionEntry(REDUCE, 196);
   _actionMap[406][INNER] = ActionEntry(SHIFT, 541);
   _actionMap[406][JOIN] = ActionEntry(SHIFT, 542);
   _actionMap[406][LEFT] = ActionEntry(SHIFT, 543);
   _actionMap[406][RIGHT] = ActionEntry(SHIFT, 544);
   _jumpMap[406][InnerJoin] = 540;
   _jumpMap[406][JoinSpec] = 539;
   _actionMap[407][WHERE] = ActionEntry(REDUCE, 195);
   _actionMap[407][GROUP] = ActionEntry(REDUCE, 195);
   _actionMap[407][ORDER] = ActionEntry(REDUCE, 195);
   _actionMap[407][ROWLIMIT] = ActionEntry(REDUCE, 195);
   _actionMap[407][UNION] = ActionEntry(REDUCE, 195);
   _actionMap[407][ENDTOKEN] = ActionEntry(REDUCE, 195);
   _actionMap[407][RB] = ActionEntry(REDUCE, 195);
   _actionMap[407][SEMICOLON] = ActionEntry(REDUCE, 195);
   _actionMap[407][RETURNTOKEN] = ActionEntry(REDUCE, 195);
   _actionMap[408][KSEP] = ActionEntry(SHIFT, 546);
   _actionMap[408][RETURNTOKEN] = ActionEntry(REDUCE, 205);
   _actionMap[408][SEMICOLON] = ActionEntry(REDUCE, 205);
   _actionMap[408][RB] = ActionEntry(REDUCE, 205);
   _actionMap[408][ENDTOKEN] = ActionEntry(REDUCE, 205);
   _actionMap[408][UNION] = ActionEntry(REDUCE, 205);
   _actionMap[408][ROWLIMIT] = ActionEntry(REDUCE, 205);
   _actionMap[408][ORDER] = ActionEntry(REDUCE, 205);
   _actionMap[408][GROUP] = ActionEntry(REDUCE, 205);
   _actionMap[408][WHERE] = ActionEntry(REDUCE, 205);
   _actionMap[408][INNER] = ActionEntry(SHIFT, 541);
   _actionMap[408][JOIN] = ActionEntry(SHIFT, 542);
   _actionMap[408][LEFT] = ActionEntry(SHIFT, 543);
   _actionMap[408][RIGHT] = ActionEntry(SHIFT, 544);
   _jumpMap[408][InnerJoin] = 540;
   _jumpMap[408][JoinSpec] = 545;
   _actionMap[409][WHERE] = ActionEntry(REDUCE, 206);
   _actionMap[409][IDENTIFIER] = ActionEntry(SHIFT, 547);
   _actionMap[409][GROUP] = ActionEntry(REDUCE, 206);
}
void Cego::loadParser143()
{
   _actionMap[409][ORDER] = ActionEntry(REDUCE, 206);
   _actionMap[409][ROWLIMIT] = ActionEntry(REDUCE, 206);
   _actionMap[409][UNION] = ActionEntry(REDUCE, 206);
   _actionMap[409][ENDTOKEN] = ActionEntry(REDUCE, 206);
   _actionMap[409][RB] = ActionEntry(REDUCE, 206);
   _actionMap[409][SEMICOLON] = ActionEntry(REDUCE, 206);
   _actionMap[409][RETURNTOKEN] = ActionEntry(REDUCE, 206);
   _actionMap[409][LEFT] = ActionEntry(REDUCE, 206);
   _actionMap[409][RIGHT] = ActionEntry(REDUCE, 206);
   _actionMap[409][INNER] = ActionEntry(REDUCE, 206);
   _actionMap[409][JOIN] = ActionEntry(REDUCE, 206);
   _actionMap[409][KSEP] = ActionEntry(REDUCE, 206);
   _actionMap[409][ON] = ActionEntry(REDUCE, 206);
   _actionMap[410][FROM] = ActionEntry(REDUCE, 194);
   _actionMap[410][KSEP] = ActionEntry(REDUCE, 194);
   _actionMap[411][IDENTIFIER] = ActionEntry(SHIFT, 548);
   _actionMap[412][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[412][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[412][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[412][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[412][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[412][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[412][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[412][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[412][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[412][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[412][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[412][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[412][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[412][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[412][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[412][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[412][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[412][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[412][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[412][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[412][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[412][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[412][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[412][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[412][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[412][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[412][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[412][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[412][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[412][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[412][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[412][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[412][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[412][LB] = ActionEntry(SHIFT, 135);
}
void Cego::loadParser144()
{
   _actionMap[412][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[412][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[412][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[412][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[412][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[412][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[412][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[412][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[412][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[412][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[412][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[412][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[412][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[412][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[412][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[412][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[412][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[412][ObjSpec] = 94;
   _jumpMap[412][Constant] = 93;
   _jumpMap[412][SignedFloat] = 92;
   _jumpMap[412][SignedInt] = 91;
   _jumpMap[412][Attribute] = 90;
   _jumpMap[412][Function] = 89;
   _jumpMap[412][SelectItem] = 549;
   _jumpMap[412][CasePrepare] = 88;
   _jumpMap[412][CaseClause] = 87;
   _jumpMap[412][Factor] = 86;
   _jumpMap[412][Term] = 85;
   _jumpMap[412][Expr] = 274;
   _actionMap[413][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[413][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[413][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[413][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[413][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[413][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[413][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[413][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[413][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[413][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[413][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[413][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[413][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[413][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[413][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[413][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[413][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[413][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[413][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[413][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[413][STR2LONG] = ActionEntry(SHIFT, 130);
}
void Cego::loadParser145()
{
   _actionMap[413][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[413][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[413][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[413][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[413][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[413][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[413][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[413][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[413][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[413][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[413][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[413][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[413][LB] = ActionEntry(SHIFT, 135);
   _actionMap[413][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[413][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[413][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[413][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[413][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[413][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[413][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[413][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[413][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[413][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[413][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[413][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[413][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[413][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[413][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[413][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[413][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[413][ObjSpec] = 94;
   _jumpMap[413][Constant] = 93;
   _jumpMap[413][SignedFloat] = 92;
   _jumpMap[413][SignedInt] = 91;
   _jumpMap[413][Attribute] = 90;
   _jumpMap[413][Function] = 89;
   _jumpMap[413][CasePrepare] = 88;
   _jumpMap[413][CaseClause] = 87;
   _jumpMap[413][Factor] = 86;
   _jumpMap[413][Term] = 85;
   _jumpMap[413][Expr] = 550;
   _actionMap[414][PLUS] = ActionEntry(SHIFT, 211);
   _actionMap[414][MINUS] = ActionEntry(SHIFT, 210);
   _actionMap[414][CONCAT] = ActionEntry(SHIFT, 209);
   _actionMap[414][SEMICOLON] = ActionEntry(REDUCE, 62);
   _actionMap[415][KSEP] = ActionEntry(SHIFT, 552);
   _actionMap[415][SEMICOLON] = ActionEntry(REDUCE, 289);
   _actionMap[415][RETURNTOKEN] = ActionEntry(REDUCE, 289);
   _actionMap[415][WHERE] = ActionEntry(SHIFT, 330);
   _jumpMap[415][NoWhere] = 329;
}
void Cego::loadParser146()
{
   _jumpMap[415][WhereClause] = 551;
   _actionMap[416][KSEP] = ActionEntry(REDUCE, 235);
   _actionMap[416][WHERE] = ActionEntry(REDUCE, 235);
   _actionMap[416][GROUP] = ActionEntry(REDUCE, 235);
   _actionMap[416][ORDER] = ActionEntry(REDUCE, 235);
   _actionMap[416][ROWLIMIT] = ActionEntry(REDUCE, 235);
   _actionMap[416][UNION] = ActionEntry(REDUCE, 235);
   _actionMap[416][ENDTOKEN] = ActionEntry(REDUCE, 235);
   _actionMap[416][RB] = ActionEntry(REDUCE, 235);
   _actionMap[416][SEMICOLON] = ActionEntry(REDUCE, 235);
   _actionMap[416][RETURNTOKEN] = ActionEntry(REDUCE, 235);
   _actionMap[417][EQU] = ActionEntry(SHIFT, 553);
   _actionMap[418][LB] = ActionEntry(SHIFT, 554);
   _actionMap[172][SEMICOLON] = ActionEntry(REDUCE, 57);
   _actionMap[173][SEMICOLON] = ActionEntry(REDUCE, 66);
   _actionMap[174][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[174][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[174][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[174][ObjSpec] = 290;
   _actionMap[175][SEMICOLON] = ActionEntry(REDUCE, 53);
   _actionMap[176][SEMICOLON] = ActionEntry(REDUCE, 55);
   _actionMap[177][SEMICOLON] = ActionEntry(REDUCE, 52);
   _actionMap[178][SEMICOLON] = ActionEntry(REDUCE, 54);
   _actionMap[179][ADD] = ActionEntry(SHIFT, 293);
   _actionMap[179][DROP] = ActionEntry(SHIFT, 294);
   _actionMap[179][MODIFY] = ActionEntry(SHIFT, 295);
   _actionMap[179][RENAME] = ActionEntry(SHIFT, 296);
   _jumpMap[179][AlterOption] = 292;
   _jumpMap[179][AlterList] = 291;
   _actionMap[180][BY] = ActionEntry(SHIFT, 297);
   _actionMap[181][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[181][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[181][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[181][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[181][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[181][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[181][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[181][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[181][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[181][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[181][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[181][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[181][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[181][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[181][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[181][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[181][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[181][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[181][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[181][STR2INT] = ActionEntry(SHIFT, 129);
}
void Cego::loadParser147()
{
   _actionMap[181][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[181][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[181][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[181][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[181][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[181][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[181][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[181][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[181][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[181][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[181][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[181][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[181][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[181][LB] = ActionEntry(SHIFT, 135);
   _actionMap[181][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[181][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[181][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[181][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[181][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[181][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[181][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[181][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[181][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[181][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[181][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[181][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[181][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[181][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[181][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[181][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[181][MAX] = ActionEntry(SHIFT, 115);
   _actionMap[181][RB] = ActionEntry(REDUCE, 109);
   _jumpMap[181][ObjSpec] = 94;
   _jumpMap[181][Constant] = 93;
   _jumpMap[181][SignedFloat] = 92;
   _jumpMap[181][SignedInt] = 91;
   _jumpMap[181][Attribute] = 90;
   _jumpMap[181][Function] = 89;
   _jumpMap[181][CasePrepare] = 88;
   _jumpMap[181][CaseClause] = 87;
   _jumpMap[181][Factor] = 86;
   _jumpMap[181][Term] = 85;
   _jumpMap[181][Expr] = 300;
   _jumpMap[181][ProcValueList] = 299;
   _jumpMap[181][ProcValueListOpt] = 298;
   _actionMap[182][SEMICOLON] = ActionEntry(REDUCE, 64);
   _actionMap[183][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[183][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[183][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[183][TRIM] = ActionEntry(SHIFT, 131);
}
void Cego::loadParser148()
{
   _actionMap[183][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[183][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[183][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[183][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[183][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[183][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[183][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[183][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[183][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[183][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[183][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[183][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[183][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[183][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[183][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[183][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[183][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[183][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[183][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[183][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[183][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[183][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[183][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[183][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[183][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[183][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[183][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[183][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[183][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[183][LB] = ActionEntry(SHIFT, 135);
   _actionMap[183][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[183][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[183][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[183][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[183][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[183][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[183][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[183][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[183][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[183][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[183][VARREF] = ActionEntry(SHIFT, 322);
   _actionMap[183][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[183][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[183][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[183][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[183][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[183][MAX] = ActionEntry(SHIFT, 115);
   _actionMap[183][IF] = ActionEntry(SHIFT, 317);
   _actionMap[183][BEGIN] = ActionEntry(SHIFT, 314);
   _actionMap[183][ROLLBACK] = ActionEntry(SHIFT, 29);
}
void Cego::loadParser149()
{
   _actionMap[183][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[183][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[183][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[183][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[183][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[183][VAR] = ActionEntry(SHIFT, 320);
   _actionMap[183][CURSOR] = ActionEntry(SHIFT, 316);
   _actionMap[183][CLOSE] = ActionEntry(SHIFT, 315);
   _actionMap[183][NOOP] = ActionEntry(SHIFT, 318);
   _actionMap[183][RETURNTOKEN] = ActionEntry(SHIFT, 319);
   _actionMap[183][WHILE] = ActionEntry(SHIFT, 321);
   _jumpMap[183][ObjSpec] = 94;
   _jumpMap[183][Constant] = 93;
   _jumpMap[183][SignedFloat] = 92;
   _jumpMap[183][SignedInt] = 91;
   _jumpMap[183][Attribute] = 90;
   _jumpMap[183][Function] = 89;
   _jumpMap[183][DeleteStatement] = 313;
   _jumpMap[183][UpdateStatement] = 312;
   _jumpMap[183][InsertStatement] = 311;
   _jumpMap[183][RollbackStatement] = 310;
   _jumpMap[183][CommitStatement] = 309;
   _jumpMap[183][StartStatement] = 308;
   _jumpMap[183][CasePrepare] = 88;
   _jumpMap[183][CaseClause] = 87;
   _jumpMap[183][Factor] = 86;
   _jumpMap[183][Term] = 85;
   _jumpMap[183][Expr] = 307;
   _jumpMap[183][ProcStatement] = 306;
   _jumpMap[183][ProcIfPart] = 305;
   _jumpMap[183][ProcBlockStart] = 304;
   _jumpMap[183][ProcStatementList] = 303;
   _jumpMap[183][ProcStmtBlock] = 302;
   _actionMap[184][IDENTIFIER] = ActionEntry(SHIFT, 323);
   _actionMap[185][SEMICOLON] = ActionEntry(REDUCE, 65);
   _actionMap[186][ON] = ActionEntry(SHIFT, 324);
   _actionMap[187][LB] = ActionEntry(SHIFT, 325);
   _actionMap[188][LB] = ActionEntry(SHIFT, 326);
   _actionMap[189][AS] = ActionEntry(SHIFT, 327);
   _actionMap[190][SEMICOLON] = ActionEntry(REDUCE, 289);
   _actionMap[190][WHERE] = ActionEntry(SHIFT, 330);
   _jumpMap[190][NoWhere] = 329;
   _jumpMap[190][WhereClause] = 328;
   _actionMap[191][SEMICOLON] = ActionEntry(REDUCE, 17);
   _actionMap[192][SEMICOLON] = ActionEntry(REDUCE, 19);
   _actionMap[193][SEMICOLON] = ActionEntry(REDUCE, 20);
   _actionMap[194][SEMICOLON] = ActionEntry(REDUCE, 16);
   _actionMap[195][SEMICOLON] = ActionEntry(REDUCE, 18);
   _actionMap[196][COUNTER] = ActionEntry(REDUCE, 59);
   _actionMap[196][CHECK] = ActionEntry(REDUCE, 59);
}
void Cego::loadParser150()
{
   _actionMap[196][FOREIGN] = ActionEntry(REDUCE, 59);
   _actionMap[196][PROCEDURE] = ActionEntry(REDUCE, 59);
   _actionMap[196][VIEW] = ActionEntry(REDUCE, 59);
   _actionMap[196][INDEX] = ActionEntry(REDUCE, 59);
   _actionMap[196][TABLE] = ActionEntry(REDUCE, 59);
   _actionMap[197][LB] = ActionEntry(SHIFT, 334);
   _actionMap[197][VALUES] = ActionEntry(REDUCE, 183);
   _actionMap[197][SELECT] = ActionEntry(REDUCE, 183);
   _jumpMap[197][SelectStatement] = 332;
   _jumpMap[197][InsertArgSpec] = 331;
   _actionMap[198][SEMICOLON] = ActionEntry(REDUCE, 69);
   _actionMap[198][IDENTIFIER] = ActionEntry(REDUCE, 69);
   _actionMap[199][SEMICOLON] = ActionEntry(REDUCE, 8);
   _actionMap[200][IDENTIFIER] = ActionEntry(SHIFT, 335);
   _actionMap[201][SEMICOLON] = ActionEntry(REDUCE, 6);
   _actionMap[202][SEMICOLON] = ActionEntry(REDUCE, 7);
   _actionMap[203][SEMICOLON] = ActionEntry(REDUCE, 4);
   _actionMap[204][SEMICOLON] = ActionEntry(REDUCE, 9);
   _actionMap[205][SEMICOLON] = ActionEntry(REDUCE, 3);
   _actionMap[206][SEMICOLON] = ActionEntry(REDUCE, 10);
   _actionMap[207][SEMICOLON] = ActionEntry(REDUCE, 5);
   _actionMap[208][AS] = ActionEntry(SHIFT, 336);
   _actionMap[209][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[209][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[209][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[209][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[209][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[209][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[209][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[209][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[209][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[209][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[209][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[209][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[209][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[209][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[209][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[209][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[209][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[209][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[209][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[209][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[209][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[209][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[209][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[209][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[209][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[209][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[209][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[209][MOD] = ActionEntry(SHIFT, 116);
}
void Cego::loadParser151()
{
   _actionMap[209][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[209][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[209][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[209][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[209][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[209][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[209][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[209][LB] = ActionEntry(SHIFT, 135);
   _actionMap[209][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[209][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[209][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[209][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[209][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[209][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[209][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[209][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[209][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[209][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[209][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[209][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[209][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[209][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[209][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[209][ObjSpec] = 94;
   _jumpMap[209][Constant] = 93;
   _jumpMap[209][SignedFloat] = 92;
   _jumpMap[209][SignedInt] = 91;
   _jumpMap[209][Attribute] = 90;
   _jumpMap[209][Function] = 89;
   _jumpMap[209][CasePrepare] = 88;
   _jumpMap[209][CaseClause] = 87;
   _jumpMap[209][Factor] = 86;
   _jumpMap[209][Term] = 337;
   _actionMap[210][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[210][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[210][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[210][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[210][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[210][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[210][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[210][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[210][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[210][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[210][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[210][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[210][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[210][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[210][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[210][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[210][LEFT] = ActionEntry(SHIFT, 110);
}
void Cego::loadParser152()
{
   _actionMap[210][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[210][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[210][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[210][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[210][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[210][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[210][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[210][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[210][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[210][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[210][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[210][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[210][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[210][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[210][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[210][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[210][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[210][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[210][LB] = ActionEntry(SHIFT, 135);
   _actionMap[210][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[210][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[210][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[210][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[210][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[210][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[210][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[210][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[210][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[210][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[210][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[210][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[210][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[210][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[210][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[210][ObjSpec] = 94;
   _jumpMap[210][Constant] = 93;
   _jumpMap[210][SignedFloat] = 92;
   _jumpMap[210][SignedInt] = 91;
   _jumpMap[210][Attribute] = 90;
   _jumpMap[210][Function] = 89;
   _jumpMap[210][CasePrepare] = 88;
   _jumpMap[210][CaseClause] = 87;
   _jumpMap[210][Factor] = 86;
   _jumpMap[210][Term] = 338;
   _actionMap[211][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[211][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[211][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[211][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[211][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[211][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
}
void Cego::loadParser153()
{
   _actionMap[211][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[211][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[211][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[211][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[211][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[211][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[211][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[211][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[211][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[211][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[211][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[211][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[211][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[211][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[211][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[211][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[211][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[211][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[211][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[211][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[211][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[211][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[211][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[211][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[211][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[211][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[211][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[211][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[211][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[211][LB] = ActionEntry(SHIFT, 135);
   _actionMap[211][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[211][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[211][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[211][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[211][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[211][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[211][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[211][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[211][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[211][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[211][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[211][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[211][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[211][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[211][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[211][ObjSpec] = 94;
   _jumpMap[211][Constant] = 93;
   _jumpMap[211][SignedFloat] = 92;
   _jumpMap[211][SignedInt] = 91;
   _jumpMap[211][Attribute] = 90;
}
void Cego::loadParser154()
{
   _jumpMap[211][Function] = 89;
   _jumpMap[211][CasePrepare] = 88;
   _jumpMap[211][CaseClause] = 87;
   _jumpMap[211][Factor] = 86;
   _jumpMap[211][Term] = 339;
   _actionMap[212][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[212][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[212][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[212][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[212][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[212][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[212][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[212][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[212][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[212][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[212][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[212][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[212][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[212][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[212][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[212][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[212][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[212][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[212][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[212][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[212][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[212][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[212][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[212][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[212][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[212][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[212][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[212][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[212][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[212][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[212][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[212][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[212][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[212][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[212][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[212][LB] = ActionEntry(SHIFT, 135);
   _actionMap[212][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[212][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[212][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[212][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[212][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[212][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[212][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[212][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[212][VARREF] = ActionEntry(SHIFT, 141);
}
void Cego::loadParser155()
{
   _actionMap[212][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[212][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[212][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[212][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[212][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[212][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[212][ObjSpec] = 94;
   _jumpMap[212][Constant] = 93;
   _jumpMap[212][SignedFloat] = 92;
   _jumpMap[212][SignedInt] = 91;
   _jumpMap[212][Attribute] = 90;
   _jumpMap[212][Function] = 89;
   _jumpMap[212][CasePrepare] = 88;
   _jumpMap[212][CaseClause] = 87;
   _jumpMap[212][Factor] = 340;
   _actionMap[213][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[213][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[213][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[213][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[213][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[213][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[213][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[213][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[213][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[213][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[213][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[213][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[213][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[213][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[213][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[213][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[213][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[213][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[213][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[213][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[213][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[213][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[213][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[213][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[213][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[213][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[213][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[213][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[213][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[213][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[213][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[213][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[213][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[213][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[213][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
}
void Cego::loadParser156()
{
   _actionMap[213][LB] = ActionEntry(SHIFT, 135);
   _actionMap[213][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[213][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[213][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[213][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[213][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[213][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[213][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[213][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[213][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[213][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[213][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[213][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[213][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[213][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[213][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[213][ObjSpec] = 94;
   _jumpMap[213][Constant] = 93;
   _jumpMap[213][SignedFloat] = 92;
   _jumpMap[213][SignedInt] = 91;
   _jumpMap[213][Attribute] = 90;
   _jumpMap[213][Function] = 89;
   _jumpMap[213][CasePrepare] = 88;
   _jumpMap[213][CaseClause] = 87;
   _jumpMap[213][Factor] = 341;
   _actionMap[214][ELSE] = ActionEntry(SHIFT, 343);
   _actionMap[214][WHEN] = ActionEntry(SHIFT, 216);
   _jumpMap[214][CaseCondition] = 342;
   _actionMap[215][WHEN] = ActionEntry(REDUCE, 155);
   _actionMap[215][ELSE] = ActionEntry(REDUCE, 155);
   _actionMap[216][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[216][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[216][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[216][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[216][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[216][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[216][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[216][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[216][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[216][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[216][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[216][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[216][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[216][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[216][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[216][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[216][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[216][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[216][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[216][STR2INT] = ActionEntry(SHIFT, 129);
}
void Cego::loadParser157()
{
   _actionMap[216][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[216][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[216][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[216][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[216][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[216][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[216][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[216][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[216][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[216][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[216][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[216][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[216][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[216][LB] = ActionEntry(SHIFT, 349);
   _actionMap[216][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[216][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[216][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[216][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[216][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[216][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[216][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[216][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[216][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[216][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[216][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[216][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[216][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[216][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[216][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[216][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[216][MAX] = ActionEntry(SHIFT, 115);
   _actionMap[216][EXISTS] = ActionEntry(SHIFT, 347);
   _actionMap[216][NOT] = ActionEntry(SHIFT, 348);
   _jumpMap[216][ObjSpec] = 94;
   _jumpMap[216][Constant] = 93;
   _jumpMap[216][SignedFloat] = 92;
   _jumpMap[216][SignedInt] = 91;
   _jumpMap[216][Attribute] = 90;
   _jumpMap[216][QueryPredicate] = 346;
   _jumpMap[216][QueryCondition] = 345;
   _jumpMap[216][Function] = 89;
   _jumpMap[216][CasePrepare] = 88;
   _jumpMap[216][CaseClause] = 87;
   _jumpMap[216][Factor] = 86;
   _jumpMap[216][Term] = 85;
   _jumpMap[216][Expr] = 344;
   _actionMap[217][RB] = ActionEntry(SHIFT, 352);
   _actionMap[217][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[217][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[217][INTVAL] = ActionEntry(SHIFT, 138);
}
void Cego::loadParser158()
{
   _actionMap[217][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[217][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[217][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[217][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[217][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[217][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[217][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[217][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[217][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[217][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[217][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[217][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[217][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[217][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[217][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[217][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[217][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[217][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[217][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[217][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[217][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[217][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[217][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[217][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[217][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[217][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[217][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[217][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[217][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[217][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[217][LB] = ActionEntry(SHIFT, 135);
   _actionMap[217][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[217][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[217][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[217][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[217][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[217][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[217][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[217][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[217][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[217][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[217][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[217][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[217][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[217][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[217][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[217][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[217][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[217][ObjSpec] = 94;
   _jumpMap[217][Constant] = 93;
}
void Cego::loadParser159()
{
   _jumpMap[217][SignedFloat] = 92;
   _jumpMap[217][SignedInt] = 91;
   _jumpMap[217][Attribute] = 90;
   _jumpMap[217][ExpressionList] = 351;
   _jumpMap[217][Function] = 89;
   _jumpMap[217][CasePrepare] = 88;
   _jumpMap[217][CaseClause] = 87;
   _jumpMap[217][Factor] = 86;
   _jumpMap[217][Term] = 85;
   _jumpMap[217][Expr] = 350;
   _actionMap[218][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[218][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[218][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[218][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[218][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[218][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[218][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[218][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[218][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[218][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[218][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[218][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[218][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[218][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[218][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[218][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[218][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[218][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[218][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[218][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[218][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[218][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[218][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[218][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[218][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[218][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[218][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[218][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[218][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[218][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[218][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[218][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[218][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[218][LB] = ActionEntry(SHIFT, 135);
   _actionMap[218][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[218][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[218][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[218][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[218][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[218][FALSEVAL] = ActionEntry(SHIFT, 106);
}
void Cego::loadParser160()
{
   _actionMap[218][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[218][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[218][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[218][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[218][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[218][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[218][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[218][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[218][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[218][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[218][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[218][ObjSpec] = 94;
   _jumpMap[218][Constant] = 93;
   _jumpMap[218][SignedFloat] = 92;
   _jumpMap[218][SignedInt] = 91;
   _jumpMap[218][Attribute] = 90;
   _jumpMap[218][Function] = 89;
   _jumpMap[218][CasePrepare] = 88;
   _jumpMap[218][CaseClause] = 87;
   _jumpMap[218][Factor] = 86;
   _jumpMap[218][Term] = 85;
   _jumpMap[218][Expr] = 353;
   _actionMap[219][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[219][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[219][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[219][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[219][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[219][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[219][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[219][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[219][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[219][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[219][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[219][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[219][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[219][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[219][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[219][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[219][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[219][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[219][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[219][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[219][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[219][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[219][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[219][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[219][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[219][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[219][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[219][BITOR] = ActionEntry(SHIFT, 98);
}
void Cego::loadParser161()
{
   _actionMap[219][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[219][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[219][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[219][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[219][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[219][LB] = ActionEntry(SHIFT, 135);
   _actionMap[219][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[219][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[219][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[219][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[219][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[219][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[219][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[219][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[219][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[219][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[219][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[219][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[219][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[219][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[219][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[219][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[219][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[219][ObjSpec] = 94;
   _jumpMap[219][Constant] = 93;
   _jumpMap[219][SignedFloat] = 92;
   _jumpMap[219][SignedInt] = 91;
   _jumpMap[219][Attribute] = 90;
   _jumpMap[219][ExpressionList] = 354;
   _jumpMap[219][Function] = 89;
   _jumpMap[219][CasePrepare] = 88;
   _jumpMap[219][CaseClause] = 87;
   _jumpMap[219][Factor] = 86;
   _jumpMap[219][Term] = 85;
   _jumpMap[219][Expr] = 350;
   _actionMap[220][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[220][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[220][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[220][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[220][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[220][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[220][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[220][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[220][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[220][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[220][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[220][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[220][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[220][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[220][GETPOS] = ActionEntry(SHIFT, 108);
}
void Cego::loadParser162()
{
   _actionMap[220][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[220][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[220][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[220][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[220][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[220][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[220][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[220][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[220][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[220][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[220][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[220][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[220][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[220][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[220][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[220][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[220][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[220][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[220][LB] = ActionEntry(SHIFT, 135);
   _actionMap[220][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[220][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[220][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[220][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[220][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[220][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[220][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[220][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[220][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[220][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[220][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[220][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[220][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[220][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[220][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[220][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[220][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[220][ObjSpec] = 94;
   _jumpMap[220][Constant] = 93;
   _jumpMap[220][SignedFloat] = 92;
   _jumpMap[220][SignedInt] = 91;
   _jumpMap[220][Attribute] = 90;
   _jumpMap[220][ExpressionList] = 355;
   _jumpMap[220][Function] = 89;
   _jumpMap[220][CasePrepare] = 88;
   _jumpMap[220][CaseClause] = 87;
   _jumpMap[220][Factor] = 86;
   _jumpMap[220][Term] = 85;
   _jumpMap[220][Expr] = 350;
   _actionMap[221][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[221][MINUS] = ActionEntry(SHIFT, 137);
}
void Cego::loadParser163()
{
   _actionMap[221][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[221][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[221][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[221][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[221][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[221][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[221][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[221][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[221][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[221][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[221][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[221][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[221][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[221][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[221][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[221][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[221][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[221][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[221][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[221][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[221][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[221][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[221][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[221][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[221][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[221][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[221][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[221][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[221][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[221][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[221][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[221][LB] = ActionEntry(SHIFT, 135);
   _actionMap[221][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[221][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[221][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[221][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[221][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[221][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[221][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[221][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[221][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[221][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[221][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[221][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[221][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[221][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[221][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[221][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[221][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[221][ObjSpec] = 94;
}
void Cego::loadParser164()
{
   _jumpMap[221][Constant] = 93;
   _jumpMap[221][SignedFloat] = 92;
   _jumpMap[221][SignedInt] = 91;
   _jumpMap[221][Attribute] = 90;
   _jumpMap[221][ExpressionList] = 356;
   _jumpMap[221][Function] = 89;
   _jumpMap[221][CasePrepare] = 88;
   _jumpMap[221][CaseClause] = 87;
   _jumpMap[221][Factor] = 86;
   _jumpMap[221][Term] = 85;
   _jumpMap[221][Expr] = 350;
   _actionMap[222][STAR] = ActionEntry(SHIFT, 358);
   _actionMap[222][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[222][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[222][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[222][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[222][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[222][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[222][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[222][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[222][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[222][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[222][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[222][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[222][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[222][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[222][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[222][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[222][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[222][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[222][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[222][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[222][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[222][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[222][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[222][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[222][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[222][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[222][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[222][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[222][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[222][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[222][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[222][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[222][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[222][LB] = ActionEntry(SHIFT, 135);
   _actionMap[222][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[222][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[222][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[222][NULLTOKEN] = ActionEntry(SHIFT, 118);
}
void Cego::loadParser165()
{
   _actionMap[222][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[222][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[222][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[222][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[222][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[222][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[222][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[222][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[222][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[222][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[222][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[222][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[222][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[222][ObjSpec] = 94;
   _jumpMap[222][Constant] = 93;
   _jumpMap[222][SignedFloat] = 92;
   _jumpMap[222][SignedInt] = 91;
   _jumpMap[222][Attribute] = 90;
   _jumpMap[222][Function] = 89;
   _jumpMap[222][CasePrepare] = 88;
   _jumpMap[222][CaseClause] = 87;
   _jumpMap[222][Factor] = 86;
   _jumpMap[222][Term] = 85;
   _jumpMap[222][Expr] = 357;
   _actionMap[223][STRINGVAL] = ActionEntry(SHIFT, 360);
   _jumpMap[223][DateFormat] = 359;
   _actionMap[224][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[224][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[224][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[224][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[224][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[224][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[224][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[224][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[224][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[224][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[224][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[224][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[224][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[224][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[224][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[224][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[224][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[224][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[224][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[224][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[224][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[224][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[224][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[224][MOD] = ActionEntry(SHIFT, 116);
}
void Cego::loadParser166()
{
   _actionMap[224][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[224][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[224][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[224][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[224][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[224][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[224][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[224][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[224][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[224][LB] = ActionEntry(SHIFT, 135);
   _actionMap[224][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[224][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[224][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[224][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[224][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[224][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[224][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[224][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[224][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[224][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[224][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[224][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[224][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[224][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[224][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[224][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[224][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[224][ObjSpec] = 94;
   _jumpMap[224][Constant] = 93;
   _jumpMap[224][SignedFloat] = 92;
   _jumpMap[224][SignedInt] = 91;
   _jumpMap[224][Attribute] = 90;
   _jumpMap[224][ExpressionList] = 361;
   _jumpMap[224][Function] = 89;
   _jumpMap[224][CasePrepare] = 88;
   _jumpMap[224][CaseClause] = 87;
   _jumpMap[224][Factor] = 86;
   _jumpMap[224][Term] = 85;
   _jumpMap[224][Expr] = 350;
   _actionMap[225][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[225][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[225][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[225][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[225][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[225][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[225][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[225][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[225][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[225][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[225][LOWER] = ActionEntry(SHIFT, 112);
}
void Cego::loadParser167()
{
   _actionMap[225][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[225][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[225][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[225][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[225][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[225][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[225][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[225][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[225][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[225][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[225][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[225][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[225][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[225][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[225][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[225][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[225][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[225][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[225][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[225][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[225][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[225][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[225][LB] = ActionEntry(SHIFT, 135);
   _actionMap[225][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[225][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[225][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[225][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[225][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[225][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[225][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[225][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[225][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[225][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[225][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[225][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[225][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[225][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[225][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[225][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[225][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[225][ObjSpec] = 94;
   _jumpMap[225][Constant] = 93;
   _jumpMap[225][SignedFloat] = 92;
   _jumpMap[225][SignedInt] = 91;
   _jumpMap[225][Attribute] = 90;
   _jumpMap[225][ExpressionList] = 362;
   _jumpMap[225][Function] = 89;
   _jumpMap[225][CasePrepare] = 88;
   _jumpMap[225][CaseClause] = 87;
   _jumpMap[225][Factor] = 86;
}
void Cego::loadParser168()
{
   _jumpMap[225][Term] = 85;
   _jumpMap[225][Expr] = 350;
   _actionMap[226][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[226][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[226][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[226][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[226][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[226][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[226][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[226][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[226][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[226][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[226][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[226][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[226][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[226][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[226][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[226][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[226][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[226][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[226][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[226][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[226][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[226][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[226][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[226][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[226][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[226][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[226][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[226][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[226][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[226][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[226][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[226][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[226][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[226][LB] = ActionEntry(SHIFT, 135);
   _actionMap[226][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[226][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[226][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[226][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[226][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[226][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[226][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[226][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[226][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[226][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[226][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[226][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[226][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[226][SUM] = ActionEntry(SHIFT, 127);
}
void Cego::loadParser169()
{
   _actionMap[226][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[226][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[226][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[226][ObjSpec] = 94;
   _jumpMap[226][Constant] = 93;
   _jumpMap[226][SignedFloat] = 92;
   _jumpMap[226][SignedInt] = 91;
   _jumpMap[226][Attribute] = 90;
   _jumpMap[226][ExpressionList] = 363;
   _jumpMap[226][Function] = 89;
   _jumpMap[226][CasePrepare] = 88;
   _jumpMap[226][CaseClause] = 87;
   _jumpMap[226][Factor] = 86;
   _jumpMap[226][Term] = 85;
   _jumpMap[226][Expr] = 350;
   _actionMap[227][INTO] = ActionEntry(SHIFT, 364);
   _actionMap[228][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[228][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[228][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[228][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[228][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[228][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[228][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[228][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[228][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[228][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[228][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[228][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[228][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[228][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[228][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[228][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[228][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[228][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[228][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[228][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[228][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[228][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[228][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[228][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[228][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[228][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[228][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[228][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[228][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[228][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[228][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[228][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[228][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[228][LB] = ActionEntry(SHIFT, 135);
}
void Cego::loadParser170()
{
   _actionMap[228][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[228][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[228][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[228][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[228][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[228][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[228][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[228][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[228][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[228][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[228][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[228][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[228][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[228][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[228][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[228][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[228][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[228][ObjSpec] = 94;
   _jumpMap[228][Constant] = 93;
   _jumpMap[228][SignedFloat] = 92;
   _jumpMap[228][SignedInt] = 91;
   _jumpMap[228][Attribute] = 90;
   _jumpMap[228][ExpressionList] = 365;
   _jumpMap[228][Function] = 89;
   _jumpMap[228][CasePrepare] = 88;
   _jumpMap[228][CaseClause] = 87;
   _jumpMap[228][Factor] = 86;
   _jumpMap[228][Term] = 85;
   _jumpMap[228][Expr] = 350;
   _actionMap[229][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[229][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[229][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[229][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[229][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[229][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[229][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[229][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[229][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[229][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[229][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[229][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[229][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[229][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[229][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[229][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[229][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[229][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[229][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[229][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[229][STR2LONG] = ActionEntry(SHIFT, 130);
}
void Cego::loadParser171()
{
   _actionMap[229][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[229][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[229][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[229][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[229][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[229][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[229][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[229][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[229][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[229][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[229][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[229][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[229][LB] = ActionEntry(SHIFT, 135);
   _actionMap[229][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[229][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[229][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[229][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[229][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[229][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[229][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[229][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[229][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[229][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[229][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[229][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[229][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[229][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[229][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[229][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[229][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[229][ObjSpec] = 94;
   _jumpMap[229][Constant] = 93;
   _jumpMap[229][SignedFloat] = 92;
   _jumpMap[229][SignedInt] = 91;
   _jumpMap[229][Attribute] = 90;
   _jumpMap[229][ExpressionList] = 366;
   _jumpMap[229][Function] = 89;
   _jumpMap[229][CasePrepare] = 88;
   _jumpMap[229][CaseClause] = 87;
   _jumpMap[229][Factor] = 86;
   _jumpMap[229][Term] = 85;
   _jumpMap[229][Expr] = 350;
   _actionMap[230][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[230][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[230][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[230][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[230][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[230][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[230][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[230][DATE2STR] = ActionEntry(SHIFT, 103);
}
void Cego::loadParser172()
{
   _actionMap[230][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[230][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[230][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[230][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[230][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[230][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[230][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[230][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[230][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[230][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[230][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[230][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[230][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[230][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[230][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[230][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[230][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[230][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[230][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[230][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[230][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[230][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[230][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[230][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[230][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[230][LB] = ActionEntry(SHIFT, 135);
   _actionMap[230][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[230][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[230][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[230][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[230][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[230][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[230][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[230][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[230][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[230][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[230][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[230][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[230][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[230][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[230][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[230][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[230][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[230][ObjSpec] = 94;
   _jumpMap[230][Constant] = 93;
   _jumpMap[230][SignedFloat] = 92;
   _jumpMap[230][SignedInt] = 91;
   _jumpMap[230][Attribute] = 90;
   _jumpMap[230][ExpressionList] = 367;
   _jumpMap[230][Function] = 89;
}
void Cego::loadParser173()
{
   _jumpMap[230][CasePrepare] = 88;
   _jumpMap[230][CaseClause] = 87;
   _jumpMap[230][Factor] = 86;
   _jumpMap[230][Term] = 85;
   _jumpMap[230][Expr] = 350;
   _actionMap[231][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[231][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[231][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[231][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[231][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[231][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[231][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[231][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[231][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[231][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[231][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[231][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[231][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[231][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[231][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[231][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[231][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[231][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[231][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[231][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[231][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[231][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[231][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[231][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[231][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[231][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[231][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[231][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[231][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[231][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[231][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[231][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[231][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[231][LB] = ActionEntry(SHIFT, 135);
   _actionMap[231][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[231][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[231][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[231][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[231][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[231][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[231][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[231][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[231][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[231][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[231][VARREF] = ActionEntry(SHIFT, 141);
}
void Cego::loadParser174()
{
   _actionMap[231][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[231][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[231][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[231][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[231][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[231][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[231][ObjSpec] = 94;
   _jumpMap[231][Constant] = 93;
   _jumpMap[231][SignedFloat] = 92;
   _jumpMap[231][SignedInt] = 91;
   _jumpMap[231][Attribute] = 90;
   _jumpMap[231][ExpressionList] = 368;
   _jumpMap[231][Function] = 89;
   _jumpMap[231][CasePrepare] = 88;
   _jumpMap[231][CaseClause] = 87;
   _jumpMap[231][Factor] = 86;
   _jumpMap[231][Term] = 85;
   _jumpMap[231][Expr] = 350;
   _actionMap[232][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[232][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[232][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[232][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[232][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[232][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[232][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[232][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[232][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[232][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[232][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[232][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[232][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[232][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[232][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[232][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[232][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[232][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[232][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[232][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[232][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[232][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[232][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[232][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[232][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[232][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[232][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[232][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[232][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[232][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[232][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[232][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
}
void Cego::loadParser175()
{
   _actionMap[232][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[232][LB] = ActionEntry(SHIFT, 135);
   _actionMap[232][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[232][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[232][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[232][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[232][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[232][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[232][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[232][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[232][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[232][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[232][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[232][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[232][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[232][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[232][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[232][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[232][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[232][ObjSpec] = 94;
   _jumpMap[232][Constant] = 93;
   _jumpMap[232][SignedFloat] = 92;
   _jumpMap[232][SignedInt] = 91;
   _jumpMap[232][Attribute] = 90;
   _jumpMap[232][ExpressionList] = 369;
   _jumpMap[232][Function] = 89;
   _jumpMap[232][CasePrepare] = 88;
   _jumpMap[232][CaseClause] = 87;
   _jumpMap[232][Factor] = 86;
   _jumpMap[232][Term] = 85;
   _jumpMap[232][Expr] = 350;
   _actionMap[233][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[233][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[233][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[233][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[233][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[233][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[233][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[233][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[233][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[233][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[233][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[233][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[233][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[233][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[233][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[233][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[233][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[233][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[233][TRUNC] = ActionEntry(SHIFT, 133);
}
void Cego::loadParser176()
{
   _actionMap[233][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[233][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[233][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[233][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[233][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[233][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[233][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[233][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[233][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[233][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[233][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[233][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[233][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[233][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[233][LB] = ActionEntry(SHIFT, 135);
   _actionMap[233][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[233][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[233][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[233][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[233][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[233][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[233][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[233][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[233][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[233][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[233][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[233][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[233][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[233][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[233][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[233][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[233][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[233][ObjSpec] = 94;
   _jumpMap[233][Constant] = 93;
   _jumpMap[233][SignedFloat] = 92;
   _jumpMap[233][SignedInt] = 91;
   _jumpMap[233][Attribute] = 90;
   _jumpMap[233][ExpressionList] = 370;
   _jumpMap[233][Function] = 89;
   _jumpMap[233][CasePrepare] = 88;
   _jumpMap[233][CaseClause] = 87;
   _jumpMap[233][Factor] = 86;
   _jumpMap[233][Term] = 85;
   _jumpMap[233][Expr] = 350;
   _actionMap[234][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[234][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[234][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[234][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[234][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[234][LTRIM] = ActionEntry(SHIFT, 113);
}
void Cego::loadParser177()
{
   _actionMap[234][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[234][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[234][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[234][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[234][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[234][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[234][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[234][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[234][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[234][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[234][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[234][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[234][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[234][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[234][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[234][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[234][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[234][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[234][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[234][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[234][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[234][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[234][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[234][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[234][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[234][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[234][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[234][LB] = ActionEntry(SHIFT, 135);
   _actionMap[234][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[234][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[234][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[234][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[234][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[234][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[234][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[234][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[234][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[234][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[234][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[234][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[234][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[234][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[234][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[234][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[234][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[234][ObjSpec] = 94;
   _jumpMap[234][Constant] = 93;
   _jumpMap[234][SignedFloat] = 92;
   _jumpMap[234][SignedInt] = 91;
   _jumpMap[234][Attribute] = 90;
}
void Cego::loadParser178()
{
   _jumpMap[234][Function] = 89;
   _jumpMap[234][CasePrepare] = 88;
   _jumpMap[234][CaseClause] = 87;
   _jumpMap[234][Factor] = 86;
   _jumpMap[234][Term] = 85;
   _jumpMap[234][Expr] = 371;
   _actionMap[235][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[235][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[235][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[235][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[235][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[235][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[235][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[235][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[235][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[235][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[235][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[235][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[235][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[235][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[235][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[235][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[235][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[235][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[235][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[235][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[235][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[235][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[235][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[235][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[235][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[235][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[235][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[235][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[235][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[235][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[235][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[235][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[235][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[235][LB] = ActionEntry(SHIFT, 135);
   _actionMap[235][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[235][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[235][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[235][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[235][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[235][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[235][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[235][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[235][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[235][CASE] = ActionEntry(SHIFT, 100);
}
void Cego::loadParser179()
{
   _actionMap[235][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[235][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[235][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[235][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[235][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[235][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[235][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[235][ObjSpec] = 94;
   _jumpMap[235][Constant] = 93;
   _jumpMap[235][SignedFloat] = 92;
   _jumpMap[235][SignedInt] = 91;
   _jumpMap[235][Attribute] = 90;
   _jumpMap[235][Function] = 89;
   _jumpMap[235][CasePrepare] = 88;
   _jumpMap[235][CaseClause] = 87;
   _jumpMap[235][Factor] = 86;
   _jumpMap[235][Term] = 85;
   _jumpMap[235][Expr] = 372;
   _actionMap[236][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[236][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[236][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[236][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[236][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[236][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[236][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[236][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[236][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[236][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[236][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[236][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[236][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[236][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[236][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[236][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[236][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[236][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[236][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[236][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[236][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[236][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[236][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[236][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[236][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[236][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[236][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[236][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[236][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[236][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[236][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[236][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
}
void Cego::loadParser180()
{
   _actionMap[236][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[236][LB] = ActionEntry(SHIFT, 135);
   _actionMap[236][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[236][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[236][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[236][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[236][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[236][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[236][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[236][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[236][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[236][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[236][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[236][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[236][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[236][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[236][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[236][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[236][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[236][ObjSpec] = 94;
   _jumpMap[236][Constant] = 93;
   _jumpMap[236][SignedFloat] = 92;
   _jumpMap[236][SignedInt] = 91;
   _jumpMap[236][Attribute] = 90;
   _jumpMap[236][ExpressionList] = 373;
   _jumpMap[236][Function] = 89;
   _jumpMap[236][CasePrepare] = 88;
   _jumpMap[236][CaseClause] = 87;
   _jumpMap[236][Factor] = 86;
   _jumpMap[236][Term] = 85;
   _jumpMap[236][Expr] = 350;
   _actionMap[237][IDENTIFIER] = ActionEntry(SHIFT, 374);
   _actionMap[238][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[238][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[238][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[238][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[238][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[238][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[238][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[238][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[238][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[238][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[238][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[238][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[238][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[238][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[238][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[238][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[238][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[238][LENGTH] = ActionEntry(SHIFT, 111);
}
void Cego::loadParser181()
{
   _actionMap[238][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[238][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[238][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[238][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[238][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[238][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[238][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[238][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[238][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[238][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[238][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[238][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[238][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[238][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[238][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[238][LB] = ActionEntry(SHIFT, 135);
   _actionMap[238][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[238][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[238][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[238][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[238][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[238][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[238][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[238][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[238][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[238][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[238][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[238][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[238][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[238][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[238][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[238][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[238][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[238][ObjSpec] = 94;
   _jumpMap[238][Constant] = 93;
   _jumpMap[238][SignedFloat] = 92;
   _jumpMap[238][SignedInt] = 91;
   _jumpMap[238][Attribute] = 90;
   _jumpMap[238][ExpressionList] = 375;
   _jumpMap[238][Function] = 89;
   _jumpMap[238][CasePrepare] = 88;
   _jumpMap[238][CaseClause] = 87;
   _jumpMap[238][Factor] = 86;
   _jumpMap[238][Term] = 85;
   _jumpMap[238][Expr] = 350;
   _actionMap[239][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[239][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[239][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[239][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[239][RTRIM] = ActionEntry(SHIFT, 125);
}
void Cego::loadParser182()
{
   _actionMap[239][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[239][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[239][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[239][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[239][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[239][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[239][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[239][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[239][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[239][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[239][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[239][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[239][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[239][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[239][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[239][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[239][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[239][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[239][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[239][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[239][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[239][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[239][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[239][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[239][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[239][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[239][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[239][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[239][LB] = ActionEntry(SHIFT, 135);
   _actionMap[239][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[239][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[239][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[239][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[239][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[239][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[239][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[239][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[239][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[239][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[239][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[239][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[239][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[239][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[239][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[239][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[239][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[239][ObjSpec] = 94;
   _jumpMap[239][Constant] = 93;
   _jumpMap[239][SignedFloat] = 92;
   _jumpMap[239][SignedInt] = 91;
}
void Cego::loadParser183()
{
   _jumpMap[239][Attribute] = 90;
   _jumpMap[239][ExpressionList] = 376;
   _jumpMap[239][Function] = 89;
   _jumpMap[239][CasePrepare] = 88;
   _jumpMap[239][CaseClause] = 87;
   _jumpMap[239][Factor] = 86;
   _jumpMap[239][Term] = 85;
   _jumpMap[239][Expr] = 350;
   _actionMap[240][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[240][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[240][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[240][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[240][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[240][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[240][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[240][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[240][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[240][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[240][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[240][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[240][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[240][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[240][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[240][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[240][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[240][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[240][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[240][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[240][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[240][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[240][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[240][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[240][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[240][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[240][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[240][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[240][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[240][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[240][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[240][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[240][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[240][LB] = ActionEntry(SHIFT, 135);
   _actionMap[240][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[240][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[240][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[240][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[240][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[240][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[240][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[240][COUNTERID] = ActionEntry(SHIFT, 144);
}
void Cego::loadParser184()
{
   _actionMap[240][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[240][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[240][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[240][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[240][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[240][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[240][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[240][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[240][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[240][ObjSpec] = 94;
   _jumpMap[240][Constant] = 93;
   _jumpMap[240][SignedFloat] = 92;
   _jumpMap[240][SignedInt] = 91;
   _jumpMap[240][Attribute] = 90;
   _jumpMap[240][ExpressionList] = 377;
   _jumpMap[240][Function] = 89;
   _jumpMap[240][CasePrepare] = 88;
   _jumpMap[240][CaseClause] = 87;
   _jumpMap[240][Factor] = 86;
   _jumpMap[240][Term] = 85;
   _jumpMap[240][Expr] = 350;
   _actionMap[241][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[241][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[241][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[241][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[241][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[241][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[241][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[241][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[241][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[241][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[241][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[241][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[241][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[241][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[241][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[241][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[241][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[241][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[241][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[241][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[241][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[241][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[241][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[241][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[241][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[241][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[241][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[241][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[241][BITXOR] = ActionEntry(SHIFT, 99);
}
void Cego::loadParser185()
{
   _actionMap[241][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[241][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[241][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[241][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[241][LB] = ActionEntry(SHIFT, 135);
   _actionMap[241][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[241][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[241][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[241][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[241][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[241][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[241][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[241][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[241][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[241][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[241][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[241][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[241][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[241][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[241][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[241][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[241][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[241][ObjSpec] = 94;
   _jumpMap[241][Constant] = 93;
   _jumpMap[241][SignedFloat] = 92;
   _jumpMap[241][SignedInt] = 91;
   _jumpMap[241][Attribute] = 90;
   _jumpMap[241][ExpressionList] = 378;
   _jumpMap[241][Function] = 89;
   _jumpMap[241][CasePrepare] = 88;
   _jumpMap[241][CaseClause] = 87;
   _jumpMap[241][Factor] = 86;
   _jumpMap[241][Term] = 85;
   _jumpMap[241][Expr] = 350;
   _actionMap[242][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[242][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[242][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[242][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[242][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[242][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[242][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[242][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[242][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[242][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[242][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[242][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[242][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[242][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[242][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[242][SUBSTR] = ActionEntry(SHIFT, 126);
}
void Cego::loadParser186()
{
   _actionMap[242][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[242][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[242][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[242][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[242][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[242][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[242][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[242][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[242][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[242][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[242][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[242][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[242][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[242][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[242][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[242][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[242][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[242][LB] = ActionEntry(SHIFT, 135);
   _actionMap[242][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[242][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[242][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[242][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[242][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[242][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[242][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[242][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[242][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[242][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[242][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[242][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[242][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[242][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[242][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[242][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[242][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[242][ObjSpec] = 94;
   _jumpMap[242][Constant] = 93;
   _jumpMap[242][SignedFloat] = 92;
   _jumpMap[242][SignedInt] = 91;
   _jumpMap[242][Attribute] = 90;
   _jumpMap[242][ExpressionList] = 379;
   _jumpMap[242][Function] = 89;
   _jumpMap[242][CasePrepare] = 88;
   _jumpMap[242][CaseClause] = 87;
   _jumpMap[242][Factor] = 86;
   _jumpMap[242][Term] = 85;
   _jumpMap[242][Expr] = 350;
   _actionMap[243][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[243][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[243][INTVAL] = ActionEntry(SHIFT, 138);
}
void Cego::loadParser187()
{
   _actionMap[243][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[243][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[243][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[243][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[243][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[243][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[243][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[243][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[243][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[243][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[243][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[243][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[243][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[243][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[243][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[243][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[243][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[243][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[243][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[243][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[243][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[243][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[243][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[243][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[243][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[243][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[243][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[243][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[243][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[243][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[243][LB] = ActionEntry(SHIFT, 135);
   _actionMap[243][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[243][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[243][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[243][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[243][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[243][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[243][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[243][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[243][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[243][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[243][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[243][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[243][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[243][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[243][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[243][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[243][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[243][ObjSpec] = 94;
   _jumpMap[243][Constant] = 93;
}
void Cego::loadParser188()
{
   _jumpMap[243][SignedFloat] = 92;
   _jumpMap[243][SignedInt] = 91;
   _jumpMap[243][Attribute] = 90;
   _jumpMap[243][ExpressionList] = 380;
   _jumpMap[243][Function] = 89;
   _jumpMap[243][CasePrepare] = 88;
   _jumpMap[243][CaseClause] = 87;
   _jumpMap[243][Factor] = 86;
   _jumpMap[243][Term] = 85;
   _jumpMap[243][Expr] = 350;
   _actionMap[244][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[244][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[244][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[244][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[244][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[244][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[244][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[244][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[244][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[244][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[244][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[244][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[244][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[244][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[244][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[244][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[244][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[244][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[244][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[244][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[244][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[244][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[244][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[244][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[244][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[244][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[244][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[244][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[244][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[244][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[244][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[244][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[244][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[244][LB] = ActionEntry(SHIFT, 135);
   _actionMap[244][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[244][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[244][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[244][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[244][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[244][FALSEVAL] = ActionEntry(SHIFT, 106);
}
void Cego::loadParser189()
{
   _actionMap[244][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[244][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[244][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[244][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[244][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[244][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[244][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[244][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[244][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[244][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[244][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[244][ObjSpec] = 94;
   _jumpMap[244][Constant] = 93;
   _jumpMap[244][SignedFloat] = 92;
   _jumpMap[244][SignedInt] = 91;
   _jumpMap[244][Attribute] = 90;
   _jumpMap[244][ExpressionList] = 381;
   _jumpMap[244][Function] = 89;
   _jumpMap[244][CasePrepare] = 88;
   _jumpMap[244][CaseClause] = 87;
   _jumpMap[244][Factor] = 86;
   _jumpMap[244][Term] = 85;
   _jumpMap[244][Expr] = 350;
   _actionMap[245][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[245][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[245][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[245][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[245][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[245][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[245][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[245][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[245][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[245][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[245][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[245][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[245][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[245][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[245][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[245][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[245][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[245][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[245][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[245][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[245][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[245][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[245][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[245][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[245][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[245][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[245][BITAND] = ActionEntry(SHIFT, 97);
}
void Cego::loadParser190()
{
   _actionMap[245][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[245][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[245][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[245][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[245][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[245][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[245][LB] = ActionEntry(SHIFT, 135);
   _actionMap[245][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[245][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[245][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[245][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[245][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[245][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[245][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[245][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[245][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[245][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[245][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[245][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[245][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[245][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[245][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[245][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[245][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[245][ObjSpec] = 94;
   _jumpMap[245][Constant] = 93;
   _jumpMap[245][SignedFloat] = 92;
   _jumpMap[245][SignedInt] = 91;
   _jumpMap[245][Attribute] = 90;
   _jumpMap[245][ExpressionList] = 382;
   _jumpMap[245][Function] = 89;
   _jumpMap[245][CasePrepare] = 88;
   _jumpMap[245][CaseClause] = 87;
   _jumpMap[245][Factor] = 86;
   _jumpMap[245][Term] = 85;
   _jumpMap[245][Expr] = 350;
   _actionMap[246][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[246][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[246][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[246][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[246][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[246][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[246][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[246][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[246][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[246][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[246][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[246][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[246][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[246][RIGHT] = ActionEntry(SHIFT, 123);
}
void Cego::loadParser191()
{
   _actionMap[246][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[246][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[246][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[246][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[246][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[246][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[246][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[246][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[246][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[246][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[246][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[246][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[246][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[246][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[246][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[246][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[246][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[246][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[246][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[246][LB] = ActionEntry(SHIFT, 135);
   _actionMap[246][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[246][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[246][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[246][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[246][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[246][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[246][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[246][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[246][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[246][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[246][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[246][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[246][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[246][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[246][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[246][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[246][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[246][ObjSpec] = 94;
   _jumpMap[246][Constant] = 93;
   _jumpMap[246][SignedFloat] = 92;
   _jumpMap[246][SignedInt] = 91;
   _jumpMap[246][Attribute] = 90;
   _jumpMap[246][Function] = 89;
   _jumpMap[246][CasePrepare] = 88;
   _jumpMap[246][CaseClause] = 87;
   _jumpMap[246][Factor] = 86;
   _jumpMap[246][Term] = 85;
   _jumpMap[246][Expr] = 383;
   _actionMap[247][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[247][MINUS] = ActionEntry(SHIFT, 137);
}
void Cego::loadParser192()
{
   _actionMap[247][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[247][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[247][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[247][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[247][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[247][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[247][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[247][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[247][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[247][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[247][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[247][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[247][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[247][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[247][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[247][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[247][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[247][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[247][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[247][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[247][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[247][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[247][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[247][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[247][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[247][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[247][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[247][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[247][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[247][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[247][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[247][LB] = ActionEntry(SHIFT, 135);
   _actionMap[247][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[247][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[247][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[247][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[247][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[247][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[247][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[247][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[247][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[247][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[247][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[247][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[247][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[247][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[247][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[247][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[247][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[247][ObjSpec] = 94;
}
void Cego::loadParser193()
{
   _jumpMap[247][Constant] = 93;
   _jumpMap[247][SignedFloat] = 92;
   _jumpMap[247][SignedInt] = 91;
   _jumpMap[247][Attribute] = 90;
   _jumpMap[247][ExpressionList] = 384;
   _jumpMap[247][Function] = 89;
   _jumpMap[247][CasePrepare] = 88;
   _jumpMap[247][CaseClause] = 87;
   _jumpMap[247][Factor] = 86;
   _jumpMap[247][Term] = 85;
   _jumpMap[247][Expr] = 350;
   _actionMap[248][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[248][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[248][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[248][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[248][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[248][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[248][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[248][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[248][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[248][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[248][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[248][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[248][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[248][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[248][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[248][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[248][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[248][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[248][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[248][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[248][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[248][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[248][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[248][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[248][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[248][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[248][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[248][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[248][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[248][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[248][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[248][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[248][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[248][LB] = ActionEntry(SHIFT, 135);
   _actionMap[248][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[248][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[248][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[248][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[248][TRUEVAL] = ActionEntry(SHIFT, 132);
}
void Cego::loadParser194()
{
   _actionMap[248][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[248][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[248][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[248][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[248][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[248][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[248][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[248][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[248][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[248][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[248][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[248][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[248][ObjSpec] = 94;
   _jumpMap[248][Constant] = 93;
   _jumpMap[248][SignedFloat] = 92;
   _jumpMap[248][SignedInt] = 91;
   _jumpMap[248][Attribute] = 90;
   _jumpMap[248][ExpressionList] = 385;
   _jumpMap[248][Function] = 89;
   _jumpMap[248][CasePrepare] = 88;
   _jumpMap[248][CaseClause] = 87;
   _jumpMap[248][Factor] = 86;
   _jumpMap[248][Term] = 85;
   _jumpMap[248][Expr] = 350;
   _actionMap[249][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[249][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[249][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[249][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[249][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[249][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[249][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[249][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[249][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[249][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[249][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[249][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[249][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[249][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[249][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[249][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[249][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[249][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[249][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[249][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[249][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[249][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[249][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[249][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[249][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[249][POWER] = ActionEntry(SHIFT, 119);
}
void Cego::loadParser195()
{
   _actionMap[249][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[249][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[249][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[249][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[249][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[249][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[249][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[249][LB] = ActionEntry(SHIFT, 135);
   _actionMap[249][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[249][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[249][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[249][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[249][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[249][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[249][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[249][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[249][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[249][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[249][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[249][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[249][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[249][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[249][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[249][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[249][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[249][ObjSpec] = 94;
   _jumpMap[249][Constant] = 93;
   _jumpMap[249][SignedFloat] = 92;
   _jumpMap[249][SignedInt] = 91;
   _jumpMap[249][Attribute] = 90;
   _jumpMap[249][ExpressionList] = 386;
   _jumpMap[249][Function] = 89;
   _jumpMap[249][CasePrepare] = 88;
   _jumpMap[249][CaseClause] = 87;
   _jumpMap[249][Factor] = 86;
   _jumpMap[249][Term] = 85;
   _jumpMap[249][Expr] = 350;
   _actionMap[250][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[250][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[250][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[250][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[250][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[250][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[250][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[250][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[250][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[250][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[250][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[250][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[250][LEFT] = ActionEntry(SHIFT, 110);
}
void Cego::loadParser196()
{
   _actionMap[250][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[250][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[250][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[250][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[250][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[250][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[250][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[250][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[250][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[250][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[250][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[250][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[250][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[250][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[250][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[250][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[250][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[250][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[250][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[250][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[250][LB] = ActionEntry(SHIFT, 135);
   _actionMap[250][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[250][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[250][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[250][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[250][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[250][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[250][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[250][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[250][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[250][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[250][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[250][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[250][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[250][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[250][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[250][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[250][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[250][ObjSpec] = 94;
   _jumpMap[250][Constant] = 93;
   _jumpMap[250][SignedFloat] = 92;
   _jumpMap[250][SignedInt] = 91;
   _jumpMap[250][Attribute] = 90;
   _jumpMap[250][ExpressionList] = 387;
   _jumpMap[250][Function] = 89;
   _jumpMap[250][CasePrepare] = 88;
   _jumpMap[250][CaseClause] = 87;
   _jumpMap[250][Factor] = 86;
   _jumpMap[250][Term] = 85;
   _jumpMap[250][Expr] = 350;
}
void Cego::loadParser197()
{
   _actionMap[251][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[251][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[251][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[251][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[251][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[251][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[251][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[251][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[251][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[251][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[251][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[251][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[251][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[251][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[251][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[251][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[251][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[251][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[251][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[251][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[251][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[251][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[251][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[251][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[251][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[251][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[251][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[251][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[251][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[251][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[251][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[251][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[251][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[251][LB] = ActionEntry(SHIFT, 135);
   _actionMap[251][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[251][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[251][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[251][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[251][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[251][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[251][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[251][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[251][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[251][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[251][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[251][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[251][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[251][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[251][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[251][MIN] = ActionEntry(SHIFT, 114);
}
void Cego::loadParser198()
{
   _actionMap[251][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[251][ObjSpec] = 94;
   _jumpMap[251][Constant] = 93;
   _jumpMap[251][SignedFloat] = 92;
   _jumpMap[251][SignedInt] = 91;
   _jumpMap[251][Attribute] = 90;
   _jumpMap[251][ExpressionList] = 388;
   _jumpMap[251][Function] = 89;
   _jumpMap[251][CasePrepare] = 88;
   _jumpMap[251][CaseClause] = 87;
   _jumpMap[251][Factor] = 86;
   _jumpMap[251][Term] = 85;
   _jumpMap[251][Expr] = 350;
   _actionMap[252][RB] = ActionEntry(SHIFT, 389);
   _actionMap[252][PLUS] = ActionEntry(SHIFT, 211);
   _actionMap[252][MINUS] = ActionEntry(SHIFT, 210);
   _actionMap[252][CONCAT] = ActionEntry(SHIFT, 209);
   _actionMap[253][RB] = ActionEntry(SHIFT, 390);
   _actionMap[254][RB] = ActionEntry(SHIFT, 391);
   _actionMap[255][RB] = ActionEntry(SHIFT, 392);
   _actionMap[256][RB] = ActionEntry(SHIFT, 393);
   _actionMap[257][RB] = ActionEntry(SHIFT, 394);
   _actionMap[258][RB] = ActionEntry(SHIFT, 395);
   _actionMap[259][RB] = ActionEntry(SHIFT, 396);
   _actionMap[260][RB] = ActionEntry(SHIFT, 397);
   _actionMap[261][KSEP] = ActionEntry(SHIFT, 398);
   _actionMap[262][WHEN] = ActionEntry(REDUCE, 327);
   _actionMap[262][ELSE] = ActionEntry(REDUCE, 327);
   _actionMap[262][LEFT] = ActionEntry(REDUCE, 327);
   _actionMap[262][RIGHT] = ActionEntry(REDUCE, 327);
   _actionMap[262][INNER] = ActionEntry(REDUCE, 327);
   _actionMap[262][JOIN] = ActionEntry(REDUCE, 327);
   _actionMap[262][RETURNTOKEN] = ActionEntry(REDUCE, 327);
   _actionMap[262][ORDER] = ActionEntry(REDUCE, 327);
   _actionMap[262][GROUP] = ActionEntry(REDUCE, 327);
   _actionMap[262][WHERE] = ActionEntry(REDUCE, 327);
   _actionMap[262][AS] = ActionEntry(REDUCE, 327);
   _actionMap[262][FROM] = ActionEntry(REDUCE, 327);
   _actionMap[262][END_TOKEN] = ActionEntry(REDUCE, 327);
   _actionMap[262][BEGIN] = ActionEntry(REDUCE, 327);
   _actionMap[262][THEN] = ActionEntry(REDUCE, 327);
   _actionMap[262][OR] = ActionEntry(REDUCE, 327);
   _actionMap[262][AND] = ActionEntry(REDUCE, 327);
   _actionMap[262][NULLTOKEN] = ActionEntry(REDUCE, 327);
   _actionMap[262][LIKE] = ActionEntry(REDUCE, 327);
   _actionMap[262][IS] = ActionEntry(REDUCE, 327);
   _actionMap[262][BETWEEN] = ActionEntry(REDUCE, 327);
   _actionMap[262][NOT] = ActionEntry(REDUCE, 327);
   _actionMap[262][INTOK] = ActionEntry(REDUCE, 327);
   _actionMap[262][EQU] = ActionEntry(REDUCE, 327);
}
void Cego::loadParser199()
{
   _actionMap[262][NEGATION] = ActionEntry(REDUCE, 327);
   _actionMap[262][LT] = ActionEntry(REDUCE, 327);
   _actionMap[262][MT] = ActionEntry(REDUCE, 327);
   _actionMap[262][DESC] = ActionEntry(REDUCE, 327);
   _actionMap[262][ASC] = ActionEntry(REDUCE, 327);
   _actionMap[262][KSEP] = ActionEntry(REDUCE, 327);
   _actionMap[262][ROWLIMIT] = ActionEntry(REDUCE, 327);
   _actionMap[262][UNION] = ActionEntry(REDUCE, 327);
   _actionMap[262][ENDTOKEN] = ActionEntry(REDUCE, 327);
   _actionMap[262][RB] = ActionEntry(REDUCE, 327);
   _actionMap[262][SEMICOLON] = ActionEntry(REDUCE, 327);
   _actionMap[262][CONCAT] = ActionEntry(REDUCE, 327);
   _actionMap[262][STAR] = ActionEntry(REDUCE, 327);
   _actionMap[262][DIVISION] = ActionEntry(REDUCE, 327);
   _actionMap[262][MINUS] = ActionEntry(REDUCE, 327);
   _actionMap[262][PLUS] = ActionEntry(REDUCE, 327);
   _actionMap[263][WHEN] = ActionEntry(REDUCE, 329);
   _actionMap[263][ELSE] = ActionEntry(REDUCE, 329);
   _actionMap[263][LEFT] = ActionEntry(REDUCE, 329);
   _actionMap[263][RIGHT] = ActionEntry(REDUCE, 329);
   _actionMap[263][INNER] = ActionEntry(REDUCE, 329);
   _actionMap[263][JOIN] = ActionEntry(REDUCE, 329);
   _actionMap[263][RETURNTOKEN] = ActionEntry(REDUCE, 329);
   _actionMap[263][ORDER] = ActionEntry(REDUCE, 329);
   _actionMap[263][GROUP] = ActionEntry(REDUCE, 329);
   _actionMap[263][WHERE] = ActionEntry(REDUCE, 329);
   _actionMap[263][AS] = ActionEntry(REDUCE, 329);
   _actionMap[263][FROM] = ActionEntry(REDUCE, 329);
   _actionMap[263][END_TOKEN] = ActionEntry(REDUCE, 329);
   _actionMap[263][BEGIN] = ActionEntry(REDUCE, 329);
   _actionMap[263][THEN] = ActionEntry(REDUCE, 329);
   _actionMap[263][OR] = ActionEntry(REDUCE, 329);
   _actionMap[263][AND] = ActionEntry(REDUCE, 329);
   _actionMap[263][NULLTOKEN] = ActionEntry(REDUCE, 329);
   _actionMap[263][LIKE] = ActionEntry(REDUCE, 329);
   _actionMap[263][IS] = ActionEntry(REDUCE, 329);
   _actionMap[263][BETWEEN] = ActionEntry(REDUCE, 329);
   _actionMap[263][NOT] = ActionEntry(REDUCE, 329);
   _actionMap[263][INTOK] = ActionEntry(REDUCE, 329);
   _actionMap[263][EQU] = ActionEntry(REDUCE, 329);
   _actionMap[263][NEGATION] = ActionEntry(REDUCE, 329);
   _actionMap[263][LT] = ActionEntry(REDUCE, 329);
   _actionMap[263][MT] = ActionEntry(REDUCE, 329);
   _actionMap[263][DESC] = ActionEntry(REDUCE, 329);
   _actionMap[263][ASC] = ActionEntry(REDUCE, 329);
   _actionMap[263][KSEP] = ActionEntry(REDUCE, 329);
   _actionMap[263][ROWLIMIT] = ActionEntry(REDUCE, 329);
   _actionMap[263][UNION] = ActionEntry(REDUCE, 329);
   _actionMap[263][ENDTOKEN] = ActionEntry(REDUCE, 329);
   _actionMap[263][RB] = ActionEntry(REDUCE, 329);
}
void Cego::loadParser200()
{
   _actionMap[263][SEMICOLON] = ActionEntry(REDUCE, 329);
   _actionMap[263][CONCAT] = ActionEntry(REDUCE, 329);
   _actionMap[263][STAR] = ActionEntry(REDUCE, 329);
   _actionMap[263][DIVISION] = ActionEntry(REDUCE, 329);
   _actionMap[263][MINUS] = ActionEntry(REDUCE, 329);
   _actionMap[263][PLUS] = ActionEntry(REDUCE, 329);
   _actionMap[264][WHEN] = ActionEntry(REDUCE, 325);
   _actionMap[264][ELSE] = ActionEntry(REDUCE, 325);
   _actionMap[264][LEFT] = ActionEntry(REDUCE, 325);
   _actionMap[264][RIGHT] = ActionEntry(REDUCE, 325);
   _actionMap[264][INNER] = ActionEntry(REDUCE, 325);
   _actionMap[264][JOIN] = ActionEntry(REDUCE, 325);
   _actionMap[264][RETURNTOKEN] = ActionEntry(REDUCE, 325);
   _actionMap[264][GROUP] = ActionEntry(REDUCE, 325);
   _actionMap[264][WHERE] = ActionEntry(REDUCE, 325);
   _actionMap[264][FROM] = ActionEntry(REDUCE, 325);
   _actionMap[264][AS] = ActionEntry(REDUCE, 325);
   _actionMap[264][END_TOKEN] = ActionEntry(REDUCE, 325);
   _actionMap[264][BEGIN] = ActionEntry(REDUCE, 325);
   _actionMap[264][THEN] = ActionEntry(REDUCE, 325);
   _actionMap[264][OR] = ActionEntry(REDUCE, 325);
   _actionMap[264][AND] = ActionEntry(REDUCE, 325);
   _actionMap[264][INTOK] = ActionEntry(REDUCE, 325);
   _actionMap[264][NOT] = ActionEntry(REDUCE, 325);
   _actionMap[264][BETWEEN] = ActionEntry(REDUCE, 325);
   _actionMap[264][IS] = ActionEntry(REDUCE, 325);
   _actionMap[264][LIKE] = ActionEntry(REDUCE, 325);
   _actionMap[264][HAVING] = ActionEntry(REDUCE, 325);
   _actionMap[264][ORDER] = ActionEntry(REDUCE, 325);
   _actionMap[264][MT] = ActionEntry(REDUCE, 325);
   _actionMap[264][LT] = ActionEntry(REDUCE, 325);
   _actionMap[264][NEGATION] = ActionEntry(REDUCE, 325);
   _actionMap[264][EQU] = ActionEntry(REDUCE, 325);
   _actionMap[264][RB] = ActionEntry(REDUCE, 325);
   _actionMap[264][ENDTOKEN] = ActionEntry(REDUCE, 325);
   _actionMap[264][UNION] = ActionEntry(REDUCE, 325);
   _actionMap[264][ROWLIMIT] = ActionEntry(REDUCE, 325);
   _actionMap[264][KSEP] = ActionEntry(REDUCE, 325);
   _actionMap[264][ASC] = ActionEntry(REDUCE, 325);
   _actionMap[264][DESC] = ActionEntry(REDUCE, 325);
   _actionMap[264][SEMICOLON] = ActionEntry(REDUCE, 325);
   _actionMap[264][PLUS] = ActionEntry(REDUCE, 325);
   _actionMap[264][MINUS] = ActionEntry(REDUCE, 325);
   _actionMap[264][DIVISION] = ActionEntry(REDUCE, 325);
   _actionMap[264][STAR] = ActionEntry(REDUCE, 325);
   _actionMap[264][CONCAT] = ActionEntry(REDUCE, 325);
   _actionMap[265][TO] = ActionEntry(SHIFT, 399);
   _actionMap[266][TO] = ActionEntry(SHIFT, 400);
   _actionMap[267][TO] = ActionEntry(SHIFT, 401);
   _actionMap[268][TO] = ActionEntry(SHIFT, 402);
}
void Cego::loadParser201()
{
   _actionMap[269][TO] = ActionEntry(SHIFT, 403);
   _actionMap[270][TO] = ActionEntry(SHIFT, 404);
   _actionMap[271][SEMICOLON] = ActionEntry(REDUCE, 35);
   _actionMap[272][SEMICOLON] = ActionEntry(REDUCE, 34);
   _actionMap[273][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[273][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[273][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[273][ObjSpec] = 409;
   _jumpMap[273][Table] = 408;
   _jumpMap[273][TableList] = 407;
   _jumpMap[273][JoinSpecList] = 406;
   _jumpMap[273][TableSource] = 405;
   _actionMap[274][PLUS] = ActionEntry(SHIFT, 211);
   _actionMap[274][MINUS] = ActionEntry(SHIFT, 210);
   _actionMap[274][CONCAT] = ActionEntry(SHIFT, 209);
   _actionMap[274][AS] = ActionEntry(SHIFT, 411);
   _actionMap[274][FROM] = ActionEntry(REDUCE, 210);
   _actionMap[274][KSEP] = ActionEntry(REDUCE, 210);
   _jumpMap[274][AliasOpt] = 410;
   _actionMap[275][KSEP] = ActionEntry(SHIFT, 412);
   _actionMap[275][FROM] = ActionEntry(REDUCE, 190);
   _actionMap[276][FROM] = ActionEntry(REDUCE, 193);
   _actionMap[276][KSEP] = ActionEntry(REDUCE, 193);
   _actionMap[277][SEMICOLON] = ActionEntry(REDUCE, 30);
   _actionMap[278][SEMICOLON] = ActionEntry(REDUCE, 29);
   _actionMap[279][SEMICOLON] = ActionEntry(REDUCE, 32);
   _actionMap[280][SEMICOLON] = ActionEntry(REDUCE, 31);
   _actionMap[281][TO] = ActionEntry(SHIFT, 413);
   _actionMap[282][SEMICOLON] = ActionEntry(REDUCE, 33);
   _actionMap[283][SEMICOLON] = ActionEntry(REDUCE, 24);
   _actionMap[284][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[284][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[284][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[284][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[284][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[284][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[284][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[284][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[284][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[284][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[284][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[284][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[284][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[284][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[284][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[284][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[284][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[284][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[284][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[284][STR2INT] = ActionEntry(SHIFT, 129);
}
void Cego::loadParser202()
{
   _actionMap[284][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[284][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[284][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[284][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[284][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[284][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[284][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[284][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[284][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[284][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[284][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[284][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[284][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[284][LB] = ActionEntry(SHIFT, 135);
   _actionMap[284][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[284][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[284][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[284][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[284][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[284][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[284][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[284][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[284][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[284][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[284][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[284][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[284][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[284][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[284][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[284][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[284][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[284][ObjSpec] = 94;
   _jumpMap[284][Constant] = 93;
   _jumpMap[284][SignedFloat] = 92;
   _jumpMap[284][SignedInt] = 91;
   _jumpMap[284][Attribute] = 90;
   _jumpMap[284][Function] = 89;
   _jumpMap[284][CasePrepare] = 88;
   _jumpMap[284][CaseClause] = 87;
   _jumpMap[284][Factor] = 86;
   _jumpMap[284][Term] = 85;
   _jumpMap[284][Expr] = 414;
   _actionMap[285][SEMICOLON] = ActionEntry(REDUCE, 23);
   _actionMap[286][SEMICOLON] = ActionEntry(REDUCE, 21);
   _actionMap[287][SEMICOLON] = ActionEntry(REDUCE, 22);
   _actionMap[288][IDENTIFIER] = ActionEntry(SHIFT, 417);
   _jumpMap[288][Assignment] = 416;
   _jumpMap[288][UpdateList] = 415;
   _actionMap[289][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[289][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
}
void Cego::loadParser203()
{
   _actionMap[289][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[289][ObjSpec] = 418;
   _actionMap[38][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[38][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[38][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[38][ObjSpec] = 172;
   _actionMap[39][IDENTIFIER] = ActionEntry(SHIFT, 173);
   _actionMap[40][KEY] = ActionEntry(SHIFT, 174);
   _actionMap[41][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[41][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[41][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[41][ObjSpec] = 175;
   _actionMap[42][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[42][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[42][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[42][ObjSpec] = 176;
   _actionMap[43][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[43][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[43][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[43][ObjSpec] = 177;
   _actionMap[44][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[44][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[44][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[44][ObjSpec] = 178;
   _actionMap[45][ENDTOKEN] = ActionEntry(ACCEPT, 0);
   _actionMap[46][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[46][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[46][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[46][ObjSpec] = 179;
   _actionMap[47][IDENTIFIED] = ActionEntry(SHIFT, 180);
   _actionMap[48][LB] = ActionEntry(SHIFT, 181);
   _actionMap[49][SET] = ActionEntry(REDUCE, 349);
   _actionMap[49][TO] = ActionEntry(REDUCE, 349);
   _actionMap[49][VALUES] = ActionEntry(REDUCE, 349);
   _actionMap[49][SELECT] = ActionEntry(REDUCE, 349);
   _actionMap[49][AS] = ActionEntry(REDUCE, 349);
   _actionMap[49][DROP] = ActionEntry(REDUCE, 349);
   _actionMap[49][MODIFY] = ActionEntry(REDUCE, 349);
   _actionMap[49][RENAME] = ActionEntry(REDUCE, 349);
   _actionMap[49][ADD] = ActionEntry(REDUCE, 349);
   _actionMap[49][JOIN] = ActionEntry(REDUCE, 349);
   _actionMap[49][INNER] = ActionEntry(REDUCE, 349);
   _actionMap[49][RIGHT] = ActionEntry(REDUCE, 349);
   _actionMap[49][LEFT] = ActionEntry(REDUCE, 349);
   _actionMap[49][KSEP] = ActionEntry(REDUCE, 349);
   _actionMap[49][RETURNTOKEN] = ActionEntry(REDUCE, 349);
   _actionMap[49][SEMICOLON] = ActionEntry(REDUCE, 349);
   _actionMap[49][RB] = ActionEntry(REDUCE, 349);
   _actionMap[49][ENDTOKEN] = ActionEntry(REDUCE, 349);
   _actionMap[49][UNION] = ActionEntry(REDUCE, 349);
}
void Cego::loadParser204()
{
   _actionMap[49][ROWLIMIT] = ActionEntry(REDUCE, 349);
   _actionMap[49][ORDER] = ActionEntry(REDUCE, 349);
   _actionMap[49][GROUP] = ActionEntry(REDUCE, 349);
   _actionMap[49][WHERE] = ActionEntry(REDUCE, 349);
   _actionMap[49][LB] = ActionEntry(REDUCE, 349);
   _actionMap[49][IDENTIFIER] = ActionEntry(REDUCE, 349);
   _actionMap[49][ON] = ActionEntry(REDUCE, 349);
   _actionMap[50][SET] = ActionEntry(REDUCE, 350);
   _actionMap[50][TO] = ActionEntry(REDUCE, 350);
   _actionMap[50][VALUES] = ActionEntry(REDUCE, 350);
   _actionMap[50][SELECT] = ActionEntry(REDUCE, 350);
   _actionMap[50][AS] = ActionEntry(REDUCE, 350);
   _actionMap[50][DROP] = ActionEntry(REDUCE, 350);
   _actionMap[50][MODIFY] = ActionEntry(REDUCE, 350);
   _actionMap[50][RENAME] = ActionEntry(REDUCE, 350);
   _actionMap[50][ADD] = ActionEntry(REDUCE, 350);
   _actionMap[50][JOIN] = ActionEntry(REDUCE, 350);
   _actionMap[50][INNER] = ActionEntry(REDUCE, 350);
   _actionMap[50][RIGHT] = ActionEntry(REDUCE, 350);
   _actionMap[50][LEFT] = ActionEntry(REDUCE, 350);
   _actionMap[50][KSEP] = ActionEntry(REDUCE, 350);
   _actionMap[50][RETURNTOKEN] = ActionEntry(REDUCE, 350);
   _actionMap[50][SEMICOLON] = ActionEntry(REDUCE, 350);
   _actionMap[50][RB] = ActionEntry(REDUCE, 350);
   _actionMap[50][ENDTOKEN] = ActionEntry(REDUCE, 350);
   _actionMap[50][UNION] = ActionEntry(REDUCE, 350);
   _actionMap[50][ROWLIMIT] = ActionEntry(REDUCE, 350);
   _actionMap[50][ORDER] = ActionEntry(REDUCE, 350);
   _actionMap[50][GROUP] = ActionEntry(REDUCE, 350);
   _actionMap[50][WHERE] = ActionEntry(REDUCE, 350);
   _actionMap[50][LB] = ActionEntry(REDUCE, 350);
   _actionMap[50][IDENTIFIER] = ActionEntry(REDUCE, 350);
   _actionMap[50][ON] = ActionEntry(REDUCE, 350);
   _actionMap[51][SET] = ActionEntry(REDUCE, 351);
   _actionMap[51][TO] = ActionEntry(REDUCE, 351);
   _actionMap[51][VALUES] = ActionEntry(REDUCE, 351);
   _actionMap[51][SELECT] = ActionEntry(REDUCE, 351);
   _actionMap[51][AS] = ActionEntry(REDUCE, 351);
   _actionMap[51][DROP] = ActionEntry(REDUCE, 351);
   _actionMap[51][MODIFY] = ActionEntry(REDUCE, 351);
   _actionMap[51][RENAME] = ActionEntry(REDUCE, 351);
   _actionMap[51][ADD] = ActionEntry(REDUCE, 351);
   _actionMap[51][JOIN] = ActionEntry(REDUCE, 351);
   _actionMap[51][INNER] = ActionEntry(REDUCE, 351);
   _actionMap[51][RIGHT] = ActionEntry(REDUCE, 351);
   _actionMap[51][LEFT] = ActionEntry(REDUCE, 351);
   _actionMap[51][KSEP] = ActionEntry(REDUCE, 351);
   _actionMap[51][RETURNTOKEN] = ActionEntry(REDUCE, 351);
   _actionMap[51][SEMICOLON] = ActionEntry(REDUCE, 351);
   _actionMap[51][RB] = ActionEntry(REDUCE, 351);
}
void Cego::loadParser205()
{
   _actionMap[51][ENDTOKEN] = ActionEntry(REDUCE, 351);
   _actionMap[51][UNION] = ActionEntry(REDUCE, 351);
   _actionMap[51][ROWLIMIT] = ActionEntry(REDUCE, 351);
   _actionMap[51][ORDER] = ActionEntry(REDUCE, 351);
   _actionMap[51][GROUP] = ActionEntry(REDUCE, 351);
   _actionMap[51][WHERE] = ActionEntry(REDUCE, 351);
   _actionMap[51][IDENTIFIER] = ActionEntry(REDUCE, 351);
   _actionMap[51][ON] = ActionEntry(REDUCE, 351);
   _actionMap[51][LB] = ActionEntry(REDUCE, 351);
   _actionMap[52][IDENTIFIER] = ActionEntry(SHIFT, 182);
   _actionMap[53][BEGIN] = ActionEntry(SHIFT, 183);
   _actionMap[54][SEMICOLON] = ActionEntry(REDUCE, 45);
   _actionMap[55][INDEX] = ActionEntry(SHIFT, 184);
   _actionMap[56][IDENTIFIER] = ActionEntry(SHIFT, 185);
   _actionMap[57][INDEX] = ActionEntry(SHIFT, 186);
   _actionMap[58][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[58][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[58][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[58][ObjSpec] = 187;
   _actionMap[59][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[59][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[59][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[59][ObjSpec] = 188;
   _actionMap[60][INDEX] = ActionEntry(REDUCE, 175);
   _actionMap[61][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[61][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[61][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[61][ObjSpec] = 189;
   _actionMap[62][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[62][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[62][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[62][ObjSpec] = 190;
   _actionMap[63][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[63][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[63][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[63][ObjSpec] = 191;
   _actionMap[64][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[64][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[64][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[64][ObjSpec] = 192;
   _actionMap[65][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[65][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[65][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[65][ObjSpec] = 193;
   _actionMap[66][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[66][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[66][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[66][ObjSpec] = 194;
   _actionMap[67][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[67][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
}
void Cego::loadParser206()
{
   _actionMap[67][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[67][ObjSpec] = 195;
   _actionMap[68][EXISTS] = ActionEntry(SHIFT, 196);
   _actionMap[69][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[69][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[69][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[69][ObjSpec] = 197;
   _actionMap[70][IDENTIFIER] = ActionEntry(SHIFT, 198);
   _actionMap[70][SEMICOLON] = ActionEntry(REDUCE, 68);
   _actionMap[71][IDENTIFIER] = ActionEntry(REDUCE, 70);
   _actionMap[71][SEMICOLON] = ActionEntry(REDUCE, 70);
   _actionMap[72][FOR] = ActionEntry(SHIFT, 200);
   _actionMap[72][SEMICOLON] = ActionEntry(REDUCE, 12);
   _jumpMap[72][TableSetOpt] = 199;
   _actionMap[73][FOR] = ActionEntry(SHIFT, 200);
   _actionMap[73][SEMICOLON] = ActionEntry(REDUCE, 12);
   _jumpMap[73][TableSetOpt] = 201;
   _actionMap[74][FOR] = ActionEntry(SHIFT, 200);
   _actionMap[74][SEMICOLON] = ActionEntry(REDUCE, 12);
   _jumpMap[74][TableSetOpt] = 202;
   _actionMap[75][FOR] = ActionEntry(SHIFT, 200);
   _actionMap[75][SEMICOLON] = ActionEntry(REDUCE, 12);
   _jumpMap[75][TableSetOpt] = 203;
   _actionMap[76][FOR] = ActionEntry(SHIFT, 200);
   _actionMap[76][SEMICOLON] = ActionEntry(REDUCE, 12);
   _jumpMap[76][TableSetOpt] = 204;
   _actionMap[77][FOR] = ActionEntry(SHIFT, 200);
   _actionMap[77][SEMICOLON] = ActionEntry(REDUCE, 12);
   _jumpMap[77][TableSetOpt] = 205;
   _actionMap[78][SEMICOLON] = ActionEntry(REDUCE, 2);
   _actionMap[79][FOR] = ActionEntry(SHIFT, 200);
   _actionMap[79][SEMICOLON] = ActionEntry(REDUCE, 12);
   _jumpMap[79][TableSetOpt] = 206;
   _actionMap[80][FOR] = ActionEntry(SHIFT, 200);
   _actionMap[80][SEMICOLON] = ActionEntry(REDUCE, 12);
   _jumpMap[80][TableSetOpt] = 207;
   _actionMap[81][SEMICOLON] = ActionEntry(REDUCE, 46);
   _actionMap[82][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[82][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[82][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[82][ObjSpec] = 208;
   _actionMap[83][SEMICOLON] = ActionEntry(REDUCE, 37);
   _actionMap[84][PLUS] = ActionEntry(SHIFT, 211);
   _actionMap[84][MINUS] = ActionEntry(SHIFT, 210);
   _actionMap[84][CONCAT] = ActionEntry(SHIFT, 209);
   _actionMap[84][SEMICOLON] = ActionEntry(REDUCE, 63);
   _actionMap[85][STAR] = ActionEntry(SHIFT, 212);
   _actionMap[85][DIVISION] = ActionEntry(SHIFT, 213);
   _actionMap[85][WHEN] = ActionEntry(REDUCE, 134);
   _actionMap[85][ELSE] = ActionEntry(REDUCE, 134);
}
void Cego::loadParser207()
{
   _actionMap[85][LEFT] = ActionEntry(REDUCE, 134);
   _actionMap[85][RIGHT] = ActionEntry(REDUCE, 134);
   _actionMap[85][INNER] = ActionEntry(REDUCE, 134);
   _actionMap[85][JOIN] = ActionEntry(REDUCE, 134);
   _actionMap[85][RETURNTOKEN] = ActionEntry(REDUCE, 134);
   _actionMap[85][ORDER] = ActionEntry(REDUCE, 134);
   _actionMap[85][GROUP] = ActionEntry(REDUCE, 134);
   _actionMap[85][WHERE] = ActionEntry(REDUCE, 134);
   _actionMap[85][BEGIN] = ActionEntry(REDUCE, 134);
   _actionMap[85][THEN] = ActionEntry(REDUCE, 134);
   _actionMap[85][OR] = ActionEntry(REDUCE, 134);
   _actionMap[85][AS] = ActionEntry(REDUCE, 134);
   _actionMap[85][FROM] = ActionEntry(REDUCE, 134);
   _actionMap[85][END_TOKEN] = ActionEntry(REDUCE, 134);
   _actionMap[85][AND] = ActionEntry(REDUCE, 134);
   _actionMap[85][LIKE] = ActionEntry(REDUCE, 134);
   _actionMap[85][IS] = ActionEntry(REDUCE, 134);
   _actionMap[85][BETWEEN] = ActionEntry(REDUCE, 134);
   _actionMap[85][NOT] = ActionEntry(REDUCE, 134);
   _actionMap[85][INTOK] = ActionEntry(REDUCE, 134);
   _actionMap[85][EQU] = ActionEntry(REDUCE, 134);
   _actionMap[85][NEGATION] = ActionEntry(REDUCE, 134);
   _actionMap[85][LT] = ActionEntry(REDUCE, 134);
   _actionMap[85][MT] = ActionEntry(REDUCE, 134);
   _actionMap[85][DESC] = ActionEntry(REDUCE, 134);
   _actionMap[85][ASC] = ActionEntry(REDUCE, 134);
   _actionMap[85][KSEP] = ActionEntry(REDUCE, 134);
   _actionMap[85][ROWLIMIT] = ActionEntry(REDUCE, 134);
   _actionMap[85][UNION] = ActionEntry(REDUCE, 134);
   _actionMap[85][ENDTOKEN] = ActionEntry(REDUCE, 134);
   _actionMap[85][RB] = ActionEntry(REDUCE, 134);
   _actionMap[85][SEMICOLON] = ActionEntry(REDUCE, 134);
   _actionMap[85][CONCAT] = ActionEntry(REDUCE, 134);
   _actionMap[85][MINUS] = ActionEntry(REDUCE, 134);
   _actionMap[85][PLUS] = ActionEntry(REDUCE, 134);
   _actionMap[86][WHEN] = ActionEntry(REDUCE, 138);
   _actionMap[86][ELSE] = ActionEntry(REDUCE, 138);
   _actionMap[86][LEFT] = ActionEntry(REDUCE, 138);
   _actionMap[86][RIGHT] = ActionEntry(REDUCE, 138);
   _actionMap[86][INNER] = ActionEntry(REDUCE, 138);
   _actionMap[86][JOIN] = ActionEntry(REDUCE, 138);
   _actionMap[86][RETURNTOKEN] = ActionEntry(REDUCE, 138);
   _actionMap[86][ORDER] = ActionEntry(REDUCE, 138);
   _actionMap[86][GROUP] = ActionEntry(REDUCE, 138);
   _actionMap[86][WHERE] = ActionEntry(REDUCE, 138);
   _actionMap[86][BEGIN] = ActionEntry(REDUCE, 138);
   _actionMap[86][THEN] = ActionEntry(REDUCE, 138);
   _actionMap[86][OR] = ActionEntry(REDUCE, 138);
   _actionMap[86][FROM] = ActionEntry(REDUCE, 138);
   _actionMap[86][AS] = ActionEntry(REDUCE, 138);
}
void Cego::loadParser208()
{
   _actionMap[86][END_TOKEN] = ActionEntry(REDUCE, 138);
   _actionMap[86][AND] = ActionEntry(REDUCE, 138);
   _actionMap[86][INTOK] = ActionEntry(REDUCE, 138);
   _actionMap[86][NOT] = ActionEntry(REDUCE, 138);
   _actionMap[86][BETWEEN] = ActionEntry(REDUCE, 138);
   _actionMap[86][IS] = ActionEntry(REDUCE, 138);
   _actionMap[86][LIKE] = ActionEntry(REDUCE, 138);
   _actionMap[86][MT] = ActionEntry(REDUCE, 138);
   _actionMap[86][LT] = ActionEntry(REDUCE, 138);
   _actionMap[86][NEGATION] = ActionEntry(REDUCE, 138);
   _actionMap[86][EQU] = ActionEntry(REDUCE, 138);
   _actionMap[86][RB] = ActionEntry(REDUCE, 138);
   _actionMap[86][ENDTOKEN] = ActionEntry(REDUCE, 138);
   _actionMap[86][UNION] = ActionEntry(REDUCE, 138);
   _actionMap[86][ROWLIMIT] = ActionEntry(REDUCE, 138);
   _actionMap[86][KSEP] = ActionEntry(REDUCE, 138);
   _actionMap[86][ASC] = ActionEntry(REDUCE, 138);
   _actionMap[86][DESC] = ActionEntry(REDUCE, 138);
   _actionMap[86][SEMICOLON] = ActionEntry(REDUCE, 138);
   _actionMap[86][PLUS] = ActionEntry(REDUCE, 138);
   _actionMap[86][MINUS] = ActionEntry(REDUCE, 138);
   _actionMap[86][DIVISION] = ActionEntry(REDUCE, 138);
   _actionMap[86][STAR] = ActionEntry(REDUCE, 138);
   _actionMap[86][CONCAT] = ActionEntry(REDUCE, 138);
   _actionMap[87][WHEN] = ActionEntry(REDUCE, 146);
   _actionMap[87][ELSE] = ActionEntry(REDUCE, 146);
   _actionMap[87][LEFT] = ActionEntry(REDUCE, 146);
   _actionMap[87][RIGHT] = ActionEntry(REDUCE, 146);
   _actionMap[87][INNER] = ActionEntry(REDUCE, 146);
   _actionMap[87][JOIN] = ActionEntry(REDUCE, 146);
   _actionMap[87][RETURNTOKEN] = ActionEntry(REDUCE, 146);
   _actionMap[87][ORDER] = ActionEntry(REDUCE, 146);
   _actionMap[87][GROUP] = ActionEntry(REDUCE, 146);
   _actionMap[87][WHERE] = ActionEntry(REDUCE, 146);
   _actionMap[87][BEGIN] = ActionEntry(REDUCE, 146);
   _actionMap[87][THEN] = ActionEntry(REDUCE, 146);
   _actionMap[87][OR] = ActionEntry(REDUCE, 146);
   _actionMap[87][AS] = ActionEntry(REDUCE, 146);
   _actionMap[87][FROM] = ActionEntry(REDUCE, 146);
   _actionMap[87][END_TOKEN] = ActionEntry(REDUCE, 146);
   _actionMap[87][AND] = ActionEntry(REDUCE, 146);
   _actionMap[87][LIKE] = ActionEntry(REDUCE, 146);
   _actionMap[87][IS] = ActionEntry(REDUCE, 146);
   _actionMap[87][BETWEEN] = ActionEntry(REDUCE, 146);
   _actionMap[87][NOT] = ActionEntry(REDUCE, 146);
   _actionMap[87][INTOK] = ActionEntry(REDUCE, 146);
   _actionMap[87][EQU] = ActionEntry(REDUCE, 146);
   _actionMap[87][NEGATION] = ActionEntry(REDUCE, 146);
   _actionMap[87][LT] = ActionEntry(REDUCE, 146);
   _actionMap[87][MT] = ActionEntry(REDUCE, 146);
}
void Cego::loadParser209()
{
   _actionMap[87][DESC] = ActionEntry(REDUCE, 146);
   _actionMap[87][ASC] = ActionEntry(REDUCE, 146);
   _actionMap[87][KSEP] = ActionEntry(REDUCE, 146);
   _actionMap[87][ROWLIMIT] = ActionEntry(REDUCE, 146);
   _actionMap[87][UNION] = ActionEntry(REDUCE, 146);
   _actionMap[87][ENDTOKEN] = ActionEntry(REDUCE, 146);
   _actionMap[87][RB] = ActionEntry(REDUCE, 146);
   _actionMap[87][SEMICOLON] = ActionEntry(REDUCE, 146);
   _actionMap[87][CONCAT] = ActionEntry(REDUCE, 146);
   _actionMap[87][STAR] = ActionEntry(REDUCE, 146);
   _actionMap[87][DIVISION] = ActionEntry(REDUCE, 146);
   _actionMap[87][MINUS] = ActionEntry(REDUCE, 146);
   _actionMap[87][PLUS] = ActionEntry(REDUCE, 146);
   _actionMap[88][WHEN] = ActionEntry(SHIFT, 216);
   _jumpMap[88][CaseCondition] = 215;
   _jumpMap[88][CaseConditionList] = 214;
   _actionMap[89][WHEN] = ActionEntry(REDUCE, 143);
   _actionMap[89][ELSE] = ActionEntry(REDUCE, 143);
   _actionMap[89][LEFT] = ActionEntry(REDUCE, 143);
   _actionMap[89][RIGHT] = ActionEntry(REDUCE, 143);
   _actionMap[89][INNER] = ActionEntry(REDUCE, 143);
   _actionMap[89][JOIN] = ActionEntry(REDUCE, 143);
   _actionMap[89][RETURNTOKEN] = ActionEntry(REDUCE, 143);
   _actionMap[89][ORDER] = ActionEntry(REDUCE, 143);
   _actionMap[89][GROUP] = ActionEntry(REDUCE, 143);
   _actionMap[89][WHERE] = ActionEntry(REDUCE, 143);
   _actionMap[89][BEGIN] = ActionEntry(REDUCE, 143);
   _actionMap[89][THEN] = ActionEntry(REDUCE, 143);
   _actionMap[89][OR] = ActionEntry(REDUCE, 143);
   _actionMap[89][AS] = ActionEntry(REDUCE, 143);
   _actionMap[89][FROM] = ActionEntry(REDUCE, 143);
   _actionMap[89][END_TOKEN] = ActionEntry(REDUCE, 143);
   _actionMap[89][AND] = ActionEntry(REDUCE, 143);
   _actionMap[89][LIKE] = ActionEntry(REDUCE, 143);
   _actionMap[89][IS] = ActionEntry(REDUCE, 143);
   _actionMap[89][BETWEEN] = ActionEntry(REDUCE, 143);
   _actionMap[89][NOT] = ActionEntry(REDUCE, 143);
   _actionMap[89][INTOK] = ActionEntry(REDUCE, 143);
   _actionMap[89][EQU] = ActionEntry(REDUCE, 143);
   _actionMap[89][NEGATION] = ActionEntry(REDUCE, 143);
   _actionMap[89][LT] = ActionEntry(REDUCE, 143);
   _actionMap[89][MT] = ActionEntry(REDUCE, 143);
   _actionMap[89][DESC] = ActionEntry(REDUCE, 143);
   _actionMap[89][ASC] = ActionEntry(REDUCE, 143);
   _actionMap[89][KSEP] = ActionEntry(REDUCE, 143);
   _actionMap[89][ROWLIMIT] = ActionEntry(REDUCE, 143);
   _actionMap[89][UNION] = ActionEntry(REDUCE, 143);
   _actionMap[89][ENDTOKEN] = ActionEntry(REDUCE, 143);
   _actionMap[89][RB] = ActionEntry(REDUCE, 143);
   _actionMap[89][SEMICOLON] = ActionEntry(REDUCE, 143);
}
void Cego::loadParser210()
{
   _actionMap[89][CONCAT] = ActionEntry(REDUCE, 143);
   _actionMap[89][STAR] = ActionEntry(REDUCE, 143);
   _actionMap[89][DIVISION] = ActionEntry(REDUCE, 143);
   _actionMap[89][MINUS] = ActionEntry(REDUCE, 143);
   _actionMap[89][PLUS] = ActionEntry(REDUCE, 143);
   _actionMap[90][WHEN] = ActionEntry(REDUCE, 142);
   _actionMap[90][ELSE] = ActionEntry(REDUCE, 142);
   _actionMap[90][LEFT] = ActionEntry(REDUCE, 142);
   _actionMap[90][RIGHT] = ActionEntry(REDUCE, 142);
   _actionMap[90][INNER] = ActionEntry(REDUCE, 142);
   _actionMap[90][JOIN] = ActionEntry(REDUCE, 142);
   _actionMap[90][RETURNTOKEN] = ActionEntry(REDUCE, 142);
   _actionMap[90][ORDER] = ActionEntry(REDUCE, 142);
   _actionMap[90][GROUP] = ActionEntry(REDUCE, 142);
   _actionMap[90][WHERE] = ActionEntry(REDUCE, 142);
   _actionMap[90][AS] = ActionEntry(REDUCE, 142);
   _actionMap[90][FROM] = ActionEntry(REDUCE, 142);
   _actionMap[90][END_TOKEN] = ActionEntry(REDUCE, 142);
   _actionMap[90][BEGIN] = ActionEntry(REDUCE, 142);
   _actionMap[90][THEN] = ActionEntry(REDUCE, 142);
   _actionMap[90][OR] = ActionEntry(REDUCE, 142);
   _actionMap[90][AND] = ActionEntry(REDUCE, 142);
   _actionMap[90][LIKE] = ActionEntry(REDUCE, 142);
   _actionMap[90][IS] = ActionEntry(REDUCE, 142);
   _actionMap[90][BETWEEN] = ActionEntry(REDUCE, 142);
   _actionMap[90][NOT] = ActionEntry(REDUCE, 142);
   _actionMap[90][INTOK] = ActionEntry(REDUCE, 142);
   _actionMap[90][EQU] = ActionEntry(REDUCE, 142);
   _actionMap[90][NEGATION] = ActionEntry(REDUCE, 142);
   _actionMap[90][LT] = ActionEntry(REDUCE, 142);
   _actionMap[90][MT] = ActionEntry(REDUCE, 142);
   _actionMap[90][DESC] = ActionEntry(REDUCE, 142);
   _actionMap[90][ASC] = ActionEntry(REDUCE, 142);
   _actionMap[90][KSEP] = ActionEntry(REDUCE, 142);
   _actionMap[90][ROWLIMIT] = ActionEntry(REDUCE, 142);
   _actionMap[90][UNION] = ActionEntry(REDUCE, 142);
   _actionMap[90][ENDTOKEN] = ActionEntry(REDUCE, 142);
   _actionMap[90][RB] = ActionEntry(REDUCE, 142);
   _actionMap[90][SEMICOLON] = ActionEntry(REDUCE, 142);
   _actionMap[90][CONCAT] = ActionEntry(REDUCE, 142);
   _actionMap[90][STAR] = ActionEntry(REDUCE, 142);
   _actionMap[90][DIVISION] = ActionEntry(REDUCE, 142);
   _actionMap[90][MINUS] = ActionEntry(REDUCE, 142);
   _actionMap[90][PLUS] = ActionEntry(REDUCE, 142);
   _actionMap[91][WHEN] = ActionEntry(REDUCE, 330);
   _actionMap[91][ELSE] = ActionEntry(REDUCE, 330);
   _actionMap[91][LEFT] = ActionEntry(REDUCE, 330);
   _actionMap[91][RIGHT] = ActionEntry(REDUCE, 330);
   _actionMap[91][INNER] = ActionEntry(REDUCE, 330);
   _actionMap[91][JOIN] = ActionEntry(REDUCE, 330);
}
void Cego::loadParser211()
{
   _actionMap[91][RETURNTOKEN] = ActionEntry(REDUCE, 330);
   _actionMap[91][ORDER] = ActionEntry(REDUCE, 330);
   _actionMap[91][GROUP] = ActionEntry(REDUCE, 330);
   _actionMap[91][WHERE] = ActionEntry(REDUCE, 330);
   _actionMap[91][NULLTOKEN] = ActionEntry(REDUCE, 330);
   _actionMap[91][FROM] = ActionEntry(REDUCE, 330);
   _actionMap[91][AS] = ActionEntry(REDUCE, 330);
   _actionMap[91][END_TOKEN] = ActionEntry(REDUCE, 330);
   _actionMap[91][BEGIN] = ActionEntry(REDUCE, 330);
   _actionMap[91][THEN] = ActionEntry(REDUCE, 330);
   _actionMap[91][OR] = ActionEntry(REDUCE, 330);
   _actionMap[91][AND] = ActionEntry(REDUCE, 330);
   _actionMap[91][INTOK] = ActionEntry(REDUCE, 330);
   _actionMap[91][NOT] = ActionEntry(REDUCE, 330);
   _actionMap[91][BETWEEN] = ActionEntry(REDUCE, 330);
   _actionMap[91][IS] = ActionEntry(REDUCE, 330);
   _actionMap[91][LIKE] = ActionEntry(REDUCE, 330);
   _actionMap[91][MT] = ActionEntry(REDUCE, 330);
   _actionMap[91][LT] = ActionEntry(REDUCE, 330);
   _actionMap[91][NEGATION] = ActionEntry(REDUCE, 330);
   _actionMap[91][EQU] = ActionEntry(REDUCE, 330);
   _actionMap[91][RB] = ActionEntry(REDUCE, 330);
   _actionMap[91][ENDTOKEN] = ActionEntry(REDUCE, 330);
   _actionMap[91][UNION] = ActionEntry(REDUCE, 330);
   _actionMap[91][ROWLIMIT] = ActionEntry(REDUCE, 330);
   _actionMap[91][KSEP] = ActionEntry(REDUCE, 330);
   _actionMap[91][ASC] = ActionEntry(REDUCE, 330);
   _actionMap[91][DESC] = ActionEntry(REDUCE, 330);
   _actionMap[91][SEMICOLON] = ActionEntry(REDUCE, 330);
   _actionMap[91][PLUS] = ActionEntry(REDUCE, 330);
   _actionMap[91][MINUS] = ActionEntry(REDUCE, 330);
   _actionMap[91][DIVISION] = ActionEntry(REDUCE, 330);
   _actionMap[91][STAR] = ActionEntry(REDUCE, 330);
   _actionMap[91][CONCAT] = ActionEntry(REDUCE, 330);
   _actionMap[92][WHEN] = ActionEntry(REDUCE, 336);
   _actionMap[92][ELSE] = ActionEntry(REDUCE, 336);
   _actionMap[92][LEFT] = ActionEntry(REDUCE, 336);
   _actionMap[92][RIGHT] = ActionEntry(REDUCE, 336);
   _actionMap[92][INNER] = ActionEntry(REDUCE, 336);
   _actionMap[92][JOIN] = ActionEntry(REDUCE, 336);
   _actionMap[92][RETURNTOKEN] = ActionEntry(REDUCE, 336);
   _actionMap[92][ORDER] = ActionEntry(REDUCE, 336);
   _actionMap[92][GROUP] = ActionEntry(REDUCE, 336);
   _actionMap[92][WHERE] = ActionEntry(REDUCE, 336);
   _actionMap[92][NULLTOKEN] = ActionEntry(REDUCE, 336);
   _actionMap[92][FROM] = ActionEntry(REDUCE, 336);
   _actionMap[92][AS] = ActionEntry(REDUCE, 336);
   _actionMap[92][END_TOKEN] = ActionEntry(REDUCE, 336);
   _actionMap[92][BEGIN] = ActionEntry(REDUCE, 336);
   _actionMap[92][THEN] = ActionEntry(REDUCE, 336);
}
void Cego::loadParser212()
{
   _actionMap[92][OR] = ActionEntry(REDUCE, 336);
   _actionMap[92][AND] = ActionEntry(REDUCE, 336);
   _actionMap[92][INTOK] = ActionEntry(REDUCE, 336);
   _actionMap[92][NOT] = ActionEntry(REDUCE, 336);
   _actionMap[92][BETWEEN] = ActionEntry(REDUCE, 336);
   _actionMap[92][IS] = ActionEntry(REDUCE, 336);
   _actionMap[92][LIKE] = ActionEntry(REDUCE, 336);
   _actionMap[92][MT] = ActionEntry(REDUCE, 336);
   _actionMap[92][LT] = ActionEntry(REDUCE, 336);
   _actionMap[92][NEGATION] = ActionEntry(REDUCE, 336);
   _actionMap[92][EQU] = ActionEntry(REDUCE, 336);
   _actionMap[92][RB] = ActionEntry(REDUCE, 336);
   _actionMap[92][ENDTOKEN] = ActionEntry(REDUCE, 336);
   _actionMap[92][UNION] = ActionEntry(REDUCE, 336);
   _actionMap[92][ROWLIMIT] = ActionEntry(REDUCE, 336);
   _actionMap[92][KSEP] = ActionEntry(REDUCE, 336);
   _actionMap[92][ASC] = ActionEntry(REDUCE, 336);
   _actionMap[92][DESC] = ActionEntry(REDUCE, 336);
   _actionMap[92][SEMICOLON] = ActionEntry(REDUCE, 336);
   _actionMap[92][PLUS] = ActionEntry(REDUCE, 336);
   _actionMap[92][MINUS] = ActionEntry(REDUCE, 336);
   _actionMap[92][DIVISION] = ActionEntry(REDUCE, 336);
   _actionMap[92][STAR] = ActionEntry(REDUCE, 336);
   _actionMap[92][CONCAT] = ActionEntry(REDUCE, 336);
   _actionMap[93][WHEN] = ActionEntry(REDUCE, 140);
   _actionMap[93][ELSE] = ActionEntry(REDUCE, 140);
   _actionMap[93][LEFT] = ActionEntry(REDUCE, 140);
   _actionMap[93][RIGHT] = ActionEntry(REDUCE, 140);
   _actionMap[93][INNER] = ActionEntry(REDUCE, 140);
   _actionMap[93][JOIN] = ActionEntry(REDUCE, 140);
   _actionMap[93][RETURNTOKEN] = ActionEntry(REDUCE, 140);
   _actionMap[93][ORDER] = ActionEntry(REDUCE, 140);
   _actionMap[93][GROUP] = ActionEntry(REDUCE, 140);
   _actionMap[93][WHERE] = ActionEntry(REDUCE, 140);
   _actionMap[93][AS] = ActionEntry(REDUCE, 140);
   _actionMap[93][FROM] = ActionEntry(REDUCE, 140);
   _actionMap[93][END_TOKEN] = ActionEntry(REDUCE, 140);
   _actionMap[93][BEGIN] = ActionEntry(REDUCE, 140);
   _actionMap[93][THEN] = ActionEntry(REDUCE, 140);
   _actionMap[93][OR] = ActionEntry(REDUCE, 140);
   _actionMap[93][AND] = ActionEntry(REDUCE, 140);
   _actionMap[93][LIKE] = ActionEntry(REDUCE, 140);
   _actionMap[93][IS] = ActionEntry(REDUCE, 140);
   _actionMap[93][BETWEEN] = ActionEntry(REDUCE, 140);
   _actionMap[93][NOT] = ActionEntry(REDUCE, 140);
   _actionMap[93][INTOK] = ActionEntry(REDUCE, 140);
   _actionMap[93][EQU] = ActionEntry(REDUCE, 140);
   _actionMap[93][NEGATION] = ActionEntry(REDUCE, 140);
   _actionMap[93][LT] = ActionEntry(REDUCE, 140);
   _actionMap[93][MT] = ActionEntry(REDUCE, 140);
}
void Cego::loadParser213()
{
   _actionMap[93][DESC] = ActionEntry(REDUCE, 140);
   _actionMap[93][ASC] = ActionEntry(REDUCE, 140);
   _actionMap[93][KSEP] = ActionEntry(REDUCE, 140);
   _actionMap[93][ROWLIMIT] = ActionEntry(REDUCE, 140);
   _actionMap[93][UNION] = ActionEntry(REDUCE, 140);
   _actionMap[93][ENDTOKEN] = ActionEntry(REDUCE, 140);
   _actionMap[93][RB] = ActionEntry(REDUCE, 140);
   _actionMap[93][SEMICOLON] = ActionEntry(REDUCE, 140);
   _actionMap[93][CONCAT] = ActionEntry(REDUCE, 140);
   _actionMap[93][STAR] = ActionEntry(REDUCE, 140);
   _actionMap[93][DIVISION] = ActionEntry(REDUCE, 140);
   _actionMap[93][MINUS] = ActionEntry(REDUCE, 140);
   _actionMap[93][PLUS] = ActionEntry(REDUCE, 140);
   _actionMap[94][LB] = ActionEntry(SHIFT, 217);
   _actionMap[95][WHEN] = ActionEntry(REDUCE, 335);
   _actionMap[95][ELSE] = ActionEntry(REDUCE, 335);
   _actionMap[95][LEFT] = ActionEntry(REDUCE, 335);
   _actionMap[95][RIGHT] = ActionEntry(REDUCE, 335);
   _actionMap[95][INNER] = ActionEntry(REDUCE, 335);
   _actionMap[95][JOIN] = ActionEntry(REDUCE, 335);
   _actionMap[95][RETURNTOKEN] = ActionEntry(REDUCE, 335);
   _actionMap[95][ORDER] = ActionEntry(REDUCE, 335);
   _actionMap[95][GROUP] = ActionEntry(REDUCE, 335);
   _actionMap[95][WHERE] = ActionEntry(REDUCE, 335);
   _actionMap[95][NULLTOKEN] = ActionEntry(REDUCE, 335);
   _actionMap[95][FROM] = ActionEntry(REDUCE, 335);
   _actionMap[95][AS] = ActionEntry(REDUCE, 335);
   _actionMap[95][END_TOKEN] = ActionEntry(REDUCE, 335);
   _actionMap[95][BEGIN] = ActionEntry(REDUCE, 335);
   _actionMap[95][THEN] = ActionEntry(REDUCE, 335);
   _actionMap[95][OR] = ActionEntry(REDUCE, 335);
   _actionMap[95][AND] = ActionEntry(REDUCE, 335);
   _actionMap[95][INTOK] = ActionEntry(REDUCE, 335);
   _actionMap[95][NOT] = ActionEntry(REDUCE, 335);
   _actionMap[95][BETWEEN] = ActionEntry(REDUCE, 335);
   _actionMap[95][IS] = ActionEntry(REDUCE, 335);
   _actionMap[95][LIKE] = ActionEntry(REDUCE, 335);
   _actionMap[95][MT] = ActionEntry(REDUCE, 335);
   _actionMap[95][LT] = ActionEntry(REDUCE, 335);
   _actionMap[95][NEGATION] = ActionEntry(REDUCE, 335);
   _actionMap[95][EQU] = ActionEntry(REDUCE, 335);
   _actionMap[95][RB] = ActionEntry(REDUCE, 335);
   _actionMap[95][ENDTOKEN] = ActionEntry(REDUCE, 335);
   _actionMap[95][UNION] = ActionEntry(REDUCE, 335);
   _actionMap[95][ROWLIMIT] = ActionEntry(REDUCE, 335);
   _actionMap[95][KSEP] = ActionEntry(REDUCE, 335);
   _actionMap[95][ASC] = ActionEntry(REDUCE, 335);
   _actionMap[95][DESC] = ActionEntry(REDUCE, 335);
   _actionMap[95][SEMICOLON] = ActionEntry(REDUCE, 335);
   _actionMap[95][PLUS] = ActionEntry(REDUCE, 335);
}
void Cego::loadParser214()
{
   _actionMap[95][MINUS] = ActionEntry(REDUCE, 335);
   _actionMap[95][DIVISION] = ActionEntry(REDUCE, 335);
   _actionMap[95][STAR] = ActionEntry(REDUCE, 335);
   _actionMap[95][CONCAT] = ActionEntry(REDUCE, 335);
   _actionMap[96][LB] = ActionEntry(SHIFT, 218);
   _actionMap[97][LB] = ActionEntry(SHIFT, 219);
   _actionMap[98][LB] = ActionEntry(SHIFT, 220);
   _actionMap[99][LB] = ActionEntry(SHIFT, 221);
   _actionMap[100][WHEN] = ActionEntry(REDUCE, 157);
   _actionMap[101][LB] = ActionEntry(SHIFT, 222);
   _actionMap[102][LB] = ActionEntry(SHIFT, 223);
   _actionMap[103][LB] = ActionEntry(SHIFT, 224);
   _actionMap[104][LB] = ActionEntry(SHIFT, 225);
   _actionMap[105][LB] = ActionEntry(SHIFT, 226);
   _actionMap[106][WHEN] = ActionEntry(REDUCE, 344);
   _actionMap[106][ELSE] = ActionEntry(REDUCE, 344);
   _actionMap[106][LEFT] = ActionEntry(REDUCE, 344);
   _actionMap[106][RIGHT] = ActionEntry(REDUCE, 344);
   _actionMap[106][INNER] = ActionEntry(REDUCE, 344);
   _actionMap[106][JOIN] = ActionEntry(REDUCE, 344);
   _actionMap[106][RETURNTOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[106][ORDER] = ActionEntry(REDUCE, 344);
   _actionMap[106][GROUP] = ActionEntry(REDUCE, 344);
   _actionMap[106][WHERE] = ActionEntry(REDUCE, 344);
   _actionMap[106][FROM] = ActionEntry(REDUCE, 344);
   _actionMap[106][AS] = ActionEntry(REDUCE, 344);
   _actionMap[106][END_TOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[106][BEGIN] = ActionEntry(REDUCE, 344);
   _actionMap[106][THEN] = ActionEntry(REDUCE, 344);
   _actionMap[106][OR] = ActionEntry(REDUCE, 344);
   _actionMap[106][AND] = ActionEntry(REDUCE, 344);
   _actionMap[106][NULLTOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[106][INTOK] = ActionEntry(REDUCE, 344);
   _actionMap[106][NOT] = ActionEntry(REDUCE, 344);
   _actionMap[106][BETWEEN] = ActionEntry(REDUCE, 344);
   _actionMap[106][IS] = ActionEntry(REDUCE, 344);
   _actionMap[106][LIKE] = ActionEntry(REDUCE, 344);
   _actionMap[106][MT] = ActionEntry(REDUCE, 344);
   _actionMap[106][LT] = ActionEntry(REDUCE, 344);
   _actionMap[106][NEGATION] = ActionEntry(REDUCE, 344);
   _actionMap[106][EQU] = ActionEntry(REDUCE, 344);
   _actionMap[106][RB] = ActionEntry(REDUCE, 344);
   _actionMap[106][ENDTOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[106][UNION] = ActionEntry(REDUCE, 344);
   _actionMap[106][ROWLIMIT] = ActionEntry(REDUCE, 344);
   _actionMap[106][KSEP] = ActionEntry(REDUCE, 344);
   _actionMap[106][ASC] = ActionEntry(REDUCE, 344);
   _actionMap[106][DESC] = ActionEntry(REDUCE, 344);
   _actionMap[106][SEMICOLON] = ActionEntry(REDUCE, 344);
   _actionMap[106][PLUS] = ActionEntry(REDUCE, 344);
}
void Cego::loadParser215()
{
   _actionMap[106][MINUS] = ActionEntry(REDUCE, 344);
   _actionMap[106][DIVISION] = ActionEntry(REDUCE, 344);
   _actionMap[106][STAR] = ActionEntry(REDUCE, 344);
   _actionMap[106][CONCAT] = ActionEntry(REDUCE, 344);
   _actionMap[107][IDENTIFIER] = ActionEntry(SHIFT, 227);
   _actionMap[108][LB] = ActionEntry(SHIFT, 228);
   _actionMap[109][LB] = ActionEntry(SHIFT, 229);
   _actionMap[110][LB] = ActionEntry(SHIFT, 230);
   _actionMap[111][LB] = ActionEntry(SHIFT, 231);
   _actionMap[112][LB] = ActionEntry(SHIFT, 232);
   _actionMap[113][LB] = ActionEntry(SHIFT, 233);
   _actionMap[114][LB] = ActionEntry(SHIFT, 234);
   _actionMap[115][LB] = ActionEntry(SHIFT, 235);
   _actionMap[116][LB] = ActionEntry(SHIFT, 236);
   _actionMap[117][LB] = ActionEntry(SHIFT, 237);
   _actionMap[118][WHEN] = ActionEntry(REDUCE, 342);
   _actionMap[118][ELSE] = ActionEntry(REDUCE, 342);
   _actionMap[118][LEFT] = ActionEntry(REDUCE, 342);
   _actionMap[118][RIGHT] = ActionEntry(REDUCE, 342);
   _actionMap[118][INNER] = ActionEntry(REDUCE, 342);
   _actionMap[118][JOIN] = ActionEntry(REDUCE, 342);
   _actionMap[118][RETURNTOKEN] = ActionEntry(REDUCE, 342);
   _actionMap[118][ORDER] = ActionEntry(REDUCE, 342);
   _actionMap[118][GROUP] = ActionEntry(REDUCE, 342);
   _actionMap[118][WHERE] = ActionEntry(REDUCE, 342);
   _actionMap[118][FROM] = ActionEntry(REDUCE, 342);
   _actionMap[118][AS] = ActionEntry(REDUCE, 342);
   _actionMap[118][END_TOKEN] = ActionEntry(REDUCE, 342);
   _actionMap[118][BEGIN] = ActionEntry(REDUCE, 342);
   _actionMap[118][THEN] = ActionEntry(REDUCE, 342);
   _actionMap[118][OR] = ActionEntry(REDUCE, 342);
   _actionMap[118][AND] = ActionEntry(REDUCE, 342);
   _actionMap[118][NULLTOKEN] = ActionEntry(REDUCE, 342);
   _actionMap[118][INTOK] = ActionEntry(REDUCE, 342);
   _actionMap[118][NOT] = ActionEntry(REDUCE, 342);
   _actionMap[118][BETWEEN] = ActionEntry(REDUCE, 342);
   _actionMap[118][IS] = ActionEntry(REDUCE, 342);
   _actionMap[118][LIKE] = ActionEntry(REDUCE, 342);
   _actionMap[118][MT] = ActionEntry(REDUCE, 342);
   _actionMap[118][LT] = ActionEntry(REDUCE, 342);
   _actionMap[118][NEGATION] = ActionEntry(REDUCE, 342);
   _actionMap[118][EQU] = ActionEntry(REDUCE, 342);
   _actionMap[118][RB] = ActionEntry(REDUCE, 342);
   _actionMap[118][ENDTOKEN] = ActionEntry(REDUCE, 342);
   _actionMap[118][UNION] = ActionEntry(REDUCE, 342);
   _actionMap[118][ROWLIMIT] = ActionEntry(REDUCE, 342);
   _actionMap[118][KSEP] = ActionEntry(REDUCE, 342);
   _actionMap[118][ASC] = ActionEntry(REDUCE, 342);
   _actionMap[118][DESC] = ActionEntry(REDUCE, 342);
   _actionMap[118][SEMICOLON] = ActionEntry(REDUCE, 342);
}
void Cego::loadParser216()
{
   _actionMap[118][PLUS] = ActionEntry(REDUCE, 342);
   _actionMap[118][MINUS] = ActionEntry(REDUCE, 342);
   _actionMap[118][DIVISION] = ActionEntry(REDUCE, 342);
   _actionMap[118][STAR] = ActionEntry(REDUCE, 342);
   _actionMap[118][CONCAT] = ActionEntry(REDUCE, 342);
   _actionMap[119][LB] = ActionEntry(SHIFT, 238);
   _actionMap[120][LB] = ActionEntry(SHIFT, 239);
   _actionMap[121][LB] = ActionEntry(SHIFT, 240);
   _actionMap[122][LB] = ActionEntry(SHIFT, 241);
   _actionMap[123][LB] = ActionEntry(SHIFT, 242);
   _actionMap[124][LB] = ActionEntry(SHIFT, 243);
   _actionMap[125][LB] = ActionEntry(SHIFT, 244);
   _actionMap[126][LB] = ActionEntry(SHIFT, 245);
   _actionMap[127][LB] = ActionEntry(SHIFT, 246);
   _actionMap[128][WHEN] = ActionEntry(REDUCE, 341);
   _actionMap[128][ELSE] = ActionEntry(REDUCE, 341);
   _actionMap[128][LEFT] = ActionEntry(REDUCE, 341);
   _actionMap[128][RIGHT] = ActionEntry(REDUCE, 341);
   _actionMap[128][INNER] = ActionEntry(REDUCE, 341);
   _actionMap[128][JOIN] = ActionEntry(REDUCE, 341);
   _actionMap[128][RETURNTOKEN] = ActionEntry(REDUCE, 341);
   _actionMap[128][ORDER] = ActionEntry(REDUCE, 341);
   _actionMap[128][GROUP] = ActionEntry(REDUCE, 341);
   _actionMap[128][WHERE] = ActionEntry(REDUCE, 341);
   _actionMap[128][FROM] = ActionEntry(REDUCE, 341);
   _actionMap[128][AS] = ActionEntry(REDUCE, 341);
   _actionMap[128][END_TOKEN] = ActionEntry(REDUCE, 341);
   _actionMap[128][BEGIN] = ActionEntry(REDUCE, 341);
   _actionMap[128][THEN] = ActionEntry(REDUCE, 341);
   _actionMap[128][OR] = ActionEntry(REDUCE, 341);
   _actionMap[128][AND] = ActionEntry(REDUCE, 341);
   _actionMap[128][NULLTOKEN] = ActionEntry(REDUCE, 341);
   _actionMap[128][INTOK] = ActionEntry(REDUCE, 341);
   _actionMap[128][NOT] = ActionEntry(REDUCE, 341);
   _actionMap[128][BETWEEN] = ActionEntry(REDUCE, 341);
   _actionMap[128][IS] = ActionEntry(REDUCE, 341);
   _actionMap[128][LIKE] = ActionEntry(REDUCE, 341);
   _actionMap[128][MT] = ActionEntry(REDUCE, 341);
   _actionMap[128][LT] = ActionEntry(REDUCE, 341);
   _actionMap[128][NEGATION] = ActionEntry(REDUCE, 341);
   _actionMap[128][EQU] = ActionEntry(REDUCE, 341);
   _actionMap[128][RB] = ActionEntry(REDUCE, 341);
   _actionMap[128][ENDTOKEN] = ActionEntry(REDUCE, 341);
   _actionMap[128][UNION] = ActionEntry(REDUCE, 341);
   _actionMap[128][ROWLIMIT] = ActionEntry(REDUCE, 341);
   _actionMap[128][KSEP] = ActionEntry(REDUCE, 341);
   _actionMap[128][ASC] = ActionEntry(REDUCE, 341);
   _actionMap[128][DESC] = ActionEntry(REDUCE, 341);
   _actionMap[128][SEMICOLON] = ActionEntry(REDUCE, 341);
   _actionMap[128][PLUS] = ActionEntry(REDUCE, 341);
}
void Cego::loadParser217()
{
   _actionMap[128][MINUS] = ActionEntry(REDUCE, 341);
   _actionMap[128][DIVISION] = ActionEntry(REDUCE, 341);
   _actionMap[128][STAR] = ActionEntry(REDUCE, 341);
   _actionMap[128][CONCAT] = ActionEntry(REDUCE, 341);
   _actionMap[129][LB] = ActionEntry(SHIFT, 247);
   _actionMap[130][LB] = ActionEntry(SHIFT, 248);
   _actionMap[131][LB] = ActionEntry(SHIFT, 249);
   _actionMap[132][WHEN] = ActionEntry(REDUCE, 343);
   _actionMap[132][ELSE] = ActionEntry(REDUCE, 343);
   _actionMap[132][LEFT] = ActionEntry(REDUCE, 343);
   _actionMap[132][RIGHT] = ActionEntry(REDUCE, 343);
   _actionMap[132][INNER] = ActionEntry(REDUCE, 343);
   _actionMap[132][JOIN] = ActionEntry(REDUCE, 343);
   _actionMap[132][RETURNTOKEN] = ActionEntry(REDUCE, 343);
   _actionMap[132][ORDER] = ActionEntry(REDUCE, 343);
   _actionMap[132][GROUP] = ActionEntry(REDUCE, 343);
   _actionMap[132][WHERE] = ActionEntry(REDUCE, 343);
   _actionMap[132][FROM] = ActionEntry(REDUCE, 343);
   _actionMap[132][AS] = ActionEntry(REDUCE, 343);
   _actionMap[132][END_TOKEN] = ActionEntry(REDUCE, 343);
   _actionMap[132][BEGIN] = ActionEntry(REDUCE, 343);
   _actionMap[132][THEN] = ActionEntry(REDUCE, 343);
   _actionMap[132][OR] = ActionEntry(REDUCE, 343);
   _actionMap[132][AND] = ActionEntry(REDUCE, 343);
   _actionMap[132][NULLTOKEN] = ActionEntry(REDUCE, 343);
   _actionMap[132][INTOK] = ActionEntry(REDUCE, 343);
   _actionMap[132][NOT] = ActionEntry(REDUCE, 343);
   _actionMap[132][BETWEEN] = ActionEntry(REDUCE, 343);
   _actionMap[132][IS] = ActionEntry(REDUCE, 343);
   _actionMap[132][LIKE] = ActionEntry(REDUCE, 343);
   _actionMap[132][MT] = ActionEntry(REDUCE, 343);
   _actionMap[132][LT] = ActionEntry(REDUCE, 343);
   _actionMap[132][NEGATION] = ActionEntry(REDUCE, 343);
   _actionMap[132][EQU] = ActionEntry(REDUCE, 343);
   _actionMap[132][RB] = ActionEntry(REDUCE, 343);
   _actionMap[132][ENDTOKEN] = ActionEntry(REDUCE, 343);
   _actionMap[132][UNION] = ActionEntry(REDUCE, 343);
   _actionMap[132][ROWLIMIT] = ActionEntry(REDUCE, 343);
   _actionMap[132][KSEP] = ActionEntry(REDUCE, 343);
   _actionMap[132][ASC] = ActionEntry(REDUCE, 343);
   _actionMap[132][DESC] = ActionEntry(REDUCE, 343);
   _actionMap[132][SEMICOLON] = ActionEntry(REDUCE, 343);
   _actionMap[132][PLUS] = ActionEntry(REDUCE, 343);
   _actionMap[132][MINUS] = ActionEntry(REDUCE, 343);
   _actionMap[132][DIVISION] = ActionEntry(REDUCE, 343);
   _actionMap[132][STAR] = ActionEntry(REDUCE, 343);
   _actionMap[132][CONCAT] = ActionEntry(REDUCE, 343);
   _actionMap[133][LB] = ActionEntry(SHIFT, 250);
   _actionMap[134][LB] = ActionEntry(SHIFT, 251);
   _actionMap[135][LONG] = ActionEntry(SHIFT, 258);
}
void Cego::loadParser218()
{
   _actionMap[135][BIGINT] = ActionEntry(SHIFT, 254);
   _actionMap[135][SMALLINT] = ActionEntry(SHIFT, 259);
   _actionMap[135][TINYINT] = ActionEntry(SHIFT, 260);
   _actionMap[135][DOUBLE] = ActionEntry(SHIFT, 256);
   _actionMap[135][DECIMAL] = ActionEntry(SHIFT, 255);
   _actionMap[135][FIXED] = ActionEntry(SHIFT, 257);
   _actionMap[135][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[135][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[135][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[135][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[135][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[135][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[135][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[135][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[135][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[135][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[135][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[135][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[135][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[135][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[135][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[135][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[135][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[135][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[135][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[135][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[135][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[135][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[135][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[135][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[135][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[135][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[135][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[135][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[135][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[135][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[135][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[135][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[135][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[135][LB] = ActionEntry(SHIFT, 135);
   _actionMap[135][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[135][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[135][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[135][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[135][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[135][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[135][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[135][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[135][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[135][CASE] = ActionEntry(SHIFT, 100);
}
void Cego::loadParser219()
{
   _actionMap[135][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[135][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[135][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[135][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[135][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[135][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[135][MAX] = ActionEntry(SHIFT, 115);
   _actionMap[135][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[135][ObjSpec] = 94;
   _jumpMap[135][Constant] = 93;
   _jumpMap[135][SignedFloat] = 92;
   _jumpMap[135][SignedInt] = 91;
   _jumpMap[135][Attribute] = 90;
   _jumpMap[135][Function] = 89;
   _jumpMap[135][SelectStatement] = 253;
   _jumpMap[135][CasePrepare] = 88;
   _jumpMap[135][CaseClause] = 87;
   _jumpMap[135][Factor] = 86;
   _jumpMap[135][Term] = 85;
   _jumpMap[135][Expr] = 252;
   _actionMap[136][INTVAL] = ActionEntry(SHIFT, 261);
   _actionMap[137][FLOATVAL] = ActionEntry(SHIFT, 263);
   _actionMap[137][INTVAL] = ActionEntry(SHIFT, 262);
   _actionMap[138][WHEN] = ActionEntry(REDUCE, 326);
   _actionMap[138][ELSE] = ActionEntry(REDUCE, 326);
   _actionMap[138][LEFT] = ActionEntry(REDUCE, 326);
   _actionMap[138][RIGHT] = ActionEntry(REDUCE, 326);
   _actionMap[138][INNER] = ActionEntry(REDUCE, 326);
   _actionMap[138][JOIN] = ActionEntry(REDUCE, 326);
   _actionMap[138][RETURNTOKEN] = ActionEntry(REDUCE, 326);
   _actionMap[138][ORDER] = ActionEntry(REDUCE, 326);
   _actionMap[138][GROUP] = ActionEntry(REDUCE, 326);
   _actionMap[138][WHERE] = ActionEntry(REDUCE, 326);
   _actionMap[138][AS] = ActionEntry(REDUCE, 326);
   _actionMap[138][FROM] = ActionEntry(REDUCE, 326);
   _actionMap[138][END_TOKEN] = ActionEntry(REDUCE, 326);
   _actionMap[138][BEGIN] = ActionEntry(REDUCE, 326);
   _actionMap[138][THEN] = ActionEntry(REDUCE, 326);
   _actionMap[138][OR] = ActionEntry(REDUCE, 326);
   _actionMap[138][AND] = ActionEntry(REDUCE, 326);
   _actionMap[138][NULLTOKEN] = ActionEntry(REDUCE, 326);
   _actionMap[138][LIKE] = ActionEntry(REDUCE, 326);
   _actionMap[138][IS] = ActionEntry(REDUCE, 326);
   _actionMap[138][BETWEEN] = ActionEntry(REDUCE, 326);
   _actionMap[138][NOT] = ActionEntry(REDUCE, 326);
   _actionMap[138][INTOK] = ActionEntry(REDUCE, 326);
   _actionMap[138][EQU] = ActionEntry(REDUCE, 326);
   _actionMap[138][NEGATION] = ActionEntry(REDUCE, 326);
   _actionMap[138][LT] = ActionEntry(REDUCE, 326);
   _actionMap[138][MT] = ActionEntry(REDUCE, 326);
}
void Cego::loadParser220()
{
   _actionMap[138][DESC] = ActionEntry(REDUCE, 326);
   _actionMap[138][ASC] = ActionEntry(REDUCE, 326);
   _actionMap[138][KSEP] = ActionEntry(REDUCE, 326);
   _actionMap[138][ROWLIMIT] = ActionEntry(REDUCE, 326);
   _actionMap[138][UNION] = ActionEntry(REDUCE, 326);
   _actionMap[138][ENDTOKEN] = ActionEntry(REDUCE, 326);
   _actionMap[138][RB] = ActionEntry(REDUCE, 326);
   _actionMap[138][SEMICOLON] = ActionEntry(REDUCE, 326);
   _actionMap[138][CONCAT] = ActionEntry(REDUCE, 326);
   _actionMap[138][STAR] = ActionEntry(REDUCE, 326);
   _actionMap[138][DIVISION] = ActionEntry(REDUCE, 326);
   _actionMap[138][MINUS] = ActionEntry(REDUCE, 326);
   _actionMap[138][PLUS] = ActionEntry(REDUCE, 326);
   _actionMap[139][WHEN] = ActionEntry(REDUCE, 328);
   _actionMap[139][ELSE] = ActionEntry(REDUCE, 328);
   _actionMap[139][LEFT] = ActionEntry(REDUCE, 328);
   _actionMap[139][RIGHT] = ActionEntry(REDUCE, 328);
   _actionMap[139][INNER] = ActionEntry(REDUCE, 328);
   _actionMap[139][JOIN] = ActionEntry(REDUCE, 328);
   _actionMap[139][RETURNTOKEN] = ActionEntry(REDUCE, 328);
   _actionMap[139][ORDER] = ActionEntry(REDUCE, 328);
   _actionMap[139][GROUP] = ActionEntry(REDUCE, 328);
   _actionMap[139][WHERE] = ActionEntry(REDUCE, 328);
   _actionMap[139][AS] = ActionEntry(REDUCE, 328);
   _actionMap[139][FROM] = ActionEntry(REDUCE, 328);
   _actionMap[139][END_TOKEN] = ActionEntry(REDUCE, 328);
   _actionMap[139][BEGIN] = ActionEntry(REDUCE, 328);
   _actionMap[139][THEN] = ActionEntry(REDUCE, 328);
   _actionMap[139][OR] = ActionEntry(REDUCE, 328);
   _actionMap[139][AND] = ActionEntry(REDUCE, 328);
   _actionMap[139][NULLTOKEN] = ActionEntry(REDUCE, 328);
   _actionMap[139][LIKE] = ActionEntry(REDUCE, 328);
   _actionMap[139][IS] = ActionEntry(REDUCE, 328);
   _actionMap[139][BETWEEN] = ActionEntry(REDUCE, 328);
   _actionMap[139][NOT] = ActionEntry(REDUCE, 328);
   _actionMap[139][INTOK] = ActionEntry(REDUCE, 328);
   _actionMap[139][EQU] = ActionEntry(REDUCE, 328);
   _actionMap[139][NEGATION] = ActionEntry(REDUCE, 328);
   _actionMap[139][LT] = ActionEntry(REDUCE, 328);
   _actionMap[139][MT] = ActionEntry(REDUCE, 328);
   _actionMap[139][DESC] = ActionEntry(REDUCE, 328);
   _actionMap[139][ASC] = ActionEntry(REDUCE, 328);
   _actionMap[139][KSEP] = ActionEntry(REDUCE, 328);
   _actionMap[139][ROWLIMIT] = ActionEntry(REDUCE, 328);
   _actionMap[139][UNION] = ActionEntry(REDUCE, 328);
   _actionMap[139][ENDTOKEN] = ActionEntry(REDUCE, 328);
   _actionMap[139][RB] = ActionEntry(REDUCE, 328);
   _actionMap[139][SEMICOLON] = ActionEntry(REDUCE, 328);
   _actionMap[139][CONCAT] = ActionEntry(REDUCE, 328);
   _actionMap[139][STAR] = ActionEntry(REDUCE, 328);
}
void Cego::loadParser221()
{
   _actionMap[139][DIVISION] = ActionEntry(REDUCE, 328);
   _actionMap[139][MINUS] = ActionEntry(REDUCE, 328);
   _actionMap[139][PLUS] = ActionEntry(REDUCE, 328);
   _actionMap[140][WHEN] = ActionEntry(REDUCE, 323);
   _actionMap[140][ELSE] = ActionEntry(REDUCE, 323);
   _actionMap[140][LEFT] = ActionEntry(REDUCE, 323);
   _actionMap[140][RIGHT] = ActionEntry(REDUCE, 323);
   _actionMap[140][INNER] = ActionEntry(REDUCE, 323);
   _actionMap[140][JOIN] = ActionEntry(REDUCE, 323);
   _actionMap[140][RETURNTOKEN] = ActionEntry(REDUCE, 323);
   _actionMap[140][ORDER] = ActionEntry(REDUCE, 323);
   _actionMap[140][GROUP] = ActionEntry(REDUCE, 323);
   _actionMap[140][WHERE] = ActionEntry(REDUCE, 323);
   _actionMap[140][FROM] = ActionEntry(REDUCE, 323);
   _actionMap[140][AS] = ActionEntry(REDUCE, 323);
   _actionMap[140][END_TOKEN] = ActionEntry(REDUCE, 323);
   _actionMap[140][BEGIN] = ActionEntry(REDUCE, 323);
   _actionMap[140][THEN] = ActionEntry(REDUCE, 323);
   _actionMap[140][OR] = ActionEntry(REDUCE, 323);
   _actionMap[140][AND] = ActionEntry(REDUCE, 323);
   _actionMap[140][INTOK] = ActionEntry(REDUCE, 323);
   _actionMap[140][NOT] = ActionEntry(REDUCE, 323);
   _actionMap[140][BETWEEN] = ActionEntry(REDUCE, 323);
   _actionMap[140][IS] = ActionEntry(REDUCE, 323);
   _actionMap[140][LIKE] = ActionEntry(REDUCE, 323);
   _actionMap[140][MT] = ActionEntry(REDUCE, 323);
   _actionMap[140][LT] = ActionEntry(REDUCE, 323);
   _actionMap[140][NEGATION] = ActionEntry(REDUCE, 323);
   _actionMap[140][EQU] = ActionEntry(REDUCE, 323);
   _actionMap[140][RB] = ActionEntry(REDUCE, 323);
   _actionMap[140][ENDTOKEN] = ActionEntry(REDUCE, 323);
   _actionMap[140][UNION] = ActionEntry(REDUCE, 323);
   _actionMap[140][ROWLIMIT] = ActionEntry(REDUCE, 323);
   _actionMap[140][KSEP] = ActionEntry(REDUCE, 323);
   _actionMap[140][ASC] = ActionEntry(REDUCE, 323);
   _actionMap[140][DESC] = ActionEntry(REDUCE, 323);
   _actionMap[140][SEMICOLON] = ActionEntry(REDUCE, 323);
   _actionMap[140][PLUS] = ActionEntry(REDUCE, 323);
   _actionMap[140][MINUS] = ActionEntry(REDUCE, 323);
   _actionMap[140][LB] = ActionEntry(REDUCE, 349);
   _actionMap[140][DIVISION] = ActionEntry(REDUCE, 323);
   _actionMap[140][STAR] = ActionEntry(REDUCE, 323);
   _actionMap[140][CONCAT] = ActionEntry(REDUCE, 323);
   _actionMap[141][WHEN] = ActionEntry(REDUCE, 139);
   _actionMap[141][ELSE] = ActionEntry(REDUCE, 139);
   _actionMap[141][LEFT] = ActionEntry(REDUCE, 139);
   _actionMap[141][RIGHT] = ActionEntry(REDUCE, 139);
   _actionMap[141][INNER] = ActionEntry(REDUCE, 139);
   _actionMap[141][JOIN] = ActionEntry(REDUCE, 139);
   _actionMap[141][RETURNTOKEN] = ActionEntry(REDUCE, 139);
}
void Cego::loadParser222()
{
   _actionMap[141][ORDER] = ActionEntry(REDUCE, 139);
   _actionMap[141][GROUP] = ActionEntry(REDUCE, 139);
   _actionMap[141][WHERE] = ActionEntry(REDUCE, 139);
   _actionMap[141][AS] = ActionEntry(REDUCE, 139);
   _actionMap[141][FROM] = ActionEntry(REDUCE, 139);
   _actionMap[141][END_TOKEN] = ActionEntry(REDUCE, 139);
   _actionMap[141][BEGIN] = ActionEntry(REDUCE, 139);
   _actionMap[141][THEN] = ActionEntry(REDUCE, 139);
   _actionMap[141][OR] = ActionEntry(REDUCE, 139);
   _actionMap[141][AND] = ActionEntry(REDUCE, 139);
   _actionMap[141][LIKE] = ActionEntry(REDUCE, 139);
   _actionMap[141][IS] = ActionEntry(REDUCE, 139);
   _actionMap[141][BETWEEN] = ActionEntry(REDUCE, 139);
   _actionMap[141][NOT] = ActionEntry(REDUCE, 139);
   _actionMap[141][INTOK] = ActionEntry(REDUCE, 139);
   _actionMap[141][EQU] = ActionEntry(REDUCE, 139);
   _actionMap[141][NEGATION] = ActionEntry(REDUCE, 139);
   _actionMap[141][LT] = ActionEntry(REDUCE, 139);
   _actionMap[141][MT] = ActionEntry(REDUCE, 139);
   _actionMap[141][DESC] = ActionEntry(REDUCE, 139);
   _actionMap[141][ASC] = ActionEntry(REDUCE, 139);
   _actionMap[141][KSEP] = ActionEntry(REDUCE, 139);
   _actionMap[141][ROWLIMIT] = ActionEntry(REDUCE, 139);
   _actionMap[141][UNION] = ActionEntry(REDUCE, 139);
   _actionMap[141][ENDTOKEN] = ActionEntry(REDUCE, 139);
   _actionMap[141][RB] = ActionEntry(REDUCE, 139);
   _actionMap[141][SEMICOLON] = ActionEntry(REDUCE, 139);
   _actionMap[141][CONCAT] = ActionEntry(REDUCE, 139);
   _actionMap[141][STAR] = ActionEntry(REDUCE, 139);
   _actionMap[141][DIVISION] = ActionEntry(REDUCE, 139);
   _actionMap[141][MINUS] = ActionEntry(REDUCE, 139);
   _actionMap[141][PLUS] = ActionEntry(REDUCE, 139);
   _actionMap[142][WHEN] = ActionEntry(REDUCE, 324);
   _actionMap[142][ELSE] = ActionEntry(REDUCE, 324);
   _actionMap[142][LEFT] = ActionEntry(REDUCE, 324);
   _actionMap[142][RIGHT] = ActionEntry(REDUCE, 324);
   _actionMap[142][INNER] = ActionEntry(REDUCE, 324);
   _actionMap[142][JOIN] = ActionEntry(REDUCE, 324);
   _actionMap[142][RETURNTOKEN] = ActionEntry(REDUCE, 324);
   _actionMap[142][ORDER] = ActionEntry(REDUCE, 324);
   _actionMap[142][GROUP] = ActionEntry(REDUCE, 324);
   _actionMap[142][WHERE] = ActionEntry(REDUCE, 324);
   _actionMap[142][FROM] = ActionEntry(REDUCE, 324);
   _actionMap[142][AS] = ActionEntry(REDUCE, 324);
   _actionMap[142][END_TOKEN] = ActionEntry(REDUCE, 324);
   _actionMap[142][BEGIN] = ActionEntry(REDUCE, 324);
   _actionMap[142][THEN] = ActionEntry(REDUCE, 324);
   _actionMap[142][OR] = ActionEntry(REDUCE, 324);
   _actionMap[142][AND] = ActionEntry(REDUCE, 324);
   _actionMap[142][INTOK] = ActionEntry(REDUCE, 324);
}
void Cego::loadParser223()
{
   _actionMap[142][NOT] = ActionEntry(REDUCE, 324);
   _actionMap[142][BETWEEN] = ActionEntry(REDUCE, 324);
   _actionMap[142][IS] = ActionEntry(REDUCE, 324);
   _actionMap[142][LIKE] = ActionEntry(REDUCE, 324);
   _actionMap[142][MT] = ActionEntry(REDUCE, 324);
   _actionMap[142][LT] = ActionEntry(REDUCE, 324);
   _actionMap[142][NEGATION] = ActionEntry(REDUCE, 324);
   _actionMap[142][EQU] = ActionEntry(REDUCE, 324);
   _actionMap[142][RB] = ActionEntry(REDUCE, 324);
   _actionMap[142][ENDTOKEN] = ActionEntry(REDUCE, 324);
   _actionMap[142][UNION] = ActionEntry(REDUCE, 324);
   _actionMap[142][ROWLIMIT] = ActionEntry(REDUCE, 324);
   _actionMap[142][KSEP] = ActionEntry(REDUCE, 324);
   _actionMap[142][ASC] = ActionEntry(REDUCE, 324);
   _actionMap[142][DESC] = ActionEntry(REDUCE, 324);
   _actionMap[142][SEMICOLON] = ActionEntry(REDUCE, 324);
   _actionMap[142][PLUS] = ActionEntry(REDUCE, 324);
   _actionMap[142][MINUS] = ActionEntry(REDUCE, 324);
   _actionMap[142][LB] = ActionEntry(REDUCE, 350);
   _actionMap[142][DIVISION] = ActionEntry(REDUCE, 324);
   _actionMap[142][STAR] = ActionEntry(REDUCE, 324);
   _actionMap[142][CONCAT] = ActionEntry(REDUCE, 324);
   _actionMap[143][STAR] = ActionEntry(SHIFT, 264);
   _actionMap[144][WHEN] = ActionEntry(REDUCE, 346);
   _actionMap[144][ELSE] = ActionEntry(REDUCE, 346);
   _actionMap[144][LEFT] = ActionEntry(REDUCE, 346);
   _actionMap[144][RIGHT] = ActionEntry(REDUCE, 346);
   _actionMap[144][INNER] = ActionEntry(REDUCE, 346);
   _actionMap[144][JOIN] = ActionEntry(REDUCE, 346);
   _actionMap[144][RETURNTOKEN] = ActionEntry(REDUCE, 346);
   _actionMap[144][ORDER] = ActionEntry(REDUCE, 346);
   _actionMap[144][GROUP] = ActionEntry(REDUCE, 346);
   _actionMap[144][WHERE] = ActionEntry(REDUCE, 346);
   _actionMap[144][FROM] = ActionEntry(REDUCE, 346);
   _actionMap[144][AS] = ActionEntry(REDUCE, 346);
   _actionMap[144][END_TOKEN] = ActionEntry(REDUCE, 346);
   _actionMap[144][BEGIN] = ActionEntry(REDUCE, 346);
   _actionMap[144][THEN] = ActionEntry(REDUCE, 346);
   _actionMap[144][OR] = ActionEntry(REDUCE, 346);
   _actionMap[144][AND] = ActionEntry(REDUCE, 346);
   _actionMap[144][NULLTOKEN] = ActionEntry(REDUCE, 346);
   _actionMap[144][INTOK] = ActionEntry(REDUCE, 346);
   _actionMap[144][NOT] = ActionEntry(REDUCE, 346);
   _actionMap[144][BETWEEN] = ActionEntry(REDUCE, 346);
   _actionMap[144][IS] = ActionEntry(REDUCE, 346);
   _actionMap[144][LIKE] = ActionEntry(REDUCE, 346);
   _actionMap[144][MT] = ActionEntry(REDUCE, 346);
   _actionMap[144][LT] = ActionEntry(REDUCE, 346);
   _actionMap[144][NEGATION] = ActionEntry(REDUCE, 346);
   _actionMap[144][EQU] = ActionEntry(REDUCE, 346);
}
void Cego::loadParser224()
{
   _actionMap[144][RB] = ActionEntry(REDUCE, 346);
   _actionMap[144][ENDTOKEN] = ActionEntry(REDUCE, 346);
   _actionMap[144][UNION] = ActionEntry(REDUCE, 346);
   _actionMap[144][ROWLIMIT] = ActionEntry(REDUCE, 346);
   _actionMap[144][KSEP] = ActionEntry(REDUCE, 346);
   _actionMap[144][ASC] = ActionEntry(REDUCE, 346);
   _actionMap[144][DESC] = ActionEntry(REDUCE, 346);
   _actionMap[144][SEMICOLON] = ActionEntry(REDUCE, 346);
   _actionMap[144][PLUS] = ActionEntry(REDUCE, 346);
   _actionMap[144][MINUS] = ActionEntry(REDUCE, 346);
   _actionMap[144][DIVISION] = ActionEntry(REDUCE, 346);
   _actionMap[144][STAR] = ActionEntry(REDUCE, 346);
   _actionMap[144][CONCAT] = ActionEntry(REDUCE, 346);
   _actionMap[145][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[145][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[145][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[145][ObjSpec] = 265;
   _actionMap[146][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[146][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[146][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[146][ObjSpec] = 266;
   _actionMap[147][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[147][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[147][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[147][ObjSpec] = 267;
   _actionMap[148][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[148][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[148][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[148][ObjSpec] = 268;
   _actionMap[149][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[149][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[149][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[149][ObjSpec] = 269;
   _actionMap[150][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[150][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[150][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[150][ObjSpec] = 270;
   _actionMap[151][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[151][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[151][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[151][ObjSpec] = 271;
   _actionMap[152][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[152][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[152][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[152][ObjSpec] = 272;
   _actionMap[153][FROM] = ActionEntry(SHIFT, 273);
   _actionMap[154][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[154][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[154][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[154][TRIM] = ActionEntry(SHIFT, 131);
}
void Cego::loadParser225()
{
   _actionMap[154][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[154][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[154][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[154][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[154][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[154][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[154][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[154][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[154][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[154][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[154][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[154][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[154][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[154][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[154][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[154][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[154][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[154][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[154][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[154][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[154][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[154][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[154][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[154][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[154][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[154][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[154][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[154][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[154][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[154][LB] = ActionEntry(SHIFT, 135);
   _actionMap[154][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[154][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[154][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[154][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[154][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[154][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[154][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[154][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[154][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[154][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[154][VARREF] = ActionEntry(SHIFT, 141);
   _actionMap[154][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[154][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[154][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[154][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[154][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[154][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[154][ObjSpec] = 94;
   _jumpMap[154][Constant] = 93;
   _jumpMap[154][SignedFloat] = 92;
}
void Cego::loadParser226()
{
   _jumpMap[154][SignedInt] = 91;
   _jumpMap[154][Attribute] = 90;
   _jumpMap[154][Function] = 89;
   _jumpMap[154][SelectItem] = 276;
   _jumpMap[154][SelectionList] = 275;
   _jumpMap[154][CasePrepare] = 88;
   _jumpMap[154][CaseClause] = 87;
   _jumpMap[154][Factor] = 86;
   _jumpMap[154][Term] = 85;
   _jumpMap[154][Expr] = 274;
   _actionMap[155][VARREF] = ActionEntry(REDUCE, 228);
   _actionMap[155][FETCH] = ActionEntry(REDUCE, 228);
   _actionMap[155][LB] = ActionEntry(REDUCE, 228);
   _actionMap[155][COUNT] = ActionEntry(REDUCE, 228);
   _actionMap[155][SUM] = ActionEntry(REDUCE, 228);
   _actionMap[155][AVG] = ActionEntry(REDUCE, 228);
   _actionMap[155][MIN] = ActionEntry(REDUCE, 228);
   _actionMap[155][MAX] = ActionEntry(REDUCE, 228);
   _actionMap[155][CASE] = ActionEntry(REDUCE, 228);
   _actionMap[155][TRIM] = ActionEntry(REDUCE, 228);
   _actionMap[155][RTRIM] = ActionEntry(REDUCE, 228);
   _actionMap[155][LTRIM] = ActionEntry(REDUCE, 228);
   _actionMap[155][ROUND] = ActionEntry(REDUCE, 228);
   _actionMap[155][DATE2STR] = ActionEntry(REDUCE, 228);
   _actionMap[155][DATE2INT] = ActionEntry(REDUCE, 228);
   _actionMap[155][INT2DATE] = ActionEntry(REDUCE, 228);
   _actionMap[155][LOWER] = ActionEntry(REDUCE, 228);
   _actionMap[155][UPPER] = ActionEntry(REDUCE, 228);
   _actionMap[155][LEFT] = ActionEntry(REDUCE, 228);
   _actionMap[155][RIGHT] = ActionEntry(REDUCE, 228);
   _actionMap[155][GETPOS] = ActionEntry(REDUCE, 228);
   _actionMap[155][SUBSTR] = ActionEntry(REDUCE, 228);
   _actionMap[155][REPLACE] = ActionEntry(REDUCE, 228);
   _actionMap[155][LENGTH] = ActionEntry(REDUCE, 228);
   _actionMap[155][TRUNC] = ActionEntry(REDUCE, 228);
   _actionMap[155][STR2INT] = ActionEntry(REDUCE, 228);
   _actionMap[155][STR2LONG] = ActionEntry(REDUCE, 228);
   _actionMap[155][RANDSTR] = ActionEntry(REDUCE, 228);
   _actionMap[155][RANDINT] = ActionEntry(REDUCE, 228);
   _actionMap[155][MOD] = ActionEntry(REDUCE, 228);
   _actionMap[155][DIV] = ActionEntry(REDUCE, 228);
   _actionMap[155][POWER] = ActionEntry(REDUCE, 228);
   _actionMap[155][BITAND] = ActionEntry(REDUCE, 228);
   _actionMap[155][BITOR] = ActionEntry(REDUCE, 228);
   _actionMap[155][BITXOR] = ActionEntry(REDUCE, 228);
   _actionMap[155][NEXTCOUNT] = ActionEntry(REDUCE, 228);
   _actionMap[155][IDENTIFIER] = ActionEntry(REDUCE, 228);
   _actionMap[155][QUALIFIEDOBJ] = ActionEntry(REDUCE, 228);
   _actionMap[155][QUALIFIEDTS] = ActionEntry(REDUCE, 228);
   _actionMap[155][QUALIFIEDPRE] = ActionEntry(REDUCE, 228);
}
void Cego::loadParser227()
{
   _actionMap[155][STRINGVAL] = ActionEntry(REDUCE, 228);
   _actionMap[155][DATE] = ActionEntry(REDUCE, 228);
   _actionMap[155][SYSDATE] = ActionEntry(REDUCE, 228);
   _actionMap[155][NULLTOKEN] = ActionEntry(REDUCE, 228);
   _actionMap[155][TRUEVAL] = ActionEntry(REDUCE, 228);
   _actionMap[155][FALSEVAL] = ActionEntry(REDUCE, 228);
   _actionMap[155][LAB] = ActionEntry(REDUCE, 228);
   _actionMap[155][COUNTERID] = ActionEntry(REDUCE, 228);
   _actionMap[155][FLOATVAL] = ActionEntry(REDUCE, 228);
   _actionMap[155][MINUS] = ActionEntry(REDUCE, 228);
   _actionMap[155][INTVAL] = ActionEntry(REDUCE, 228);
   _actionMap[156][FROM] = ActionEntry(REDUCE, 191);
   _actionMap[157][OFF] = ActionEntry(SHIFT, 277);
   _actionMap[157][ON] = ActionEntry(SHIFT, 278);
   _actionMap[158][OFF] = ActionEntry(SHIFT, 279);
   _actionMap[158][ON] = ActionEntry(SHIFT, 280);
   _actionMap[159][IDENTIFIER] = ActionEntry(SHIFT, 281);
   _actionMap[160][IDENTIFIER] = ActionEntry(SHIFT, 282);
   _actionMap[161][IDENTIFIER] = ActionEntry(SHIFT, 283);
   _actionMap[162][EQU] = ActionEntry(SHIFT, 284);
   _actionMap[163][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[163][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[163][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[163][ObjSpec] = 285;
   _actionMap[164][SEMICOLON] = ActionEntry(REDUCE, 14);
   _actionMap[165][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[165][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[165][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[165][ObjSpec] = 286;
   _actionMap[166][SEMICOLON] = ActionEntry(REDUCE, 15);
   _actionMap[167][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[167][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[167][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[167][ObjSpec] = 287;
   _actionMap[168][SEMICOLON] = ActionEntry(REDUCE, 177);
   _actionMap[169][SEMICOLON] = ActionEntry(REDUCE, 13);
   _actionMap[170][SET] = ActionEntry(SHIFT, 288);
   _actionMap[171][CALL] = ActionEntry(SHIFT, 289);
   _actionMap[1][TABLE] = ActionEntry(SHIFT, 43);
   _actionMap[1][INDEX] = ActionEntry(SHIFT, 41);
   _actionMap[1][VIEW] = ActionEntry(SHIFT, 44);
   _actionMap[1][PROCEDURE] = ActionEntry(SHIFT, 42);
   _actionMap[1][FOREIGN] = ActionEntry(SHIFT, 40);
   _actionMap[1][CHECK] = ActionEntry(SHIFT, 38);
   _actionMap[1][COUNTER] = ActionEntry(SHIFT, 39);
   _actionMap[2][SEMICOLON] = ActionEntry(SHIFT, 45);
   _actionMap[3][SEMICOLON] = ActionEntry(REDUCE, 26);
   _actionMap[4][SEMICOLON] = ActionEntry(REDUCE, 27);
   _actionMap[5][SEMICOLON] = ActionEntry(REDUCE, 28);
   _actionMap[6][SEMICOLON] = ActionEntry(REDUCE, 38);
}
void Cego::loadParser228()
{
   _actionMap[7][SEMICOLON] = ActionEntry(REDUCE, 36);
   _actionMap[8][SEMICOLON] = ActionEntry(REDUCE, 40);
   _actionMap[9][SEMICOLON] = ActionEntry(REDUCE, 39);
   _actionMap[10][SEMICOLON] = ActionEntry(REDUCE, 41);
   _actionMap[11][SEMICOLON] = ActionEntry(REDUCE, 42);
   _actionMap[12][TABLE] = ActionEntry(SHIFT, 46);
   _actionMap[13][IDENTIFIER] = ActionEntry(SHIFT, 47);
   _actionMap[14][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[14][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[14][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[14][ObjSpec] = 48;
   _actionMap[15][INDEX] = ActionEntry(SHIFT, 52);
   _actionMap[16][SEMICOLON] = ActionEntry(REDUCE, 178);
   _actionMap[17][VIEW] = ActionEntry(SHIFT, 61);
   _actionMap[17][TABLE] = ActionEntry(SHIFT, 59);
   _actionMap[17][PRIMARY] = ActionEntry(SHIFT, 57);
   _actionMap[17][COUNTER] = ActionEntry(SHIFT, 56);
   _actionMap[17][PROCEDURE] = ActionEntry(SHIFT, 58);
   _actionMap[17][UNIQUE] = ActionEntry(SHIFT, 60);
   _actionMap[17][INDEX] = ActionEntry(REDUCE, 176);
   _jumpMap[17][IndexOption] = 55;
   _jumpMap[17][ProcDef] = 54;
   _jumpMap[17][ProcHead] = 53;
   _actionMap[18][FROM] = ActionEntry(SHIFT, 62);
   _actionMap[19][TABLE] = ActionEntry(SHIFT, 66);
   _actionMap[19][INDEX] = ActionEntry(SHIFT, 63);
   _actionMap[19][VIEW] = ActionEntry(SHIFT, 67);
   _actionMap[19][KEY] = ActionEntry(SHIFT, 64);
   _actionMap[19][PROCEDURE] = ActionEntry(SHIFT, 65);
   _actionMap[20][COUNTER] = ActionEntry(REDUCE, 58);
   _actionMap[20][IF] = ActionEntry(SHIFT, 68);
   _actionMap[20][CHECK] = ActionEntry(REDUCE, 58);
   _actionMap[20][FOREIGN] = ActionEntry(REDUCE, 58);
   _actionMap[20][PROCEDURE] = ActionEntry(REDUCE, 58);
   _actionMap[20][VIEW] = ActionEntry(REDUCE, 58);
   _actionMap[20][INDEX] = ActionEntry(REDUCE, 58);
   _actionMap[20][TABLE] = ActionEntry(REDUCE, 58);
   _actionMap[21][INTO] = ActionEntry(SHIFT, 69);
   _actionMap[22][IDENTIFIER] = ActionEntry(SHIFT, 71);
   _jumpMap[22][JdbcArgList] = 70;
   _actionMap[23][TABLESET] = ActionEntry(SHIFT, 78);
   _actionMap[23][TABLE] = ActionEntry(SHIFT, 77);
   _actionMap[23][PROCEDURE] = ActionEntry(SHIFT, 75);
   _actionMap[23][VIEW] = ActionEntry(SHIFT, 80);
   _actionMap[23][INDEX] = ActionEntry(SHIFT, 73);
   _actionMap[23][KEY] = ActionEntry(SHIFT, 74);
   _actionMap[23][COUNTER] = ActionEntry(SHIFT, 72);
   _actionMap[23][SYSOBJ] = ActionEntry(SHIFT, 76);
   _actionMap[23][TMPOBJ] = ActionEntry(SHIFT, 79);
   _actionMap[24][VIEW] = ActionEntry(SHIFT, 82);
}
void Cego::loadParser229()
{
   _actionMap[24][PROCEDURE] = ActionEntry(SHIFT, 58);
   _jumpMap[24][ProcDef] = 81;
   _jumpMap[24][ProcHead] = 53;
   _actionMap[25][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[25][SelectStatement] = 83;
   _actionMap[26][FLOATVAL] = ActionEntry(SHIFT, 139);
   _actionMap[26][MINUS] = ActionEntry(SHIFT, 137);
   _actionMap[26][INTVAL] = ActionEntry(SHIFT, 138);
   _actionMap[26][TRIM] = ActionEntry(SHIFT, 131);
   _actionMap[26][RTRIM] = ActionEntry(SHIFT, 125);
   _actionMap[26][LTRIM] = ActionEntry(SHIFT, 113);
   _actionMap[26][ROUND] = ActionEntry(SHIFT, 124);
   _actionMap[26][DATE2STR] = ActionEntry(SHIFT, 103);
   _actionMap[26][DATE2INT] = ActionEntry(SHIFT, 104);
   _actionMap[26][INT2DATE] = ActionEntry(SHIFT, 109);
   _actionMap[26][LOWER] = ActionEntry(SHIFT, 112);
   _actionMap[26][UPPER] = ActionEntry(SHIFT, 134);
   _actionMap[26][LEFT] = ActionEntry(SHIFT, 110);
   _actionMap[26][RIGHT] = ActionEntry(SHIFT, 123);
   _actionMap[26][GETPOS] = ActionEntry(SHIFT, 108);
   _actionMap[26][SUBSTR] = ActionEntry(SHIFT, 126);
   _actionMap[26][REPLACE] = ActionEntry(SHIFT, 122);
   _actionMap[26][LENGTH] = ActionEntry(SHIFT, 111);
   _actionMap[26][TRUNC] = ActionEntry(SHIFT, 133);
   _actionMap[26][STR2INT] = ActionEntry(SHIFT, 129);
   _actionMap[26][STR2LONG] = ActionEntry(SHIFT, 130);
   _actionMap[26][RANDSTR] = ActionEntry(SHIFT, 120);
   _actionMap[26][RANDINT] = ActionEntry(SHIFT, 121);
   _actionMap[26][MOD] = ActionEntry(SHIFT, 116);
   _actionMap[26][DIV] = ActionEntry(SHIFT, 105);
   _actionMap[26][POWER] = ActionEntry(SHIFT, 119);
   _actionMap[26][BITAND] = ActionEntry(SHIFT, 97);
   _actionMap[26][BITOR] = ActionEntry(SHIFT, 98);
   _actionMap[26][BITXOR] = ActionEntry(SHIFT, 99);
   _actionMap[26][NEXTCOUNT] = ActionEntry(SHIFT, 117);
   _actionMap[26][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[26][QUALIFIEDOBJ] = ActionEntry(SHIFT, 142);
   _actionMap[26][QUALIFIEDPRE] = ActionEntry(SHIFT, 143);
   _actionMap[26][LB] = ActionEntry(SHIFT, 135);
   _actionMap[26][STRINGVAL] = ActionEntry(SHIFT, 95);
   _actionMap[26][DATE] = ActionEntry(SHIFT, 102);
   _actionMap[26][SYSDATE] = ActionEntry(SHIFT, 128);
   _actionMap[26][NULLTOKEN] = ActionEntry(SHIFT, 118);
   _actionMap[26][TRUEVAL] = ActionEntry(SHIFT, 132);
   _actionMap[26][FALSEVAL] = ActionEntry(SHIFT, 106);
   _actionMap[26][LAB] = ActionEntry(SHIFT, 136);
   _actionMap[26][COUNTERID] = ActionEntry(SHIFT, 144);
   _actionMap[26][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[26][CASE] = ActionEntry(SHIFT, 100);
   _actionMap[26][VARREF] = ActionEntry(SHIFT, 141);
}
void Cego::loadParser230()
{
   _actionMap[26][FETCH] = ActionEntry(SHIFT, 107);
   _actionMap[26][COUNT] = ActionEntry(SHIFT, 101);
   _actionMap[26][SUM] = ActionEntry(SHIFT, 127);
   _actionMap[26][AVG] = ActionEntry(SHIFT, 96);
   _actionMap[26][MIN] = ActionEntry(SHIFT, 114);
   _actionMap[26][MAX] = ActionEntry(SHIFT, 115);
   _jumpMap[26][ObjSpec] = 94;
   _jumpMap[26][Constant] = 93;
   _jumpMap[26][SignedFloat] = 92;
   _jumpMap[26][SignedInt] = 91;
   _jumpMap[26][Attribute] = 90;
   _jumpMap[26][Function] = 89;
   _jumpMap[26][CasePrepare] = 88;
   _jumpMap[26][CaseClause] = 87;
   _jumpMap[26][Factor] = 86;
   _jumpMap[26][Term] = 85;
   _jumpMap[26][Expr] = 84;
   _actionMap[27][TABLE] = ActionEntry(SHIFT, 149);
   _actionMap[27][INDEX] = ActionEntry(SHIFT, 146);
   _actionMap[27][KEY] = ActionEntry(SHIFT, 147);
   _actionMap[27][PROCEDURE] = ActionEntry(SHIFT, 148);
   _actionMap[27][VIEW] = ActionEntry(SHIFT, 150);
   _actionMap[27][CHECK] = ActionEntry(SHIFT, 145);
   _actionMap[28][TABLE] = ActionEntry(SHIFT, 152);
   _actionMap[28][INDEX] = ActionEntry(SHIFT, 151);
   _actionMap[29][SEMICOLON] = ActionEntry(REDUCE, 179);
   _actionMap[30][DISTINCT] = ActionEntry(SHIFT, 155);
   _actionMap[30][VARREF] = ActionEntry(REDUCE, 229);
   _actionMap[30][FETCH] = ActionEntry(REDUCE, 229);
   _actionMap[30][LB] = ActionEntry(REDUCE, 229);
   _actionMap[30][COUNT] = ActionEntry(REDUCE, 229);
   _actionMap[30][SUM] = ActionEntry(REDUCE, 229);
   _actionMap[30][AVG] = ActionEntry(REDUCE, 229);
   _actionMap[30][MIN] = ActionEntry(REDUCE, 229);
   _actionMap[30][MAX] = ActionEntry(REDUCE, 229);
   _actionMap[30][CASE] = ActionEntry(REDUCE, 229);
   _actionMap[30][TRIM] = ActionEntry(REDUCE, 229);
   _actionMap[30][RTRIM] = ActionEntry(REDUCE, 229);
   _actionMap[30][LTRIM] = ActionEntry(REDUCE, 229);
   _actionMap[30][ROUND] = ActionEntry(REDUCE, 229);
   _actionMap[30][DATE2STR] = ActionEntry(REDUCE, 229);
   _actionMap[30][DATE2INT] = ActionEntry(REDUCE, 229);
   _actionMap[30][INT2DATE] = ActionEntry(REDUCE, 229);
   _actionMap[30][LOWER] = ActionEntry(REDUCE, 229);
   _actionMap[30][UPPER] = ActionEntry(REDUCE, 229);
   _actionMap[30][LEFT] = ActionEntry(REDUCE, 229);
   _actionMap[30][RIGHT] = ActionEntry(REDUCE, 229);
   _actionMap[30][GETPOS] = ActionEntry(REDUCE, 229);
   _actionMap[30][SUBSTR] = ActionEntry(REDUCE, 229);
   _actionMap[30][REPLACE] = ActionEntry(REDUCE, 229);
}
void Cego::loadParser231()
{
   _actionMap[30][LENGTH] = ActionEntry(REDUCE, 229);
   _actionMap[30][TRUNC] = ActionEntry(REDUCE, 229);
   _actionMap[30][STR2INT] = ActionEntry(REDUCE, 229);
   _actionMap[30][STR2LONG] = ActionEntry(REDUCE, 229);
   _actionMap[30][RANDSTR] = ActionEntry(REDUCE, 229);
   _actionMap[30][RANDINT] = ActionEntry(REDUCE, 229);
   _actionMap[30][MOD] = ActionEntry(REDUCE, 229);
   _actionMap[30][DIV] = ActionEntry(REDUCE, 229);
   _actionMap[30][POWER] = ActionEntry(REDUCE, 229);
   _actionMap[30][BITAND] = ActionEntry(REDUCE, 229);
   _actionMap[30][BITOR] = ActionEntry(REDUCE, 229);
   _actionMap[30][BITXOR] = ActionEntry(REDUCE, 229);
   _actionMap[30][NEXTCOUNT] = ActionEntry(REDUCE, 229);
   _actionMap[30][IDENTIFIER] = ActionEntry(REDUCE, 229);
   _actionMap[30][QUALIFIEDOBJ] = ActionEntry(REDUCE, 229);
   _actionMap[30][QUALIFIEDTS] = ActionEntry(REDUCE, 229);
   _actionMap[30][QUALIFIEDPRE] = ActionEntry(REDUCE, 229);
   _actionMap[30][STRINGVAL] = ActionEntry(REDUCE, 229);
   _actionMap[30][DATE] = ActionEntry(REDUCE, 229);
   _actionMap[30][SYSDATE] = ActionEntry(REDUCE, 229);
   _actionMap[30][NULLTOKEN] = ActionEntry(REDUCE, 229);
   _actionMap[30][TRUEVAL] = ActionEntry(REDUCE, 229);
   _actionMap[30][FALSEVAL] = ActionEntry(REDUCE, 229);
   _actionMap[30][LAB] = ActionEntry(REDUCE, 229);
   _actionMap[30][COUNTERID] = ActionEntry(REDUCE, 229);
   _actionMap[30][FLOATVAL] = ActionEntry(REDUCE, 229);
   _actionMap[30][MINUS] = ActionEntry(REDUCE, 229);
   _actionMap[30][INTVAL] = ActionEntry(REDUCE, 229);
   _actionMap[30][STAR] = ActionEntry(SHIFT, 156);
   _jumpMap[30][DistinctOpt] = 154;
   _jumpMap[30][Selection] = 153;
   _actionMap[31][TABLESET] = ActionEntry(SHIFT, 161);
   _actionMap[31][APPEND] = ActionEntry(SHIFT, 157);
   _actionMap[31][AUTOCOMMIT] = ActionEntry(SHIFT, 158);
   _actionMap[31][ISOLATION] = ActionEntry(SHIFT, 160);
   _actionMap[31][IDENTIFIER] = ActionEntry(SHIFT, 162);
   _actionMap[31][COUNTER] = ActionEntry(SHIFT, 159);
   _actionMap[32][POOL] = ActionEntry(SHIFT, 164);
   _actionMap[32][SYSTEMSPACE] = ActionEntry(SHIFT, 166);
   _actionMap[32][PROCEDURE] = ActionEntry(SHIFT, 165);
   _actionMap[32][VIEW] = ActionEntry(SHIFT, 167);
   _actionMap[32][CHECK] = ActionEntry(SHIFT, 163);
   _actionMap[33][TRANSACTION] = ActionEntry(SHIFT, 168);
   _actionMap[34][SEMICOLON] = ActionEntry(REDUCE, 1);
   _actionMap[35][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[35][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[35][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[35][ObjSpec] = 169;
   _actionMap[36][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[36][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
}
void Cego::loadParser232()
{
   _actionMap[36][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[36][ObjSpec] = 170;
   _actionMap[37][EQU] = ActionEntry(SHIFT, 171);
   _actionMap[0][DROP] = ActionEntry(SHIFT, 20);
   _actionMap[0][RENAME] = ActionEntry(SHIFT, 27);
   _actionMap[0][ALTER] = ActionEntry(SHIFT, 12);
   _actionMap[0][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[0][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[0][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[0][SELECT] = ActionEntry(SHIFT, 30);
   _actionMap[0][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[0][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[0][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[0][SYNC] = ActionEntry(SHIFT, 34);
   _actionMap[0][LIST] = ActionEntry(SHIFT, 23);
   _actionMap[0][TABLEINFO] = ActionEntry(SHIFT, 35);
   _actionMap[0][SHOW] = ActionEntry(SHIFT, 32);
   _actionMap[0][DESC] = ActionEntry(SHIFT, 19);
   _actionMap[0][SET] = ActionEntry(SHIFT, 31);
   _actionMap[0][AUTHORIZE] = ActionEntry(SHIFT, 13);
   _actionMap[0][REORGANIZE] = ActionEntry(SHIFT, 28);
   _actionMap[0][PLAN] = ActionEntry(SHIFT, 25);
   _actionMap[0][CREATE] = ActionEntry(SHIFT, 17);
   _actionMap[0][LOAD] = ActionEntry(SHIFT, 24);
   _actionMap[0][CALL] = ActionEntry(SHIFT, 14);
   _actionMap[0][VARREF] = ActionEntry(SHIFT, 37);
   _actionMap[0][PRINT] = ActionEntry(SHIFT, 26);
   _actionMap[0][CHECK] = ActionEntry(SHIFT, 15);
   _actionMap[0][JDBC] = ActionEntry(SHIFT, 22);
   _jumpMap[0][RenameStatement] = 11;
   _jumpMap[0][AlterStatement] = 10;
   _jumpMap[0][DeleteStatement] = 9;
   _jumpMap[0][UpdateStatement] = 8;
   _jumpMap[0][SelectStatement] = 7;
   _jumpMap[0][InsertStatement] = 6;
   _jumpMap[0][RollbackStatement] = 5;
   _jumpMap[0][CommitStatement] = 4;
   _jumpMap[0][StartStatement] = 3;
   _jumpMap[0][Statement] = 2;
   _jumpMap[0][DropOpt] = 1;
}
void Cego::loadParser233()
{
   _prodInfo.Insert(ProdEntry(351, ObjSpec, 1));
   _prodInfo.Insert(ProdEntry(350, ObjSpec, 1));
   _prodInfo.Insert(ProdEntry(349, ObjSpec, 1));
   _prodInfo.Insert(ProdEntry(348, DateValue, 1));
   _prodInfo.Insert(ProdEntry(347, DateFormat, 1));
   _prodInfo.Insert(ProdEntry(346, Constant, 1));
   _prodInfo.Insert(ProdEntry(345, Constant, 5));
   _prodInfo.Insert(ProdEntry(344, Constant, 1));
   _prodInfo.Insert(ProdEntry(343, Constant, 1));
   _prodInfo.Insert(ProdEntry(342, Constant, 1));
   _prodInfo.Insert(ProdEntry(341, Constant, 1));
   _prodInfo.Insert(ProdEntry(340, Constant, 6));
   _prodInfo.Insert(ProdEntry(339, Constant, 4));
   _prodInfo.Insert(ProdEntry(338, Constant, 4));
   _prodInfo.Insert(ProdEntry(337, Constant, 4));
   _prodInfo.Insert(ProdEntry(336, Constant, 1));
   _prodInfo.Insert(ProdEntry(335, Constant, 1));
   _prodInfo.Insert(ProdEntry(334, Constant, 4));
   _prodInfo.Insert(ProdEntry(333, Constant, 4));
   _prodInfo.Insert(ProdEntry(332, Constant, 4));
   _prodInfo.Insert(ProdEntry(331, Constant, 4));
   _prodInfo.Insert(ProdEntry(330, Constant, 1));
   _prodInfo.Insert(ProdEntry(329, SignedFloat, 2));
   _prodInfo.Insert(ProdEntry(328, SignedFloat, 1));
   _prodInfo.Insert(ProdEntry(327, SignedInt, 2));
   _prodInfo.Insert(ProdEntry(326, SignedInt, 1));
   _prodInfo.Insert(ProdEntry(325, Attribute, 2));
   _prodInfo.Insert(ProdEntry(324, Attribute, 1));
   _prodInfo.Insert(ProdEntry(323, Attribute, 1));
   _prodInfo.Insert(ProdEntry(322, Comparison, 2));
   _prodInfo.Insert(ProdEntry(321, Comparison, 2));
   _prodInfo.Insert(ProdEntry(320, Comparison, 1));
   _prodInfo.Insert(ProdEntry(319, Comparison, 1));
   _prodInfo.Insert(ProdEntry(318, Comparison, 2));
   _prodInfo.Insert(ProdEntry(317, Comparison, 1));
   _prodInfo.Insert(ProdEntry(316, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(315, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(314, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(313, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(312, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(311, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(310, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(309, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(308, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(307, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(306, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(305, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(304, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(303, QueryPredicate, 2));
   _prodInfo.Insert(ProdEntry(302, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(301, QueryPredicate, 4));
   _prodInfo.Insert(ProdEntry(300, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(299, QueryPredicate, 4));
   _prodInfo.Insert(ProdEntry(298, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(297, QueryPredicate, 5));
   _prodInfo.Insert(ProdEntry(296, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(295, QueryPredicate, 6));
   _prodInfo.Insert(ProdEntry(294, QueryPredicate, 5));
   _prodInfo.Insert(ProdEntry(293, QueryPredicate, 4));
   _prodInfo.Insert(ProdEntry(292, QueryCondition, 1));
   _prodInfo.Insert(ProdEntry(291, QueryCondition, 3));
   _prodInfo.Insert(ProdEntry(290, QueryCondition, 3));
   _prodInfo.Insert(ProdEntry(289, NoWhere, 0));
   _prodInfo.Insert(ProdEntry(288, WhereClause, 1));
   _prodInfo.Insert(ProdEntry(287, WhereClause, 2));
   _prodInfo.Insert(ProdEntry(286, ExpressionList, 1));
   _prodInfo.Insert(ProdEntry(285, ExpressionList, 3));
   _prodInfo.Insert(ProdEntry(284, Function, 3));
   _prodInfo.Insert(ProdEntry(283, Function, 4));
   _prodInfo.Insert(ProdEntry(282, Function, 4));
   _prodInfo.Insert(ProdEntry(281, Function, 4));
   _prodInfo.Insert(ProdEntry(280, Function, 4));
   _prodInfo.Insert(ProdEntry(279, Function, 4));
   _prodInfo.Insert(ProdEntry(278, Function, 4));
   _prodInfo.Insert(ProdEntry(277, Function, 4));
   _prodInfo.Insert(ProdEntry(276, Function, 4));
   _prodInfo.Insert(ProdEntry(275, Function, 4));
   _prodInfo.Insert(ProdEntry(274, Function, 4));
   _prodInfo.Insert(ProdEntry(273, Function, 4));
   _prodInfo.Insert(ProdEntry(272, Function, 4));
   _prodInfo.Insert(ProdEntry(271, Function, 4));
   _prodInfo.Insert(ProdEntry(270, Function, 4));
   _prodInfo.Insert(ProdEntry(269, Function, 4));
   _prodInfo.Insert(ProdEntry(268, Function, 4));
   _prodInfo.Insert(ProdEntry(267, Function, 4));
   _prodInfo.Insert(ProdEntry(266, Function, 4));
   _prodInfo.Insert(ProdEntry(265, Function, 4));
   _prodInfo.Insert(ProdEntry(264, Function, 4));
   _prodInfo.Insert(ProdEntry(263, Function, 4));
   _prodInfo.Insert(ProdEntry(262, Function, 4));
   _prodInfo.Insert(ProdEntry(261, Function, 4));
   _prodInfo.Insert(ProdEntry(260, Function, 4));
   _prodInfo.Insert(ProdEntry(259, Function, 4));
   _prodInfo.Insert(ProdEntry(258, Function, 4));
   _prodInfo.Insert(ProdEntry(257, Function, 4));
   _prodInfo.Insert(ProdEntry(256, Function, 4));
   _prodInfo.Insert(ProdEntry(255, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(254, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(253, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(252, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(251, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(250, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(249, AlterOption, 5));
   _prodInfo.Insert(ProdEntry(248, AlterOption, 3));
   _prodInfo.Insert(ProdEntry(247, AlterOption, 3));
   _prodInfo.Insert(ProdEntry(246, AlterOption, 3));
   _prodInfo.Insert(ProdEntry(245, AlterList, 1));
   _prodInfo.Insert(ProdEntry(244, AlterList, 3));
   _prodInfo.Insert(ProdEntry(243, AlterStatement, 4));
   _prodInfo.Insert(ProdEntry(242, DeleteStatement, 4));
   _prodInfo.Insert(ProdEntry(241, ReturnVar, 3));
   _prodInfo.Insert(ProdEntry(240, ReturnVarList, 1));
   _prodInfo.Insert(ProdEntry(239, ReturnVarList, 3));
   _prodInfo.Insert(ProdEntry(238, UpdReturnOpt, 0));
   _prodInfo.Insert(ProdEntry(237, UpdReturnOpt, 2));
   _prodInfo.Insert(ProdEntry(236, Assignment, 3));
   _prodInfo.Insert(ProdEntry(235, UpdateList, 1));
   _prodInfo.Insert(ProdEntry(234, UpdateList, 3));
   _prodInfo.Insert(ProdEntry(233, UpdateStatement, 6));
   _prodInfo.Insert(ProdEntry(232, NoLimit, 0));
   _prodInfo.Insert(ProdEntry(231, LimitOpt, 1));
   _prodInfo.Insert(ProdEntry(230, LimitOpt, 2));
   _prodInfo.Insert(ProdEntry(229, DistinctOpt, 0));
   _prodInfo.Insert(ProdEntry(228, DistinctOpt, 1));
   _prodInfo.Insert(ProdEntry(227, DefaultOrderOpt, 0));
   _prodInfo.Insert(ProdEntry(226, DefaultOrderOpt, 1));
   _prodInfo.Insert(ProdEntry(225, OrderingOpt, 1));
   _prodInfo.Insert(ProdEntry(224, OrderingOpt, 1));
   _prodInfo.Insert(ProdEntry(223, OrderingList, 2));
   _prodInfo.Insert(ProdEntry(222, OrderingList, 4));
   _prodInfo.Insert(ProdEntry(221, NoOrdering, 0));
   _prodInfo.Insert(ProdEntry(220, OrderingClause, 1));
   _prodInfo.Insert(ProdEntry(219, OrderingClause, 3));
   _prodInfo.Insert(ProdEntry(218, NoHaving, 0));
   _prodInfo.Insert(ProdEntry(217, HavingClause, 1));
   _prodInfo.Insert(ProdEntry(216, HavingClause, 4));
   _prodInfo.Insert(ProdEntry(215, GroupList, 1));
   _prodInfo.Insert(ProdEntry(214, GroupList, 3));
   _prodInfo.Insert(ProdEntry(213, NoGroup, 0));
   _prodInfo.Insert(ProdEntry(212, GroupClause, 1));
   _prodInfo.Insert(ProdEntry(211, GroupClause, 4));
   _prodInfo.Insert(ProdEntry(210, AliasOpt, 0));
   _prodInfo.Insert(ProdEntry(209, AliasOpt, 2));
   _prodInfo.Insert(ProdEntry(208, JoinTableOn, 1));
   _prodInfo.Insert(ProdEntry(207, Table, 2));
   _prodInfo.Insert(ProdEntry(206, Table, 1));
   _prodInfo.Insert(ProdEntry(205, TableList, 1));
   _prodInfo.Insert(ProdEntry(204, TableList, 3));
   _prodInfo.Insert(ProdEntry(203, InnerJoin, 1));
   _prodInfo.Insert(ProdEntry(202, InnerJoin, 2));
   _prodInfo.Insert(ProdEntry(201, JoinSpec, 6));
   _prodInfo.Insert(ProdEntry(200, JoinSpec, 6));
   _prodInfo.Insert(ProdEntry(199, JoinSpec, 4));
   _prodInfo.Insert(ProdEntry(198, JoinSpecList, 2));
   _prodInfo.Insert(ProdEntry(197, JoinSpecList, 2));
   _prodInfo.Insert(ProdEntry(196, TableSource, 1));
   _prodInfo.Insert(ProdEntry(195, TableSource, 1));
   _prodInfo.Insert(ProdEntry(194, SelectItem, 2));
   _prodInfo.Insert(ProdEntry(193, SelectionList, 1));
   _prodInfo.Insert(ProdEntry(192, SelectionList, 3));
   _prodInfo.Insert(ProdEntry(191, Selection, 1));
   _prodInfo.Insert(ProdEntry(190, Selection, 2));
   _prodInfo.Insert(ProdEntry(189, SelectStatement, 9));
   _prodInfo.Insert(ProdEntry(188, InsertValueList, 1));
   _prodInfo.Insert(ProdEntry(187, InsertValueList, 3));
   _prodInfo.Insert(ProdEntry(186, InsertArgList, 1));
   _prodInfo.Insert(ProdEntry(185, InsertArgList, 3));
   _prodInfo.Insert(ProdEntry(184, InsertValueSpec, 3));
   _prodInfo.Insert(ProdEntry(183, InsertArgSpec, 0));
   _prodInfo.Insert(ProdEntry(182, InsertArgSpec, 3));
   _prodInfo.Insert(ProdEntry(181, InsertStatement, 5));
   _prodInfo.Insert(ProdEntry(180, InsertStatement, 6));
   _prodInfo.Insert(ProdEntry(179, RollbackStatement, 1));
   _prodInfo.Insert(ProdEntry(178, CommitStatement, 1));
   _prodInfo.Insert(ProdEntry(177, StartStatement, 2));
   _prodInfo.Insert(ProdEntry(176, IndexOption, 0));
   _prodInfo.Insert(ProdEntry(175, IndexOption, 1));
   _prodInfo.Insert(ProdEntry(174, SimpleAttr, 1));
   _prodInfo.Insert(ProdEntry(173, SimpleAttrList, 1));
   _prodInfo.Insert(ProdEntry(172, SimpleAttrList, 3));
   _prodInfo.Insert(ProdEntry(171, DefaultDefOpt, 0));
   _prodInfo.Insert(ProdEntry(170, DefaultOpt, 1));
   _prodInfo.Insert(ProdEntry(169, DefaultOpt, 2));
   _prodInfo.Insert(ProdEntry(168, DefaultNullOpt, 0));
   _prodInfo.Insert(ProdEntry(167, NullOpt, 1));
   _prodInfo.Insert(ProdEntry(166, NullOpt, 2));
   _prodInfo.Insert(ProdEntry(165, NullOpt, 1));
   _prodInfo.Insert(ProdEntry(164, ColumnDesc, 4));
   _prodInfo.Insert(ProdEntry(163, KeyColumn, 1));
   _prodInfo.Insert(ProdEntry(162, KeyColumn, 2));
   _prodInfo.Insert(ProdEntry(161, ColumnList, 1));
   _prodInfo.Insert(ProdEntry(160, ColumnList, 3));
   _prodInfo.Insert(ProdEntry(159, FetchArgList, 1));
   _prodInfo.Insert(ProdEntry(158, FetchArgList, 3));
   _prodInfo.Insert(ProdEntry(157, CasePrepare, 1));
   _prodInfo.Insert(ProdEntry(156, CaseCondition, 4));
   _prodInfo.Insert(ProdEntry(155, CaseConditionList, 1));
   _prodInfo.Insert(ProdEntry(154, CaseConditionList, 2));
   _prodInfo.Insert(ProdEntry(153, CaseClause, 5));
   _prodInfo.Insert(ProdEntry(152, Factor, 4));
   _prodInfo.Insert(ProdEntry(151, Factor, 4));
   _prodInfo.Insert(ProdEntry(150, Factor, 4));
   _prodInfo.Insert(ProdEntry(149, Factor, 4));
   _prodInfo.Insert(ProdEntry(148, Factor, 4));
   _prodInfo.Insert(ProdEntry(147, Factor, 4));
   _prodInfo.Insert(ProdEntry(146, Factor, 1));
   _prodInfo.Insert(ProdEntry(145, Factor, 3));
   _prodInfo.Insert(ProdEntry(144, Factor, 3));
   _prodInfo.Insert(ProdEntry(143, Factor, 1));
   _prodInfo.Insert(ProdEntry(142, Factor, 1));
   _prodInfo.Insert(ProdEntry(141, Factor, 6));
   _prodInfo.Insert(ProdEntry(140, Factor, 1));
   _prodInfo.Insert(ProdEntry(139, Factor, 1));
   _prodInfo.Insert(ProdEntry(138, Term, 1));
   _prodInfo.Insert(ProdEntry(137, Term, 3));
   _prodInfo.Insert(ProdEntry(136, Term, 3));
   _prodInfo.Insert(ProdEntry(135, Expr, 3));
   _prodInfo.Insert(ProdEntry(134, Expr, 1));
   _prodInfo.Insert(ProdEntry(133, Expr, 3));
   _prodInfo.Insert(ProdEntry(132, Expr, 3));
   _prodInfo.Insert(ProdEntry(131, ProcPredicate, 4));
   _prodInfo.Insert(ProdEntry(130, ProcPredicate, 3));
   _prodInfo.Insert(ProdEntry(129, ProcPredicate, 3));
   _prodInfo.Insert(ProdEntry(128, ProcPredicate, 3));
   _prodInfo.Insert(ProdEntry(127, ProcCondition, 1));
   _prodInfo.Insert(ProdEntry(126, ProcCondition, 3));
   _prodInfo.Insert(ProdEntry(125, ProcCondition, 3));
   _prodInfo.Insert(ProdEntry(124, ProcWhileCondition, 1));
   _prodInfo.Insert(ProdEntry(123, ProcStatement, 5));
   _prodInfo.Insert(ProdEntry(122, ProcElsIfCondition, 1));
   _prodInfo.Insert(ProdEntry(121, ProcIfCondition, 1));
   _prodInfo.Insert(ProdEntry(120, ProcElsePart, 1));
   _prodInfo.Insert(ProdEntry(119, ProcElseOpt, 0));
   _prodInfo.Insert(ProdEntry(118, ProcElseOpt, 2));
   _prodInfo.Insert(ProdEntry(117, ProcElsIfOpt, 4));
   _prodInfo.Insert(ProdEntry(116, ProcElsIfList, 0));
   _prodInfo.Insert(ProdEntry(115, ProcElsIfList, 2));
   _prodInfo.Insert(ProdEntry(114, ProcIfPart, 4));
   _prodInfo.Insert(ProdEntry(113, ProcStatement, 4));
   _prodInfo.Insert(ProdEntry(112, ProcExceptionType, 1));
   _prodInfo.Insert(ProdEntry(111, ProcValueList, 1));
   _prodInfo.Insert(ProdEntry(110, ProcValueList, 3));
   _prodInfo.Insert(ProdEntry(109, ProcValueListOpt, 0));
   _prodInfo.Insert(ProdEntry(108, ProcValueListOpt, 1));
   _prodInfo.Insert(ProdEntry(107, ProcExceptionStmt, 5));
   _prodInfo.Insert(ProdEntry(106, ProcExceptionList, 0));
   _prodInfo.Insert(ProdEntry(105, ProcExceptionList, 2));
   _prodInfo.Insert(ProdEntry(104, ProcBlockStart, 1));
   _prodInfo.Insert(ProdEntry(103, ProcStatement, 3));
   _prodInfo.Insert(ProdEntry(102, ProcStatement, 2));
   _prodInfo.Insert(ProdEntry(101, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(100, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(99, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(98, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(97, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(96, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(95, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(94, ProcNoAssignment, 0));
   _prodInfo.Insert(ProdEntry(93, ProcInitialAssignment, 1));
   _prodInfo.Insert(ProdEntry(92, ProcInitialAssignment, 2));
   _prodInfo.Insert(ProdEntry(91, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(90, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(89, ProcStatement, 3));
   _prodInfo.Insert(ProdEntry(88, ProcStatement, 2));
   _prodInfo.Insert(ProdEntry(87, ProcStatement, 4));
   _prodInfo.Insert(ProdEntry(86, ProcStatement, 4));
   _prodInfo.Insert(ProdEntry(85, ProcStatementList, 2));
   _prodInfo.Insert(ProdEntry(84, ProcStatementList, 3));
   _prodInfo.Insert(ProdEntry(83, ProcStmtBlock, 2));
   _prodInfo.Insert(ProdEntry(82, ProcArg, 3));
   _prodInfo.Insert(ProdEntry(81, ProcArg, 3));
   _prodInfo.Insert(ProdEntry(80, ProcArgList, 1));
   _prodInfo.Insert(ProdEntry(79, ProcArgList, 3));
   _prodInfo.Insert(ProdEntry(78, ProcArgOpt, 0));
   _prodInfo.Insert(ProdEntry(77, ProcArgOpt, 1));
   _prodInfo.Insert(ProdEntry(76, ReturnOpt, 0));
   _prodInfo.Insert(ProdEntry(75, ReturnOpt, 2));
   _prodInfo.Insert(ProdEntry(74, ProcDef, 4));
   _prodInfo.Insert(ProdEntry(73, ProcHead, 6));
   _prodInfo.Insert(ProdEntry(72, UnionAllOpt, 0));
   _prodInfo.Insert(ProdEntry(71, UnionAllOpt, 3));
   _prodInfo.Insert(ProdEntry(70, JdbcArgList, 1));
   _prodInfo.Insert(ProdEntry(69, JdbcArgList, 2));
   _prodInfo.Insert(ProdEntry(68, Statement, 2));
   _prodInfo.Insert(ProdEntry(67, Statement, 5));
   _prodInfo.Insert(ProdEntry(66, Statement, 3));
   _prodInfo.Insert(ProdEntry(65, Statement, 3));
   _prodInfo.Insert(ProdEntry(64, Statement, 3));
   _prodInfo.Insert(ProdEntry(63, Statement, 2));
   _prodInfo.Insert(ProdEntry(62, Statement, 4));
   _prodInfo.Insert(ProdEntry(61, Statement, 8));
   _prodInfo.Insert(ProdEntry(60, Statement, 15));
   _prodInfo.Insert(ProdEntry(59, DropOpt, 3));
   _prodInfo.Insert(ProdEntry(58, DropOpt, 1));
   _prodInfo.Insert(ProdEntry(57, Statement, 3));
   _prodInfo.Insert(ProdEntry(56, Statement, 4));
   _prodInfo.Insert(ProdEntry(55, Statement, 3));
   _prodInfo.Insert(ProdEntry(54, Statement, 3));
   _prodInfo.Insert(ProdEntry(53, Statement, 3));
   _prodInfo.Insert(ProdEntry(52, Statement, 3));
   _prodInfo.Insert(ProdEntry(51, Statement, 9));
   _prodInfo.Insert(ProdEntry(50, Statement, 8));
   _prodInfo.Insert(ProdEntry(49, Statement, 6));
   _prodInfo.Insert(ProdEntry(48, Statement, 7));
   _prodInfo.Insert(ProdEntry(47, Statement, 5));
   _prodInfo.Insert(ProdEntry(46, Statement, 2));
   _prodInfo.Insert(ProdEntry(45, Statement, 2));
   _prodInfo.Insert(ProdEntry(44, Statement, 5));
   _prodInfo.Insert(ProdEntry(43, Statement, 5));
   _prodInfo.Insert(ProdEntry(42, Statement, 1));
   _prodInfo.Insert(ProdEntry(41, Statement, 1));
   _prodInfo.Insert(ProdEntry(40, Statement, 1));
   _prodInfo.Insert(ProdEntry(39, Statement, 1));
   _prodInfo.Insert(ProdEntry(38, Statement, 1));
   _prodInfo.Insert(ProdEntry(37, Statement, 2));
   _prodInfo.Insert(ProdEntry(36, Statement, 1));
   _prodInfo.Insert(ProdEntry(35, Statement, 3));
   _prodInfo.Insert(ProdEntry(34, Statement, 3));
   _prodInfo.Insert(ProdEntry(33, Statement, 3));
   _prodInfo.Insert(ProdEntry(32, Statement, 3));
   _prodInfo.Insert(ProdEntry(31, Statement, 3));
   _prodInfo.Insert(ProdEntry(30, Statement, 3));
   _prodInfo.Insert(ProdEntry(29, Statement, 3));
   _prodInfo.Insert(ProdEntry(28, Statement, 1));
   _prodInfo.Insert(ProdEntry(27, Statement, 1));
   _prodInfo.Insert(ProdEntry(26, Statement, 1));
   _prodInfo.Insert(ProdEntry(25, Statement, 7));
   _prodInfo.Insert(ProdEntry(24, Statement, 3));
   _prodInfo.Insert(ProdEntry(23, Statement, 3));
   _prodInfo.Insert(ProdEntry(22, Statement, 3));
   _prodInfo.Insert(ProdEntry(21, Statement, 3));
   _prodInfo.Insert(ProdEntry(20, Statement, 3));
   _prodInfo.Insert(ProdEntry(19, Statement, 3));
   _prodInfo.Insert(ProdEntry(18, Statement, 3));
   _prodInfo.Insert(ProdEntry(17, Statement, 3));
   _prodInfo.Insert(ProdEntry(16, Statement, 3));
   _prodInfo.Insert(ProdEntry(15, Statement, 2));
   _prodInfo.Insert(ProdEntry(14, Statement, 2));
   _prodInfo.Insert(ProdEntry(13, Statement, 2));
   _prodInfo.Insert(ProdEntry(12, TableSetOpt, 0));
   _prodInfo.Insert(ProdEntry(11, TableSetOpt, 2));
   _prodInfo.Insert(ProdEntry(10, Statement, 3));
   _prodInfo.Insert(ProdEntry(9, Statement, 3));
   _prodInfo.Insert(ProdEntry(8, Statement, 3));
   _prodInfo.Insert(ProdEntry(7, Statement, 3));
   _prodInfo.Insert(ProdEntry(6, Statement, 3));
   _prodInfo.Insert(ProdEntry(5, Statement, 3));
   _prodInfo.Insert(ProdEntry(4, Statement, 3));
   _prodInfo.Insert(ProdEntry(3, Statement, 3));
   _prodInfo.Insert(ProdEntry(2, Statement, 2));
   _prodInfo.Insert(ProdEntry(1, Statement, 1));
   _prodInfo.Insert(ProdEntry(0, Start, 2));
}

Cego::Cego()
{
   loadScanner();
   for ( int i=0; i < 796; i++)
   {
      int j;
      for ( j = 0; j < 175; j++)
         _actionMap[i][j] = ActionEntry();
      for ( j = 0; j < 111; j++)
         _jumpMap[i][j] = -1;
   }
   loadParser0();
   loadParser1();
   loadParser2();
   loadParser3();
   loadParser4();
   loadParser5();
   loadParser6();
   loadParser7();
   loadParser8();
   loadParser9();
   loadParser10();
   loadParser11();
   loadParser12();
   loadParser13();
   loadParser14();
   loadParser15();
   loadParser16();
   loadParser17();
   loadParser18();
   loadParser19();
   loadParser20();
   loadParser21();
   loadParser22();
   loadParser23();
   loadParser24();
   loadParser25();
   loadParser26();
   loadParser27();
   loadParser28();
   loadParser29();
   loadParser30();
   loadParser31();
   loadParser32();
   loadParser33();
   loadParser34();
   loadParser35();
   loadParser36();
   loadParser37();
   loadParser38();
   loadParser39();
   loadParser40();
   loadParser41();
   loadParser42();
   loadParser43();
   loadParser44();
   loadParser45();
   loadParser46();
   loadParser47();
   loadParser48();
   loadParser49();
   loadParser50();
   loadParser51();
   loadParser52();
   loadParser53();
   loadParser54();
   loadParser55();
   loadParser56();
   loadParser57();
   loadParser58();
   loadParser59();
   loadParser60();
   loadParser61();
   loadParser62();
   loadParser63();
   loadParser64();
   loadParser65();
   loadParser66();
   loadParser67();
   loadParser68();
   loadParser69();
   loadParser70();
   loadParser71();
   loadParser72();
   loadParser73();
   loadParser74();
   loadParser75();
   loadParser76();
   loadParser77();
   loadParser78();
   loadParser79();
   loadParser80();
   loadParser81();
   loadParser82();
   loadParser83();
   loadParser84();
   loadParser85();
   loadParser86();
   loadParser87();
   loadParser88();
   loadParser89();
   loadParser90();
   loadParser91();
   loadParser92();
   loadParser93();
   loadParser94();
   loadParser95();
   loadParser96();
   loadParser97();
   loadParser98();
   loadParser99();
   loadParser100();
   loadParser101();
   loadParser102();
   loadParser103();
   loadParser104();
   loadParser105();
   loadParser106();
   loadParser107();
   loadParser108();
   loadParser109();
   loadParser110();
   loadParser111();
   loadParser112();
   loadParser113();
   loadParser114();
   loadParser115();
   loadParser116();
   loadParser117();
   loadParser118();
   loadParser119();
   loadParser120();
   loadParser121();
   loadParser122();
   loadParser123();
   loadParser124();
   loadParser125();
   loadParser126();
   loadParser127();
   loadParser128();
   loadParser129();
   loadParser130();
   loadParser131();
   loadParser132();
   loadParser133();
   loadParser134();
   loadParser135();
   loadParser136();
   loadParser137();
   loadParser138();
   loadParser139();
   loadParser140();
   loadParser141();
   loadParser142();
   loadParser143();
   loadParser144();
   loadParser145();
   loadParser146();
   loadParser147();
   loadParser148();
   loadParser149();
   loadParser150();
   loadParser151();
   loadParser152();
   loadParser153();
   loadParser154();
   loadParser155();
   loadParser156();
   loadParser157();
   loadParser158();
   loadParser159();
   loadParser160();
   loadParser161();
   loadParser162();
   loadParser163();
   loadParser164();
   loadParser165();
   loadParser166();
   loadParser167();
   loadParser168();
   loadParser169();
   loadParser170();
   loadParser171();
   loadParser172();
   loadParser173();
   loadParser174();
   loadParser175();
   loadParser176();
   loadParser177();
   loadParser178();
   loadParser179();
   loadParser180();
   loadParser181();
   loadParser182();
   loadParser183();
   loadParser184();
   loadParser185();
   loadParser186();
   loadParser187();
   loadParser188();
   loadParser189();
   loadParser190();
   loadParser191();
   loadParser192();
   loadParser193();
   loadParser194();
   loadParser195();
   loadParser196();
   loadParser197();
   loadParser198();
   loadParser199();
   loadParser200();
   loadParser201();
   loadParser202();
   loadParser203();
   loadParser204();
   loadParser205();
   loadParser206();
   loadParser207();
   loadParser208();
   loadParser209();
   loadParser210();
   loadParser211();
   loadParser212();
   loadParser213();
   loadParser214();
   loadParser215();
   loadParser216();
   loadParser217();
   loadParser218();
   loadParser219();
   loadParser220();
   loadParser221();
   loadParser222();
   loadParser223();
   loadParser224();
   loadParser225();
   loadParser226();
   loadParser227();
   loadParser228();
   loadParser229();
   loadParser230();
   loadParser231();
   loadParser232();
   loadParser233();
   _isReserved = false;
}

Cego::~Cego()
{
}

void Cego::parse()
{
   StackT<StackEntry> s;
   StackEntry se(NONE, 0, 0);
   s.Push(se);
   _isReserved = false;
   if ( shiftToken() == false )
   {
      Chain msg = "invalid token <" + Chain(_tokenVal) + ">.";
      throw Exception(EXLOC, msg);
   }
   while ( true )
   {
      Action a;
      int num;
      if ( getAction(s.getTop()->getState(), _token, a, num) )
      {
         switch (a)
         {
            case SHIFT:
            {
               StackEntry se(TOKEN, _token, num, _tokenVal);
               s.Push(se);
               if ( shiftToken() == false )
               {
                  Chain msg = "Invalid token <" + Chain(_tokenVal) + ">.";
                  throw Exception(EXLOC, msg);
               }
               break;
            }
            case REDUCE:
            {
               _tokenList.Empty();
               ProdEntry* pPE = _prodInfo.Find(num);
               for (int i=0; i<pPE->getNumSymbol();i++)
               {
                  StackEntry se;
                  s.Pop(se);
                  if (se.getSymbol() == TOKEN)
                     _tokenList.Insert(se.getTval());
               }
               int fstate;
               if (getJump(s.getTop()->getState(), pPE->getProd(), fstate))
               {
                  StackEntry se(PROD, pPE->getId(), fstate, _tokenVal);
                  s.Push(se);
               }
               else
               {
                  Chain msg = "Cannot reduce after token <" + Chain(_tokenVal) + ">.";
                  throw Exception(EXLOC, msg);
               }
               switch (num)
               {
                  case 351:
                     setObject3();
                     break;
                  case 350:
                     setObject2();
                     break;
                  case 349:
                     setObject1();
                     break;
                  case 348:
                     miscDateValue();
                     break;
                  case 347:
                     miscDateFormat();
                     break;
                  case 346:
                     miscCounter();
                     break;
                  case 345:
                     miscBlobRef();
                     break;
                  case 344:
                     miscFalseValue();
                     break;
                  case 343:
                     miscTrueValue();
                     break;
                  case 342:
                     miscNull();
                     break;
                  case 341:
                     miscSysDate();
                     break;
                  case 340:
                     miscFormatDate();
                     break;
                  case 339:
                     miscFixedValue();
                     break;
                  case 338:
                     miscDecimalValue();
                     break;
                  case 337:
                     miscDoubleValue();
                     break;
                  case 336:
                     miscFloatValue();
                     break;
                  case 335:
                     miscStringValue();
                     break;
                  case 334:
                     miscTinyIntValue();
                     break;
                  case 333:
                     miscSmallIntValue();
                     break;
                  case 332:
                     miscBigIntValue();
                     break;
                  case 331:
                     miscLongValue();
                     break;
                  case 330:
                     miscIntValue();
                     break;
                  case 329:
                     miscNegatedFloatString();
                     break;
                  case 328:
                     miscFloatString();
                     break;
                  case 327:
                     miscNegatedIntString();
                     break;
                  case 326:
                     miscIntString();
                     break;
                  case 325:
                     miscAttribute3();
                     break;
                  case 324:
                     miscAttribute2();
                     break;
                  case 323:
                     miscAttribute1();
                     break;
                  case 322:
                     miscMoreEqualComp();
                     break;
                  case 321:
                     miscLessEqualComp();
                     break;
                  case 320:
                     miscMoreComp();
                     break;
                  case 319:
                     miscLessComp();
                     break;
                  case 318:
                     miscNotEqualComp();
                     break;
                  case 317:
                     miscEqualComp();
                     break;
                  case 316:
                     miscBlobType();
                     break;
                  case 315:
                     miscFixedType();
                     break;
                  case 314:
                     miscDecimalType();
                     break;
                  case 313:
                     miscTinyIntType();
                     break;
                  case 312:
                     miscSmallIntType();
                     break;
                  case 311:
                     miscDoubleType();
                     break;
                  case 310:
                     miscFloatType();
                     break;
                  case 309:
                     miscBigIntType();
                     break;
                  case 308:
                     miscBoolType();
                     break;
                  case 307:
                     miscDateTimeType();
                     break;
                  case 306:
                     miscStringType();
                     break;
                  case 305:
                     miscLongType();
                     break;
                  case 304:
                     miscIntType();
                     break;
                  case 303:
                     wcPredicateNotPredicate();
                     break;
                  case 302:
                     wcPredicateCondition();
                     break;
                  case 301:
                     wcPredicateNotLikeComp();
                     break;
                  case 300:
                     wcPredicateLikeComp();
                     break;
                  case 299:
                     wcPredicateNotNullComp();
                     break;
                  case 298:
                     wcPredicateNullComp();
                     break;
                  case 297:
                     wcPredicateBetween();
                     break;
                  case 296:
                     wcPredicateExprComp();
                     break;
                  case 295:
                     wcPredicateQueryNotIn();
                     break;
                  case 294:
                     wcPredicateQueryIn();
                     break;
                  case 293:
                     wcPredicateQueryExists();
                     break;
                  case 292:
                     wcConditionPredicate();
                     break;
                  case 291:
                     wcConditionOr();
                     break;
                  case 290:
                     wcConditionAnd();
                     break;
                  case 288:
                     wcEmptyClause();
                     break;
                  case 287:
                     wcWhereClause();
                     break;
                  case 286:
                     functionExprList2();
                     break;
                  case 285:
                     functionExprList1();
                     break;
                  case 284:
                     functionUserDef2();
                     break;
                  case 283:
                     functionUserDef1();
                     break;
                  case 282:
                     functionNextCount();
                     break;
                  case 281:
                     functionNative();
                     break;
                  case 280:
                     functionNative();
                     break;
                  case 279:
                     functionNative();
                     break;
                  case 278:
                     functionNative();
                     break;
                  case 277:
                     functionNative();
                     break;
                  case 276:
                     functionNative();
                     break;
                  case 275:
                     functionNative();
                     break;
                  case 274:
                     functionNative();
                     break;
                  case 273:
                     functionNative();
                     break;
                  case 272:
                     functionNative();
                     break;
                  case 271:
                     functionNative();
                     break;
                  case 270:
                     functionNative();
                     break;
                  case 269:
                     functionNative();
                     break;
                  case 268:
                     functionNative();
                     break;
                  case 267:
                     functionNative();
                     break;
                  case 266:
                     functionNative();
                     break;
                  case 265:
                     functionNative();
                     break;
                  case 264:
                     functionNative();
                     break;
                  case 263:
                     functionNative();
                     break;
                  case 262:
                     functionNative();
                     break;
                  case 261:
                     functionNative();
                     break;
                  case 260:
                     functionNative();
                     break;
                  case 259:
                     functionNative();
                     break;
                  case 258:
                     functionNative();
                     break;
                  case 257:
                     functionNative();
                     break;
                  case 256:
                     functionNative();
                     break;
                  case 255:
                     renameCheck();
                     break;
                  case 254:
                     renameView();
                     break;
                  case 253:
                     renameProcedure();
                     break;
                  case 252:
                     renameKey();
                     break;
                  case 251:
                     renameIndex();
                     break;
                  case 250:
                     renameTable();
                     break;
                  case 249:
                     alterRenameCol();
                     break;
                  case 248:
                     alterModCol();
                     break;
                  case 247:
                     alterAddCol();
                     break;
                  case 246:
                     alterDropCol();
                     break;
                  case 243:
                     alterStore();
                     break;
                  case 242:
                     deleteStore();
                     break;
                  case 241:
                     returnVarAssignment();
                     break;
                  case 236:
                     updateAssignment();
                     break;
                  case 233:
                     updateStore();
                     break;
                  case 231:
                     selectLimitOpt2();
                     break;
                  case 230:
                     selectLimitOpt1();
                     break;
                  case 228:
                     selectDistinctOpt();
                     break;
                  case 225:
                     selectOrderingDesc();
                     break;
                  case 224:
                     selectOrderingAsc();
                     break;
                  case 223:
                     selectOrderingList2();
                     break;
                  case 222:
                     selectOrderingList1();
                     break;
                  case 220:
                     selectEmptyOrderingClause();
                     break;
                  case 219:
                     selectOrderingClause();
                     break;
                  case 217:
                     selectEmptyHavingClause();
                     break;
                  case 216:
                     selectHavingClause();
                     break;
                  case 215:
                     selectGroupList2();
                     break;
                  case 214:
                     selectGroupList1();
                     break;
                  case 212:
                     selectEmptyGroupClause();
                     break;
                  case 211:
                     selectGroupClause();
                     break;
                  case 209:
                     aliasOpt();
                     break;
                  case 208:
                     selectStackJoinTable();
                     break;
                  case 207:
                     selectTable2();
                     break;
                  case 206:
                     selectTable1();
                     break;
                  case 201:
                     selectRightOuterJoinStore();
                     break;
                  case 200:
                     selectLeftOuterJoinStore();
                     break;
                  case 199:
                     selectInnerJoinStore();
                     break;
                  case 196:
                     selectJoinSpecStore();
                     break;
                  case 195:
                     selectTableListStore();
                     break;
                  case 194:
                     selectItem();
                     break;
                  case 193:
                     selectionList2();
                     break;
                  case 192:
                     selectionList1();
                     break;
                  case 191:
                     selectSelectionStore2();
                     break;
                  case 190:
                     selectSelectionStore1();
                     break;
                  case 189:
                     selectStore();
                     break;
                  case 188:
                     insertExprValue();
                     break;
                  case 187:
                     insertExprValue();
                     break;
                  case 186:
                     insertArg();
                     break;
                  case 185:
                     insertArg();
                     break;
                  case 184:
                     insertValueSpec();
                     break;
                  case 181:
                     insertBySelectStore();
                     break;
                  case 180:
                     insertStore();
                     break;
                  case 179:
                     rollbackStore();
                     break;
                  case 178:
                     commitStore();
                     break;
                  case 177:
                     startStore();
                     break;
                  case 175:
                     createUniqueIndex();
                     break;
                  case 174:
                     createSimpleAttr();
                     break;
                  case 173:
                     createSimpleAttrList();
                     break;
                  case 170:
                     defaultNullOpt();
                     break;
                  case 169:
                     defaultOpt();
                     break;
                  case 167:
                     createNullOpt();
                     break;
                  case 166:
                     createNotNullOpt();
                     break;
                  case 165:
                     createNullOpt();
                     break;
                  case 164:
                     createFieldName();
                     break;
                  case 163:
                     createSetOrdinary();
                     break;
                  case 162:
                     createSetPrimary();
                     break;
                  case 159:
                     procStoreFetchArg2();
                     break;
                  case 158:
                     procStoreFetchArg1();
                     break;
                  case 157:
                     casePrepare();
                     break;
                  case 156:
                     caseCondition();
                     break;
                  case 155:
                     caseConditionList2();
                     break;
                  case 154:
                     caseConditionList1();
                     break;
                  case 153:
                     caseClause();
                     break;
                  case 152:
                     procFactor14();
                     break;
                  case 151:
                     procFactor13();
                     break;
                  case 150:
                     procFactor12();
                     break;
                  case 149:
                     procFactor11();
                     break;
                  case 148:
                     procFactor10();
                     break;
                  case 147:
                     procFactor9();
                     break;
                  case 146:
                     procFactor8();
                     break;
                  case 145:
                     procFactor7();
                     break;
                  case 144:
                     procFactor6();
                     break;
                  case 143:
                     procFactor5();
                     break;
                  case 142:
                     procFactor4();
                     break;
                  case 141:
                     procFactor3();
                     break;
                  case 140:
                     procFactor2();
                     break;
                  case 139:
                     procFactor1();
                     break;
                  case 138:
                     procTerm3();
                     break;
                  case 137:
                     procTerm2();
                     break;
                  case 136:
                     procTerm1();
                     break;
                  case 135:
                     procExpr4();
                     break;
                  case 134:
                     procExpr3();
                     break;
                  case 133:
                     procExpr2();
                     break;
                  case 132:
                     procExpr1();
                     break;
                  case 131:
                     procPredicate4();
                     break;
                  case 130:
                     procPredicate3();
                     break;
                  case 129:
                     procPredicate2();
                     break;
                  case 128:
                     procPredicate1();
                     break;
                  case 127:
                     procCondition3();
                     break;
                  case 126:
                     procCondition2();
                     break;
                  case 125:
                     procCondition1();
                     break;
                  case 124:
                     procWhileCondition();
                     break;
                  case 123:
                     procWhileStatement();
                     break;
                  case 122:
                     procElsIfCondition();
                     break;
                  case 121:
                     procIfCondition();
                     break;
                  case 120:
                     procElsePart();
                     break;
                  case 118:
                     procStoreElseBlock();
                     break;
                  case 117:
                     procStoreIfBlock();
                     break;
                  case 114:
                     procStoreIfBlock();
                     break;
                  case 113:
                     procIfStatement();
                     break;
                  case 112:
                     procExceptionCondition();
                     break;
                  case 111:
                     procExprValue();
                     break;
                  case 110:
                     procExprValue();
                     break;
                  case 108:
                     procValueSpec();
                     break;
                  case 107:
                     procExceptionStatement();
                     break;
                  case 104:
                     procBlockStart();
                     break;
                  case 103:
                     procBlockStatement();
                     break;
                  case 102:
                     procReturnStatement2();
                     break;
                  case 101:
                     procReturnStatement1();
                     break;
                  case 100:
                     procQueryStatement();
                     break;
                  case 99:
                     procQueryStatement();
                     break;
                  case 98:
                     procQueryStatement();
                     break;
                  case 97:
                     procQueryStatement();
                     break;
                  case 96:
                     procQueryStatement();
                     break;
                  case 95:
                     procQueryStatement();
                     break;
                  case 93:
                     procInitialAssignment2();
                     break;
                  case 92:
                     procInitialAssignment1();
                     break;
                  case 91:
                     procNoopStatement();
                     break;
                  case 90:
                     procAssign2NullStatement();
                     break;
                  case 89:
                     procAssignStatement();
                     break;
                  case 88:
                     procCursorCloseStatement();
                     break;
                  case 87:
                     procCursorCreateStatement();
                     break;
                  case 86:
                     procVarStatement();
                     break;
                  case 85:
                     procStoreBlock();
                     break;
                  case 82:
                     procArg2();
                     break;
                  case 81:
                     procArg1();
                     break;
                  case 75:
                     procReturnOpt();
                     break;
                  case 74:
                     procStore();
                     break;
                  case 73:
                     procHead();
                     break;
                  case 71:
                     unionAllStore();
                     break;
                  case 70:
                     jdbcArg2();
                     break;
                  case 69:
                     jdbcArg1();
                     break;
                  case 68:
                     jdbcInfo();
                     break;
                  case 67:
                     execSetCounter();
                     break;
                  case 66:
                     execDropCounter();
                     break;
                  case 65:
                     execCreateCounter();
                     break;
                  case 64:
                     execIndexCheck();
                     break;
                  case 63:
                     execPrint();
                     break;
                  case 62:
                     execAssignStatement();
                     break;
                  case 61:
                     execCheckCreate();
                     break;
                  case 60:
                     execForeignKeyCreate();
                     break;
                  case 59:
                     dropOpt2();
                     break;
                  case 58:
                     dropOpt1();
                     break;
                  case 57:
                     execCheckDrop();
                     break;
                  case 56:
                     execFKeyDrop();
                     break;
                  case 55:
                     execProcDrop();
                     break;
                  case 54:
                     execViewDrop();
                     break;
                  case 53:
                     execIndexDrop();
                     break;
                  case 52:
                     execTableDrop();
                     break;
                  case 51:
                     execIndexCreate();
                     break;
                  case 50:
                     execPrimaryIndexCreate();
                     break;
                  case 49:
                     execUserTableCreate();
                     break;
                  case 48:
                     execFuncCall();
                     break;
                  case 47:
                     execProcCall();
                     break;
                  case 46:
                     execProcLoad();
                     break;
                  case 45:
                     execProcCreate();
                     break;
                  case 44:
                     execViewLoad();
                     break;
                  case 43:
                     execViewCreate();
                     break;
                  case 42:
                     execQuery();
                     break;
                  case 41:
                     execQuery();
                     break;
                  case 40:
                     execQuery();
                     break;
                  case 39:
                     execQuery();
                     break;
                  case 38:
                     execQuery();
                     break;
                  case 37:
                     execSelectPlan();
                     break;
                  case 36:
                     execSelect();
                     break;
                  case 35:
                     execIndexReorganize();
                     break;
                  case 34:
                     execTableReorganize();
                     break;
                  case 33:
                     execSetIsolation();
                     break;
                  case 32:
                     execDisableAutoCommit();
                     break;
                  case 31:
                     execEnableAutoCommit();
                     break;
                  case 30:
                     execDisableAppendMode();
                     break;
                  case 29:
                     execEnableAppendMode();
                     break;
                  case 28:
                     execQuery();
                     break;
                  case 27:
                     execQuery();
                     break;
                  case 26:
                     execQuery();
                     break;
                  case 25:
                     execAuthUser();
                     break;
                  case 24:
                     execSetTableSet();
                     break;
                  case 23:
                     execCheckShow();
                     break;
                  case 22:
                     execViewShow();
                     break;
                  case 21:
                     execProcShow();
                     break;
                  case 20:
                     execProcDesc();
                     break;
                  case 19:
                     execKeyDesc();
                     break;
                  case 18:
                     execViewDesc();
                     break;
                  case 17:
                     execIndexDesc();
                     break;
                  case 16:
                     execTableDesc();
                     break;
                  case 15:
                     execShowSystemSpace();
                     break;
                  case 14:
                     execShowPool();
                     break;
                  case 13:
                     execTableInfo();
                     break;
                  case 11:
                     setTableSetOpt();
                     break;
                  case 10:
                     execListTmpObj();
                     break;
                  case 9:
                     execListSysObj();
                     break;
                  case 8:
                     execListCounter();
                     break;
                  case 7:
                     execListKey();
                     break;
                  case 6:
                     execListIndex();
                     break;
                  case 5:
                     execListView();
                     break;
                  case 4:
                     execListProc();
                     break;
                  case 3:
                     execListTable();
                     break;
                  case 2:
                     execListTableSet();
                     break;
                  case 1:
                     execSync();
                     break;
               }
               break;
            }
            case ACCEPT:
            {
               return;
            }
            default:
               break;
         }
      }
      else
      {
         Chain msg = "Parse error at token <" + Chain(_tokenVal) + ">.";
         throw Exception(EXLOC, msg);
      }
   }
}


bool Cego::getAction(int state, Cego::Token token, Cego::Action& a, int& num)
{
    if (_actionMap[state][token].getAction() != NULLACTION )
    {
	a = _actionMap[state][token].getAction();
	num = _actionMap[state][token].getNum();
	return true;
    }
    else
    {
	return false;
    }
}

bool Cego::getJump(int state, Production prod, int& fstate)
{
    if ( _jumpMap[state][prod] > 0 )
    {
       fstate = _jumpMap[state][prod];
	    return true;
    }
    else
    {
	    return false;
    }
}

bool Cego::isSepSign(char c)
{
   if (c == ';') return true;
   if (c == ',') return true;
   if (c == '=') return true;
   if (c == '<') return true;
   if (c == '>') return true;
   if (c == ')') return true;
   if (c == '(') return true;
   if (c == '[') return true;
   if (c == ']') return true;
   if (c == '/') return true;
   if (c == '+') return true;
   if (c == '-') return true;
   if (c == '|') return true;
   if (c == '*') return true;
   return false;
}
bool Cego::isSepIgnore(char c)
{
   if (c == '\t') return true;
   if (c == ' ') return true;
   if (c == '\n') return true;
   return false;
}
bool Cego::shiftToken()
{
   unsigned long i=0;
   char c;
   while ( isSepIgnore(c = nextChar()) && ! _isReserved );
   if ( _isReserved )
   {
      _token = _reservedToken;
      _isReserved = false;
      return true;
   }
   if (c == 0)
   {
      _token = ENDTOKEN;
      return true;
   }
   if (isSepSign(c))
   {
      _tokenVal[i]=c;
       i++;
   }
   else
   {
      while (c && ! isSepIgnore(c) && ! ( isSepSign(c) && i>0 ) )
      {
         _tokenVal[i]=c;
         i++;
         c = nextChar();
      }
      if (isSepSign(c)) backChar();
   }
   _tokenVal[i]=0;
   Scanner* pS = _scannerList.First();
   while (pS)
   {
      if (pS->checkPattern(_tokenVal))
      {
         _token = pS->getToken();
         return true;
      }
      pS=_scannerList.Next();
   }
   return false;
}
void Cego::setReserved(Token t)
{
   _reservedToken = t;
   _isReserved = true;
}
